<!--
SPDX-FileCopyrightText: 2024 Roman Gilg <subdiff@gmail.com>

SPDX-License-Identifier: GPL-2.0-or-later
-->

# Changelog
All notable changes to Theseus' Ship will be documented in this file.
## [6.0.0](https://github.com/winft/theseus-ship/compare/4703c2807e810b6357b16f45393c2b6071d840d1...v6.0.0) (2024-02-27)


### ⚠ BREAKING CHANGES

* desktopPresenceChanged signal removed
* **script:** ScreenEdgeItem renamed to ScreenEdgeHandler
* **script:** "Item" suffix removed from WindowThumbnail/DesktopBackground
* **script:** ClientModel is renamed to WindowModel
* **script:** API uses output objects
* **effect:** registerGlobalShortcut now takes a list of key sequences

### Features

* add crashes option only on X11 ([e404865](https://github.com/winft/theseus-ship/commit/e40486585f50b6c0329f02ff2d926b274428aa06))
* add cursor theme fallback ([545daae](https://github.com/winft/theseus-ship/commit/545daae68f5a298bebd18c1d2d828366a9f5ffe6))
* add desktop window to client list only if "show desktop mode" enabled ([b0897bf](https://github.com/winft/theseus-ship/commit/b0897bf30b1ba52e0a611822fe22274242c6b188))
* add rules KCM warning for low opacity ([54014d6](https://github.com/winft/theseus-ship/commit/54014d6918d419f751e9a9c40cf28ddeeba48db7))
* add separator above the "Close" action in user actions menu ([f0fe876](https://github.com/winft/theseus-ship/commit/f0fe876459568a29c1de07b3306e60dea6369773))
* add shortcut to switch to last-used keyboard layout ([4066f0f](https://github.com/winft/theseus-ship/commit/4066f0f2464c8121e99d1c921f0a5a5968209132))
* add support for Lima, V3D, VC4 ([2e0f998](https://github.com/winft/theseus-ship/commit/2e0f9985a8704e4110ecd7528f222d5c8f3d62eb))
* add tooltip when rule name is elided ([19ed17c](https://github.com/winft/theseus-ship/commit/19ed17c83417f79d18b93a2c674137a4cb47036b))
* allow screen reader to announce window name when pressing Alt+Tab ([fcfe45f](https://github.com/winft/theseus-ship/commit/fcfe45fe2647f12a97a9ef6685a2511e948b529d))
* allow tabbox switchers to handle the tabbox hiding ([61377bf](https://github.com/winft/theseus-ship/commit/61377bf4afab3d01ab28c24f952ffd9a13d02ab4))
* always enable gl error message printing ([0966338](https://github.com/winft/theseus-ship/commit/09663385d2aa85a693625fdfd1425cc03d96b6f2))
* assign top-left screen corner to overview by default ([bf77283](https://github.com/winft/theseus-ship/commit/bf772839316cb2f3df8059d5e07c75f917943715))
* change deco KCM to the new frameless style ([5eb1056](https://github.com/winft/theseus-ship/commit/5eb10566f0cb198e4cd794b43b744d8c91ff4bf3))
* change rules opacity defaults to 100% ([d993306](https://github.com/winft/theseus-ship/commit/d99330643c8ca18d14896fe8c54fb20a95bedbda))
* change Shift+Backtab to Shift+Tab for tabbox ([306f039](https://github.com/winft/theseus-ship/commit/306f039d010b18a50e0d7eecd8a1f2785239fdec))
* default `include-shadow` to `true` so this isn't a breaking change ([80dbb99](https://github.com/winft/theseus-ship/commit/80dbb9977aee8a7f8d8eaf3a58605a58dfdbd735))
* disable cube wallpaper selection to remove KIO dependency ([1c29785](https://github.com/winft/theseus-ship/commit/1c29785aaa3149520669f11c2de06dca7f70326d))
* drop "Configure Window Manager" entry in user actions menu ([71d528c](https://github.com/winft/theseus-ship/commit/71d528c8f66ff56560c50e575c05f6800a7d6574))
* drop checks for GLSL and NPOT ([2ec7305](https://github.com/winft/theseus-ship/commit/2ec7305ea44a8878dce2bd0d5f73d32a2b77e1ca))
* drop compositing suspension dbus api ([05014b3](https://github.com/winft/theseus-ship/commit/05014b3b4c274692d3f5ae6aa2891d6c7a846075))
* drop support for private colormaps ([8b75aeb](https://github.com/winft/theseus-ship/commit/8b75aebac5a4df0e08fd91316ab623fc36b2ebc7))
* drop support for windows cover panel mode in _KDE_NET_WM_SCREEN_EDGE_SHOW ([30ad185](https://github.com/winft/theseus-ship/commit/30ad1857f3d165b641b8769670af0bfdb9c6862c))
* drop tabbox desktop switching mode ([f7b6539](https://github.com/winft/theseus-ship/commit/f7b6539db70d200d4b3d74e3dc4559e0e7d6e444))
* **effect:** add alpha channel option in OffscreenQuickView ([2b19fe8](https://github.com/winft/theseus-ship/commit/2b19fe8d00b8e2062daf90f9503bd515db0a97b2))
* **effect:** add colorblindness correction ([7551cab](https://github.com/winft/theseus-ship/commit/7551cabadf19de213816b41dae5bd5b4be2f908a))
* **effect:** add deleted ref helper ([0c0f75c](https://github.com/winft/theseus-ship/commit/0c0f75c8179f68750c984a2d537e520f277f6d76))
* **effect:** add QuickSceneView.rootItem property ([ae68e53](https://github.com/winft/theseus-ship/commit/ae68e535f6afcb9452d971f5cd5c94a32c2bcdc1))
* **effect:** add visible ref helper ([f10676d](https://github.com/winft/theseus-ship/commit/f10676dbbc111c502ade02978a4143cde0e51d17))
* **effect:** allow mousemark to configure modifier buttons for drawing ([8d17ad5](https://github.com/winft/theseus-ship/commit/8d17ad5d6a59ff510fe811da7900aade883a416d))
* **effect:** allow switching between desktops inside overview ([f41bcab](https://github.com/winft/theseus-ship/commit/f41bcaba05ff0c23ffa852df88f49ba532673632))
* **effect:** animate eyeonscreen towards window's screen's center ([68a5169](https://github.com/winft/theseus-ship/commit/68a5169119bcb8ea6b72613f2c1e2323608d35f0))
* **effect:** close overview when double-clicking on a desktop ([0bb1fbb](https://github.com/winft/theseus-ship/commit/0bb1fbb77a80213850977d19193ac9d54c1bd088))
* **effect:** drop deprecated feature flags ([0a3a803](https://github.com/winft/theseus-ship/commit/0a3a80375fbae9d10fa01a25cef626f6bf7f1aa3))
* **effect:** drop EffectWindow::desktop() ([d71b0ec](https://github.com/winft/theseus-ship/commit/d71b0eceefb6eb70601b09242019b38ca2c1f6d8))
* **effect:** drop EffectWindow::geometry ([2172f2a](https://github.com/winft/theseus-ship/commit/2172f2a0b2ef692820d810297bbafa779010b9b2))
* **effect:** drop EffectWindow::isCurrentTab ([ec89c02](https://github.com/winft/theseus-ship/commit/ec89c020c192b9e5d13ff3cde5cb240d876c41a7))
* **effect:** drop legacy EffectsHandler::desktopChanged overloads ([5dfc921](https://github.com/winft/theseus-ship/commit/5dfc921c90843f6d1c16e67995e7b5a31e405769))
* **effect:** drop legacy screenshot dbus interface ([c871bc2](https://github.com/winft/theseus-ship/commit/c871bc211047b92fa260c32ebc01f38f2a85f668))
* **effect:** drop overview "blur background" option ([dde5d4b](https://github.com/winft/theseus-ship/commit/dde5d4b39a6435219ff3381fc6f63a8910ff4e50))
* **effect:** drop PAINT_DISABLED_BY_TAB_GROUP ([e31921f](https://github.com/winft/theseus-ship/commit/e31921f78cf47f360e7aaa6596b299119eb71e39))
* **effect:** expose QuickSceneEffect::{viewForScreen,viewAt} to QML ([4b7de1e](https://github.com/winft/theseus-ship/commit/4b7de1e90d370c717232b976974f21c8b48ca269))
* **effect:** introduce CaptureWorkspace screenshot ([a5c5ba5](https://github.com/winft/theseus-ship/commit/a5c5ba5049aa4f903570f9481efcf5d752bfc9e9))
* **effect:** make magiclamp look good with hidden panels ([5d39eb5](https://github.com/winft/theseus-ship/commit/5d39eb5bcb89d89c78650018a972c551079c905c))
* **effect:** make overview deactivation gesture the inverse of activation ([763bfa2](https://github.com/winft/theseus-ship/commit/763bfa2ccddae340d87c07da7bcae2d9d0718f30))
* **effect:** make window shadows optional of screenshots ([db404ec](https://github.com/winft/theseus-ship/commit/db404ec4961da403f5779422ee78d241b79a1f8d))
* **effect:** provide API to listen for shortcut changes ([287f2c2](https://github.com/winft/theseus-ship/commit/287f2c2546d8ad03347216ae2b14b24398652d1a))
* **effect:** provide API to register a shortcut and its default ([12a51d9](https://github.com/winft/theseus-ship/commit/12a51d931cb2472aa2d5142672c3101e46b3da37))
* **effect:** provide information about captured window or screen ([4107b20](https://github.com/winft/theseus-ship/commit/4107b20dc21c04087fc0ef4bd55db2ae314c96a4))
* **effect:** provide screenshot scale information ([ffddb42](https://github.com/winft/theseus-ship/commit/ffddb42c38c13dc62cb9000bd11c518665f29140))
* **effect:** remove effect proxy API ([4c9541d](https://github.com/winft/theseus-ship/commit/4c9541de4c7fbc2a6dab2dd40b743983afee5ccd))
* **effect:** remove hidden FadeWindows option ([f7f6ae8](https://github.com/winft/theseus-ship/commit/f7f6ae8215a42cbdd10bb13ec285ba9379fdd639))
* **effect:** remove padding changed signal ([f55f3eb](https://github.com/winft/theseus-ship/commit/f55f3ebca32be6f20d9bc26d04ca2baf32ad85ce))
* **effect:** remove surface property ([49d5293](https://github.com/winft/theseus-ship/commit/49d5293a500da76daf827fff9eb352b467c3cfef))
* **effect:** remove unused matrix shader locations ([bfd2f01](https://github.com/winft/theseus-ship/commit/bfd2f01a6cdea8623e2921995b5b20732b5bb84f))
* **effect:** remove window tabbing leftovers ([9b7f511](https://github.com/winft/theseus-ship/commit/9b7f51150e68bf96b92be1ed1c2be9199ac23f19))
* **effect:** remove window type getter ([7db7f5c](https://github.com/winft/theseus-ship/commit/7db7f5c57a80bf01acbe5a60ebf2753630ac9955))
* **effect:** remove X11 property support from public API ([d5c96c4](https://github.com/winft/theseus-ship/commit/d5c96c4d149ab7439ecd47bf9e232cc5a1743b3a))
* **effect:** set KGlobalAccel shortcut with call to register ([1d89690](https://github.com/winft/theseus-ship/commit/1d89690f0b9433860d458e218e73c95c19d29cf3))
* expose daylight property in DBus interface ([fbb1c82](https://github.com/winft/theseus-ship/commit/fbb1c827c18053e13f068f94eb9935768fa0716b))
* hide "active mouse screen" option ([7a96324](https://github.com/winft/theseus-ship/commit/7a96324a7c567a2d4ba0e929021ba939272e24de))
* implement Plasma 6 settings re-org ([771792f](https://github.com/winft/theseus-ship/commit/771792fcb04e4321eae706c68611bf9720762f8c))
* implement some more VDG feedback for Thumbnail Grid ([7d5c1cb](https://github.com/winft/theseus-ship/commit/7d5c1cb8d00bcad6ee6f1d5ef8d5eff6ee15bc60))
* improve text for window rules with descriptions ([6cbd868](https://github.com/winft/theseus-ship/commit/6cbd86827e3c69505b9e8614a0556179379438a4))
* **input:** do not ignore duplicated shortcuts ([8b7742b](https://github.com/winft/theseus-ship/commit/8b7742bf15e57ef191cef9116b2db0d468864f38))
* **input:** introduce platform mod struct ([074eb46](https://github.com/winft/theseus-ship/commit/074eb46ba87b99bfcfb7ac35a0e8fc764b36eb7e))
* **input:** support pointer hold gestures ([c5dc174](https://github.com/winft/theseus-ship/commit/c5dc174a116a21c0fba064f5d02405b0690366ab))
* **input:** unify touchpad gesture API ([51f7682](https://github.com/winft/theseus-ship/commit/51f7682c77d611413a46c5bbc6a330e9851c47f3))
* intercept X11 keyboard input ([63abace](https://github.com/winft/theseus-ship/commit/63abace8543f76877e7871be52a0b885e3a3ed11))
* introduce space mod struct ([7da556c](https://github.com/winft/theseus-ship/commit/7da556c2f3e2e49ceb52323b57ee08074ce4b5fc))
* make "Thumbnail Grid" the default Task Switcher and make it live here ([b2844ce](https://github.com/winft/theseus-ship/commit/b2844ce4e4329e65c06bfa7218c3814717459676))
* make overview window Filtering Optional ([83f0fb8](https://github.com/winft/theseus-ship/commit/83f0fb869c19ddf61bb17770610b24364cee6b67))
* make scripting optional at compile time ([0efa839](https://github.com/winft/theseus-ship/commit/0efa8390c7f368bdf784893e221c3e0df8c05809))
* make Thumbnail Grid active item's text bold ([2111755](https://github.com/winft/theseus-ship/commit/211175588f6397b36bc46a81573bfd039ff4e8d0))
* merge desktop grid and overview together with a new three-state design ([fb4e3ee](https://github.com/winft/theseus-ship/commit/fb4e3ee8a81ad165ea27f4a0a2ad8af624ef831f))
* move deco KCM footer actions to headers ([899161b](https://github.com/winft/theseus-ship/commit/899161bbd5afca7928dc0a9e8aef2a3447300184))
* move motions to slideback effect ([64b479d](https://github.com/winft/theseus-ship/commit/64b479d18813a74b9ede7d1997601980c88a1458))
* move screenedges KCM into "Mouse & Touchpad" group ([c0948dc](https://github.com/winft/theseus-ship/commit/c0948dc97bb98cf127d094ddcd8b6e80ced75dfd))
* omit setting M_TRIM_THRESHOLD ([7b094e3](https://github.com/winft/theseus-ship/commit/7b094e31ccc1acfbe9fc358a623ba86302fa9241))
* **plugin:** implement new virtuals ([805a3aa](https://github.com/winft/theseus-ship/commit/805a3aa4ce82750c32c1ddea4527985f18287c21))
* **plugin:** show night color day icon if appropriate ([619bb28](https://github.com/winft/theseus-ship/commit/619bb280d34ff411e9006054b271d8f6c00ce7d5))
* provide file descriptor utility struct ([6b2925f](https://github.com/winft/theseus-ship/commit/6b2925f4f56c5821064821143f76db10b26fcf9f))
* provide selection owner parent class ([91fbe95](https://github.com/winft/theseus-ship/commit/91fbe95f962fb74ded55c1221e775ffb9e364291))
* **qpa:** implement platform accessibility ([d797ad9](https://github.com/winft/theseus-ship/commit/d797ad9c88a9a06725b141c8cbd2d4942fa9c765))
* remove compositing status of tabbox switcher item ([24c236b](https://github.com/winft/theseus-ship/commit/24c236b7f37d01ba5f59faf4fc806aa43917e707))
* remove property window type getter ([eb5ce50](https://github.com/winft/theseus-ship/commit/eb5ce507d8e84b11fd1d4b1b2e6dda46526dafdf))
* remove support for _KDE_FIRST_IN_WINDOWLIST ([47e3d15](https://github.com/winft/theseus-ship/commit/47e3d15eddd658e9f3d1f3f99df45f147d5a6c2b))
* remove temporary rules message support ([b622bf4](https://github.com/winft/theseus-ship/commit/b622bf4f934651bdf9fa705cf57a1649b32bf064))
* remove X server version from OpenGl platform ([96ee6aa](https://github.com/winft/theseus-ship/commit/96ee6aa618529c60c86b12c082c362b7cb24e28f))
* remove X11 startup notification support ([53f8aed](https://github.com/winft/theseus-ship/commit/53f8aed33ad150756cfebc5b9ddbd04ec1e5a92e))
* rename user facing name 'Night Color' -> 'Night Light' ([f8dc6cf](https://github.com/winft/theseus-ship/commit/f8dc6cfd4d2be1b168ee60d07d2ae6ed3dddf4ef))
* **script:** add gesture handlers ([4fcaa52](https://github.com/winft/theseus-ship/commit/4fcaa52becaf2deb379150fb75f07a3513479642))
* **script:** add isEffectActive to query effect active state ([7ebcacb](https://github.com/winft/theseus-ship/commit/7ebcacbf428ec55f2230a4f6543d8f539e86b7be))
* **script:** add localized context to the shared QML engine ([4c780ac](https://github.com/winft/theseus-ship/commit/4c780ac25460d704fe7064ec019063d9515863b2))
* **script:** add qml effect bindings ([231c632](https://github.com/winft/theseus-ship/commit/231c63206e9c21a912305fdad616b3445eaf3d85))
* **script:** drop clientArea(area, QPoint, VirtualDesktop) overload ([2a2dd13](https://github.com/winft/theseus-ship/commit/2a2dd1312faac518ad2a6c934655419b41d5db56))
* **script:** drop deprecated API ([7daa363](https://github.com/winft/theseus-ship/commit/7daa36308299f6d469c34a722c17df2d66243616))
* **script:** drop org.kde.kwin 2.x ([fa43b6e](https://github.com/winft/theseus-ship/commit/fa43b6e54c34bc33a606b0b81a61912bd8879b43))
* **script:** drop registerShortcut() function in QML API ([df95efc](https://github.com/winft/theseus-ship/commit/df95efcedfad6435aa85b49b0d1c39660b118c11))
* **script:** drop shaped property ([e8cce9a](https://github.com/winft/theseus-ship/commit/e8cce9affaa02f8828a8f035742a969ef248f067))
* **script:** drop Window.desktop property ([e92609f](https://github.com/winft/theseus-ship/commit/e92609f501e9b3ec2161c436b7c00129a23c8b59))
* **script:** find and interact with windows ([118e009](https://github.com/winft/theseus-ship/commit/118e0098bc432eb7ed2fefcaa7f159f3d0dd726c))
* **script:** introduce separate output objects ([52f4b73](https://github.com/winft/theseus-ship/commit/52f4b7332b273f6d5bca7121b52797a30c680143))
* **script:** introduce shortcut handler ([e503a77](https://github.com/winft/theseus-ship/commit/e503a7742fbe8b629512d6d3fc098873c8f69215))
* **script:** make WindowModel.desktop property return list of desktops ([dcbe8ce](https://github.com/winft/theseus-ship/commit/dcbe8ce4dbf5d27c23c27ca08acd8750d9694cd2))
* **script:** prefer VirtualDesktop objects ([cc8f63b](https://github.com/winft/theseus-ship/commit/cc8f63b8a67b640f513881bf4e6130c2bd51bcfe))
* **script:** remove clientArea integer-based desktop getters ([07a867a](https://github.com/winft/theseus-ship/commit/07a867a15106aad5662c92bb3a5465b18035f95c))
* **script:** remove geometry property ([e6f085c](https://github.com/winft/theseus-ship/commit/e6f085c9d7ad01a70561e3509ce49044a2b21bc8))
* **script:** remove noop signals ([df39c85](https://github.com/winft/theseus-ship/commit/df39c85755d601d01adcf999adeafad4e6b0d3f9))
* **script:** remove unrelated signals ([a8ddfbc](https://github.com/winft/theseus-ship/commit/a8ddfbcff955df3cf3564b3eb1a911351f407c5e))
* **script:** remove windowing system specific properties ([d13a412](https://github.com/winft/theseus-ship/commit/d13a412eb6392a41650b0b80ca5ff90d0a9bcb4e))
* **script:** remove X11 specific signals ([3b3f204](https://github.com/winft/theseus-ship/commit/3b3f204222f86de6e53115eda6612d8c1c6bb8f0))
* **script:** remove x11DesktopIds ([f9e1a30](https://github.com/winft/theseus-ship/commit/f9e1a3078e1174f08824164bbd5ed8afe9ed3b07))
* **script:** replace screen with output property ([2831540](https://github.com/winft/theseus-ship/commit/2831540a359c11948a65d06276d7a3137adac7b3))
* set application description per binary ([443f168](https://github.com/winft/theseus-ship/commit/443f168b69dd4c5784933747adebca09b3d2857f))
* show explanatory text with contextual help button, not tooltip ([9e1e05e](https://github.com/winft/theseus-ship/commit/9e1e05e302ad6116cb5f2644e5936d4e35007702))
* show window switcher only when there are two or more windows ([2dab682](https://github.com/winft/theseus-ship/commit/2dab6820abfff0e85d7996736ad67618260078a6))
* specify scripted effect kcm using X-KDE-ConfigModule ([347c02f](https://github.com/winft/theseus-ship/commit/347c02fadf64665509778d662ddba4e710d67209))
* store keyboard layouts independently of session manager ([ae4eb1e](https://github.com/winft/theseus-ship/commit/ae4eb1ea38dea6fa1309873b95e3b6b4ee72dfab))
* support adaptive sync ([0c15de3](https://github.com/winft/theseus-ship/commit/0c15de31921393b8bc369b808e92cf8bbe5bb282))
* test output configurations ([48e7340](https://github.com/winft/theseus-ship/commit/48e73403c64f292104ed10f4e99acae051a1a36b))
* use higher resolution thumbnails for previews ([15b11fa](https://github.com/winft/theseus-ship/commit/15b11fad7efb97f43204d208a6359e9e499efabc))
* use Meta key for virtual desktop axis shortcuts ([cbbd8c7](https://github.com/winft/theseus-ship/commit/cbbd8c7352ac091835d10e7d8e1d836c5ad7bcdb))
* use Qt 6 ([0620bb6](https://github.com/winft/theseus-ship/commit/0620bb6ce2a673344a53ad75a0c4e62ad7f19937))
* use wlr_output_management_unstable_v1 ([7831597](https://github.com/winft/theseus-ship/commit/7831597bb95a0b3c563a51629ccdb438808f0b56))
* **wl:** always insert Xwayland DISPLAY value into process environment ([e0886e7](https://github.com/winft/theseus-ship/commit/e0886e733f8df4804137763736f79fac3a4570da))
* **wl:** create security context manager ([dab7204](https://github.com/winft/theseus-ship/commit/dab7204639adf265d5105e0cfdcc12e124a57677))
* **wl:** gain real time in app singleton ([875ee08](https://github.com/winft/theseus-ship/commit/875ee0896455fbfc624760cc841ec85a644d92d9))
* **wl:** remove check on other X11 window manager running ([cfdd308](https://github.com/winft/theseus-ship/commit/cfdd3089ceba1b36216460b0958130f3b0c716e9))
* **wl:** set xauthority file ([3c3ebca](https://github.com/winft/theseus-ship/commit/3c3ebca4511d9a5051762b09a9eb61a36f949367))
* **wl:** setup sockets manually for Xwayland connection ([ee5bf81](https://github.com/winft/theseus-ship/commit/ee5bf816d1f782fa19c2a34787b488be0bba37c3))
* **wl:** start Xwayland on demand ([b3e269f](https://github.com/winft/theseus-ship/commit/b3e269fbcb531727c247299847dcea3d6d99d8f0))
* **wl:** use security context app id for permission lookup ([2ee99f9](https://github.com/winft/theseus-ship/commit/2ee99f9373a08d721c67ee4cef0f4ef5088ae41e))
* **x11:** add wm selection owner factory ([d4ccb1f](https://github.com/winft/theseus-ship/commit/d4ccb1ff8f7a4bed7d930b66a0dbb102e535e597))
* **x11:** add wm selection owner type ([ada3e48](https://github.com/winft/theseus-ship/commit/ada3e48d6e1fefb4ff294f4a534193b91bd79aec))
* **x11:** provide app singleton child class ([a7b9e4a](https://github.com/winft/theseus-ship/commit/a7b9e4ad99b49a93665b897980eaead203960f27))
* **x11:** provide free function to check for crashes ([092f2a2](https://github.com/winft/theseus-ship/commit/092f2a2be97ab46d7d72e558a26ab02868cd17a0))
* **x11:** remove alternative wm dialog ([e59083b](https://github.com/winft/theseus-ship/commit/e59083b8fc176e90026a984d08a20a73565d5769))
* **x11:** start base platform from free function ([cd13d7e](https://github.com/winft/theseus-ship/commit/cd13d7e2dd8e397719e17e9d92ef8a52982db67b))
* **x11:** store crash count in base platform ([d3b1714](https://github.com/winft/theseus-ship/commit/d3b17147e32b65d0cad2371d3987c97d20032963))
* **x11:** store wm selection owner in base platform ([9831500](https://github.com/winft/theseus-ship/commit/98315001d7ba5c9145c149e8c5acc549756a992a))


### Bug Fixes

* adapt offscreenquickview to Qt6 changes ([8d3ae59](https://github.com/winft/theseus-ship/commit/8d3ae5921ad547dc72ec14eae2d36f50d303c176))
* adapt to function name change in Qt 6.7 ([d93b1fb](https://github.com/winft/theseus-ship/commit/d93b1fb5f0b847b64f0cee014512ba989eb22e70))
* adapt to recent KF include changes ([8d9cb2e](https://github.com/winft/theseus-ship/commit/8d9cb2e2e14601e4f909645158c9d4c591f985c8))
* adapt to wlroots DRM format type change ([130611d](https://github.com/winft/theseus-ship/commit/130611de4e49bdb66ebcc5dc51bf0bdcb95762f2))
* add a runtime guard that offscreen windows do not generate platform windows ([902a50d](https://github.com/winft/theseus-ship/commit/902a50d71cc48ccca1efd3f3a66e6580a6b355f7))
* add missing KCM namespace qualifier ([9939074](https://github.com/winft/theseus-ship/commit/9939074e2894e7b257cf3b6456489cca589d71b5))
* add mock-up object for KWin.DesktopBackground ([b56073d](https://github.com/winft/theseus-ship/commit/b56073d32e4db0e0a112c628979f18229c965488))
* add QKeySequence to VirtualDesktopManager::addAction overload ([04a4802](https://github.com/winft/theseus-ship/commit/04a4802b6752f123ee1c591d8e1fcc85c4472b63))
* add special case for instant slide animations ([67f23f4](https://github.com/winft/theseus-ship/commit/67f23f4fa79520b7db03b5cb7bc5c1b19d7d343d))
* adjust type to check constraint with ([afb9817](https://github.com/winft/theseus-ship/commit/afb98170e3f708fa0f7509fc58c521fbd0c2e1f8))
* allow aurorae build with KWIN_BUILD_KCMS=OFF ([3ba815e](https://github.com/winft/theseus-ship/commit/3ba815eddb8f7b31d4c489e17647673457362b91))
* always reset tabbox ClientModel if a window is added or removed ([cb235e0](https://github.com/winft/theseus-ship/commit/cb235e0fd0eeffb93d674c536ce71278c5bebc7a))
* always set spacing property on Row & Column layouts ([238de47](https://github.com/winft/theseus-ship/commit/238de47d0f12673b70a14026a1101615c354013f))
* avoid accidental creation of backing stores for offscreen surfaces ([18db05c](https://github.com/winft/theseus-ship/commit/18db05c38797813211621b79ecee614a388befe3))
* blacklist Spectacle for all window open/close effects ([e857af2](https://github.com/winft/theseus-ship/commit/e857af29bb27c77474c112eb1244bf0892ac620b))
* bump severity of QQmlComponent error log messages ([723cd3a](https://github.com/winft/theseus-ship/commit/723cd3a96f57f42e31128f70d4986ad8fa6673ec))
* clip rules popup's list view ([96488a5](https://github.com/winft/theseus-ship/commit/96488a5d8fb731969aa21810976dd0c82987ad92))
* connect model signals for theme property ([8906a3e](https://github.com/winft/theseus-ship/commit/8906a3e7767a79bcc226eedb23e8d2f845fa6d7d))
* connect to effects to check inpuw window stacking ([00e1ba4](https://github.com/winft/theseus-ship/commit/00e1ba484dce7aa40ed830af2ba3fb1b5518a85d))
* copy space reference on window release to ungrab server ([0fddafe](https://github.com/winft/theseus-ship/commit/0fddafee2d235eb479025d059fb9011a98dd2c39))
* correct highlight when hovering the preview ([b027eff](https://github.com/winft/theseus-ship/commit/b027eff50ce2854ceec06a2b7a9823ec00834762))
* correct namespacing to make scripts KCM load again ([5726674](https://github.com/winft/theseus-ship/commit/57266740100ddb8abb6a089d971346bd4682a711))
* correct output placement due to QRect definition ([5c31c48](https://github.com/winft/theseus-ship/commit/5c31c487d108090d88f6d14875905175ba453d64))
* correct typo with Kirigami.Units; remove import versions ([6d1fca7](https://github.com/winft/theseus-ship/commit/6d1fca770a86bdf9d9c9f3dcba40ac0dff437f36))
* create render after session ([96a1713](https://github.com/winft/theseus-ship/commit/96a1713f7234a223303ccaf89db128939c7c4994))
* **deco:** add Aurorae dummy window for working device pixel ratio ([e146f18](https://github.com/winft/theseus-ship/commit/e146f188fdb3ea322388ce5b4645e98bb4881b75))
* disable high dpi scaling ([34cdcd0](https://github.com/winft/theseus-ship/commit/34cdcd012d35f3e49abf8a8538f5fd94a465db18))
* disable quitLock ([1331831](https://github.com/winft/theseus-ship/commit/1331831c3eee431c326ebd9016854d216c9c4b3e))
* don't crash if vertex buffer mapping fails ([ce2daea](https://github.com/winft/theseus-ship/commit/ce2daea77107c1e50bcb0dfa0855811a8bc2465f))
* don't manually undo pending shortcut changes ([31f527f](https://github.com/winft/theseus-ship/commit/31f527fca88ac2d6b76fa2719f6a73e6ade6c520))
* don't move internal window on a dialog with BypassWindowManagerHint ([e100828](https://github.com/winft/theseus-ship/commit/e1008284d25504b039e8ce083dfc6aa19c77ad33))
* **effect:** add missing QQuickRenderControl::{beginFrame,endFrame} calls ([0258bf0](https://github.com/winft/theseus-ship/commit/0258bf0ad149f2c4551155066887ed20f6fa85e1))
* **effect:** also do things when changing to active in overview ([1211b43](https://github.com/winft/theseus-ship/commit/1211b4328a90055f0cccb827858802ae31220e97))
* **effect:** blacklist spectacle ([5e3484e](https://github.com/winft/theseus-ship/commit/5e3484e7daa753427318f20b0452d5a8426af6fe))
* **effect:** do not trigger overview toggle action twice ([40b3400](https://github.com/winft/theseus-ship/commit/40b3400502f1cc7f9cadc10c798e48e2c342c186))
* **effect:** enable GLSL for Mali (Lima) / PinePhone devices ([a3ba3f5](https://github.com/winft/theseus-ship/commit/a3ba3f56f1e4835226a96d2e02ebb18fc9acff1b))
* **effect:** ensure blur/contrast is only applied behind the window ([9d0c44b](https://github.com/winft/theseus-ship/commit/9d0c44b2f81ffb14b960d92286924a931a04d5b0))
* **effect:** ensure no leaking screenshot fds to child processes ([43b2455](https://github.com/winft/theseus-ship/commit/43b24551ba189dd37179e54234a077c3c0340b7c))
* **effect:** fix animation when clicking grouped windows in task manager ([cb08071](https://github.com/winft/theseus-ship/commit/cb08071767b14548673df2629197fb3a1ba4dafc))
* **effect:** fix clear button working in overview search ([2453332](https://github.com/winft/theseus-ship/commit/245333236cdeddbb5197837f8864d9262e66c022))
* **effect:** fix clicking windows in window view effect ([fb30de4](https://github.com/winft/theseus-ship/commit/fb30de41e00c3e3bca86129b8eba8650d77b0a32))
* **effect:** fix desktopgrid TapHandler.onTapped handler ([0a5ee0f](https://github.com/winft/theseus-ship/commit/0a5ee0f0c763d1a187ee79a75e4e78bb48404911))
* **effect:** fix MMB and RMB ([4a9c6eb](https://github.com/winft/theseus-ship/commit/4a9c6ebe7ae63497a777ab51a78c7d2fa372b073))
* **effect:** improve magiclamp animation direction heuristic ([9e7f403](https://github.com/winft/theseus-ship/commit/9e7f403f90f95f15ceddb6eeeb521a31b048ce6b))
* **effect:** make magiclamp look good with floating panels ([634a666](https://github.com/winft/theseus-ship/commit/634a66653dd9b151b131d65c006891bc592991a9))
* **effect:** make OffscreenQuickView opaque ([dfed98f](https://github.com/winft/theseus-ship/commit/dfed98f95ab9e930f5f7f3139179dd9f38067362))
* **effect:** make OpenGL context current before deleting framebuffer ([6a97122](https://github.com/winft/theseus-ship/commit/6a97122fdc8d71075fdbf87be10b2bad19e36ae7))
* **effect:** make SceneEffect fallback to root context ([f2d8ca6](https://github.com/winft/theseus-ship/commit/f2d8ca66a9495a7235cac39cd08f0a6961e6438f))
* **effect:** or the x/y-scale combination ([b3676ab](https://github.com/winft/theseus-ship/commit/b3676abda9c45a1a3be159fb432ff20da5695cd5))
* **effect:** paint complete windows on slide ([93a482e](https://github.com/winft/theseus-ship/commit/93a482e485015a8f6b2d5444e0b56637feabb307))
* **effect:** prevent OffscreenQuickView crashing on teardown ([6f93fd8](https://github.com/winft/theseus-ship/commit/6f93fd84824e1bbff443b661ebdc3973540cf722))
* **effect:** rename property to select hidden windows using keyboard ([c70db56](https://github.com/winft/theseus-ship/commit/c70db5687c0cd83fb7da9ff9256182613f24fbc9))
* **effect:** set format on the main OffscreenQuickView ([258ec5a](https://github.com/winft/theseus-ship/commit/258ec5a394d7d11248d974be7198ad3f8939ed58))
* **effect:** take into account window opacity ([0f515ed](https://github.com/winft/theseus-ship/commit/0f515edfb7b618cea793e29a016c5cc56172e043))
* **effect:** transform glide in logical pixels ([e055260](https://github.com/winft/theseus-ship/commit/e055260d14608917902e80f6d57fa5deac7af7cd))
* emit screen edge cleanup signals if needed on teardown ([ad60608](https://github.com/winft/theseus-ship/commit/ad606083b2cd972ae899326b4a73ee9c834e437c))
* enable headless outputs ([22720c1](https://github.com/winft/theseus-ship/commit/22720c16f74b32046a636c1a7aa8fd8481366e26))
* ensure deactivatation of hidden windows ([8111096](https://github.com/winft/theseus-ship/commit/81110961c40478cc0dd1e15eeca5d67a65e338e5))
* fall back to "compact", not "informative" in tabbox handler ([2821cfe](https://github.com/winft/theseus-ship/commit/2821cfef5d0e6fc1cdf047e20d5aa8472c89eb51))
* fix buttons overlap on a too narrow vertical screen ([8c25a5c](https://github.com/winft/theseus-ship/commit/8c25a5cab46479f02768004f001f2b022b6af1e4))
* fix defaults indicator for "remain active" checkbox ([028109c](https://github.com/winft/theseus-ship/commit/028109c307adbd060ff9f7bfd34d9ed76bc41238))
* fix import and export dialog ([6908073](https://github.com/winft/theseus-ship/commit/6908073b7bd3cf5fa6cb257f4ad935807d0d4600))
* fix import/export FileDialog type ([9b23f23](https://github.com/winft/theseus-ship/commit/9b23f230e24a2d59c3dc3ab1a3a874a574a8c8fe))
* fix listing of effects ([8c97b19](https://github.com/winft/theseus-ship/commit/8c97b19ffd69b88f96991e0757ed65df822956e4))
* fix OverlaySheet shadow coverage ([e798d3c](https://github.com/winft/theseus-ship/commit/e798d3cc7ddeab5577343e5b3fb49d1ab1bf9e7b))
* fix Overview not being displayed ([aeac061](https://github.com/winft/theseus-ship/commit/aeac061a4a4427ac6a376fc3b4f6ecac2ff7b61e))
* fix param injection error ([d1d676a](https://github.com/winft/theseus-ship/commit/d1d676a7f8de07de55c79c1db6f037db71738d71))
* fix parameter injection errors ([e7cddf5](https://github.com/winft/theseus-ship/commit/e7cddf5eb1c57954a5be71a05d3c7fa331a4a94e))
* fix preview for show desktop option ([4069794](https://github.com/winft/theseus-ship/commit/406979409f8d87ea16561fe6132d9be0f369b0b8))
* fix section header and info button sizing ([e6aed3b](https://github.com/winft/theseus-ship/commit/e6aed3b852d4d027a590f7bd4c142b66d5494115))
* fix section header width ([f9b4954](https://github.com/winft/theseus-ship/commit/f9b495434879f947367dea784a01fc3ae75e97b1))
* fix tabbox preview not getting dismissed ([4296e25](https://github.com/winft/theseus-ship/commit/4296e25fbc6f195c2638e2d92e2ad0e7d58877aa))
* handle compiler warnings ([1089f18](https://github.com/winft/theseus-ship/commit/1089f18cbac0f0742fa3980455ab60df97ccdabc))
* handle output geometry changed ([4945484](https://github.com/winft/theseus-ship/commit/4945484f1d82d6a79f4ed5ddf37ead11fe5afe3a))
* handle xdg activation token as QString ([3c90ffe](https://github.com/winft/theseus-ship/commit/3c90ffe73ae56633e721ef9ae0aeb439b1795f34))
* hardcode the Overview as an option in the touchscreen KCM ([58b2a23](https://github.com/winft/theseus-ship/commit/58b2a2308c6b86676dfa8306ea1a83734dfa1bd5))
* import kcmutils to provide ConfigModule attached property ([be1a980](https://github.com/winft/theseus-ship/commit/be1a980b6ede98ff7314a123ff198163a140a4d7))
* improve "Ignore Geometry" property UI ([f50ca3a](https://github.com/winft/theseus-ship/commit/f50ca3a5741910fac7dda6a7cdaa0ca2edd78d76))
* include NET definitions header ([9cac614](https://github.com/winft/theseus-ship/commit/9cac6144ffa3a87a120bd1b1a81f887542a02ef0))
* include Qt headers ([0ab9ac6](https://github.com/winft/theseus-ship/commit/0ab9ac635af49edcb0156f3faea0fbfc0158fd8f))
* include QWindow in window_release haeder ([0230139](https://github.com/winft/theseus-ship/commit/0230139d2e7c58fa3ef384e4b731b34e9c1115a2))
* **input:** check platform on device destroy event ([89ddcb4](https://github.com/winft/theseus-ship/commit/89ddcb49479a696804620fd273fbaa42be8c6455))
* **input:** correct button to Qt::MouseButton mapping ([93aa8c6](https://github.com/winft/theseus-ship/commit/93aa8c6e51a1ef913c7f7f534171b2ede5d20d4d))
* load modifier only shortcuts in base options ([f1172d9](https://github.com/winft/theseus-ship/commit/f1172d965988829a9b15836011a5cc3a988c6a8c))
* log version per binary ([849d35d](https://github.com/winft/theseus-ship/commit/849d35db745dfbbe58dffc707b8dd4e43fe86a44))
* make rules KCM Comboboxes bordered again ([a29b232](https://github.com/winft/theseus-ship/commit/a29b232f60e09859f3c77b41d65f48432ab5fb9b))
* mark switch case unreachable ([8b776a8](https://github.com/winft/theseus-ship/commit/8b776a8447261d4b6604ee5f9a1ed9be9347c0cc))
* mock-up closeable role for previews ([ab93304](https://github.com/winft/theseus-ship/commit/ab933045700c687b009ff96994fb155989639e25))
* move footer actions to the page header ([83e6eb4](https://github.com/winft/theseus-ship/commit/83e6eb4759091dea651bbf84dcecb1dae025240c))
* move footer actions to the page header ([ee35fa7](https://github.com/winft/theseus-ship/commit/ee35fa7f651e9158ad5bb6e610fdf538bfef14d5))
* omit filtering child mouse events ([1311b4d](https://github.com/winft/theseus-ship/commit/1311b4d272a8eb69ea87cea805f98fcd6348c0db))
* **plugin:** bind values to 1:1 animation while gesture is ongoing ([239f82a](https://github.com/winft/theseus-ship/commit/239f82a8e2301c705b4813f9cd81baec542a62e6))
* port away from deprecated KConfigBase::group() ([15295e1](https://github.com/winft/theseus-ship/commit/15295e1a7c679219dd33c876a7875343bb352b24))
* port usage of kcmshell5 to kcmshell6 ([56ae6c0](https://github.com/winft/theseus-ship/commit/56ae6c0764e5b095564d921843a84200aa10f262))
* prefer QThreadPool over QtConcurrent where we don't care about result ([2935484](https://github.com/winft/theseus-ship/commit/293548486a1c5922f8c1bc411314766b8b2ce3d5))
* properly export tablet mode manager properties ([f8bc2ec](https://github.com/winft/theseus-ship/commit/f8bc2eccf514c7fb171f6705d9628704be2d8bb7))
* **qpa:** remove screens before adding new ones ([e202a2c](https://github.com/winft/theseus-ship/commit/e202a2c572427a6aee79203158f8913069eeb0f3))
* redefine static before wlroots drm include ([7478795](https://github.com/winft/theseus-ship/commit/74787955814c0878c3db97f251c64f6ce8248325))
* refine thumbnail_grid icon positioning ([1b58f17](https://github.com/winft/theseus-ship/commit/1b58f17b9986a281bf99cb1098336aad2b031012))
* relax Kirigami import version ([6046a64](https://github.com/winft/theseus-ship/commit/6046a64bb2266c1eee2e0ca82abb03f982580c10))
* remove a binding loop warning ([0ffe6bb](https://github.com/winft/theseus-ship/commit/0ffe6bbf8635d46c521b9b210fb88e68ec695b7f))
* remove Plasma FrameSvg include ([92cc180](https://github.com/winft/theseus-ship/commit/92cc1801ca5645173b583b92d1d6969eda54b641))
* remove unneeded includes ([a153038](https://github.com/winft/theseus-ship/commit/a15303898910ab47d189781607bb43781dcaf9e8))
* remove unneeded KAboutData includes ([87afece](https://github.com/winft/theseus-ship/commit/87afece7677e0252bda5cee50f33996b2ef30923))
* remove unused variable ([f05c4f5](https://github.com/winft/theseus-ship/commit/f05c4f5eb2e6cef3ddb567baf43d1ef4ddce2c0f))
* remove unused variable ([5a0a914](https://github.com/winft/theseus-ship/commit/5a0a91429b9b954957f096159360f2802a72618a))
* remove X-KWin-Exclude-Listing metadata flag ([093dc0f](https://github.com/winft/theseus-ship/commit/093dc0f82ac94ab74d5065a9afff161b6ff7960a))
* rename dragging property to dragActive ([4d811c2](https://github.com/winft/theseus-ship/commit/4d811c2d13d236f0262d284b716ff41e871488ff))
* rename window to screen shortcuts ([caf3780](https://github.com/winft/theseus-ship/commit/caf3780ea6d2e032f5f463dba7e8021351441c43))
* rename window_type enum to win_type ([9af16d0](https://github.com/winft/theseus-ship/commit/9af16d04afaee5e5e5e7abc102c12cfdcb28ea35))
* repaint only on output change ([c55288f](https://github.com/winft/theseus-ship/commit/c55288facef35100636330e7a000c6e61f4b151d))
* replay move window action if window isn't movable ([42de794](https://github.com/winft/theseus-ship/commit/42de79469de28aed97041608d6e58fb4de969bb4))
* restore `anchors.horizontalCenter` ([ed198f7](https://github.com/winft/theseus-ship/commit/ed198f7d9395fefb5f7d35ca51fa9abf00c415b6))
* **script:** always register types ([781e684](https://github.com/winft/theseus-ship/commit/781e684ed666e97ccb61bb55198d6e5936fecbf0))
* **script:** check for output being null ([8aaf68e](https://github.com/winft/theseus-ship/commit/8aaf68ec7bcac69326cf8e25ed77755fba1a94d9))
* **script:** mark QObjects returned from invokables as having C++ ownership ([6046739](https://github.com/winft/theseus-ship/commit/6046739ed332670ed08f270e7c6ffb738d0c61d7))
* **script:** reload SceneEffect configuration when effect is reconfigured ([0757ab1](https://github.com/winft/theseus-ship/commit/0757ab171e132377bca90d1a60bee6eb54bc594d))
* set aurorae layout for config module ([00049fa](https://github.com/winft/theseus-ship/commit/00049fab82c36de03f49f90e19dc2ec6ae5e754e))
* set correct width expression for ListView delegates ([24d01ba](https://github.com/winft/theseus-ship/commit/24d01ba5fbae00a1092e34436a4b023b06c48915))
* set explicit spacing on layouts ([6ec42eb](https://github.com/winft/theseus-ship/commit/6ec42eb3af465141c401ee61d38ffe172c55a342))
* set fallback refresh rate in ms ([a6c295e](https://github.com/winft/theseus-ship/commit/a6c295e7485e010a51233b29625e05169d7c1641))
* set focus policy strings on load, not just on change ([3c3d523](https://github.com/winft/theseus-ship/commit/3c3d52309d7b2d3f51dc6de2345dd1d8212948b7))
* set header label to WordWrap instead of eliding into nowhere ([c0fe101](https://github.com/winft/theseus-ship/commit/c0fe1010792427b40fefab6e6864e9527cbc09e4))
* set some sensible default (implicit) page size ([1840bc1](https://github.com/winft/theseus-ship/commit/1840bc16f5e41e6efa9e44fdfa2d23936f0b1332))
* set text of Delete action correctly ([7ad5ff7](https://github.com/winft/theseus-ship/commit/7ad5ff7fc849febe42803e8faf0c5d6586037ba3))
* set type correctly ([0673158](https://github.com/winft/theseus-ship/commit/06731583cfd074af79469df31338ecf6abbffe70))
* set viewport depending on render target ([5564d34](https://github.com/winft/theseus-ship/commit/5564d340639fd4f8882e592ed4c10d19e84ac0ae))
* silence compile warnings ([c03d835](https://github.com/winft/theseus-ship/commit/c03d835f48194b599ca4885cdb21d2203d9e9205))
* specify base config file name ([357ef17](https://github.com/winft/theseus-ship/commit/357ef179b8a7416ddc3f6f72a7a75b0f0256c477))
* update layout name in response to user input ([d1ffdb3](https://github.com/winft/theseus-ship/commit/d1ffdb377514af078f32fded4aad2cc6e927a239))
* update X11 output data on changes ([174cf59](https://github.com/winft/theseus-ship/commit/174cf59c6bd8b6c312e6802efb87010a9c42bcd0))
* use correct mask to specify that item accepts all buttons ([7fd7e80](https://github.com/winft/theseus-ship/commit/7fd7e809db7a74582b711db583a4c9db4ec67ddd))
* use ellipses instead of triple period ([6d405f0](https://github.com/winft/theseus-ship/commit/6d405f0f416b48c10bb73bdf2cfc49c0d62c6f5f))
* use ellipses instead of triple period ([fcbf38c](https://github.com/winft/theseus-ship/commit/fcbf38cd0d0ba0b8699a5fb2a8999a3eae51b836))
* use ellipses instead of triple period ([9e5b57f](https://github.com/winft/theseus-ship/commit/9e5b57f2b2ddbf8f1e7dd89073b8a31fd34bb7fe))
* use PlainText for various Labels ([87d3971](https://github.com/winft/theseus-ship/commit/87d39711f239dffaa4a88504e41902453c606940))
* use proper ellipsis in user actions menu ([855e7c3](https://github.com/winft/theseus-ship/commit/855e7c31021431e6b87b57f65fbc878d500d148e))
* **wl:** do not set QSG_RENDER_LOOP Variable ([c083cae](https://github.com/winft/theseus-ship/commit/c083cae257945b916c60ad2592cc8378ff5fed79))
* **wl:** drop DockLayer concept ([eb6ac10](https://github.com/winft/theseus-ship/commit/eb6ac10bd40136a27428a3d6bb7fc2191ecd03fb))
* **x11:** own outputs with STL pointers ([c47640e](https://github.com/winft/theseus-ship/commit/c47640ea105be8562428e71aeaf6e72ce5191887))
* **xwl:** reset NET atoms on Xwayland shutdown ([d98c80e](https://github.com/winft/theseus-ship/commit/d98c80ef6514c7b94bc2760b4cb8779c983e00cc))


* **script:** rename ClientModel to WindowModel ([8743f53](https://github.com/winft/theseus-ship/commit/8743f538f61dc3721bb8bd381c6b668b2071e09a))
* **script:** rename ScreenEdgeItem to ScreenEdgeHandler ([67d55a2](https://github.com/winft/theseus-ship/commit/67d55a29d460c16568a86b134b2edff87bc429fd))


### Refactors

* access ShadowedLabel from PlasmaExtras ([70fa189](https://github.com/winft/theseus-ship/commit/70fa189731223dc35612b1e15900d7e7cdea2501))
* adapt to kdecoration changes ([6efdefc](https://github.com/winft/theseus-ship/commit/6efdefce71f654c3ac76a57060b7c2a064626561))
* adapt to KDecoration init API returning boolean ([8cf3bf0](https://github.com/winft/theseus-ship/commit/8cf3bf0df9624632fe1656fde487fdc15397ffd4))
* adapt to KPackage API changes for install/uninstall ([745b6dd](https://github.com/winft/theseus-ship/commit/745b6dd044ef6eb875b7021eb8d398651a71bd1f))
* adapt to KService API change ([b8f7640](https://github.com/winft/theseus-ship/commit/b8f76407c269b97151a62a6fe4559fc58c486a55))
* adapt to KSvg API change ([3ca3f83](https://github.com/winft/theseus-ship/commit/3ca3f83bc3a9560a1410fecd036f3098d4f2b18d))
* adapt to KWindowEffectsPrivate API change ([2d1eec6](https://github.com/winft/theseus-ship/commit/2d1eec6bb34bca2afaf5abf14709115033404887))
* adapt to KWindowSystem API change ([dec666b](https://github.com/winft/theseus-ship/commit/dec666bcaae9fbd348c3426e40e8b213847f1b5c))
* adapt to KWindowSystem changes ([8d57d39](https://github.com/winft/theseus-ship/commit/8d57d3952454c9b14fc197bf23ed1b40a96895b1))
* adapt to KWindowSystem changes ([60d8870](https://github.com/winft/theseus-ship/commit/60d887004e6e0a548cb9471036afb78a6607ed3c))
* adapt to wlroots removing presentation clock getter ([c98fec8](https://github.com/winft/theseus-ship/commit/c98fec8d58ef312cb3f0f39a05b9fe1c31cde9b8))
* adapt to Wrapland globals changes ([0144bbd](https://github.com/winft/theseus-ship/commit/0144bbdf13255c18f648d327a9c179c79de1126f))
* adapt to Wrapland output helper changes ([b078622](https://github.com/winft/theseus-ship/commit/b0786220cac3f46f0f8336cf971632e3f9d80f14))
* adapt to Wrapland output metadata API changes ([fdd460e](https://github.com/winft/theseus-ship/commit/fdd460e783dd07e2a0bc67b3480c7523b7ab5022))
* adapt to Wrapland output name change ([a982ebe](https://github.com/winft/theseus-ship/commit/a982ebe08aeedf377e1f47cbdfb16d573fbf13ee))
* adapt to Wrapland output state API change ([1ff7ff4](https://github.com/winft/theseus-ship/commit/1ff7ff40c0b5632b66079ca29611b2468ffff99a))
* add a better helper for uploading vertices ([db38152](https://github.com/winft/theseus-ship/commit/db381520f36666f63aad5a5525e57b62e827c2ee))
* add all modules to mod struct ([8ee6a3a](https://github.com/winft/theseus-ship/commit/8ee6a3a556a747baefe3d2d2814fb19330b0c7e0))
* add context to i18n string ([d4578ff](https://github.com/winft/theseus-ship/commit/d4578ffd18e0feb5edb582282b04cec1a55970b3))
* add function helper implementations for Wayland space ([8e768dc](https://github.com/winft/theseus-ship/commit/8e768dcdee3ffd04fd582383707e811900139685))
* add script window lib interface class ([5a63f29](https://github.com/winft/theseus-ship/commit/5a63f297175d62a45ed39fd18ad89e4ade81d00f))
* add subspaces in unified way ([0fd9f78](https://github.com/winft/theseus-ship/commit/0fd9f78f7663078e4b910389cff9bf40048cf582))
* add Wayland space setup free functions ([8f6b642](https://github.com/winft/theseus-ship/commit/8f6b6427c1995ec8b1a78ff0cc65ed93f049aed4))
* add window paint data ctor override to provide quads ([c69638c](https://github.com/winft/theseus-ship/commit/c69638ce7e161b1e6acca9b37943fb35bca41a16))
* add/remove Wayland windows in free function ([308af45](https://github.com/winft/theseus-ship/commit/308af4573b61451a85ec9b37b3df200e6779433d))
* adjust to kdecoration api changes ([4fb171a](https://github.com/winft/theseus-ship/commit/4fb171a3de32b5138460086c6b9b810292cbaa50))
* adjust to KDecoration API changes ([32bd56a](https://github.com/winft/theseus-ship/commit/32bd56a957f60bad98cc6f7fed35105db9a2895f))
* adjust to new KCM classes ([7d70b95](https://github.com/winft/theseus-ship/commit/7d70b9510dec8d5e5f7d56251a021ca518d527a2))
* allow specifying the kcm separately from the decoration ([bb64c30](https://github.com/winft/theseus-ship/commit/bb64c303d50923776c5ee986c9c410236bbd356e))
* assert on current subspace when updating count ([9165290](https://github.com/winft/theseus-ship/commit/9165290082a722b9896266342ca43eea10c431f9))
* avoid QtDBus module include ([cc0a658](https://github.com/winft/theseus-ship/commit/cc0a6588ceff682fb2c48f71cdd19368d301436f))
* check desktop via container only ([d3a5400](https://github.com/winft/theseus-ship/commit/d3a54004e271f430ec0249bef6306b958452018a))
* check for window paint early ([f65050f](https://github.com/winft/theseus-ship/commit/f65050f25dca7cc987c11f542b1c2b50c3112e7f))
* check on all desktops only once ([33b74d6](https://github.com/winft/theseus-ship/commit/33b74d6119bfd630c405ee33b726aed5ba862523))
* cleanup header includes ([cae021d](https://github.com/winft/theseus-ship/commit/cae021d30ee1d2a2a1e387950529e18dd939de3b))
* clear generic space independently from x11 clear ([e417ebf](https://github.com/winft/theseus-ship/commit/e417ebf844bfd64c5e2b1b76fd1304550c7191ee))
* compare boolean for on all desktops ([64bebb0](https://github.com/winft/theseus-ship/commit/64bebb08e6345c3459bb1a8ebfe5ce1ffb23674f))
* composite desktop integration by platform hierarchy ([b366a1a](https://github.com/winft/theseus-ship/commit/b366a1a6942d4c5f52aa1a3c0b99b06580a14d44))
* composite wlroots backends ([8939569](https://github.com/winft/theseus-ship/commit/89395693d863caba0aa9f008bd952d1490ee15e9))
* connect to desktop changed signal in compositor start ([60d616b](https://github.com/winft/theseus-ship/commit/60d616b97972452034e1ea51bbd019913020e299))
* connect X11-specifics in x11 space init ([777aa28](https://github.com/winft/theseus-ship/commit/777aa287148a3fd55ea92b34350c8ee59e4d62de))
* constify EffectScreen in QuickScene effect and view ([73f529e](https://github.com/winft/theseus-ship/commit/73f529e3a0b0879f8ad3029bb1325dfc0783233e))
* constify render data ([d3138c4](https://github.com/winft/theseus-ship/commit/d3138c421ce52fe48974885f4c886104f52bffc4))
* continue loop to improve readability ([9afafdc](https://github.com/winft/theseus-ship/commit/9afafdc583ba11f9afedf29e8310d378588233d0))
* create dpms filter in base ([59ac638](https://github.com/winft/theseus-ship/commit/59ac63849ecadde281a5b83fa712898137457be5))
* create input redirect through platform ([a4185d2](https://github.com/winft/theseus-ship/commit/a4185d27631eeca09069530d7976e57f8aaaece7))
* create session in base ([f55b764](https://github.com/winft/theseus-ship/commit/f55b76477bd27338a90287e4f3356f328d32d318))
* create space members in free function ([cd58ec7](https://github.com/winft/theseus-ship/commit/cd58ec7f752e4dfd4558c3377b8e39474a41dbce))
* create subspace manager singleton on heap in separate function ([ce3470a](https://github.com/winft/theseus-ship/commit/ce3470ac99dbd4c1be14608f6b6c43cb6be506f2))
* **debug:** create model without factory function ([c09753f](https://github.com/winft/theseus-ship/commit/c09753f2d4c0dc8edc0595ab1afebbb56153027d))
* declare effect window group type in render platforms ([616ea1b](https://github.com/winft/theseus-ship/commit/616ea1bd06fd613d96ed96897a09251fb237812d))
* deduplicate event proxying code ([96ea5ed](https://github.com/winft/theseus-ship/commit/96ea5edb36f75b7eeb68f597439b0ba0878ea751))
* define a Wayland-only library ([fa53fda](https://github.com/winft/theseus-ship/commit/fa53fdace94615ecccbc784e526230cf5a08b884))
* define area option enum in types header ([f705604](https://github.com/winft/theseus-ship/commit/f70560483fe97b69f8f45478fcb256e05c8ce377))
* define electric border enums in types header ([1d9e44d](https://github.com/winft/theseus-ship/commit/1d9e44d6306c20e13e4f9069a84f474d0c76a719))
* define opengl safe point in render types header ([3f86970](https://github.com/winft/theseus-ship/commit/3f869705531a4ea59a1be3a3b59d0f291579fdc5))
* define subspace_manager_qobject in separate header ([6433e34](https://github.com/winft/theseus-ship/commit/6433e34b8e3157e52059ba0e88ce8b1afd1aa665))
* define tabbox mode in types header ([6324fe7](https://github.com/winft/theseus-ship/commit/6324fe75e8993d2cb677079b8b34b434a50dcc76))
* define X11 number for all desktops in types header ([d4bd649](https://github.com/winft/theseus-ship/commit/d4bd64978a3e4d02fd248dd522d2c968b4796ab7))
* delegate screen edge reservation error handling to user ([8a1dda5](https://github.com/winft/theseus-ship/commit/8a1dda5c469c71a3781306cce78ac22f3f216f0e))
* detach Xwayland effect integration ([a87fc54](https://github.com/winft/theseus-ship/commit/a87fc549db7d04a40b6b32016d8959c29960e08e))
* draw unbounded or bounded ([f321972](https://github.com/winft/theseus-ship/commit/f321972f4cb34972e14c7e4a86a6edf2400c73da))
* drop Application::setupTranslator() ([e190aa0](https://github.com/winft/theseus-ship/commit/e190aa05aca46fa8418b745fabaccf814cad0dcd))
* drop deprecated Qt::AA_UseHighDpiPixmaps ([1cb831a](https://github.com/winft/theseus-ship/commit/1cb831a45f644b59ec407c417d643caaa38cc456))
* drop gallium detection ([776487e](https://github.com/winft/theseus-ship/commit/776487e6db9eedce4ee6ab891ba03bc144290b73))
* drop limited glsl detection ([a43e50f](https://github.com/winft/theseus-ship/commit/a43e50fa2d7eca90dfcbc51181a2cc0f11b2cdaa))
* drop unused functions in screenedges kcm ([542d37a](https://github.com/winft/theseus-ship/commit/542d37a744bd45265b02db41155a464b26bd6c7e))
* drop Window::desktopPresenceChanged() ([d7b3d19](https://github.com/winft/theseus-ship/commit/d7b3d1942a3a10c31c447e00be0044617734505a))
* **effect:** add loader in separate function ([94cba9c](https://github.com/winft/theseus-ship/commit/94cba9c8f6d47f42b4cf5c6fd2ed2a174a050507))
* **effect:** add SceneView attached property ([175e826](https://github.com/winft/theseus-ship/commit/175e826062974e1896be6ce02e65a8db32293c96))
* **effect:** adopt TogglableState in desktopgrid ([0a6c438](https://github.com/winft/theseus-ship/commit/0a6c438b9f1b74fb2f189831954d25f9d8929e3c))
* **effect:** advance window animations in prePaintWindow() ([7c612b1](https://github.com/winft/theseus-ship/commit/7c612b1a8ae2977164732bdbe6c832d29662b014))
* **effect:** blur per output ([8ce2eea](https://github.com/winft/theseus-ship/commit/8ce2eeac39976b5f8d18792e6d1c9a1894c46edb))
* **effect:** combine blur render targets in struct ([8e5715d](https://github.com/winft/theseus-ship/commit/8e5715d37c4af0f5dd843515e4ea3950a485685f))
* **effect:** compute blur region with early return ([2af8e84](https://github.com/winft/theseus-ship/commit/2af8e848de4f075cac431debf62595b9289f147b))
* **effect:** constify EffectWindow in motion manager ([61a3ddd](https://github.com/winft/theseus-ship/commit/61a3ddd6762fb961fdc2a3498904cb3c279c04ba))
* **effect:** define load queue in separate file ([ad3ad44](https://github.com/winft/theseus-ship/commit/ad3ad447e24d62c3c151c27f12a70cfd8bfb1dbd))
* **effect:** drop EffectsHandler.windowToDesktop ([cfbfe6f](https://github.com/winft/theseus-ship/commit/cfbfe6f88f12ca360785561a453ac34cb7ab4662))
* **effect:** drop QObject parent argument in OffscreenQuickView ctor ([0ec89cd](https://github.com/winft/theseus-ship/commit/0ec89cd73b9c009d626bb931d0261b03ab26d193))
* **effect:** drop QtQuick dummy window hack ([0d59dbf](https://github.com/winft/theseus-ship/commit/0d59dbf5d7868f429f21d76b2ce351923ac1be08))
* **effect:** drop WindowHeap.windowClicked signal ([a7c2350](https://github.com/winft/theseus-ship/commit/a7c2350ec589c0100842a978a83ea9a6fb9e0e10))
* **effect:** early return in contrast ([64c660b](https://github.com/winft/theseus-ship/commit/64c660b45e59e34257b99c0b53c449e401c167b8))
* **effect:** implement X11 logic in free function ([52ffd75](https://github.com/winft/theseus-ship/commit/52ffd75f38c825c6a5ad10819735f8c94e20bff0))
* **effect:** improve blur code ([0b01cf5](https://github.com/winft/theseus-ship/commit/0b01cf5c445e5043c5c3c72ef633ad01be15a3d7))
* **effect:** improve code quality ([3672dc9](https://github.com/winft/theseus-ship/commit/3672dc99c055cb4ec4432c76c6dda4d6d578b0d6))
* **effect:** improve magiclamp code readability ([02a0f84](https://github.com/winft/theseus-ship/commit/02a0f84d030e63767bc64a3b9b1919b294c066de))
* **effect:** move the TogglableState class into a reusable space ([450888e](https://github.com/winft/theseus-ship/commit/450888e3847fad44d800eab50ae9edd24514d01f))
* **effect:** move window specific signals from handler to window ([0200f31](https://github.com/winft/theseus-ship/commit/0200f31e2bdac1ede3248276f1ec216114d18712))
* **effect:** own blur render targets with smart pointer ([a85ec41](https://github.com/winft/theseus-ship/commit/a85ec414d1b22106c12629635bf356e957b6f920))
* **effect:** port effects to SceneView ([64204ee](https://github.com/winft/theseus-ship/commit/64204ee5407ca714f45e5e110d5853a3d4e820a2))
* **effect:** port screenedge to KSvg ([17ea363](https://github.com/winft/theseus-ship/commit/17ea36343709acdf824467f75678451c28dded72))
* **effect:** port screenshot to QPromise ([d75b14d](https://github.com/winft/theseus-ship/commit/d75b14d2240e6bf3f088444b4cf92c21044836a8))
* **effect:** port to win::subspaces ([88d9c01](https://github.com/winft/theseus-ship/commit/88d9c01de5bfb1f448a95fe05f85e0f5b2c1915c))
* **effect:** provide present time in prepaint data structs ([5e31ed1](https://github.com/winft/theseus-ship/commit/5e31ed1b3e9817261250f6ddf814eccae952a7f0))
* **effect:** remodel effect argument structs ([dfa0d6b](https://github.com/winft/theseus-ship/commit/dfa0d6bbda782284f1e1daaa78c2ee09f9770181))
* **effect:** remove duplicate import/unneed include ([a546c26](https://github.com/winft/theseus-ship/commit/a546c26bcdf1bacdb82a7919ea8d7f92e8a1b613))
* **effect:** remove platform cursor image class ([6f9e438](https://github.com/winft/theseus-ship/commit/6f9e4382ec293210200bc53fac55be1347da52be))
* **effect:** remove postion transformations function from public API ([9728450](https://github.com/winft/theseus-ship/commit/97284500681f947682532b45cc2c77fd9b03db5a))
* **effect:** remove windowGeoemtryShapeChanged signal ([1131e71](https://github.com/winft/theseus-ship/commit/1131e71d5d45ab9d3f0a67ba4c388e4d56237f6a))
* **effect:** remove xcb include from public API ([ec7b502](https://github.com/winft/theseus-ship/commit/ec7b502a705c40ecfd735772e260aa1e0e53ba91))
* **effect:** replace QHash with unordered map ([018053b](https://github.com/winft/theseus-ship/commit/018053b218340dce7621dfa4f35cae871fa60baa))
* **effect:** replace QtGraphicalEffects with Qt5Compat.GraphicalEffects ([902157d](https://github.com/winft/theseus-ship/commit/902157de0fd7c81d9c4decc7342f2fbf13caec01))
* **effect:** set KWIN_CONFIG in kwinconfig header ([3d5f8f6](https://github.com/winft/theseus-ship/commit/3d5f8f611330cf96ada919c9fa6387491a24d9ec))
* **effect:** split overview state managing code into a separate class ([335d18a](https://github.com/winft/theseus-ship/commit/335d18a9b189acd9e38a77b2c7e0d982ae69a480))
* **effect:** template keyboard intercept filter over Xkb ([a226560](https://github.com/winft/theseus-ship/commit/a2265608b7155c58a4da327c49f0495f91e106da))
* **effect:** use decltype for signals ([d378aff](https://github.com/winft/theseus-ship/commit/d378affff5a2bd1da9331439a9bea039b6a720d2))
* **effect:** use scripting QML engine ([dd7bacc](https://github.com/winft/theseus-ship/commit/dd7bacc02fe58b22b681572c67a70dc30c8956de))
* encapsulate hardware clipping better ([ba348e0](https://github.com/winft/theseus-ship/commit/ba348e0c1efebed5c18984d92cf0271b6ebcff03))
* expose tabbox shortcuts as a KConfigSkeleton ([f1f80d4](https://github.com/winft/theseus-ship/commit/f1f80d45f02bc3f397ac4fda5e8d870745973018))
* find Wayland windows via free function ([7fcdd42](https://github.com/winft/theseus-ship/commit/7fcdd429c55d329e1a9e875e68575c7844bcf1b5))
* fix & modernize QML/JS code style ([a86661c](https://github.com/winft/theseus-ship/commit/a86661cff6f05b02004457d7540c2eac3115f6a0))
* fix reference errors, port to Kirigami ([4a1eef1](https://github.com/winft/theseus-ship/commit/4a1eef1233cbeb5014ad68b46d60a38c039a5aaf))
* get icon always with net::win_info ([5b1ac0d](https://github.com/winft/theseus-ship/commit/5b1ac0d5e993bb3ee4117b1fa6048e18c993afb4))
* get icon geometry in free function ([dec5bd8](https://github.com/winft/theseus-ship/commit/dec5bd89ff28764994d8cdbc62ca9f6f59953264))
* get layout policy config keys without virtual calls ([9edb3d8](https://github.com/winft/theseus-ship/commit/9edb3d8f1223e34dcbcde3d0fc34fc808acd81dc))
* get mod keys from input platform ([155246f](https://github.com/winft/theseus-ship/commit/155246ff2a57b0c3dbe3b3f304e2f2566491ec83))
* get nav wraps from subspace manager instead of options ([84d3b04](https://github.com/winft/theseus-ship/commit/84d3b046079ee58a5ced15718da2c7b6e76b4fbd))
* get Qt keyboard mods in key server ([2998809](https://github.com/winft/theseus-ship/commit/29988096dfd65d14665ff414112357ae9a434a2e))
* get spatial subspaces by cardinal direction ([67b5231](https://github.com/winft/theseus-ship/commit/67b52310abe3c681396b1ad655bd2d82407be1d4))
* grab X keyboard only on X11 ([36a78d5](https://github.com/winft/theseus-ship/commit/36a78d543bbb1a676802b8c8772ea8120ea83b89))
* handle KAboutData in main functions ([765d675](https://github.com/winft/theseus-ship/commit/765d675246f256d1318b9ff80e9490ae780d3144))
* handle screen edge activation times with std::chrono ([c6ac810](https://github.com/winft/theseus-ship/commit/c6ac810a3aff1395491ab61f62e78c767a60d2a5))
* handle tabbox config directly within the configuration form ([93dc90a](https://github.com/winft/theseus-ship/commit/93dc90a8f6888b85cdd0044af5538175aa85ea1a))
* implement render platform functions in child classes ([115b619](https://github.com/winft/theseus-ship/commit/115b61935895568792e2fc3eb38804762bca0b28))
* implement sync manager in separate file ([ebca94a](https://github.com/winft/theseus-ship/commit/ebca94a5b8f7a8f9a3d688e0ebd3fe6b3bf277ea))
* implement X11 effects specifics in subclasses ([c214b4a](https://github.com/winft/theseus-ship/commit/c214b4a41712bda6f05a1b7873db8983a837e6f1))
* implement X11 screen edges event handling in filter ([4a94214](https://github.com/winft/theseus-ship/commit/4a942144ba6fac5384a60640ca943146a500a6e8))
* implement X11 tabbox grab in x11::space ([501767e](https://github.com/winft/theseus-ship/commit/501767ee88d99b19362911d9f3784c37bef9d629))
* improve getting ordered subspaces ([41e19fc](https://github.com/winft/theseus-ship/commit/41e19fc9918152c226dc20562335d7a9ccfb574a))
* improve tabbox KCM model initialization ([04b4d92](https://github.com/winft/theseus-ship/commit/04b4d92d810f2783134e333702f12d690684ac67))
* include internal window only in Wayland binary ([180fd05](https://github.com/winft/theseus-ship/commit/180fd05da8b9cce0b93fbd998e9732cd2fc099fd))
* init controlled window in separate function ([e4d8819](https://github.com/winft/theseus-ship/commit/e4d881946690afc3f1dc95e68d8113601ef7e8ea))
* init controlled window with session in separate function ([bc25430](https://github.com/winft/theseus-ship/commit/bc254309d3ca238c9756e3bdaca3f7182d59e6ec))
* init forced maxmode in if-statement ([21cb923](https://github.com/winft/theseus-ship/commit/21cb9232924bf80c42334590d246db90a18f1a2e))
* init render shorcuts in separate function call ([8011081](https://github.com/winft/theseus-ship/commit/8011081f6b417dc43f3ca3382b9758ad31578ca3))
* init shorcuts without using input helpers ([f5ab5d8](https://github.com/winft/theseus-ship/commit/f5ab5d88a6869514f01df91e7ea8425ffa14c7e6))
* initialize singleton platform in free function ([5f85c70](https://github.com/winft/theseus-ship/commit/5f85c70eaef1c0bdb7e2143f63c55ce8a4dde56f))
* inline variables & remove redundant check for decorations ([f8c2b13](https://github.com/winft/theseus-ship/commit/f8c2b13c0aa36fa78d64f6a62e29f71ced3c9df0))
* **input:** create kglobalaccel daemon without init function ([021d613](https://github.com/winft/theseus-ship/commit/021d613540b5c1e141f48e8e23b7da557ed4a167))
* **input:** find unmanaged windows without X11 helper ([9f2ef02](https://github.com/winft/theseus-ship/commit/9f2ef02fec94a00bc8c46c9fa8ef903f5d744ed3))
* **input:** install shortcuts from platfrom ctor ([bb84208](https://github.com/winft/theseus-ship/commit/bb84208e0659c1c8663e5ed4953590d311beb0a3))
* **input:** interact with shortcuts through input interfaces ([4b0ebb5](https://github.com/winft/theseus-ship/commit/4b0ebb59b72f9b7ea135791f3f77a2f8fbf86f2a))
* **input:** manage cursor shapes with STL types ([18a9dcf](https://github.com/winft/theseus-ship/commit/18a9dcf4da960e0308d7bacc4e05058644f4df2e))
* **input:** omit warping Xwayland pointer on surface leave ([52390f1](https://github.com/winft/theseus-ship/commit/52390f16a09c2b1492d16459e2a57a4a244772d2))
* **input:** only provide space to redirect ([39802be](https://github.com/winft/theseus-ship/commit/39802be4a3d4418130212fff67c8292203cfb124))
* **input:** remove special handling of super as meta ([4b5f18d](https://github.com/winft/theseus-ship/commit/4b5f18d1c2b0f10605129cfd3fb0e9b4333e264f))
* **input:** remove unneeded spy source files ([c76708b](https://github.com/winft/theseus-ship/commit/c76708b5e4e2721c2c4612b14722ddead2a6b719))
* **input:** return early on failed keyboard grab ([4d0c199](https://github.com/winft/theseus-ship/commit/4d0c1997db517d7d619bb05c7385a67309c7fd9c))
* **input:** return early on window find ([d6581d1](https://github.com/winft/theseus-ship/commit/d6581d18aaaf22f61115edc334cbdb55ee7995a0))
* **input:** specialize global shortcuts manager class ([a9f081a](https://github.com/winft/theseus-ship/commit/a9f081a0526a17011ead4e4216687b8358579d75))
* **input:** split up function to add shortcut ([633aad1](https://github.com/winft/theseus-ship/commit/633aad1ca074785301a6d3797d61e7b53245e489))
* **input:** store D-Bus keyboard index in class ([e82495a](https://github.com/winft/theseus-ship/commit/e82495a154766971efa846ed7205529128afa6e8))
* **input:** use global gesture direction enums ([1edc822](https://github.com/winft/theseus-ship/commit/1edc822e463a04a6fa814827026e54b3ef860fbb))
* introduce different subspace manager types ([7623b0a](https://github.com/winft/theseus-ship/commit/7623b0ae2c65c3551084e6d97a52866b6cbc1ade))
* introduce subspace manager backend ([53b107d](https://github.com/winft/theseus-ship/commit/53b107ddf8c60a39d10c0c1f93725e9f1a90745c))
* make app singleton an abstract class ([ad98f9c](https://github.com/winft/theseus-ship/commit/ad98f9c19e11b700f78d9fc55b9c95d5823d8a9b))
* make KPackage plugin cpp file only, add missing Q_Object macro ([53c3873](https://github.com/winft/theseus-ship/commit/53c38738ec3d3e9287556f6ce759af5d3a813ae6))
* make parent optional in EffectQuickView ([d0e42fc](https://github.com/winft/theseus-ship/commit/d0e42fc555c5c34855355bc6b1f585e576548104))
* make screen edges windows a free function ([071ab92](https://github.com/winft/theseus-ship/commit/071ab92d538438a5326b5ba99a66cda20a3452be))
* make screenshot window geometry checking more readable ([79b0426](https://github.com/winft/theseus-ship/commit/79b0426363edee4d224d9dfe292e40524e2f5fe4))
* make subspace manager functions free functions ([019cb8d](https://github.com/winft/theseus-ship/commit/019cb8d7a22a60994af91a534faf26ef94fa51d1))
* make subspace manager member functions free functions ([734e00d](https://github.com/winft/theseus-ship/commit/734e00d83c623b1b0da0b61f6dfba0b237a513f6))
* make subspace manager member variables public ([1b0f9c9](https://github.com/winft/theseus-ship/commit/1b0f9c99790dcdea85a2f2adc2bdf75f1deb5634))
* make subspace manager members public ([90e4eae](https://github.com/winft/theseus-ship/commit/90e4eae8e8b0c8518b0e372a188132a5abe3f39b))
* make subspace manager rows member variable public ([bfc0c0a](https://github.com/winft/theseus-ship/commit/bfc0c0ad580b40b6783dffc26ad85ef88f339962))
* make subspace variables public ([6ce03d1](https://github.com/winft/theseus-ship/commit/6ce03d1d5c5252a6bafc2ee3988d12344ff91267))
* make Texture export mode default in OffscreenQuickView ([211f93d](https://github.com/winft/theseus-ship/commit/211f93d99843ac519aae554ad6d8063cd4b7866b))
* make X-KDE-Ordering in plugin metadata a proper int value ([99cc24a](https://github.com/winft/theseus-ship/commit/99cc24ad5fbfffc3aaf8de4bfef203c0910901c4))
* manage outputs without member functions ([7c62f4a](https://github.com/winft/theseus-ship/commit/7c62f4a56dd4b5cb3ea6a9fab2503f6a12afe3c6))
* manage tabbox KCM shortcuts via ShortcutSettings ([92eae44](https://github.com/winft/theseus-ship/commit/92eae440c1da5dbda9502812a9d3ba32cd456b51))
* match net type against mask in win namespace ([0f46d18](https://github.com/winft/theseus-ship/commit/0f46d185d840c2647ef5b0c9e22f890f26a6a75e))
* merge EffectWindow::{windowMinimized,windowUnminimized} ([f39b3dc](https://github.com/winft/theseus-ship/commit/f39b3dc44b9a15abc2d1ae195f43d5e4d6a73aa5))
* merge functions to add Wayland effect windows ([8c9b184](https://github.com/winft/theseus-ship/commit/8c9b1845725bc625f637e0e3400d9e4bc8fd988b))
* merge session-independent creation code ([440bae0](https://github.com/winft/theseus-ship/commit/440bae0547d23a8d8946224968bb5f7dc1454bf7))
* merge X11 platform classes ([b2d5395](https://github.com/winft/theseus-ship/commit/b2d5395354a67ad0b9a576100fdcba350fbe2738))
* modernize code using initializer list syntax ([a886e58](https://github.com/winft/theseus-ship/commit/a886e589b603551fd7f5d1e9f41559d652d13952))
* modernize effect code ([713cfd7](https://github.com/winft/theseus-ship/commit/713cfd77611b5532302ae751c0827a68ccb681c8))
* move compositor start X11 functions ([db65835](https://github.com/winft/theseus-ship/commit/db65835e2327288627dbbae22ed8a4c425542bd2))
* move cursor shape to win module ([9e6a15b](https://github.com/winft/theseus-ship/commit/9e6a15bd24fb0387a6922053058e77f5e927c486))
* move data to base platform child classes ([7691248](https://github.com/winft/theseus-ship/commit/76912486aaeb70d148288f2e4caf326a83f2a509))
* move data to child render platforms ([2097979](https://github.com/winft/theseus-ship/commit/209797973da2b7853840bf8aab1629319b70681f))
* move gesture and global shortcut types into win module ([ca9dd56](https://github.com/winft/theseus-ship/commit/ca9dd56702acd65bb2be0af91c1e3ba20bfd8e66))
* move gl interface enum to glutils library ([c6ee7fe](https://github.com/winft/theseus-ship/commit/c6ee7fe151fa5226c23744a770eb4912ce9e2615))
* move KDE D-Bus files in desktop directory ([3362ff3](https://github.com/winft/theseus-ship/commit/3362ff37eedd2b5bcdd8f29ead136b8df5687ebc))
* move KGlobalAccel query out of shortcut dialog ([6f78def](https://github.com/winft/theseus-ship/commit/6f78defb85ff513ec34cf4634e326b18af937a0d))
* move kwinglobals types ([2c703f1](https://github.com/winft/theseus-ship/commit/2c703f18b4536be125589bed3a8466e207a84861))
* move output helpers to base::x11 ([a9b3a3b](https://github.com/winft/theseus-ship/commit/a9b3a3bb3bb701b27306bded3bd71da52d521713))
* move platform helpers in separate header ([1807359](https://github.com/winft/theseus-ship/commit/1807359a3125b88fa9c0ae2139c43563e5703d48))
* move randr filter to base::x11 ([a9024b0](https://github.com/winft/theseus-ship/commit/a9024b0abdf6a8c86727d374c56bf77b3811dcd1))
* move session manager to x11 namespace ([e020ab1](https://github.com/winft/theseus-ship/commit/e020ab181ae8601e872d683d019e335d41da61c7))
* move support properties header to x11 namespace ([af363d5](https://github.com/winft/theseus-ship/commit/af363d59e279e748ff4f73452d92b6d5bda6f765))
* move Wayland handler setup into separate function ([bc553fc](https://github.com/winft/theseus-ship/commit/bc553fc8478022e2b2470a33be5c0dbebeb8839f))
* move window thumbnail to script module ([363c345](https://github.com/winft/theseus-ship/commit/363c345c74d8cd4a30995030cfcc3a19e01b1421))
* move xcb cursors cache to space ([76755ff](https://github.com/winft/theseus-ship/commit/76755fff6a0ada14cc7a2f7df90524122fcc5f48))
* move xcb event filter from base to win module ([06fcda8](https://github.com/winft/theseus-ship/commit/06fcda8586b3bf29444edb92a6d32caa88840317))
* omit unsetting the singleton interface platform ([7a1483b](https://github.com/winft/theseus-ship/commit/7a1483b11cf3cdedaa0dfd5644d3382626d77433))
* own effect loaders with smart pointers ([bcba070](https://github.com/winft/theseus-ship/commit/bcba070469a87a5b5805d372fc90eb340a34c618))
* own index buffer with smart pointer ([2f61a92](https://github.com/winft/theseus-ship/commit/2f61a92b433f84ae201b97dbb28ab3310c6a63f7))
* own QML engine in space ([c0ce79e](https://github.com/winft/theseus-ship/commit/c0ce79e7ce7af860af1cb776a139566ab905b5a8))
* own screen locker watcher in space ([cd75d5e](https://github.com/winft/theseus-ship/commit/cd75d5eb6ca10deb11e04ce8ef0a31122ea03e64))
* own script platform in base platform ([f8aad54](https://github.com/winft/theseus-ship/commit/f8aad54dbd500651bdec5dd2bbd6ea762d2f7b67))
* own selection owner with smart pointer ([3c20e5a](https://github.com/winft/theseus-ship/commit/3c20e5a4a3c5ed80a66f1ad81a1b8bfe5bbff004))
* own sync manager in X11 compositor ([66299e3](https://github.com/winft/theseus-ship/commit/66299e3558e3c976122e1828bcd0160642f5b6e2))
* own sync manager with smart pointer ([55d0cdc](https://github.com/winft/theseus-ship/commit/55d0cdc516481e50f1767b4957b921590d25e07f))
* paint per output on X ([51058b4](https://github.com/winft/theseus-ship/commit/51058b41ada8b41b0eabd9ff2608fe6eaab58779))
* pass subspaces as references ([255eaf7](https://github.com/winft/theseus-ship/commit/255eaf77a0ab279475e15e2c7a34e32b5d54a7aa))
* **plugin:** drop initConfig for effects ([59f92a7](https://github.com/winft/theseus-ship/commit/59f92a7b49c1f0446689e3b42161111b10c4e740))
* **plugin:** fix and simplify UI creation in various effect KCMs ([382c26d](https://github.com/winft/theseus-ship/commit/382c26d2865a3229412d5aaed1cfa4e325402583))
* **plugin:** simplify UI creation in remaining effect KCMs ([2f5f5e6](https://github.com/winft/theseus-ship/commit/2f5f5e67edf5b6963383856a1f13a9b5b70e87a4))
* port away from Kirigami.AbstractListItem ([3f105f1](https://github.com/winft/theseus-ship/commit/3f105f1b37206716f8e343534847ef156ac7d85a))
* port away from Kirigami.Action.iconName ([07aee8c](https://github.com/winft/theseus-ship/commit/07aee8c82ea1290d2d247958f2c2b4952dfb87d3))
* port away from Kirigami.DelegateRecycler ([d5c496a](https://github.com/winft/theseus-ship/commit/d5c496a8833d04ac95016211871281c474ad910a))
* port away from Kirigami.OverlaySheet.sheetOpen ([559dfe8](https://github.com/winft/theseus-ship/commit/559dfe87f9e8b0880d8745d8a19be6636637148e))
* port away from org.kde.kcm.ConfigModule ([140c27b](https://github.com/winft/theseus-ship/commit/140c27b5558b6ac165e49ce7ef29c931313c3997))
* port away from PlasmaCore.ColorScope and Plasma.Theme ([076ff53](https://github.com/winft/theseus-ship/commit/076ff5339843ed63b9627b71e75622edf2c20cb2))
* port away from SwipeListItem to ItemDelegate ([856927f](https://github.com/winft/theseus-ship/commit/856927f37cc79628ba4d92047af152e7bc12ebb7))
* port EffectsModel away from KPluginMetaData::metaDataFileName ([f4f113b](https://github.com/winft/theseus-ship/commit/f4f113b3a5ed366c26e3387e5d05f4cb6b920823))
* port implicit default content items to use contentItem: property ([d9b80f1](https://github.com/winft/theseus-ship/commit/d9b80f176ea4b7b7df2f3522d5c3fe4d2a11351f))
* port outline to org.kde.kwin 3.0 ([66a5dcf](https://github.com/winft/theseus-ship/commit/66a5dcfc4198283e71b15750dc1825207030af7b))
* port PlasmaCore.Theme/ColorScope/Units etc to Kirigami ([4a134e7](https://github.com/winft/theseus-ship/commit/4a134e702e8f0ba8e480e8d535c1475f89c60cd4))
* port QML KCMs away from setAboutData ([1e69fac](https://github.com/winft/theseus-ship/commit/1e69fac0cbc1cefb77a2118fb79210055dc6ad0a))
* port screenedges kcm to KSvg ([09c31d4](https://github.com/winft/theseus-ship/commit/09c31d4cd4c96cd87d74ab58bedec088e6ac5489))
* port signal handlers to explicit arguments, fix QML/JS code style ([e6c2a80](https://github.com/winft/theseus-ship/commit/e6c2a8018936b009efc2b1f450e9c8dd3f3178ce))
* port thumbnail item to use Qt Shader Tools for Qt 6 ([79cfd64](https://github.com/winft/theseus-ship/commit/79cfd64c97abaac8c49326a7a49f66e6266fdc57))
* port to KCModule methods ([3c90632](https://github.com/winft/theseus-ship/commit/3c90632fab05a5ad85105f7553269d8b25008121))
* port to Kirigami.Icon ([e0db914](https://github.com/winft/theseus-ship/commit/e0db9143bf3a599a867b579075b9de77f3b1efaa))
* port to KPluginMetaData::fromJsonFile() ([93e09f3](https://github.com/winft/theseus-ship/commit/93e09f3bac70b57784edaa41b540fcb910e6eb5b))
* port to KSvg ([bb72418](https://github.com/winft/theseus-ship/commit/bb72418300d61258ee169aabe0b5d27a833117ef))
* port to org.kde.config QML module from KConfig ([325c5d6](https://github.com/winft/theseus-ship/commit/325c5d65d4d4726555010968bc0ade19bbb7c266))
* port to versionless QML module imports ([0cfc80b](https://github.com/winft/theseus-ship/commit/0cfc80bce7b1da249c07f2d1740f517d66ceca6c))
* present on Wayland without intermediate buffer ([dde57e8](https://github.com/winft/theseus-ship/commit/dde57e84b896e714b2957e760aff74afef2a8877))
* provide default end rendering frame call in Gl backend class ([394159f](https://github.com/winft/theseus-ship/commit/394159f5a7289f5b3137554038ab3f769787aee2))
* provide functor for region transform ([6d7c12d](https://github.com/winft/theseus-ship/commit/6d7c12dadf86c815eb4e6fbfecd77eda550195b2))
* provide internal X11 NET classes ([2d090e8](https://github.com/winft/theseus-ship/commit/2d090e8f0617a82db1e5ae376291ed6826a464c9))
* provide metadata in output ctor ([79d1b59](https://github.com/winft/theseus-ship/commit/79d1b5950b8b67699861d63fa61d9571128c9b41))
* provide normal hints in separate class ([0a5bf02](https://github.com/winft/theseus-ship/commit/0a5bf028222f09f4b3e21e74e6891120347c90c4))
* provide own KGlobalAccel runtime ([3c41ffe](https://github.com/winft/theseus-ship/commit/3c41ffe8a3e08ec8c2247025fca0ac8300194ec7))
* provide raw caption for tabbox clients ([ed9a81f](https://github.com/winft/theseus-ship/commit/ed9a81f3d80b171e2d18107f9ba965e41d739682))
* provide region as a const ref ([1991722](https://github.com/winft/theseus-ship/commit/19917222cb48ef95e4eed100bbfa72f9862b8153))
* provide render and input platforms to space ([7a22862](https://github.com/winft/theseus-ship/commit/7a2286257c001a3554966b1ef2a0f6fb573ec69a))
* provide render platform to effect loader ([08c5fa6](https://github.com/winft/theseus-ship/commit/08c5fa6dc8766cc4bdddde4649f4e16fc3150e39))
* provide session info as smart pointer ([ab20054](https://github.com/winft/theseus-ship/commit/ab20054627b5bd1e7fe3daa6b2ecd4657258c7f5))
* provide size to render texture ([5cee51d](https://github.com/winft/theseus-ship/commit/5cee51dd06f5dd37568558d056f22e967254369f))
* provide vertex buffer map as span ([2050fa0](https://github.com/winft/theseus-ship/commit/2050fa04aeb42ebf337e614dfc7ebbb894af93ec))
* provide window as reference to virtual desktop functions ([1730da5](https://github.com/winft/theseus-ship/commit/1730da56de5808215972b9eeb6032b0d405d3540))
* provide X11 support string from free function in win module ([8ac5cbd](https://github.com/winft/theseus-ship/commit/8ac5cbd0644add4f829771b985c131f71b541cd9))
* put script in mod struct ([c998773](https://github.com/winft/theseus-ship/commit/c998773f2863a675e93eb53c82268681fe565447))
* **qpa:** simplify backing store buffer handling ([e991106](https://github.com/winft/theseus-ship/commit/e991106934ab01c3c8021411cff77bb07e4e965a))
* **qpa:** use a surfaceless context for offscreen surfaces ([1d17c48](https://github.com/winft/theseus-ship/commit/1d17c485c33dd1eeda4f73d10d31aef880a46939))
* read user time stamp with session directly ([c89dbc2](https://github.com/winft/theseus-ship/commit/c89dbc29a958778aae03a96ffb8bcfe81a69b8c2))
* reference tabbox windows without shared pointer ([9326328](https://github.com/winft/theseus-ship/commit/932632812040302b827e222f71470be664ab2ec0))
* relax minor version import restriction on Kirigami module ([37d30c6](https://github.com/winft/theseus-ship/commit/37d30c6ff4a02a54f2399070c1a5e2a966a4485c))
* remove abstract Application ([955f47b](https://github.com/winft/theseus-ship/commit/955f47b063d2bb7005eb4d1dfdfd77ca1aac81e5))
* remove abstract base platform class ([8458ad6](https://github.com/winft/theseus-ship/commit/8458ad6639985dc9f535d726a62724f799d103d2))
* remove abstract render platform ([bb522a4](https://github.com/winft/theseus-ship/commit/bb522a4a9cb005507cc43f8d7cc751e34d6d57f0))
* remove abstract space class ([e486de4](https://github.com/winft/theseus-ship/commit/e486de4d0a784ff190695b2f8bd71eb2a39f49dd))
* remove app_init function ([76550e5](https://github.com/winft/theseus-ship/commit/76550e5942d92e16f759df80f17173ca245c0d16))
* remove arguments from doSetDesktop function ([e698db1](https://github.com/winft/theseus-ship/commit/e698db18ea2dc144c6d6f3eca54bc53854cb188c))
* remove backend transformation ([78c21b3](https://github.com/winft/theseus-ship/commit/78c21b35d348a8e8ab4fa5d664504e847b98fb59))
* remove call to create server addons ([6468527](https://github.com/winft/theseus-ship/commit/64685271f5cce4f46b7d300b7bbcf5674399ee91))
* remove code to unset QT_DEVICE_PIXEL_RATIO envvar ([46d04fa](https://github.com/winft/theseus-ship/commit/46d04fa1e2c5e9869be063cd78df726a13bbb115))
* remove color handling in vertex buffer ([68fa3f8](https://github.com/winft/theseus-ship/commit/68fa3f8c1f73c5f96ac2679368f48c4dc063d4f7))
* remove compositor class ([b15193c](https://github.com/winft/theseus-ship/commit/b15193c3a76a1ae870c903fae912b4eee1c22e2d))
* remove custom executable ([8caf094](https://github.com/winft/theseus-ship/commit/8caf09407e383f5d516b956351c722e383e491e7))
* remove default arguments in subspace API ([2738250](https://github.com/winft/theseus-ship/commit/2738250c0d69785dfa5e17b6fa3dd57f8bfe6e38))
* remove definition of X-Plasma-MainScript definitions ([efe4353](https://github.com/winft/theseus-ship/commit/efe435397194d5a31c4622226699f524edbc38f1))
* remove deprecated properties in WindowThumbnailItem ([e942491](https://github.com/winft/theseus-ship/commit/e942491232399eb558d9a862ea4bda2f56b830ff))
* remove desktop kde include ([94304e8](https://github.com/winft/theseus-ship/commit/94304e87dc32cc361f71a36ae507581acd7fd508))
* remove disabled Qt 5 code ([e16fe0c](https://github.com/winft/theseus-ship/commit/e16fe0cec29b2cb2b7c3fad6e08a3eb9d1ad018d))
* remove doPaintBackground function ([4039ff4](https://github.com/winft/theseus-ship/commit/4039ff4629a763b063099164851e5073ff5247dc))
* remove effect screen reference from base output ([8d7ecc6](https://github.com/winft/theseus-ship/commit/8d7ecc6ce7531476f1ec07a4b00750c200af1ec4))
* remove effects factory function ([3338e9a](https://github.com/winft/theseus-ship/commit/3338e9afca8e14d42cd37d9292bde0de976974dc))
* remove EffectWindowList ([c47c7b4](https://github.com/winft/theseus-ship/commit/c47c7b4ebb418540f3e8806c6c50ca6d08c5802d))
* remove egl defines ([48c625c](https://github.com/winft/theseus-ship/commit/48c625c07a2bcc06be72815a2b75f310d271334a))
* remove ensureOnTop member function ([4903fce](https://github.com/winft/theseus-ship/commit/4903fcec7a61a576ea933fffcecd2157fdf8c7df))
* remove frame geo local variable ([2c3f9c6](https://github.com/winft/theseus-ship/commit/2c3f9c6f1a34d67db7d98af102c64b6616f21870))
* remove global compositing type enum ([6ee6103](https://github.com/winft/theseus-ship/commit/6ee61036247ff4ed9f14a5791b9818c592596acc))
* remove group's startupIdChanged function ([fda6d6c](https://github.com/winft/theseus-ship/commit/fda6d6c4b9aa8ee3ebe1144beb6f15d00cb8a956))
* remove internal Wayland connection ([eba5113](https://github.com/winft/theseus-ship/commit/eba5113f9ab43cc1753f02f2bc550c093b1d5c60))
* remove KCM API not supported by KWin core ([172bffc](https://github.com/winft/theseus-ship/commit/172bffcb1cdb7c4a1696c810b43c119a9eff6ea7))
* remove kwinglobals header ([78ade75](https://github.com/winft/theseus-ship/commit/78ade75fe29020faba733df01ee2846279223ccf))
* remove negation on if-else branch ([862f844](https://github.com/winft/theseus-ship/commit/862f8444b02d7ff4be6d8add5fa52f39b2415a3e))
* remove obsolete autoPlay property from Video component ([5c1d5e0](https://github.com/winft/theseus-ship/commit/5c1d5e06498951b53e088484e3052293528b1581))
* remove output getter in platform ([5f1a73b](https://github.com/winft/theseus-ship/commit/5f1a73b49a0d696b9db9d9d3bb4576510039c8bb))
* remove placement function on taking control ([0b4233f](https://github.com/winft/theseus-ship/commit/0b4233f61000b6113f8f5600b7e0d511d662b766))
* remove PlasmaCore qml module (unused) ([5392c39](https://github.com/winft/theseus-ship/commit/5392c3987594d6298d4ebc292f1423d231b1438b))
* remove platform shortcut helpers ([b4c14ef](https://github.com/winft/theseus-ship/commit/b4c14efe19ef4733f88e9dd6772108c87b98fbfe))
* remove projection matrix create function ([d720f0c](https://github.com/winft/theseus-ship/commit/d720f0cedd489a3f27b1e7cce58050c6c5099705))
* remove Q_UNUSED macro for return values ([6e89e4a](https://github.com/winft/theseus-ship/commit/6e89e4a84deddf524f8e19d4ff98274e6296de4a))
* remove QtDBus includes ([f1a6fe6](https://github.com/winft/theseus-ship/commit/f1a6fe6e9a39c45b9f8d78d2cc4b41ce933fb50c))
* remove setNETDesktopLayout function ([48d7b08](https://github.com/winft/theseus-ship/commit/48d7b0810ae90489e49a03a8ca9330197755cbc8))
* remove shorcut loading flag ([e280a4c](https://github.com/winft/theseus-ship/commit/e280a4ca18d516ba15fb62d2bb30824aac2e2da8))
* remove subspace loading guard ([5210324](https://github.com/winft/theseus-ship/commit/5210324d91b858d4ce129b95cd3f24194642f8ee))
* remove subspace manager reference from grid ([44c075e](https://github.com/winft/theseus-ship/commit/44c075ecc5f0177884f10070707cf6ece6cb8c32))
* remove subspace slot functions ([e340d95](https://github.com/winft/theseus-ship/commit/e340d9518cd18e653203ca2ca66748a7a2e3b5de))
* remove subspaces only by pointer in manager API ([9068c38](https://github.com/winft/theseus-ship/commit/9068c38c669281bfcc14c3262a358885174074e1))
* remove suspicious C-style const cast ([b88b9be](https://github.com/winft/theseus-ship/commit/b88b9bedaa559301ed9abd32ba1a40c3cad3e97e))
* remove temporary rules ([3d5c048](https://github.com/winft/theseus-ship/commit/3d5c048bf0ec020be805ebdc715e6e055ce00044))
* remove unneeded QVariantList from KCM constructor args ([ad40e38](https://github.com/winft/theseus-ship/commit/ad40e38df3ded3dfa0ad3f1c4af9e81a3c2475f7))
* remove unused delay show option ([4bc5802](https://github.com/winft/theseus-ship/commit/4bc580203464e3708caf1caa27b56418945c68ee))
* remove unused forward declaration ([b17fe04](https://github.com/winft/theseus-ship/commit/b17fe04094e572421c40f71c4f535b403661e8dd))
* remove unused gestureCallback lambda ([d6c106f](https://github.com/winft/theseus-ship/commit/d6c106ffb0da2bf3e69710591c9e14647e5a518f))
* remove unused import module (scripted) ([467eb1e](https://github.com/winft/theseus-ship/commit/467eb1e843b80138ace033335735f10f7b891ac7))
* remove unused platform ctors ([e5e17be](https://github.com/winft/theseus-ship/commit/e5e17be6274bc2a0f5f3f9e11747d586a36c6c39))
* remove unused stuff in the scripts kcm ([57cc951](https://github.com/winft/theseus-ship/commit/57cc9516823397fecc770800c95cf642f9a8d5b1))
* remove update count function ([378617f](https://github.com/winft/theseus-ship/commit/378617f70980c0c5830b81082574fb7d78d36446))
* remove versioning from PlasmaCore module imports ([afac1a9](https://github.com/winft/theseus-ship/commit/afac1a90bb1bd5b6f0b821f540d8cd26158fa82a))
* remove virtual desktop functors ([fefa4e5](https://github.com/winft/theseus-ship/commit/fefa4e54765cd6a07d181f0188eb355800ea9fdc))
* remove window type from internal window ([8978e1e](https://github.com/winft/theseus-ship/commit/8978e1e1456fe97f4e5e675d446dee7f90e855b9))
* remove X-Plasma-MainScript from C++ codepaths ([06d783b](https://github.com/winft/theseus-ship/commit/06d783b7d12bff367adfc9921653044b38105e08))
* remove X11 sync on tabbox highlighting windows ([eae36c1](https://github.com/winft/theseus-ship/commit/eae36c1c28435158e2f1bc5a0da940053bc5fac1))
* rename space header ([8ebf5a9](https://github.com/winft/theseus-ship/commit/8ebf5a90d7a7c3bc034d3c6644c0cb413e429591))
* render texture without helper data struct ([20615c5](https://github.com/winft/theseus-ship/commit/20615c5286ece0c0a149575697995cd231ad44ed))
* reorder tabbox members ([2fd7c8c](https://github.com/winft/theseus-ship/commit/2fd7c8c9fc0ecb68289254e8b5d75b82a7eb6aa2))
* replace magic number with named enum member of NewStuff events ([468eb82](https://github.com/winft/theseus-ship/commit/468eb82d2e33a28adbacf05ebcca6eb9ad68c5f2))
* replace projection matrices with mvp concept ([a4123ff](https://github.com/winft/theseus-ship/commit/a4123ffd58c29ad4f3928ca1d4ba06522da10e00))
* replace y-inverted flag with content transform enum ([1aef18f](https://github.com/winft/theseus-ship/commit/1aef18ff86a12c8a0883f414e18520465dc28594))
* return early in selected functions ([33d8904](https://github.com/winft/theseus-ship/commit/33d8904c3064c6958a6b9a0ca0dd9f03fe9c8963))
* return session info directly ([df7fcbc](https://github.com/winft/theseus-ship/commit/df7fcbc394605c979f9948ca3e897a8baee69783))
* reuse session saving local variable ([25895a1](https://github.com/winft/theseus-ship/commit/25895a10f7cf82957456a7d525a863ed64dc18c1))
* **script:** add effect loader from platform ([b8481f1](https://github.com/winft/theseus-ship/commit/b8481f19072ea273b97ba2c0559f7c864b0af2ee))
* **script:** add options class ([efd1631](https://github.com/winft/theseus-ship/commit/efd163113938426df84abdf84e8924f5e344ec9d))
* **script:** drop "Item" suffix from WindowThumbnail/DesktopBackground ([6c31b4b](https://github.com/winft/theseus-ship/commit/6c31b4b6bad2d127d2359ee185eb4809c39abc23))
* **script:** drop clientDemandsAttentionChanged ([79bf3d8](https://github.com/winft/theseus-ship/commit/79bf3d886f6b70113e75fc9d9a2a3df227197f74))
* **script:** drop registerWindow() workaround ([cd39489](https://github.com/winft/theseus-ship/commit/cd39489f4639140f494d6f29a9448b4ae8555520))
* **script:** flatten directory hierarchy ([a6d645a](https://github.com/winft/theseus-ship/commit/a6d645a4810c3aa9e9c42b98d956dd142cdfb360))
* **script:** minor desktopchangeosd cleanup ([bcdf799](https://github.com/winft/theseus-ship/commit/bcdf79959cf7ab171c9e0a1b87660e91ac6d4d55))
* **script:** own windows in space ([ed060a9](https://github.com/winft/theseus-ship/commit/ed060a97f91be1553faba5b6ee0a534d699746a5))
* **script:** port desktop change osd to virtual desktop objects ([592bd3c](https://github.com/winft/theseus-ship/commit/592bd3c34e476a67ef90d5cc724381200f6d68b1))
* **script:** port desktopchangeosd away from PlasmaExtras.Heading ([202663b](https://github.com/winft/theseus-ship/commit/202663bb87987c144352b000e309a8a9ed0e5db9))
* **script:** port some scripts to org.kde.kwin v3 qml api ([640d40b](https://github.com/winft/theseus-ship/commit/640d40b29cb6bb0d8a6dc2e9d64969c79100591f))
* **script:** provide window properties as QString ([cf82464](https://github.com/winft/theseus-ship/commit/cf824646868eb9bb23b56ea2c1e8554b10899e09))
* **script:** refactor generic scripted config ([d87ca71](https://github.com/winft/theseus-ship/commit/d87ca719c0f15dc27a7d5f885671d81728cbdbee))
* **script:** remove desktop getter ([5fb475a](https://github.com/winft/theseus-ship/commit/5fb475a49edccbf064ed9d8be1e1336c7d98dbd4))
* **script:** set shortcut in platform function ([804c712](https://github.com/winft/theseus-ship/commit/804c712b38875d9e198350a763285fbbb3fd90e0))
* **script:** use a better path for scripts ([fdefa75](https://github.com/winft/theseus-ship/commit/fdefa75a0b7bf09aa0ff77d35aacbb7ca375edc5))
* send window to subspace respecting navigation wrapping ([93948dd](https://github.com/winft/theseus-ship/commit/93948dd3f2ee8d5e10b3a01e4769a9f6cf42272c))
* separate render options into own class ([3ed7e52](https://github.com/winft/theseus-ship/commit/3ed7e52bdc86032b864bf4c231d6809e08464cb9))
* separate windowing options into own class ([aa8f529](https://github.com/winft/theseus-ship/commit/aa8f529425fd6149902e76dd4f453cbc013f7c18))
* set application domain directly ([4618c20](https://github.com/winft/theseus-ship/commit/4618c20bfc3b0460fe3be6f2e231f12662d36fdd))
* set desktops in helper function ([f034798](https://github.com/winft/theseus-ship/commit/f0347989ff1d305694d6bd7af4614395c62478fe))
* set effect loader config directly ([9be87f4](https://github.com/winft/theseus-ship/commit/9be87f4917f8aa6aca41ca57c1ab6b2103b8f901))
* set net max state in member function ([d59e628](https://github.com/winft/theseus-ship/commit/d59e628fae9c4c308dd50804000c27933dced529))
* set net state in member functions ([c35a036](https://github.com/winft/theseus-ship/commit/c35a036520f4ac938da4c31b408f0a6a93249292))
* set render target size independently of viewport ([e078337](https://github.com/winft/theseus-ship/commit/e0783372f49bf6bc8615699989c1c9e53a03a8a1))
* set repaints variable earlier ([998e778](https://github.com/winft/theseus-ship/commit/998e778565521e93f56b06b1e63c9b7cc9cc6d24))
* set singleton interface only in helper function ([08270a9](https://github.com/winft/theseus-ship/commit/08270a9808c0e55702b3d8fa1bb830c09bae4636))
* setup effect handler in free functions ([e6187e4](https://github.com/winft/theseus-ship/commit/e6187e4aa079fb2fc55464f741789450b27f576f))
* setup session manager in X11 init ([f5fb835](https://github.com/winft/theseus-ship/commit/f5fb8350cf13f0673a0fc8495e2d18b8a5db73a4))
* setup virtual desktop manager in free function ([524352a](https://github.com/winft/theseus-ship/commit/524352a93f10d1147065ac642b047465f6f0c92a))
* simplify hidden preview handling ([b589f2c](https://github.com/winft/theseus-ship/commit/b589f2c8121db632d1f0ba598090270906edba37))
* simplify loading switcher from KPackage ([27d1fe2](https://github.com/winft/theseus-ship/commit/27d1fe20234b96191f284cc7635dd1c121308a4b))
* simplify tabbox in control ([2f3fbf7](https://github.com/winft/theseus-ship/commit/2f3fbf7281f6b273732f13c47192db22f5347b53))
* slightly refactor monitor size calculation ([b7a71d4](https://github.com/winft/theseus-ship/commit/b7a71d42e1344015571c8676370d48ee97566866))
* split compositor start functions ([d4b2ca6](https://github.com/winft/theseus-ship/commit/d4b2ca68834223e4f2d796f949807f2c968ef667))
* split gl interface utils ([7f04b67](https://github.com/winft/theseus-ship/commit/7f04b67c8d0d4e3cd66279b1c52a6be37e02d3a8))
* split up draw function ([23d8f52](https://github.com/winft/theseus-ship/commit/23d8f52e112a3c1b7d101d6bb3f738b41172c5e1))
* split up effect loader definitions ([f6d5811](https://github.com/winft/theseus-ship/commit/f6d581194b718f71a83245a15898a97ccec905b3))
* split up subspace files ([f7734a9](https://github.com/winft/theseus-ship/commit/f7734a900562febd37a5f404d22530dd6a0836e5))
* split X11 specific handler setup away ([3ad94f9](https://github.com/winft/theseus-ship/commit/3ad94f99feb069982847c6b596797e363b9ef241))
* split X11 specific setup functions away ([cc36f83](https://github.com/winft/theseus-ship/commit/cc36f833980b7d66e30fd148c7cf77dd85d191fc))
* store current fence in sync manager ([c7492ba](https://github.com/winft/theseus-ship/commit/c7492ba341e788ea7f7e168d8ee4d78a7619c103))
* store current subspace as raw pointer ([3cf4dca](https://github.com/winft/theseus-ship/commit/3cf4dcad328e81b521c50931de01f8caab200878))
* store private textures with unique_ptr ([7aa1c7d](https://github.com/winft/theseus-ship/commit/7aa1c7d8037554ca5f95090d4b3787ca81f250d5))
* store qml engine in smart pointer ([a482f69](https://github.com/winft/theseus-ship/commit/a482f699dc6d9f41d64c27e96120ccac5f7cee4f))
* store reference to cursor in cursor image ([4787f9f](https://github.com/winft/theseus-ship/commit/4787f9f5bef82f28b1ce359b2d825a0f5112c2c2))
* store render targets in render struct ([013ff62](https://github.com/winft/theseus-ship/commit/013ff627a21e10a9d161c34c6189b7f3ff690231))
* store subspaces in std::vector ([75eddcf](https://github.com/winft/theseus-ship/commit/75eddcf0ce78c4407cd0ffb46a185f97b9e10eef))
* switch subspace on screen edge with subspace pointers ([541a509](https://github.com/winft/theseus-ship/commit/541a509f351d489df494eaa706038fd3b6ff9265))
* template D-Bus subspace manager ([db81028](https://github.com/winft/theseus-ship/commit/db810287753e0a3e30c52bfbcbc463e361fc15b8))
* template effects over scene ([7a1739f](https://github.com/winft/theseus-ship/commit/7a1739f128f84aed5ee2e684dfa097648a9696ed))
* template mod struct ([a234278](https://github.com/winft/theseus-ship/commit/a23427864b58da7833e1cb218a4722d71521794a))
* template osd spy over input types ([74f13c8](https://github.com/winft/theseus-ship/commit/74f13c8f8153e1e7e420a9d43545431c7f317847))
* template randr filter ([35ac784](https://github.com/winft/theseus-ship/commit/35ac784b2309e18398c86311a2eee856c8f94234))
* template render functions in win module ([ad64a77](https://github.com/winft/theseus-ship/commit/ad64a77a5af1926ac0247b28bf0ce7f95eb749c1))
* template scene over compositor ([1c9b192](https://github.com/winft/theseus-ship/commit/1c9b19202b06a272edef9100800dffaa1b50f29e))
* template spaces over base ([a24d7a6](https://github.com/winft/theseus-ship/commit/a24d7a6fc7637da8dadb65ffa655862f4b79b01d))
* template wlroots base backend ([f84b8d3](https://github.com/winft/theseus-ship/commit/f84b8d32dfce1dd7e2ffe0cd884af81f74c6dc89))
* template wlroots render platform over Wayland platform ([8e28d78](https://github.com/winft/theseus-ship/commit/8e28d783b03ece29acb3487c7ff8d072de4868dc))
* template X11 output over platform ([e282b55](https://github.com/winft/theseus-ship/commit/e282b55e1f36405742b375dc4e005b57cec40a10))
* transfer subspace pointers instead of numbers ([fbb4587](https://github.com/winft/theseus-ship/commit/fbb45878003a47baba3dc2c03fe0b77928111484))
* unify subspace D-Bus additions ([16c8929](https://github.com/winft/theseus-ship/commit/16c89291b8838449e0f7868be15230375baaa06d))
* unify subspace number types ([c115281](https://github.com/winft/theseus-ship/commit/c115281ce6aaf15a0ec989fbccd7679803f16ad2))
* update active window in space member functions ([6a83630](https://github.com/winft/theseus-ship/commit/6a83630ad04b9f3f5f4f646c15cc512be0de119d))
* update key state in input module ([899f2c2](https://github.com/winft/theseus-ship/commit/899f2c2d7c8c15afe16e8677ddfde09fe5e7baae))
* update layout outside of root info update ([836f95f](https://github.com/winft/theseus-ship/commit/836f95f925642f679b4477946f6b7eab39b5e386))
* update showfps effect to QuickCharts API changes ([0067b50](https://github.com/winft/theseus-ship/commit/0067b507c619aba16017cc39459cc9daa2693af7))
* update space work areas in separate function ([b5229ae](https://github.com/winft/theseus-ship/commit/b5229ae81dfd2fc32b68ff8be282761650d2ea48))
* update subspace metadata in free function ([6d3a6e8](https://github.com/winft/theseus-ship/commit/6d3a6e814e0848a475c66386c651c7b9bde2cad6))
* update texture cache in separate function ([db7604a](https://github.com/winft/theseus-ship/commit/db7604abcae9adc915a2a946673b9e3347cd3162))
* update tool windows in space member functions ([4525241](https://github.com/winft/theseus-ship/commit/45252410a2bec606346a6692d6a870c19cce00ec))
* use current system clock time instead of x11 time ([6a491fa](https://github.com/winft/theseus-ship/commit/6a491fae0982d2d72a6d3cc5aa4e787eb6f2436e))
* use decltype for cursor ([6bc2b74](https://github.com/winft/theseus-ship/commit/6bc2b7457d0fd26231a94d240aa2b52645b96c1f))
* use KCMultiDialog to open decoration kcms ([58c4141](https://github.com/winft/theseus-ship/commit/58c414197ec72862ab3b9caa9ba7afbf7253b84d))
* use KPluginMetaData::fileName instead of KPluginMetaData::metaDataFileName ([e73b9c8](https://github.com/winft/theseus-ship/commit/e73b9c8699faa15126e67e4f77bccf9a0f385b64))
* use more conventional constructor argument order in EffectQuickView ([1428a7a](https://github.com/winft/theseus-ship/commit/1428a7a05e7798a97396e3312a402c29d4d5e359))
* use MouseArea as delegate root ([55ef715](https://github.com/winft/theseus-ship/commit/55ef715ded18a7d6c2cca15c7bf26c5a8cb0cdb0))
* use ranges to return outputs ([f80cba1](https://github.com/winft/theseus-ship/commit/f80cba150aef004d751074768ce821137c1b8f40))
* use std::bitset instead of a custom implementation ([cc3b7c5](https://github.com/winft/theseus-ship/commit/cc3b7c51638e35e884f032fab76df288ede7fb81))
* use std::stack for render targets ([ad1fd97](https://github.com/winft/theseus-ship/commit/ad1fd974fc013e24fd1732e23a7a31622b778b12))
* use The Compositor Modules ([ab0c24a](https://github.com/winft/theseus-ship/commit/ab0c24a7cb57a613dcfe110e75abfb1de3598482))
* use Wrapland output manager ([b273a4b](https://github.com/winft/theseus-ship/commit/b273a4b4a65e6dc4ef163ddfddad68b0cef55eef))
* use Xcursor to load theme ([94d0496](https://github.com/winft/theseus-ship/commit/94d0496680b5fed634f534d9e5fc56c366203760))
* **wl:** adapt to wlroots session create API change ([1ae83f2](https://github.com/winft/theseus-ship/commit/1ae83f2abf0a2dc1cb9ff7ae9871be32fb6a5b52))
* **wl:** adapt to Wrapland start function change ([8de3028](https://github.com/winft/theseus-ship/commit/8de3028fec0d8d0abd41bfe861c419ac47f14b22))
* **wl:** add parser options struct ([633a620](https://github.com/winft/theseus-ship/commit/633a62040db194349cc68c5980f5b12e1841eb2a))
* **wl:** cleanup includes ([8751b45](https://github.com/winft/theseus-ship/commit/8751b454108958656dd1cc38bbf466a6a0151da7))
* **wl:** cleanup platform in free function ([90f3377](https://github.com/winft/theseus-ship/commit/90f3377cca83e1f8288647e51955114d653a0e63))
* **wl:** create base options in free function ([59b6cc2](https://github.com/winft/theseus-ship/commit/59b6cc23a8d706d474367fe5b7249dfbf70227a2))
* **wl:** depend on wlroots 0.17 ([70e8447](https://github.com/winft/theseus-ship/commit/70e8447432c65a850288a8e0965b51d5a46a9f3b))
* **wl:** get X11 connection only from fd ([53743a5](https://github.com/winft/theseus-ship/commit/53743a50f3eff36e0228fef120ce5437207e3982))
* **wl:** include new wlroots transform header ([5f0377b](https://github.com/winft/theseus-ship/commit/5f0377b8ac29e264e74df5f6eab590c46caf3bc7))
* **wl:** introduce base platform arguments struct ([09dc0c0](https://github.com/winft/theseus-ship/commit/09dc0c07c6d1d09e6d16cfc8cac0f8716fbfb31b))
* **wl:** make ApplicationWayland standalone type ([9db40fa](https://github.com/winft/theseus-ship/commit/9db40fae2e35cc522cc0d503614bc8785b7b89e9))
* **wl:** merge start functions ([93825fd](https://github.com/winft/theseus-ship/commit/93825fd6cfc019cd5043aa682906bd605add53bd))
* **wl:** negate lock screen integration flag ([7d6d321](https://github.com/winft/theseus-ship/commit/7d6d321a11ea11518f7244b5dc8d468dba64b06c))
* **wl:** omit waiting on Xwayland ([39c6371](https://github.com/winft/theseus-ship/commit/39c6371abeebd6e348e4f65e6d8425ee9154165e))
* **wl:** remove ApplicationWayland ([65ffd33](https://github.com/winft/theseus-ship/commit/65ffd33958c01287b3068ffc2930edee371b24dc))
* **wl:** remove clock id getter ([c7b9d5c](https://github.com/winft/theseus-ship/commit/c7b9d5cc6b0bb67d5916eac2393745ae88860b46))
* **wl:** remove KCrash dependency ([cc38ace](https://github.com/winft/theseus-ship/commit/cc38acec3a5235d206e5876685f7109de2982d23))
* **wl:** remove libinput option ([77e01f5](https://github.com/winft/theseus-ship/commit/77e01f5076fb70a6a0c5565152a24dffd96e73df))
* **wl:** remove server ctor with socket fd ([6c3b9f9](https://github.com/winft/theseus-ship/commit/6c3b9f9b0b834d58d5e3e41eb5e17452d118f056))
* **wl:** remove Xwayland status callback ([703124b](https://github.com/winft/theseus-ship/commit/703124b1c6d656da680a763b852315f334520a03))
* **wl:** set environment variables in app singleton ([ffa2b8d](https://github.com/winft/theseus-ship/commit/ffa2b8d24f7ae009e5fa6d7c2ebf6f75a9b7cbf3))
* **wl:** simplify app dtors ([28f379f](https://github.com/winft/theseus-ship/commit/28f379f8add43b34e7793866e634fcda29257437))
* **wl:** simplify bump no file limit ([c5053a3](https://github.com/winft/theseus-ship/commit/c5053a3d2d513a1bd3baba21311a4f9f45192cfa))
* **wl:** start platforms through free function ([c0e4648](https://github.com/winft/theseus-ship/commit/c0e464807d4652bef0355249a39f8a8cf09de3e2))
* **wl:** store QApplication in app singleton ([9343762](https://github.com/winft/theseus-ship/commit/93437626fe05e90af824178863073b4dffecc21a))
* **wl:** use new wlroots render and pixel copy API ([d079a6c](https://github.com/winft/theseus-ship/commit/d079a6c83c1e8c64f81d2cf9741d8cb1504f68dd))
* wrap shortcut dialog in smart pointer ([9689969](https://github.com/winft/theseus-ship/commit/9689969520016784cc67bcc4ad4545a6668ad0b6))
* **x11:** drop ApplicationX11 ([98ccefd](https://github.com/winft/theseus-ship/commit/98ccefd27cbb45fefb4f515edd38798380034608))
* **x11:** own xcb event filter in space ([d690300](https://github.com/winft/theseus-ship/commit/d690300f208a5eedec7fa5ed2ee636e3dae4baa1))
* **x11:** provide replace option as argument ([b5275de](https://github.com/winft/theseus-ship/commit/b5275de1a7fd05e2a8a6c16d2efabca56aab46e4))
* **x11:** remove Q_OBJECT macro ([d27d777](https://github.com/winft/theseus-ship/commit/d27d7778c25a8bad42ec508f77b9ec7939c0e5a5))
* **x11:** remove unneeded header includes ([8a928e3](https://github.com/winft/theseus-ship/commit/8a928e3af5249d4976bdc3c5eed0cf4ff34da1dc))
* **x11:** set base x11 data in platform ctor ([0a20bca](https://github.com/winft/theseus-ship/commit/0a20bca623ab677b44a4b988c5a79d9a44e58a34))
* **x11:** setup crash handler directly ([ec7c42e](https://github.com/winft/theseus-ship/commit/ec7c42eec39fb66fd36cbb0f36445512f7a5db95))
* **x11:** store selection owner in STL smart pointer ([574b650](https://github.com/winft/theseus-ship/commit/574b6500adcef3b9b29e5c86d2e2833bfaebd952))

## [5.27.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.27.0-beta.0...kwinft@5.27.0) (2023-02-17)

## [5.27.0-beta.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.26.0-beta.0...kwinft@5.27.0-beta.0) (2023-02-16)


### Features

* align window properties ([88ecf4c](https://gitlab.com/kwinft/kwinft/commit/88ecf4c301007be258a44e041a21573bc110c295))
* change description for window border shortcut ([0e485ca](https://gitlab.com/kwinft/kwinft/commit/0e485cacc5b6d1a88a42e3d1d2775df89940c756))
* create wlr_texture for dmabuf buffers ([d7a4c10](https://gitlab.com/kwinft/kwinft/commit/d7a4c10dc4c0febef96592c401c73256a364e61a))
* create wlr_texture for internal images ([5b80f3a](https://gitlab.com/kwinft/kwinft/commit/5b80f3a4c43aca0f29e93ba73df1276435a73655))
* create wlr_texture for SHM buffers ([b2193d3](https://gitlab.com/kwinft/kwinft/commit/b2193d329441ad29ddcfa558728b53ee4afdbee3))
* **deco:** provide window class ([d1465f7](https://gitlab.com/kwinft/kwinft/commit/d1465f723abf22e581d2cdd5f3527dd8d2d902e3))
* **effect:** add "pressed" effect to desktop bar ([aad8795](https://gitlab.com/kwinft/kwinft/commit/aad87952d258a240124be58091fd54874534ceeb))
* **effect:** add ability to deactivate the effect by hitting the same screen edge ([f2f4515](https://gitlab.com/kwinft/kwinft/commit/f2f4515dc54ea446d10608ade63732786ef39f26))
* **effect:** add option for WindowHeap to not alter the layout ([0aa41ea](https://gitlab.com/kwinft/kwinft/commit/0aa41ead2a2c8b84f2e5cc27971b65d407df9c78))
* **effect:** add Overview effect ([edb8121](https://gitlab.com/kwinft/kwinft/commit/edb8121821a527c3a603f272f666203069ac22e8))
* **effect:** add QML version of the Desktop Grid effect ([95c1de4](https://gitlab.com/kwinft/kwinft/commit/95c1de4053d6404f4f4b11b9f01e2a4835042a02))
* **effect:** add QuickSceneEffect type ([da9f2e9](https://gitlab.com/kwinft/kwinft/commit/da9f2e97aa0c0afceee3f278624c99390fc62817))
* **effect:** add support for shaders in AnimationEffect ([08ba84f](https://gitlab.com/kwinft/kwinft/commit/08ba84fd5a45d8da7582d50f579f3ba8ad4f36bc))
* **effect:** add tooltip and accessibility info to close button ([5f4940c](https://gitlab.com/kwinft/kwinft/commit/5f4940c35498277c201341516408b6ab242e10f2))
* **effect:** add window filtering to overview ([e266ceb](https://gitlab.com/kwinft/kwinft/commit/e266ceb0203b16b7cdca6ad37c361ebb92b9af3c))
* **effect:** add window view "show windows from class on current desktop" mode ([c36c98b](https://gitlab.com/kwinft/kwinft/commit/c36c98b63afd33dd7d9cc03cc9db40d92c2102aa))
* **effect:** add Window View effect ([8413e39](https://gitlab.com/kwinft/kwinft/commit/8413e392a19aebdd4e7a1b2056dea3e5c868768c))
* **effect:** allow closing windows with touch ([afba40b](https://gitlab.com/kwinft/kwinft/commit/afba40b0c214ecbacd0d72d2361325f13397679f))
* **effect:** allow desktop switch in desktopgrid using digit and function keys ([f767639](https://gitlab.com/kwinft/kwinft/commit/f767639c4617cbaed4a5e24777b0739ff50d522b))
* **effect:** allow disabling expo cells ([c7ec31b](https://gitlab.com/kwinft/kwinft/commit/c7ec31b7ded6c84f26014c2334f54a7769cbb82a))
* **effect:** always set the mode when activating with gestures ([0e5115e](https://gitlab.com/kwinft/kwinft/commit/0e5115ebd2ce62ceaae2c6cf30487dc286654c59))
* **effect:** center-align edited desktop name ([04683e3](https://gitlab.com/kwinft/kwinft/commit/04683e3e8adfddffc4c118864f0775b39036b654))
* **effect:** do close animation after gesture ended ([ba0fe31](https://gitlab.com/kwinft/kwinft/commit/ba0fe31b05d467d6a8ec60cc78d64c8dd431da84))
* **effect:** drag windows between screens in WindowHeap ([a709231](https://gitlab.com/kwinft/kwinft/commit/a7092312e919f345bc0244b0ea42600727b73864))
* **effect:** drop EffectWindow::hasAlpha() ([ec503a1](https://gitlab.com/kwinft/kwinft/commit/ec503a1177b470dbe6bf83a0f03a0c7a4a5ff9df))
* **effect:** dynamically load effects that support edge activation ([3b0c612](https://gitlab.com/kwinft/kwinft/commit/3b0c6126a764d2a5c1dacd1e37a148495e10f1ed))
* **effect:** enable overview by default ([ed5e716](https://gitlab.com/kwinft/kwinft/commit/ed5e7164a85d30a58545fbe18d2473be52658f67))
* **effect:** expose updatePolish to QML via forceLayout() ([12fc34d](https://gitlab.com/kwinft/kwinft/commit/12fc34d07e6c913f9bb91e0308562250a36d18bc))
* **effect:** fade Searchfield in and out just like background ([9f00899](https://gitlab.com/kwinft/kwinft/commit/9f008992936cf6079f7d6873ca392d1dcbe60030))
* **effect:** get back option to hide minimized windows ([6a2bf5b](https://gitlab.com/kwinft/kwinft/commit/6a2bf5b5bb9963bbc227c4c77cc7e7a92e47d40b))
* **effect:** hide "Delete Desktop" button while dragging a window ([03fd331](https://gitlab.com/kwinft/kwinft/commit/03fd3311f87894ed3d141b69d2832f9a4d198a5a))
* **effect:** improve animation durations and easing curves in Windowheap-based effects ([7ebb938](https://gitlab.com/kwinft/kwinft/commit/7ebb9385ce99b0af2f4f40a0fcf9027ffafcc1c9))
* **effect:** increase animation speed for overview, windowview and desktop grid ([b88caa5](https://gitlab.com/kwinft/kwinft/commit/b88caa550c53c7437827ec2c03d496309c560113))
* **effect:** increase spring constant ([d51848e](https://gitlab.com/kwinft/kwinft/commit/d51848eb36796efa1a8a9d950ebdeda4c6a5ad7d))
* **effect:** introduce WindowHeap qml module ([949975c](https://gitlab.com/kwinft/kwinft/commit/949975c0191966ff073c099836544363a34ee0df))
* **effect:** make search field's placeholder text accurate ([cd3c32e](https://gitlab.com/kwinft/kwinft/commit/cd3c32ed44487209b92a021b5b1b280a481ce949))
* **effect:** make windowview replace present windows ([9b28c41](https://gitlab.com/kwinft/kwinft/commit/9b28c411a15358307ad6235d2be14b5d530edcaf))
* **effect:** provide output infos ([5b6100d](https://gitlab.com/kwinft/kwinft/commit/5b6100d872052a9716dfb747ef37e01a5a34c884))
* **effect:** re-add desktopgrid shortcuts to add and remove desktops ([8a69238](https://gitlab.com/kwinft/kwinft/commit/8a692387e8f8d0089fdaf8ef86918e1c32e5a5ed))
* **effect:** remove completely present windows ([ddfde2a](https://gitlab.com/kwinft/kwinft/commit/ddfde2a435837e2f14f90b08b5675367ba845a82))
* **effect:** remove Cover Switch effect ([8b1ee74](https://gitlab.com/kwinft/kwinft/commit/8b1ee74ddae1e024860de55a0545f0a51c053ecb))
* **effect:** remove Flip Switch effect ([9498f72](https://gitlab.com/kwinft/kwinft/commit/9498f72e2ef6a43fa9c398cccb1fbcd0daf06855))
* **effect:** remove SlideDocks option ([9b94fdd](https://gitlab.com/kwinft/kwinft/commit/9b94fddd8a385c430db8068b2c5419f0b48fb1f6))
* **effect:** replace "Show FPS" effect with a QML version ([8a41d78](https://gitlab.com/kwinft/kwinft/commit/8a41d78aa783689332ef96a6ff8ec1f15fc38ec5))
* **effect:** restore overview ability to close windows ([a49a131](https://gitlab.com/kwinft/kwinft/commit/a49a131b8363fbfc2b8079c94d8f91f8ead6f3cc))
* **effect:** set touchpad gestures to match 5.24 ([f2e9a6a](https://gitlab.com/kwinft/kwinft/commit/f2e9a6a4b8621cad9df5a3e11efbf77df39b181a))
* **effect:** stop highlighting WindowHeapDelegate when the effect is deactivated ([0336cd0](https://gitlab.com/kwinft/kwinft/commit/0336cd02bb452a7c1ed1096b7d41558c91134ebc))
* **effect:** support custom shaders in DeformEffect ([5bc948d](https://gitlab.com/kwinft/kwinft/commit/5bc948d5ece42fc5fa33afbe02afe931e4462c40))
* **effect:** support keyboard navigation between windows across desktops ([ed0bf98](https://gitlab.com/kwinft/kwinft/commit/ed0bf98acbe8ba56eb836c0a0fb1b1f421232b4e))
* **effect:** toggle all desktops on middle click ([4e89ab8](https://gitlab.com/kwinft/kwinft/commit/4e89ab8ea694d8dde86d381f4fed303ba817142f))
* **effect:** use mass-spring-damper model for animation ([9cdc66b](https://gitlab.com/kwinft/kwinft/commit/9cdc66b134a74ff42097af02c411945298f07548))
* **effect:** when an arrow key is not accepted look for adjacent views ([a96092a](https://gitlab.com/kwinft/kwinft/commit/a96092a7f5b6abbc7f1c6b27ee032e6b1d882103))
* expose a window's UUID via D-Bus ([4295089](https://gitlab.com/kwinft/kwinft/commit/4295089e74bd3574c7f164f7eca23b3965f42b4a))
* get supported dmabuf formats from wlroots ([4ac52d6](https://gitlab.com/kwinft/kwinft/commit/4ac52d63820fa27eb7b7dfd95f9e06778d0189e5))
* **input:** add global touchscreen gestures ([20eb8dd](https://gitlab.com/kwinft/kwinft/commit/20eb8dd921c5eb12db5a9270994462d2fa4627b2))
* **input:** implement desktopSwitching() interface for realtime animations ([a16ea63](https://gitlab.com/kwinft/kwinft/commit/a16ea6393f2bd0cd0ec409685418b7401c56eedf))
* **input:** make touchscreen gestures realtime ([68db0cc](https://gitlab.com/kwinft/kwinft/commit/68db0cc268af94da5ea90aeccb0c474f0438013d))
* **input:** support realtime activation for screen edges gestures ([498e21b](https://gitlab.com/kwinft/kwinft/commit/498e21bd5ec97eca1668b69f324c7bc39754acf2))
* make new virtual desktops have numbered names ([ecaace3](https://gitlab.com/kwinft/kwinft/commit/ecaace3fdd9e8dc1423355ff07788423424bc5b3))
* notify when a window does not provide a class ([597768f](https://gitlab.com/kwinft/kwinft/commit/597768f90a583386f41d79628d9c02a71aa84379))
* only move popups when reactive ([a64b2a2](https://gitlab.com/kwinft/kwinft/commit/a64b2a2dc42b1b24427e5deb10c151b239dbc7e5))
* register night color service name ([04a6726](https://gitlab.com/kwinft/kwinft/commit/04a6726ba6b4c320c690c8e1488c9be190a816b5))
* remove app screen number getter ([bb3b554](https://gitlab.com/kwinft/kwinft/commit/bb3b554a5986f65787899e73dc96f3f5fa9d8bd7))
* remove app X11 connection getter ([2bd1cbc](https://gitlab.com/kwinft/kwinft/commit/2bd1cbc9f0783e8686e9aec8c467e9773883f29d))
* remove app X11 root window getter ([24b18fe](https://gitlab.com/kwinft/kwinft/commit/24b18fe38bacc2b9e300f6eb65d8cf6003d6076c))
* remove app X11 time getter ([1f85310](https://gitlab.com/kwinft/kwinft/commit/1f8531008d86296843c49ec8512ee2d139932aa7))
* remove config lock option ([824c8a3](https://gitlab.com/kwinft/kwinft/commit/824c8a35956caf782fd9f369e82139398687a872))
* remove global default screen getter ([2fad921](https://gitlab.com/kwinft/kwinft/commit/2fad921fa132b1283790c19f50c4bff1116aebe5))
* remove global display size getters ([24975c8](https://gitlab.com/kwinft/kwinft/commit/24975c80b9d4ba2cfbb492fe533bd57487ebceaf))
* remove global X11 connection getter ([6a8c9f4](https://gitlab.com/kwinft/kwinft/commit/6a8c9f4361e70fb282d2070e47b3f62b029df7e4))
* remove global X11 root window getter ([7fdafb2](https://gitlab.com/kwinft/kwinft/commit/7fdafb294c6f9c855c3334daf318242d238bff40))
* remove global X11 time getter ([a7c0750](https://gitlab.com/kwinft/kwinft/commit/a7c075001b97b6fb151b8c5a0c0d573e91760846))
* remove Xrender backend ([e007739](https://gitlab.com/kwinft/kwinft/commit/e007739a8f9a93079c4c72a9993b7fbeac43c178))
* render thumbnails into QtQuick windows ([19d5a2b](https://gitlab.com/kwinft/kwinft/commit/19d5a2b25282ce5c0ae4e0dafbd39b0179cf763c))
* **script:** add convenience DesktopBackgroundItem type ([25901bc](https://gitlab.com/kwinft/kwinft/commit/25901bc51e0ae2f00182908699ba6ea015b14b32))
* **script:** add desktops property ([4dadb63](https://gitlab.com/kwinft/kwinft/commit/4dadb63d444ec029815ca681d00e4db19fe3789d))
* **script:** add realtime screen edges gestures for scripted effects ([36646c4](https://gitlab.com/kwinft/kwinft/commit/36646c4197702b1a701f52b85decd30e5a08f549))
* **script:** add to window isOnDesktop that takes VirtualDesktop ([e8d1cc9](https://gitlab.com/kwinft/kwinft/commit/e8d1cc92fbac77e9be79eacbdf4e6b8864f04646))
* **script:** add to window isOnOutput ([380e2e3](https://gitlab.com/kwinft/kwinft/commit/380e2e30c460ff1ca97b13b92cad7723656ad767))
* **script:** draw window thumbnails with drop shadows ([d22d6bd](https://gitlab.com/kwinft/kwinft/commit/d22d6bd8618426f05fafb52473f8c38bf38bc187))
* **script:** introduce workspace.currentVirtualDesktop property ([91f28e0](https://gitlab.com/kwinft/kwinft/commit/91f28e081f9d2f69f6b732bb581c6851c1700ae9))
* **script:** log callDBus errors at warning level ([504fe85](https://gitlab.com/kwinft/kwinft/commit/504fe850c0445ed0c0b1daeab79173197e192f5f))
* **script:** make client filter model take virtual desktop ([048d91b](https://gitlab.com/kwinft/kwinft/commit/048d91bad2c05b049509769d7c1f1eea5ac1bd4c))
* **script:** provide clientArea() overloads that take VirtualDesktop objects ([cdb791e](https://gitlab.com/kwinft/kwinft/commit/cdb791e29c24345487fdd1776bd1c95007d11000))
* **script:** support shaders in scripted effects ([a4629a0](https://gitlab.com/kwinft/kwinft/commit/a4629a0e8ec1a38c63447cd5f774c097ed97779e))
* set a title for error messages ([04ed290](https://gitlab.com/kwinft/kwinft/commit/04ed2909724813267c579ce43f134aefa1fd214a))
* support idle notify protocol ([7c4446b](https://gitlab.com/kwinft/kwinft/commit/7c4446ba30ef0f4232d5c6d9d332dc7736e3cf41))
* support xdg-popup repositioning ([c99cbb9](https://gitlab.com/kwinft/kwinft/commit/c99cbb9af9265bb4ca73631da0e57f0a95984676))
* support xdg-toplevel bounds ([d1db35b](https://gitlab.com/kwinft/kwinft/commit/d1db35ba1f3ac998cc41d94b00282d8728ff69ce))
* support xdg-toplevel wm-capabilities ([953ba9a](https://gitlab.com/kwinft/kwinft/commit/953ba9aff7e409d1c470386feaeafa8f6832bccf))


### Bug Fixes

* adapt to wlroots backend session creation change ([a0c6426](https://gitlab.com/kwinft/kwinft/commit/a0c6426cbc31af5eeb9a8d2425e1b16d27982a6b))
* add virtual destructor to base class ([b0af305](https://gitlab.com/kwinft/kwinft/commit/b0af3052ddcb44638b946d52c92194ee573a96d2))
* add virtual destructor to base class ([447189f](https://gitlab.com/kwinft/kwinft/commit/447189fe67f594d7ee3d72579d35ab7c8c1af2e7))
* check for null group ([1dda7df](https://gitlab.com/kwinft/kwinft/commit/1dda7df0e249fc64f31d05980046e7743477c97d))
* configure size for maximization placement policy directly ([ae022b0](https://gitlab.com/kwinft/kwinft/commit/ae022b08f18e66845ecf90bfa6d3eadd2348dbb5))
* copy container to not modify it while looping ([f61cae6](https://gitlab.com/kwinft/kwinft/commit/f61cae688386a8a66c5ec40fabb844a5fd9f1583))
* correct double click behavior over the thumbnail ([83e0e53](https://gitlab.com/kwinft/kwinft/commit/83e0e53adbf849015177048ab298f2a232e1ab51))
* correct effect loading/unloading order ([1a58e5b](https://gitlab.com/kwinft/kwinft/commit/1a58e5b325e134d0cca75cc070d0b17f3d1e9fb8))
* correct member variable initialization order ([251a04f](https://gitlab.com/kwinft/kwinft/commit/251a04f39cda141797714fa20f25fa1d81452ac5))
* disconnect frame renders when ThumbnailItem has no window ([413bbf5](https://gitlab.com/kwinft/kwinft/commit/413bbf5835255de84beba9c10756df138494f652))
* don't crash on gpu resets ([3c8eac5](https://gitlab.com/kwinft/kwinft/commit/3c8eac592b9c3de4d6a1ea467748d4a34f3d6f9f))
* don't force QT_NO_GLIB=1 ([055ad88](https://gitlab.com/kwinft/kwinft/commit/055ad8887ffc22b58a454d7895a94a78f09535d5))
* don't force QT_QPA_PLATFORM=xcb ([2f7c92a](https://gitlab.com/kwinft/kwinft/commit/2f7c92a9c5279a98cf10e452bd75259d1bce8ba1))
* don't offer switcher from global themes that don't ship a switcher ([46c85a8](https://gitlab.com/kwinft/kwinft/commit/46c85a839ccbe7a1ce49b6efbc756faddc39e72b))
* **effect:** accept keys in windowheap conditionally ([7c36fc8](https://gitlab.com/kwinft/kwinft/commit/7c36fc8d907a23e627b139781a1639091826b7cf))
* **effect:** actually fade out minimized windows on exit ([acfeac1](https://gitlab.com/kwinft/kwinft/commit/acfeac17994069ae7cef6e8a09867dbfc26bd682))
* **effect:** add another guard for multi-screen Drag&Drop ([e037874](https://gitlab.com/kwinft/kwinft/commit/e037874d7232ae8e9bcbdc8a66864bf989cfd41a))
* **effect:** add explicit spacing for desktopgrid buttons layout ([071c44d](https://gitlab.com/kwinft/kwinft/commit/071c44deb016f5f98f0a8be5dbf49aaa28fcde34))
* **effect:** add ExposeClassCurrentDesktop shortcut to KCM ([00b403c](https://gitlab.com/kwinft/kwinft/commit/00b403c8a405517c4d950c5726d44f96c3c144f6))
* **effect:** allow entering spaces in search field ([cbf7044](https://gitlab.com/kwinft/kwinft/commit/cbf70447f8e49d6e587d51d2b5c0f0872a33ed12))
* **effect:** also cancel translucencyMoveResizeAnimations ([e2da99b](https://gitlab.com/kwinft/kwinft/commit/e2da99b31cf28e9b3215d8d46ec08506f7887ecc))
* **effect:** always use Title Case for user-facing effect titles ([9a63ad9](https://gitlab.com/kwinft/kwinft/commit/9a63ad98c0722f22dd4e723ae641a214f599dea9))
* **effect:** anchor on a placeholder message in overview ([f4d3bca](https://gitlab.com/kwinft/kwinft/commit/f4d3bca783f8290d251b8347e114f46e197c5fc0))
* **effect:** animate the placeholder just like the search field ([cd8fb2b](https://gitlab.com/kwinft/kwinft/commit/cd8fb2b09418708451c7d9fe5de43db0830ffed2))
* **effect:** animate windows scaling back from a desktop bar ([cbe3047](https://gitlab.com/kwinft/kwinft/commit/cbe3047f973031e27a2365aa01149d3c51d235ce))
* **effect:** avoid capturing hidden cursor ([3a08527](https://gitlab.com/kwinft/kwinft/commit/3a08527c094185a96f9bd0c660e5cbffe6239a11))
* **effect:** better handle windows on all desktops in slide effect ([fb0219f](https://gitlab.com/kwinft/kwinft/commit/fb0219fadb15436554561e977499056a36466b98))
* **effect:** bind to search field using textEdited signal ([a17894e](https://gitlab.com/kwinft/kwinft/commit/a17894eb0587fa4b0a84c26b70a0696dbd21e2f5))
* **effect:** bind to search field using textEdited signal ([ccde574](https://gitlab.com/kwinft/kwinft/commit/ccde574376f097570136419f35e77cd741a777ac))
* **effect:** catch unable to assign [undefined] to int ([d87b464](https://gitlab.com/kwinft/kwinft/commit/d87b464e15e47a2b7ce16f011bd1746191f1fa37))
* **effect:** close windows in desktopgrid on middle click ([023d103](https://gitlab.com/kwinft/kwinft/commit/023d1039f0a4244f004ad28aa736b54817b6c62f))
* **effect:** constify function for iterator validation ([3d13e81](https://gitlab.com/kwinft/kwinft/commit/3d13e81708f9638ee72a9e986ca5e98bd8cf106a))
* **effect:** correct "active class" mode ([9f29ee9](https://gitlab.com/kwinft/kwinft/commit/9f29ee974a598868c9dbefa514d76b70b2f336eb))
* **effect:** correct "Toggle Present Windows (Window class on current desktop)" shortcut ([feaf97d](https://gitlab.com/kwinft/kwinft/commit/feaf97de9986d894c51566d6437e00a2d2309067))
* **effect:** correct a type mismatch warning in WindowHeap ([13f3dfc](https://gitlab.com/kwinft/kwinft/commit/13f3dfc356233855419da1e26cf810234effd0f5))
* **effect:** correct background highlight having extra size ([e931429](https://gitlab.com/kwinft/kwinft/commit/e931429f6ea7b9a40dc258030aa8b3f9fa427fa7))
* **effect:** correct desktopgrid config group name ([3f37c86](https://gitlab.com/kwinft/kwinft/commit/3f37c86518c64726047cf6d50e2591f2647306fc))
* **effect:** correct dragging especially by touch ([879c2ae](https://gitlab.com/kwinft/kwinft/commit/879c2aeb6038a2aac7ca53bc47c3a53568f75420))
* **effect:** correct ExpoLayout reflowing in Desktop Grid while dragging ([e5c6054](https://gitlab.com/kwinft/kwinft/commit/e5c60547f82aded2722afb28c049e3a072d3ae99))
* **effect:** correct gesture direction ([07aac44](https://gitlab.com/kwinft/kwinft/commit/07aac4429f4f14b60195c296a77df52620729500))
* **effect:** correct grid's size and scale w.r.t. row/column spacing ([970e266](https://gitlab.com/kwinft/kwinft/commit/970e266ff3f0fa9fae90f470532752f8740cadd0))
* **effect:** correct initial hidden state and initially hide windows from other desktops ([0c5c39f](https://gitlab.com/kwinft/kwinft/commit/0c5c39f1cd036bb1db607c1a9d6b171e2e822548))
* **effect:** correct internal tracking for quick effect item focus ([22f544e](https://gitlab.com/kwinft/kwinft/commit/22f544e6615885b73ab320bd783f40674f7221ff))
* **effect:** correct keyboard navigation while filtering ([1a0da0a](https://gitlab.com/kwinft/kwinft/commit/1a0da0a2596af64eab1db7a9704086ed4a7700ed))
* **effect:** correct multi-screen drag-and-drop in WindowHeap ([ae7c91e](https://gitlab.com/kwinft/kwinft/commit/ae7c91e37629a1633f44cf72614de905af3c891b))
* **effect:** correct panel opacity animation during transition ([e6346e4](https://gitlab.com/kwinft/kwinft/commit/e6346e42911e455ef54722012160cf5d0f9b9848))
* **effect:** correct size of active virtual desktop highlight outline ([c757163](https://gitlab.com/kwinft/kwinft/commit/c757163412333418860920b000bb48b85360d8bf))
* **effect:** correct stacking order and initial visibility ([52ce021](https://gitlab.com/kwinft/kwinft/commit/52ce0218c75f639c2b855c30a08b1808978bb8b0))
* **effect:** correct stacking order of windows relative to panels ([af4714a](https://gitlab.com/kwinft/kwinft/commit/af4714ada59e88d755cbfdca2616b055e8447668))
* **effect:** correct the math of the down gesture ([bb52418](https://gitlab.com/kwinft/kwinft/commit/bb52418ad3d88666b6d3499f3302adfc5956c19a))
* **effect:** correct window dragging in desktop grid ([9fdffd0](https://gitlab.com/kwinft/kwinft/commit/9fdffd0f2af119a8df8f3665c75294c9aa877c0d))
* **effect:** correct window highlighting in WindowHeap ([5664a76](https://gitlab.com/kwinft/kwinft/commit/5664a76006b8520a98d04e24de73055deefd934f))
* **effect:** correct windows visibility during partial activation (realtime gesture) ([0063189](https://gitlab.com/kwinft/kwinft/commit/006318979a78b8d0cf6e659c5909e4542a8d1243))
* **effect:** correctly clip when sliding virtual desktops ([b8fc50a](https://gitlab.com/kwinft/kwinft/commit/b8fc50afd539579aa8db4a540f76f84d4b7c40a9))
* **effect:** correctly map NaturalX/Y to scene coordinates ([f79fb78](https://gitlab.com/kwinft/kwinft/commit/f79fb7883a255798257a6b2d04cba61c9b330fb2))
* **effect:** don't accept  space and enter key events in empty WindowHeaps ([1050ba0](https://gitlab.com/kwinft/kwinft/commit/1050ba0bfc8373c42256a415aea489da747c6933))
* **effect:** don't allow setting non-global shortcuts ([7742e97](https://gitlab.com/kwinft/kwinft/commit/7742e97e6ec96b2e12f97f0e599eb512f01461a5))
* **effect:** don't allow setting non-global shortcuts ([f3cc717](https://gitlab.com/kwinft/kwinft/commit/f3cc7179bf1fe4fa42e68464cb9ad36125b2fc6b))
* **effect:** don't lose cursor shape while dragging a desktop ([fad077f](https://gitlab.com/kwinft/kwinft/commit/fad077f65a6a83ada83045f5fcabba7dad3c699b))
* **effect:** don't show another window's hover/highlight while dragging ([7a22b14](https://gitlab.com/kwinft/kwinft/commit/7a22b144581480704c297f2d91a8d3a261b3e4af))
* **effect:** don't sync natural size to intended sizes ([be67ec5](https://gitlab.com/kwinft/kwinft/commit/be67ec5a6d1adab00c34c329960498d916ea622c))
* **effect:** don't use Plasma-themed icons in Present Windows ([f9e0b1c](https://gitlab.com/kwinft/kwinft/commit/f9e0b1ce42c45e3bbfcc7081ce68870968b17228))
* **effect:** don't use the plasma theme for icons in overview ([469ea5a](https://gitlab.com/kwinft/kwinft/commit/469ea5a75deb430ae5cb262dc3f4ed2f5fd64663))
* **effect:** ensure that diminactive m_activeWindow is always reset ([bf538db](https://gitlab.com/kwinft/kwinft/commit/bf538db543ac85a10efc3e9debe97f55271b9c76))
* **effect:** expand size of highlight ([1cab543](https://gitlab.com/kwinft/kwinft/commit/1cab543d28731f9884965aa9157dc2cdaa69369b))
* **effect:** guard against function execution when component is being destroyed ([097061d](https://gitlab.com/kwinft/kwinft/commit/097061d521eb53a8c37c1520647c0961beff6ceb))
* **effect:** handle windows from other virtual desktops better ([8c0709c](https://gitlab.com/kwinft/kwinft/commit/8c0709c3371f159cea47cbdfab35c53fa6c76f3c))
* **effect:** hide overview panels ([8a453a4](https://gitlab.com/kwinft/kwinft/commit/8a453a49f52abbe785158969d3706f9a947d9e8d))
* **effect:** hide window icon and label when excluded ([50131b4](https://gitlab.com/kwinft/kwinft/commit/50131b40c481396a05437e39c8b3a29c7ec89d0c))
* **effect:** ignore fullscreen windows for blendchanges ([bf04d6d](https://gitlab.com/kwinft/kwinft/commit/bf04d6d74db5cd19cb8820f2a97225c400787267))
* **effect:** improve gesture handling in some effects ([6de7e92](https://gitlab.com/kwinft/kwinft/commit/6de7e920d5c2e4ea9227465b8cfa57b32163edf2))
* **effect:** make add/delete Virtual Desktop buttons in overview consistent ([3736156](https://gitlab.com/kwinft/kwinft/commit/3736156ad4ccae26e82054a3ef87fea06578561d))
* **effect:** make desktop grid check for active effects before responding to gesture ([f7841a9](https://gitlab.com/kwinft/kwinft/commit/f7841a9cf9924e485af34198afdc1f9e1c39077d))
* **effect:** make WindowHeap try to fill gaps ([4468b3b](https://gitlab.com/kwinft/kwinft/commit/4468b3b2e44aa76439a0fd565f473f8d308a8e48))
* **effect:** manage Drag in a TapHandler which accepts also touch ([0e0547e](https://gitlab.com/kwinft/kwinft/commit/0e0547e63a204f53242cabfb891403a3cb0dfcd7))
* **effect:** move blendchanges chain position after blur and backgroundcontrast ([a190fe4](https://gitlab.com/kwinft/kwinft/commit/a190fe4c092fb203d14c180a8858ba12f41c0e2d))
* **effect:** move blur and contrast to the front in the effect chain pos ([5ec0e68](https://gitlab.com/kwinft/kwinft/commit/5ec0e6815c3f0ce7359c9ab60af998f9842adfa0))
* **effect:** move highlight inside thumbnail component ([1fa255c](https://gitlab.com/kwinft/kwinft/commit/1fa255c86aa3da4280a887c7a31e264535fda15b))
* **effect:** only swap windows on current activity ([0416b4e](https://gitlab.com/kwinft/kwinft/commit/0416b4e91e32268432835ee240833d762c473444))
* **effect:** prevent fading windows from moving downward in WindowView effect ([28107ea](https://gitlab.com/kwinft/kwinft/commit/28107ea268e892393375b99cfae796fd8b6a164c))
* **effect:** prevent panels losing blurred background when gesture is active ([dd9e07f](https://gitlab.com/kwinft/kwinft/commit/dd9e07f22fa3082730c602bb05562635dc0754aa))
* **effect:** prevent playing animation for invisible windows ([5d7dccd](https://gitlab.com/kwinft/kwinft/commit/5d7dccd9374e1d22fb383ed95844e57ef79f095b))
* **effect:** put the hostpot at the press position ([dbe2a97](https://gitlab.com/kwinft/kwinft/commit/dbe2a9727d97616cfaaf33916cc6a4a061842fbb))
* **effect:** raise currently dragged window higher than anything ([d862438](https://gitlab.com/kwinft/kwinft/commit/d862438b64cfc3d14df44a6d7e6dfc5d4ffd63db))
* **effect:** redirect key events to search field ([ce49900](https://gitlab.com/kwinft/kwinft/commit/ce4990044b27d4b376913b7a31919de0e2157034))
* **effect:** replace deprecated enum-enum conversion ([296000f](https://gitlab.com/kwinft/kwinft/commit/296000f4506c3e7a6e4193e0436b7c7acd55241b))
* **effect:** replace highly opmitized animators with animations which work ([9cf0c90](https://gitlab.com/kwinft/kwinft/commit/9cf0c90ef1e7080ec76ec3a320f070e588a7bfe7))
* **effect:** replace PlasmaCore.Units.largeSpacing with gridUnit ([d9b593b](https://gitlab.com/kwinft/kwinft/commit/d9b593bace619d7c8d1170e241858b4a8862a0f1))
* **effect:** restore position correctly when dropping a window ([3f436ce](https://gitlab.com/kwinft/kwinft/commit/3f436ce154d853901778815170424f5b82cc1b96))
* **effect:** rework slide internals ([6ae9bac](https://gitlab.com/kwinft/kwinft/commit/6ae9bac5180a17b89eb74ac682af927fc5c72fbc))
* **effect:** scale of windows when dragging them upwards in overview ([9475fc4](https://gitlab.com/kwinft/kwinft/commit/9475fc46a96e54333cc7e241700ef59d7a292ce9))
* **effect:** search on all screens ([1aa1b48](https://gitlab.com/kwinft/kwinft/commit/1aa1b483ada25f27b5943b73cf512f2455939517))
* **effect:** set required property for default WindowHeapDelegate ([f674868](https://gitlab.com/kwinft/kwinft/commit/f6748685681c20f123eeb5fa5afc260330f1273f))
* **effect:** set translation domain for the placeholder text ([d16a6d8](https://gitlab.com/kwinft/kwinft/commit/d16a6d8b82b591f936442821c603bbf8b3bba885))
* **effect:** turn placeholder on when there are actually no visible windows ([2bf0127](https://gitlab.com/kwinft/kwinft/commit/2bf012712dd30c5a6c032b779b8335d815c4e66c))
* enable scripted effects to load config translations from the kpackage ([01e0881](https://gitlab.com/kwinft/kwinft/commit/01e0881724ea62df057f87903a2d42ab741b401b))
* ensure early input devices get added to D-Bus interface ([cd41d6a](https://gitlab.com/kwinft/kwinft/commit/cd41d6a397e1af09afdaf8f55020b2a4d71e9456))
* ensure we dont leak file descriptors ([3907662](https://gitlab.com/kwinft/kwinft/commit/390766204aa5e2260746a21c85c9e3bde24d26ba))
* guard window thumbnail rendering against software QtQuick backend ([f51f956](https://gitlab.com/kwinft/kwinft/commit/f51f95689eb4103db94e08e94e7691b5ba6dcc50))
* highlight non-default shortcuts ([aa4422d](https://gitlab.com/kwinft/kwinft/commit/aa4422d17c2a2e1cf8abfa5adc329e098e6983ab))
* ignore critical notifications in window heap effects ([3e2da0a](https://gitlab.com/kwinft/kwinft/commit/3e2da0a349b8c1f352abbfd69d87bacf41b45eb2))
* **input:** check on pointer before updating ([41b0de8](https://gitlab.com/kwinft/kwinft/commit/41b0de812a27a271c5cfce30d27aa26a4566892d))
* **input:** don't try to create a QChar from a non-char key enum ([e863624](https://gitlab.com/kwinft/kwinft/commit/e863624cf622604b170c9751389d6b3c7c0451cc))
* **input:** implement isEnabledByDefault D-Bus method ([3489d18](https://gitlab.com/kwinft/kwinft/commit/3489d180de095f6bea5b0017a61f66d0bf030ed6))
* **input:** limit progress range for pinch gestures ([3f2ad05](https://gitlab.com/kwinft/kwinft/commit/3f2ad0536f7f0c628896c34c9d9b5e4e34709dde))
* **input:** prevent deciding on a direction too early in gestures ([26ed7fa](https://gitlab.com/kwinft/kwinft/commit/26ed7faa624532e54326c69c475d309624183e05))
* **input:** recognize very slow gestures ([3c26efe](https://gitlab.com/kwinft/kwinft/commit/3c26efe5917ebbb17fa84dce7926387a01bcd9e7))
* make tabbox shortcuts config save on apply ([46e03fd](https://gitlab.com/kwinft/kwinft/commit/46e03fd98a62f88b88a2bed9be49304effc7b069))
* mark virtual functions override ([cec0cfa](https://gitlab.com/kwinft/kwinft/commit/cec0cfa1f09ec2cf51032e931a18260d24231473))
* place on global default ([890c404](https://gitlab.com/kwinft/kwinft/commit/890c404873566f22ce6ff18a3bc45d639519a3dc))
* provide hidpi window thumbnails ([fb57114](https://gitlab.com/kwinft/kwinft/commit/fb571142732fbd9cdb1a88947c275511bf2db584))
* **qpa:** improve EGL config selection ([4a001ce](https://gitlab.com/kwinft/kwinft/commit/4a001ce430031cec74f8f495232b655b1303b9d8))
* rearrange template functions ([16bca14](https://gitlab.com/kwinft/kwinft/commit/16bca14cb12071264caa3ece3bc2c85a1e9727cd))
* reintroduce checks for layer update ([a8bb1d7](https://gitlab.com/kwinft/kwinft/commit/a8bb1d7514e3c9223a85ccac87722925c6aac5ed))
* remove public declaration of the KWin::FPx2 debug stream operator ([5ef9873](https://gitlab.com/kwinft/kwinft/commit/5ef987361da60c87cb7737aaad8b747950378fe2))
* render EffectFrame using XRender ([bce1255](https://gitlab.com/kwinft/kwinft/commit/bce12559f3770025be25159e9d14f605762f5412))
* render only non-remnant internal windows as overlays ([901f86b](https://gitlab.com/kwinft/kwinft/commit/901f86b3c86aff55d2baa69ccdc2d571fc3d154c))
* **scene:** add missing references to performPaint ([abcae36](https://gitlab.com/kwinft/kwinft/commit/abcae36f755f269b933eea7dfb08f0c868898721))
* **script:** adapt to QQuickWindow::createTextureFromNativeObject being gone in Qt6 ([ce86f65](https://gitlab.com/kwinft/kwinft/commit/ce86f65b6bde895fc0f67ac179a3eeef8a2b1cc3))
* **script:** adapt to QtConcurrent API changes in Qt6 ([618bf28](https://gitlab.com/kwinft/kwinft/commit/618bf280858726da508615adb177e019cf537ec4))
* **script:** avoid null windows in QML effects ([7092cc5](https://gitlab.com/kwinft/kwinft/commit/7092cc5b9870b3d730209e795701c250576d9edd))
* **script:** guard against nullptr m_client in WindowThumbnailItem ([39e0136](https://gitlab.com/kwinft/kwinft/commit/39e0136a560b4498cbd437721ab53caacc93a2a0))
* **script:** make thumbnaills use linear filter ([b394d9f](https://gitlab.com/kwinft/kwinft/commit/b394d9f0de95c799927474dcac7300d9d8781415))
* **script:** prefer desktop window with size matching output ([a1bd8db](https://gitlab.com/kwinft/kwinft/commit/a1bd8db3d89369d16351574581d8c7a581396b3e))
* set base singleton interface platform on X11 ([969c896](https://gitlab.com/kwinft/kwinft/commit/969c896bc5bb83e43c7a7d800bd0e5bad98ee9e2))
* set compositor space pointer to null on shutdown ([b2692e7](https://gitlab.com/kwinft/kwinft/commit/b2692e798865893289b2b29253e09fe85b422c30))
* set transient subclass types directly without casts ([c637b80](https://gitlab.com/kwinft/kwinft/commit/c637b804c465a34f891e1c84556a32bcdd4a1425))
* set virtual desktops singleton ([527b72d](https://gitlab.com/kwinft/kwinft/commit/527b72dd269a250a38d49ba8627ab670ba9c9e08))
* signal current output change with separate signal ([b399c40](https://gitlab.com/kwinft/kwinft/commit/b399c403ce0159054ffd6fe3ee81928b9d30f7b9))
* **space:** cancel interactive desktop switching if desktop has not changed ([a366752](https://gitlab.com/kwinft/kwinft/commit/a3667529a4956cbadb6fe2789bcf34ca2e367ebf))
* **space:** make VirtualDesktopManager update grid dimentions when only 1 desktop ([49c4cea](https://gitlab.com/kwinft/kwinft/commit/49c4ceae5297e17e26558b95172be18ef646df7a))
* textX11Client leaked slot connection cause segfault ([a465c09](https://gitlab.com/kwinft/kwinft/commit/a465c0908e1dd285b407df6a6e58af1cad490183))
* use free on allocated memory with malloc ([3f847c2](https://gitlab.com/kwinft/kwinft/commit/3f847c2bdc0e73cbc1a1614da112fb6d73897c32))
* use Kirigami.ActionToolBar for the footer actions ([48bf6e5](https://gitlab.com/kwinft/kwinft/commit/48bf6e5ec6f948f976daf8eb01432eed47236ed0))
* use new term "Peek at Desktop" ([f3a32ea](https://gitlab.com/kwinft/kwinft/commit/f3a32ea1f6fe886a416e771280834b5cb0d858cf))
* use Night Color icon for OSD ([7b603cc](https://gitlab.com/kwinft/kwinft/commit/7b603ccaa3b1c8565882352dccc3b12561aa5ffe))
* use Q_EMIT keyword ([8fbe32c](https://gitlab.com/kwinft/kwinft/commit/8fbe32cbdbad92b864f83ce4b0b9b2167e92894d))
* use window class and role with original casing to match rules ([6deb98d](https://gitlab.com/kwinft/kwinft/commit/6deb98d690611583a1a4d2d0db70a1c3b6b2ef58))


### Refactors

* adapt to deprecated KWindowSystem API ([5adfac0](https://gitlab.com/kwinft/kwinft/commit/5adfac0c9d2eaa18d62d5c6c57b1c4f4228c78b8))
* adapt to Wrapland cursor surface change ([d111c66](https://gitlab.com/kwinft/kwinft/commit/d111c669a01ed3d2b01f92e067584062aae3eb7f))
* adapt to Wrapland pointer confine changes ([897d0da](https://gitlab.com/kwinft/kwinft/commit/897d0daf5af9415624351408a744a02358105091))
* adapt to Wrapland xdg-shell positioner client changes ([edfdb33](https://gitlab.com/kwinft/kwinft/commit/edfdb33f9f3c7b987564e4b2a78cbb9cefadc8c9))
* adapt to Wrapland xdg-shell positioner server changes ([fea41f3](https://gitlab.com/kwinft/kwinft/commit/fea41f395c8b29b0bcfe2a92292c56c325c38380))
* adapt to Wrapland xdg-toplevel configure data change ([943b325](https://gitlab.com/kwinft/kwinft/commit/943b3255ee59b27817d0b3f8a05310f8decbaf67))
* adapt to Wrapland xdg-toplevel state change ([547875a](https://gitlab.com/kwinft/kwinft/commit/547875a0b152da7fe436f5fdb09205ddd43232a0))
* check bounds with std::max in placement code ([a4b40f7](https://gitlab.com/kwinft/kwinft/commit/a4b40f7a6dfd4baa1919aa7525131c7034420b2e))
* check crash restart in X11 base ([de486a2](https://gitlab.com/kwinft/kwinft/commit/de486a2a8a25b19cf8f36264e94407f9779d490d))
* check screen lock only via base ([2ef2da0](https://gitlab.com/kwinft/kwinft/commit/2ef2da00cbdb99953aab66cad442597b9753a4c8))
* create separate Wayland server QObject ([bd4af98](https://gitlab.com/kwinft/kwinft/commit/bd4af9888d75dd1113bb8b6de4b87fc1a52baf1d))
* create XCB extensions with X11 data struct ([0be5e87](https://gitlab.com/kwinft/kwinft/commit/0be5e87ac1de7444a5d8a21e1d5f653caeb97c3e))
* delete base move constructors ([703e6ec](https://gitlab.com/kwinft/kwinft/commit/703e6ecaf9640f1eabf7ea55818b994746d34efe))
* display Night Color message in free function ([98f0570](https://gitlab.com/kwinft/kwinft/commit/98f05705234fed2e114eceb7f97ac7ccdaab4ccb))
* **effect:** clean up code for buttons with tooltips ([6adb29b](https://gitlab.com/kwinft/kwinft/commit/6adb29b1495cbaf06c1d023a628a78b1f2617532))
* **effect:** clean up overview QML/JavaScript code ([d098bbd](https://gitlab.com/kwinft/kwinft/commit/d098bbd8f4cbecb95396d4aa30131471a5324086))
* **effect:** clean up QML/JS code and bump imports ([4ae0528](https://gitlab.com/kwinft/kwinft/commit/4ae05285b2e3f4b49d69b2593ed44738dbc3b1e0))
* **effect:** drop numScreens property ([5fb64bb](https://gitlab.com/kwinft/kwinft/commit/5fb64bb198341e6c46bf11ef679624edb94b6185))
* **effect:** drop opacity binding inside WindowHeapDelegate ([40978d2](https://gitlab.com/kwinft/kwinft/commit/40978d2cea7f8ee1650547caf51fcffd21d16617))
* **effect:** drop unused properties ([408c20a](https://gitlab.com/kwinft/kwinft/commit/408c20a648a49f6a2a7df9ca3a73d127b12add53))
* **effect:** drop unused property dragHandler ([2762030](https://gitlab.com/kwinft/kwinft/commit/27620301635b57fb792897b1ff6d2595bfca5c2c))
* **effect:** effectkit, allow disabling dnd in WindowHeap ([7e6d1db](https://gitlab.com/kwinft/kwinft/commit/7e6d1db17b7f672f49a1cf03d8f9f2b9007f2161))
* **effect:** encapsulate DND management, and clean up the store ([0d2ddf5](https://gitlab.com/kwinft/kwinft/commit/0d2ddf51c61047fc18a61b1b9be835941c56d8ef))
* **effect:** get X11 data from base ([b1a9c3f](https://gitlab.com/kwinft/kwinft/commit/b1a9c3fd0d3070d610e300d258929d2cc09459e3))
* **effect:** group Repeater's alias properties together ([6a9521f](https://gitlab.com/kwinft/kwinft/commit/6a9521f67986db82fd204a5ef1fc000591578b71))
* **effect:** implement the searchText backing property ([ee2ae3c](https://gitlab.com/kwinft/kwinft/commit/ee2ae3c4b37f64384e0935b2f2527dce98aea35c))
* **effect:** make DesktopView a FocusScope ([3da2703](https://gitlab.com/kwinft/kwinft/commit/3da2703bcc7cf30bc6090c6926af3d850cba19c9))
* **effect:** make OffscreenQuickView generate double click events ([760306d](https://gitlab.com/kwinft/kwinft/commit/760306d9bf964a2565bc6e01073b30bfc4fd4b15))
* **effect:** make setting WindowHeap layout mode nicer ([6fc4885](https://gitlab.com/kwinft/kwinft/commit/6fc4885ea66da4ab07b901b7d98a00ba7743de93))
* **effect:** make WindowHeapDelegate dragHandler less confusing ([2eedb13](https://gitlab.com/kwinft/kwinft/commit/2eedb13fdcbac572bbc616de6be9598dbde2c915))
* **effect:** merge two state machines into one with substates ([31573de](https://gitlab.com/kwinft/kwinft/commit/31573dea66d31c82dd9e5d366712c060deb0d036))
* **effect:** modernize some code ([449df5c](https://gitlab.com/kwinft/kwinft/commit/449df5c5838b17c99f22862f57dc5bb6050cb1e0))
* **effect:** move delegate handlers to the bottom close to each other ([1fcc270](https://gitlab.com/kwinft/kwinft/commit/1fcc2703257cc6e12c6063ab88e3a7b25bdcd9d6))
* **effect:** move WindowHeap delegate to own file ([3c46758](https://gitlab.com/kwinft/kwinft/commit/3c467586e4aff342a89083a30fc150a337e89357))
* **effect:** place mask source inside actual OpacityMask component ([411b79c](https://gitlab.com/kwinft/kwinft/commit/411b79cd6f568a5ca99c23fd323169a31fd71173))
* **effect:** port effects from int screens ids to EffectScreen ([00c5311](https://gitlab.com/kwinft/kwinft/commit/00c53113b4836bb7c365fdc7cfc021803bfd94d5))
* **effect:** port ExpoLayout to using anchors ([f78c91d](https://gitlab.com/kwinft/kwinft/commit/f78c91dc88b979f779855b388ec4fb00b5cbd92c))
* **effect:** port potential misuse of a dragHandler to activeDragHandler ([348df91](https://gitlab.com/kwinft/kwinft/commit/348df91670befd856c7e26247afc8d70997c3d25))
* **effect:** provide compositor as argument ([c351987](https://gitlab.com/kwinft/kwinft/commit/c3519877086bcd8bdd07951ad88e38dbc2babd3d))
* **effect:** re-introduce support for client filtering in WindowHeap ([2f34e64](https://gitlab.com/kwinft/kwinft/commit/2f34e64282315401a34fc6204a310f849904631d))
* **effect:** re-order placeholder text and window heap ([3727296](https://gitlab.com/kwinft/kwinft/commit/3727296a32cdd7eabc7b39e80ae52f6f4d83ecda))
* **effect:** remove Q_OBJECT macros ([dcbd119](https://gitlab.com/kwinft/kwinft/commit/dcbd11951fe25cba4acff4b5ffc9c724f70b8ed9))
* **effect:** remove unneeded `Accessible.name` ([1694cf0](https://gitlab.com/kwinft/kwinft/commit/1694cf0f4d018585d86370b5efc5d8e9cd8180b6))
* **effect:** simplify "active-hidden" state by inheriting from "initial-hidden" ([bc17978](https://gitlab.com/kwinft/kwinft/commit/bc179786968ddb431c44952baf06b28a96ea6ab7))
* **effect:** use an enum to describe current slide state ([058ed85](https://gitlab.com/kwinft/kwinft/commit/058ed853f7c5f834ab432e9db00cf2c027aee368))
* **effect:** use effect-local data instead of window data for blur regions ([1e16c55](https://gitlab.com/kwinft/kwinft/commit/1e16c557523c7b17845b0e40849d3a10f944e116))
* **effect:** use effect-local data instead of window data for contrast ([27d351f](https://gitlab.com/kwinft/kwinft/commit/27d351ff33b6e5ff3ab345da81a932e305373dea))
* **effect:** use global share context ([8c8c571](https://gitlab.com/kwinft/kwinft/commit/8c8c571954444c637b41938bef256b9c7568320d))
* **effect:** use SearchField from PlasmaExtras ([1a67d7a](https://gitlab.com/kwinft/kwinft/commit/1a67d7a438e5e63420ead36e1bb0c08c5774c3d0))
* emit internal client being available ([a5f8e2a](https://gitlab.com/kwinft/kwinft/commit/a5f8e2ab774a0ce3cdc581041587179eb45a7f75))
* get X11 connection from base in render code ([23db8be](https://gitlab.com/kwinft/kwinft/commit/23db8bec7ec2ba1d1f80adfb5cd21b39783f4692))
* get X11 connection from base in windowing code ([f173362](https://gitlab.com/kwinft/kwinft/commit/f173362b0acff5fb31e853a9cb4d66fffcaf21eb))
* implement Night Color manager in header ([6a9ea41](https://gitlab.com/kwinft/kwinft/commit/6a9ea41df7a2a8e2aedc6ca76c1f79d6ec08e856))
* improve placement code ([70375db](https://gitlab.com/kwinft/kwinft/commit/70375db35cf4d8b714d50b5f6ddab0378fef6a26))
* initialize Night Color manager fully in ctor ([7d50e18](https://gitlab.com/kwinft/kwinft/commit/7d50e18ae0981199a285314433cd1dcb0a6ec8bc))
* **input:** create fixes filter directly ([714909d](https://gitlab.com/kwinft/kwinft/commit/714909d6835ce16b61aa208bb995339a2e544d91))
* **input:** get X11 connection from base ([8e2188f](https://gitlab.com/kwinft/kwinft/commit/8e2188ffbd15ab77574e14c5933df29724dce540))
* **input:** improve gestures ([5f47039](https://gitlab.com/kwinft/kwinft/commit/5f470399d0a549a00b7f4042dd9e1eeef01ab87d))
* **input:** init XKB D-Bus interface earlier ([4b3a7fa](https://gitlab.com/kwinft/kwinft/commit/4b3a7fa14ee08ec19cb9c26cba73daf642477d63))
* **input:** organize config in separate config class ([7e287bf](https://gitlab.com/kwinft/kwinft/commit/7e287bf1072c99e8dc19b8e007b07c3143e2ff45))
* **input:** provide redirect when passing to Wayland server ([a4d1e33](https://gitlab.com/kwinft/kwinft/commit/a4d1e3381c940fe5cad6e7f8d89d558324b1b217))
* **input:** reconfigure XKB at beginning of layout reconfigure ([0cc801b](https://gitlab.com/kwinft/kwinft/commit/0cc801bb0ed0fd372e8e86c71e3ace85c42356f0))
* **input:** reconfigure XKB D-Bus interface separately ([9a4f6fe](https://gitlab.com/kwinft/kwinft/commit/9a4f6fea3d727da310caf473e2d162c1dc44dd14))
* **input:** reconfigure XKB D-Bus v1 interface directly ([4a1ba7e](https://gitlab.com/kwinft/kwinft/commit/4a1ba7e35d0bd524af1838ceb01b3fc1851922f4))
* **input:** register normal gestures like real time ones ([18699e2](https://gitlab.com/kwinft/kwinft/commit/18699e2e32207034437a893c81eb74d7c37cc861))
* **input:** register shortcuts in free functions ([4a9a272](https://gitlab.com/kwinft/kwinft/commit/4a9a272080ce63d876150e7320c542b344e03b3b))
* **input:** remove helper to find seat ([ce35339](https://gitlab.com/kwinft/kwinft/commit/ce3533956c7b9c6e4cd9eda009581d27874412d3))
* **input:** remove platform parent class ([8870519](https://gitlab.com/kwinft/kwinft/commit/88705190b83fed14fa2be51503687a8036394acc))
* **input:** simplify XKB D-Bus initializing ([0f5aa37](https://gitlab.com/kwinft/kwinft/commit/0f5aa37b9572a877c154d9d2771f7fe24624c640))
* **input:** store config in cursor ([5436353](https://gitlab.com/kwinft/kwinft/commit/5436353893b49cac4c217dddce758edefdbadf57))
* **input:** store input config exclusively in platform ([c47e1fe](https://gitlab.com/kwinft/kwinft/commit/c47e1fed1ca058ba78787daf53b661d1db495d26))
* **input:** store xkb config in config class ([7182012](https://gitlab.com/kwinft/kwinft/commit/7182012c3194be29d4b3825185c2e11f3a59f97b))
* introduce app singleton for QPA integration ([48b8484](https://gitlab.com/kwinft/kwinft/commit/48b8484a0ba6222708628a78a5f5556027de8949))
* introduce Color Correct D-Bus integration struct ([14ae780](https://gitlab.com/kwinft/kwinft/commit/14ae78094a4850a5fd3394175fd6217c8caa0296))
* introduce Night Color data struct ([0341221](https://gitlab.com/kwinft/kwinft/commit/0341221203620394d0b8472f49375e7d00bb990e))
* modernize quick scene effect code ([428462a](https://gitlab.com/kwinft/kwinft/commit/428462a555eb4392c336e2e997096365bd9b8427))
* move out-of-class definitions inside the class definition in thumbnail item ([f6c3c86](https://gitlab.com/kwinft/kwinft/commit/f6c3c8615b99cd15ad11bc074ced75610a37ee66))
* move startup_finished signal to test app ([80259f1](https://gitlab.com/kwinft/kwinft/commit/80259f15f395727044eee69400078bf53917942b))
* omit dmabuf image creation ([7f321c1](https://gitlab.com/kwinft/kwinft/commit/7f321c130e280306028e0fbb3f0ba09b3ed8deee))
* own options in base ([44c6d67](https://gitlab.com/kwinft/kwinft/commit/44c6d67207b255e4682d9f96bd94ea22279ad82d))
* own screen locker watcher in base ([75b6466](https://gitlab.com/kwinft/kwinft/commit/75b6466a067aab6830536c2fc68404f074fa64d3))
* own session in base ([e388208](https://gitlab.com/kwinft/kwinft/commit/e388208c3b32126bba10570ac5fa1350f39ca173))
* own X11 event filters in base ([b9588b1](https://gitlab.com/kwinft/kwinft/commit/b9588b12547f8b22f4453e84b2205e432e06919b))
* port from KQuickControlsAddons.QIconItem to PlasmaCore.IconItem ([5f652b6](https://gitlab.com/kwinft/kwinft/commit/5f652b6402acafabc54d734ff0fa541b5f2c662c))
* port from KQuickControlsAddons.QIconItem to PlasmaCore.IconItem ([f8b78e4](https://gitlab.com/kwinft/kwinft/commit/f8b78e4b1e49ed51986d02970b9a76dd909a7361))
* port texture away from manual memory management ([b8251d2](https://gitlab.com/kwinft/kwinft/commit/b8251d22c66f16410e2a5d25501e5c55e186749e))
* provide config pointer to options ctor ([c97357d](https://gitlab.com/kwinft/kwinft/commit/c97357dbed1da544184d2bad22bd7c8baff6dcb4))
* provide current virtual desktop in singleton interface ([ebb5b3d](https://gitlab.com/kwinft/kwinft/commit/ebb5b3dbd426b324d0dbe1758f88745a3b4dc56a))
* provide factory to create presentation manager ([23902d6](https://gitlab.com/kwinft/kwinft/commit/23902d6f54b236358c6212140c8dfe8e5df6f264))
* provide wl_display when taking control ([3198c31](https://gitlab.com/kwinft/kwinft/commit/3198c31a5b0e3fffc39e9207f47561b5d3eea68a))
* provide X11 connection to Gl platform ([dd51ed1](https://gitlab.com/kwinft/kwinft/commit/dd51ed1505bbd793428268d95514b8dddd71af5f))
* provide X11 connection to selection owner ([3ce674b](https://gitlab.com/kwinft/kwinft/commit/3ce674bb4855626a213a31a2bb139eeabeae8355))
* provide X11 connection to update shadow ([937ede0](https://gitlab.com/kwinft/kwinft/commit/937ede0d355c6e7b6a155e7990e040a0194aadb3))
* provide X11 connection to XCB wrapper classes ([973a13e](https://gitlab.com/kwinft/kwinft/commit/973a13eb913973198fc973b35d159be6bf75ba66))
* provide X11 data to compositor selection owner ([04af1aa](https://gitlab.com/kwinft/kwinft/commit/04af1aa3aca19ab489015d894e2b9095dec0718f))
* provide X11 data to resolve client machine ([44755e3](https://gitlab.com/kwinft/kwinft/commit/44755e31c34a9053044ee1e3b170af945c381822))
* provide X11 data to XCB grabs ([146fa4d](https://gitlab.com/kwinft/kwinft/commit/146fa4d881e4aa036e0dbbd9df0899c4810cf285))
* provide X11 data to XCB helpers ([1a498f8](https://gitlab.com/kwinft/kwinft/commit/1a498f8f41d4beb7311ea668a8c00f3979d4c38d))
* provide X11 data to XCB window explicitly ([dd5e96a](https://gitlab.com/kwinft/kwinft/commit/dd5e96ac71ca18cf7554457bb25691a50180974e))
* remove app terminating setter ([e689360](https://gitlab.com/kwinft/kwinft/commit/e6893602874f52816522adc7e849183410da43b1))
* remove can_move helper ([998a5d2](https://gitlab.com/kwinft/kwinft/commit/998a5d2146a31590bf76108caf1511ade0515a7c))
* remove dmabuf buffer child class ([bb2f8c9](https://gitlab.com/kwinft/kwinft/commit/bb2f8c99bb38c2dd2b34c652a310ae420058ff98))
* remove egl dmabuf class ([5d9e769](https://gitlab.com/kwinft/kwinft/commit/5d9e769046d27a4a8a4f51528da0550b276de0cd))
* remove EGL dmabuf data struct ([a77c65b](https://gitlab.com/kwinft/kwinft/commit/a77c65b02181372599daea59345f038391e57d9f))
* remove EGL dmabuf factory ([13822a2](https://gitlab.com/kwinft/kwinft/commit/13822a2acb61b6dc1dcf7c7a2a156711bf428d0d))
* remove global waylandServer getter ([39910ec](https://gitlab.com/kwinft/kwinft/commit/39910ec09baf01b89d34fa32eaa24f80fc2de3a8))
* remove kwinApp getter ([3945497](https://gitlab.com/kwinft/kwinft/commit/3945497325e30c971d7dc0db9860fc931a60cd43))
* remove legacy wlroots EGL code ([537225e](https://gitlab.com/kwinft/kwinft/commit/537225e2330a935af929a4b4495c63095a4491c3))
* remove legacy wlroots input code ([1c31784](https://gitlab.com/kwinft/kwinft/commit/1c31784897dd70390670c8c9a9715d3a1c5d5256))
* remove next placement argument ([ad4c3d5](https://gitlab.com/kwinft/kwinft/commit/ad4c3d52c2ecab645b8f803a10e04674bae959d5))
* remove Night Color manager QObject inheritance ([a508a23](https://gitlab.com/kwinft/kwinft/commit/a508a2335b117aba787f206ede20a41e272c4fb5))
* remove placeIn Wayland window member function ([daeaef7](https://gitlab.com/kwinft/kwinft/commit/daeaef78ad67919f302ca0999a6618683e1eb904))
* remove placement commented out default arguments ([3d314bb](https://gitlab.com/kwinft/kwinft/commit/3d314bbc83c1b9cd2f781a83157facf8b6d9b802))
* remove placement forward declarations ([bf57740](https://gitlab.com/kwinft/kwinft/commit/bf57740f1976d05af1f3f972f08fd22b7373b61c))
* remove public Q_SLOTS in thumbnail item ([dafec6d](https://gitlab.com/kwinft/kwinft/commit/dafec6ddbcdff8a2b5cb5525476c88e4bd93efde))
* remove Q_SLOTS macro ([9634eeb](https://gitlab.com/kwinft/kwinft/commit/9634eeb171815db50d725d6529af14d85feecd1e))
* remove some macros with questionable usefulness ([a366c2d](https://gitlab.com/kwinft/kwinft/commit/a366c2da82942cf0f0223d981ae7814f460cfdc4))
* remove unneeded main header includes ([3a168a3](https://gitlab.com/kwinft/kwinft/commit/3a168a3ff348e5e1c3c2b68a9a44ec9188e7b13a))
* remove Xcb::sync() ([bafa704](https://gitlab.com/kwinft/kwinft/commit/bafa7041c533d97d4854317a65bf9f0c491e930c))
* replace first commit lambda with free functions ([68a9ed0](https://gitlab.com/kwinft/kwinft/commit/68a9ed09111db4462fe438119602b2700438e022))
* reposition Wayland child windows in single call ([cbf38e9](https://gitlab.com/kwinft/kwinft/commit/cbf38e9893a013b82df142c0d373b36a42176b2d))
* **scene:** drop GLRenderTarget::setTextureDirty() ([56a847d](https://gitlab.com/kwinft/kwinft/commit/56a847dd08c502b7f4e99241f2832a46f3696e93))
* **scene:** implement DesktopThumbnailItem as a collection of window thumbnails ([dc09758](https://gitlab.com/kwinft/kwinft/commit/dc0975820d0b0789f5b4e706eaec4ee48c4a9a67))
* **scene:** make GLRenderTarget not store GLTexture reference ([1cdcec1](https://gitlab.com/kwinft/kwinft/commit/1cdcec1c849ec001172aa7a4dec3afdeded6843d))
* **script:** expose the client's frameGeometry as implicit size ([2430df7](https://gitlab.com/kwinft/kwinft/commit/2430df74b316f324fb118af980bab912406d5ff5))
* **script:** merge ThumbnailItemBase and WindowThumbnailItem ([18dc4b3](https://gitlab.com/kwinft/kwinft/commit/18dc4b353e99338390e927bb74e586991f84867b))
* **script:** port to qmlRegisterAnonymousType() ([fd1f5ee](https://gitlab.com/kwinft/kwinft/commit/fd1f5ee6cb2e2d3d15a226a66cb12de065f39e16))
* **script:** prefer metadata.json over metadata.desktop in generic config ([5786867](https://gitlab.com/kwinft/kwinft/commit/5786867b2c52e144f21afa54b3e230fd5d0c8db5))
* **script:** print QQmlComponent errors ([0eb5e24](https://gitlab.com/kwinft/kwinft/commit/0eb5e24e7610c9d5a1cc54db88b9f4fe9872b2f6))
* **script:** provide options as argument ([c817ebe](https://gitlab.com/kwinft/kwinft/commit/c817ebe289a1633b94e5c067077d5775a099d49f))
* **script:** register Options singleton ([1144948](https://gitlab.com/kwinft/kwinft/commit/1144948ee3ba15eca3d96ad0361afa32a45b8d95))
* **script:** use window::isOnOutput() in client filter model ([7a8fd09](https://gitlab.com/kwinft/kwinft/commit/7a8fd0926fc6c5ed47301e731ad9be7c30b9b6b3))
* send Night Color property changes without signal ([71bfc59](https://gitlab.com/kwinft/kwinft/commit/71bfc594c90da9e2f1e64e2c92ab25112c9bfe47))
* set subsurface position in separate function ([8a19b45](https://gitlab.com/kwinft/kwinft/commit/8a19b450f8b86a34b32f6b2659790fa531580357))
* setup X11 rules in free function ([b44738d](https://gitlab.com/kwinft/kwinft/commit/b44738d775e3479ab6a18ee53086e408727bd450))
* signal property changes in helper ([7680089](https://gitlab.com/kwinft/kwinft/commit/76800894515714ae7f6d8de4bf2e49a0884b2f91))
* signal X11 reset from base ([22a5e1c](https://gitlab.com/kwinft/kwinft/commit/22a5e1c26f42a2deb4e85104b8868c454627417b))
* store app config exclusively in base ([80a00e6](https://gitlab.com/kwinft/kwinft/commit/80a00e66edfded08f15a4bd0c7c9da2599983bb3))
* store basic X11 data in separate struct ([c0f3eab](https://gitlab.com/kwinft/kwinft/commit/c0f3eab4fc731671919c5e960b95e85ba79fdfdd))
* store operation mode in base ([446f6ab](https://gitlab.com/kwinft/kwinft/commit/446f6ab8f335cce27955a81a4ee1c30536c8d3ee))
* store platform in wayland::output ([bfe16ab](https://gitlab.com/kwinft/kwinft/commit/bfe16aba3f77a922c742d677bec12914eeb9bda2))
* store process environment in base ([7d17e5c](https://gitlab.com/kwinft/kwinft/commit/7d17e5c650184c30a6d22784b743fded79c84195))
* store X11 connection in buffer windowing integration ([010473c](https://gitlab.com/kwinft/kwinft/commit/010473c8fc89b6d6e2218774a50aa90b52607fee))
* store X11 connection in tabbox handler ([2ef1a72](https://gitlab.com/kwinft/kwinft/commit/2ef1a729d9aa8ae002ddaead03cd9e167e77ca59))
* store X11 data in base ([fb99281](https://gitlab.com/kwinft/kwinft/commit/fb99281b6665b7e4dbee2e6ed20fafcd6b1366be))
* store X11 data in cursor class ([2fe18cb](https://gitlab.com/kwinft/kwinft/commit/2fe18cb201d4cdb7d67d33f53e1be627e4b203b7))
* store X11 data in deco renderers ([1a081b6](https://gitlab.com/kwinft/kwinft/commit/1a081b6158aae736d12fa6f83caf9ba7145f18c0))
* store X11 data in non composited outline ([c8fae2c](https://gitlab.com/kwinft/kwinft/commit/c8fae2c3c8925b9ba29b3a962c23f4b2abacb297))
* store X11 data in sync objects ([cccce20](https://gitlab.com/kwinft/kwinft/commit/cccce2096202b95a32e862b8c9d3cc33d93b64f5))
* store X11 data in XRender backend ([9f29838](https://gitlab.com/kwinft/kwinft/commit/9f298386049832868fdf33c2a875677e1810d205))
* template Night Color manager over Base ([b6f0cfe](https://gitlab.com/kwinft/kwinft/commit/b6f0cfe385604ac6954c50111f4ba77af4f8d18c))
* template Wayland server over base ([86f2566](https://gitlab.com/kwinft/kwinft/commit/86f2566202324d1b04570a68b907d8370a7915d8))
* update time from event in windowing module ([cf40e3a](https://gitlab.com/kwinft/kwinft/commit/cf40e3ab1ee779b18898504aa40eaa4627247c91))
* use glGetTexImage() in GLTexture::toImage() ([e316a1a](https://gitlab.com/kwinft/kwinft/commit/e316a1a619cac0d789184540a9f8b3e1fe4d345c))
* use Kirigami.Dialog for error messages ([b792910](https://gitlab.com/kwinft/kwinft/commit/b792910ec218cd638322d6669d833683fb8e32eb))
* use references in xdg-shell code ([d29075b](https://gitlab.com/kwinft/kwinft/commit/d29075b686a5efc288d10eeca9f1ca3fd503cb3b))
* use std::unique_ptr in ruleitem ([ab06bfc](https://gitlab.com/kwinft/kwinft/commit/ab06bfc40611cb49e9edfb525934319a0c2d37b3))
* **xwl:** destroy compositor selection with direct call ([a5e9a1e](https://gitlab.com/kwinft/kwinft/commit/a5e9a1e631d5b8bbe483b8b807dfa43749846d09))
* **xwl:** get X11 connection from base ([e973891](https://gitlab.com/kwinft/kwinft/commit/e973891cc657177ec62618edf8cdebfdabe33a02))
* **xwl:** provide X11 connection to mime helpers ([57d061b](https://gitlab.com/kwinft/kwinft/commit/57d061b8cb7e88d7a3799e043e3edbb9c08ebca3))
* **xwl:** remove app argument ([d95f872](https://gitlab.com/kwinft/kwinft/commit/d95f872a422dc7c98c79373c7c58af9e9632f927))
* **xwl:** store X11 runtime data in transfers ([3bc8f8b](https://gitlab.com/kwinft/kwinft/commit/3bc8f8b3e81b5d0a39767d13e4418ebb3a1706a1))

## [5.26.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.26.0-beta.0...kwinft@5.26.0) (2022-10-11)

## [5.26.0-beta.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.25.0-beta.0...kwinft@5.26.0-beta.0) (2022-10-10)


### ⚠ BREAKING CHANGES

* **effect:** DeformEffect renamed to OffscreenEffect
* recent compiler with C++20 support required

### Features

* add activeOutputName to DBus interface ([6e508fb](https://gitlab.com/kwinft/kwinft/commit/6e508fb5bc04bab029ca97a584562d701508d24f))
* add applet popup window type ([051db84](https://gitlab.com/kwinft/kwinft/commit/051db846f6612f79e03b2bfc54a2d2e5e55997c8))
* add configurable day temperature ([9749b66](https://gitlab.com/kwinft/kwinft/commit/9749b66d3b0c06b0dfff0532c55194f369c38dd1))
* add move_to util functions ([056a1f3](https://gitlab.com/kwinft/kwinft/commit/056a1f397f85db12a88f22a10a6e493c54d8dd7c))
* change global shortcuts to use the Meta key by default ([05076ba](https://gitlab.com/kwinft/kwinft/commit/05076ba3c04dd2ae57def55fe8dd1ce3c1e69378))
* change time handling to allow for arbitrary morning and evening times ([d62cf2a](https://gitlab.com/kwinft/kwinft/commit/d62cf2a2cb9c03cff10b7a273d6aad5ce3082b90))
* deprecate GL platform interface option ([9f25dcb](https://gitlab.com/kwinft/kwinft/commit/9f25dcb55b26e519e066c9ec1157cc4e989eb4c7))
* **effect:** add Meta+plus as a default shortcut for Zoom effect ([531d654](https://gitlab.com/kwinft/kwinft/commit/531d65490a9f44416dfa394641acae98f18dc75d))
* **effect:** publish window ids ([d594379](https://gitlab.com/kwinft/kwinft/commit/d5943797a37e80134b7717cdcff6801196c88193))
* expose Workspace::showingDesktop and a setter as D-Bus api ([cd52524](https://gitlab.com/kwinft/kwinft/commit/cd525246bb7dc3ab0ed95081d9659bdac2c0a580))
* follow focus mouse precedent on Wayland ([ffa906f](https://gitlab.com/kwinft/kwinft/commit/ffa906f21aa849860e3d60f73a06c4cf586fc2ac))
* ignore KWIN_NO_XI2 environment variable ([93864bd](https://gitlab.com/kwinft/kwinft/commit/93864bdaaff1844e8d3eaa6fe68c84a927d69322))
* implement _GTK_SHOW_WINDOW_MENU ([3f77e23](https://gitlab.com/kwinft/kwinft/commit/3f77e235b841f32559f744644177c5a95883bd06))
* introduce property window ([ccd667a](https://gitlab.com/kwinft/kwinft/commit/ccd667a43314b66a0fd9e05f451d303af010a8a3))
* open Plasma shell surfaces under cursor on request ([be3eb08](https://gitlab.com/kwinft/kwinft/commit/be3eb08c31e85aadacc94f5d0cd3cca9074ffdc0))
* remove current refresh rate getter ([b36df25](https://gitlab.com/kwinft/kwinft/commit/b36df251451caecd98ebb4e6456e2f5cdbf9cd4f))
* **script:** deprecate X11 window specific fullscreen signal ([697ea2f](https://gitlab.com/kwinft/kwinft/commit/697ea2ff42035a4747abc49b2da83d851c8c961c))
* set windowtitle on debug console ([4f13998](https://gitlab.com/kwinft/kwinft/commit/4f139987b7047ff3225b5e35f126d3efd3a12fdb))
* support Plasma activation feedback ([9f3248e](https://gitlab.com/kwinft/kwinft/commit/9f3248e5d72f0b3e58986ce31337dd55f3bf7167))
* support Plasma window management protocol v15 ([3afee73](https://gitlab.com/kwinft/kwinft/commit/3afee73541e8c63a5a6009cee9ec43d0d3585bcd))
* support Plasma window management protocol v16 ([8cd6d41](https://gitlab.com/kwinft/kwinft/commit/8cd6d41c424fb166080324970bf55b73ae2acb1d))
* use an icon for the "Move to Desktop" -> "New Desktop" action ([c706a73](https://gitlab.com/kwinft/kwinft/commit/c706a73d99c9a1a1f5b3dd07f3a862eb10ba5efb))


### Bug Fixes

* adapt cube effect to quickview changes ([e802346](https://gitlab.com/kwinft/kwinft/commit/e80234698c179cad1577ae2ec7c068d049a0a0b1))
* adapt flipswitch effect to quickview changes ([3dbf623](https://gitlab.com/kwinft/kwinft/commit/3dbf6232349e810dde664d2667e937f3ce86c704))
* adapt to wlroots input changes ([5f5b6b0](https://gitlab.com/kwinft/kwinft/commit/5f5b6b03edf74cf13f2be66cf70abf107a7713d6))
* add missing code from backports ([8c73457](https://gitlab.com/kwinft/kwinft/commit/8c734573c0dc91c452aaa4cbcb8d6ae1e14f99c4))
* add missing colon for "Behavior" label ([3753914](https://gitlab.com/kwinft/kwinft/commit/3753914a06f9ea7c2a494205579291a197902e1e))
* add missing includes ([96343fd](https://gitlab.com/kwinft/kwinft/commit/96343fd8142df560fa1574269afb723e87a852d4))
* add missing reference and const ([c49af40](https://gitlab.com/kwinft/kwinft/commit/c49af405147a5259912a29a6da0d3bed74658b30))
* amend stub virtual keyboard D-Bus interface ([1fcbe40](https://gitlab.com/kwinft/kwinft/commit/1fcbe4043e9331ed24865f7c7a0ffc2edf8c0184))
* avoid accessing effects in effect_quick_view ([2b50302](https://gitlab.com/kwinft/kwinft/commit/2b503025407d73630ecd5d4a141b4da66e1d0be5))
* call space init function at the end of Wayland space construction ([cdf4ede](https://gitlab.com/kwinft/kwinft/commit/cdf4ede37d7556610040d526581dc504c5864e50))
* change framebuffer blit color format to rgba ([09441a8](https://gitlab.com/kwinft/kwinft/commit/09441a835f8ac667702262aa34fa865c2965157b))
* change implicit capture of this ([51c076d](https://gitlab.com/kwinft/kwinft/commit/51c076d2f07e2cfe837f7c6be0ed121faae0aba4))
* check max size in maxsize ([03e708f](https://gitlab.com/kwinft/kwinft/commit/03e708f05c4da55923183a99488d2c73abf26344))
* check on control when updating client visibility ([b508907](https://gitlab.com/kwinft/kwinft/commit/b508907ecafc99272f50339c6ec4990ec9d8a9fb))
* check variable access in debug console ([c6573b1](https://gitlab.com/kwinft/kwinft/commit/c6573b1801f5e92992329a92b959129b2cb73b0d))
* compare with the actual reference ([741e556](https://gitlab.com/kwinft/kwinft/commit/741e55680dfe217b29b8bc136e15a0c0d30d7a62))
* correct transition time update in location mode ([e029680](https://gitlab.com/kwinft/kwinft/commit/e029680c8ae36e6933d12ed1d9628bb965ec0254))
* correct typo in qml margin ([d05fb44](https://gitlab.com/kwinft/kwinft/commit/d05fb449dc7339d2c305333f5e57e535eaa01218))
* correct wrong object being passed as a QQuickItem* context ([2e9de69](https://gitlab.com/kwinft/kwinft/commit/2e9de69b049e89d3fd82d18194d58438205e0e7f))
* current virtual desktop being always added ([f239cbb](https://gitlab.com/kwinft/kwinft/commit/f239cbb861feda2089754a39927150c26a80103a))
* **debug:** read out scripting window properties ([388043c](https://gitlab.com/kwinft/kwinft/commit/388043c8aac5e2a9d158517e277d311dc7aa32d9))
* **debug:** use property window ([57953fa](https://gitlab.com/kwinft/kwinft/commit/57953fae29be0ab92cf72feb3c0f9de7a6d4ce7d))
* disable screen edge approach area if the edge is blocked ([c948153](https://gitlab.com/kwinft/kwinft/commit/c94815343650f395e70b5d7ef840949d02589f16))
* dont call first on temporary ([1f1ea9c](https://gitlab.com/kwinft/kwinft/commit/1f1ea9c1caf861b1b1e810df9a7d893a22e134ea))
* dont reference potential nullptr ([020a6b0](https://gitlab.com/kwinft/kwinft/commit/020a6b0d5f398070cb3950b107eeeaa159536254))
* dont write to pointer after free ([01d00a8](https://gitlab.com/kwinft/kwinft/commit/01d00a8d3c66407dda8428a55e9a63b878801e3a))
* **effect:** apply slide setting for docks to applet panels ([c7baf17](https://gitlab.com/kwinft/kwinft/commit/c7baf173f870dcfd02f6367226a4ceb54c511fca))
* **effect:** pick colors with GL_RGBA format ([adaa76a](https://gitlab.com/kwinft/kwinft/commit/adaa76acbe78cfccc3df6e492735272c3715ed76))
* **effect:** specify mousemark effect chain position ([0e8627d](https://gitlab.com/kwinft/kwinft/commit/0e8627d771eb5d071af664a68f473e7bc01a17b8))
* **effect:** unload effects in Wayland class dtor ([dd9ae90](https://gitlab.com/kwinft/kwinft/commit/dd9ae9028ccdb09176dfce3b90e711aac90a12e5))
* emit rowsChanged signal to fix default state highlighting ([7f7b92c](https://gitlab.com/kwinft/kwinft/commit/7f7b92cb3eae04c99ad0b7a42556466493c34f6c))
* ensure animation speed is set on apply ([026f945](https://gitlab.com/kwinft/kwinft/commit/026f94545ed7e06ab0118a70f10fe77c2ea50e4a))
* ensure focus prevention level is being set ([eb90967](https://gitlab.com/kwinft/kwinft/commit/eb909678f47e7a00ab549fc0c1430226e60690b9))
* ensure index_of works on most containers ([d9fc8f2](https://gitlab.com/kwinft/kwinft/commit/d9fc8f28a605132f1ba0a6603e73c010a90d105b))
* ensure KCM ui handles optionlist ([13faef7](https://gitlab.com/kwinft/kwinft/commit/13faef7d0dd6bb05e569b74718f77caa61b5c151))
* ensure old opacity is used ([5be80ac](https://gitlab.com/kwinft/kwinft/commit/5be80ac7c860c9937f391cbfb1ce86b8f6b0c60a))
* ensure Qt container does not detach ([d1ad336](https://gitlab.com/kwinft/kwinft/commit/d1ad336669e9a7bdcb99cdb7bf383d26e4840101))
* ensure we dont continously trigger edge ([654c9a3](https://gitlab.com/kwinft/kwinft/commit/654c9a3985e32b4b87e6e9e46984f8ee549666ac))
* handle different signals (SIGTERM et al) by using KSignalHandler ([a348799](https://gitlab.com/kwinft/kwinft/commit/a3487993c0c7dec4f7e444447a5f6d3ee57ee1c2))
* initialize uninitalized pointers ([705c2d2](https://gitlab.com/kwinft/kwinft/commit/705c2d2278536df492cfd908289737e4259affd3))
* initialize uninitialized pointer ([81058db](https://gitlab.com/kwinft/kwinft/commit/81058db5c9e1948f760b255c65c2b42a46337f5b))
* **input:** add stub D-Bus interface for output area ([14e8e8c](https://gitlab.com/kwinft/kwinft/commit/14e8e8cfb14595c8cb9c4da01fe8428bac08f9a3))
* **input:** remove init config override ([08130cf](https://gitlab.com/kwinft/kwinft/commit/08130cf7a68a6f2f3dde90b1ca5f85c5f47b540e))
* invalidate moved-from GLRenderTarget ([c18131d](https://gitlab.com/kwinft/kwinft/commit/c18131de9056ae1eb1478adc80c1a1d3b1ce8e25))
* keep sheet open when adding properties via button ([aebb17c](https://gitlab.com/kwinft/kwinft/commit/aebb17c6c8e9d020c3f54577c8cc518bef3c6f62))
* let scripts KCM write its pending states to config ([06647dc](https://gitlab.com/kwinft/kwinft/commit/06647dc442485ef45167bb3dc7f305550067b870))
* let us change virtual desktop on move resize ([d351dcf](https://gitlab.com/kwinft/kwinft/commit/d351dcf8c6ec5b5516cb5bd68c8afd90fcf62bce))
* link correct help page in effects KCM ([6a3fd88](https://gitlab.com/kwinft/kwinft/commit/6a3fd88405b51516d1302c68c1118b7a097cd7d1))
* link correct help page in rules KCM ([0dd588c](https://gitlab.com/kwinft/kwinft/commit/0dd588c42c4c173c3e46260cf6dc589937e41d2e))
* link correct help page in virtual desktop KCM ([6131c80](https://gitlab.com/kwinft/kwinft/commit/6131c80d44ebfd9cfc23baf7029e1e3e8444bbbe))
* make a copy of slide registry ([605312c](https://gitlab.com/kwinft/kwinft/commit/605312cb90a578083e0098816f00229648963034))
* move shadow element and state enums into render namespace ([cb1441e](https://gitlab.com/kwinft/kwinft/commit/cb1441ecf36602bfd4493a7bf5887e82e4df8013))
* omit finding desktop twice ([a10ca05](https://gitlab.com/kwinft/kwinft/commit/a10ca059e0ebf445c2535aff834a5a85a0acce5d))
* only emit window hidden change on actual visibility change ([d0f4d47](https://gitlab.com/kwinft/kwinft/commit/d0f4d479ce599f32bb5c88f90ab813e806846b15))
* port away from Kirigami.Units.devicePixelRatio ([601460d](https://gitlab.com/kwinft/kwinft/commit/601460d7c9464c2510bcbca477da4ce328c485ae))
* publish virtual desktops only after id is set ([be4a9fa](https://gitlab.com/kwinft/kwinft/commit/be4a9faa1f8c526f11db7878f0a1a41e81339694))
* **qpa:** assume there's current context when swapBuffers() is called ([b2a60fe](https://gitlab.com/kwinft/kwinft/commit/b2a60fe802cdb77911c076121068ed98ff5271d6))
* **qpa:** ensure current context on internal window present ([ed8608d](https://gitlab.com/kwinft/kwinft/commit/ed8608d666ba1c46267cc39e7186b3113d3021cb))
* remove activation of any window with control desktop integration ([662a650](https://gitlab.com/kwinft/kwinft/commit/662a6500fd3acfb034160d904dde809372a182a5))
* remove checks on Xcomposite version ([ffeb8fe](https://gitlab.com/kwinft/kwinft/commit/ffeb8fe40ad4b340be0a56ed225f7bfbcdc4d7d4))
* remove double signal connects ([f948ed5](https://gitlab.com/kwinft/kwinft/commit/f948ed52ce72637b0f29bf3472814736af218d76))
* remove unneeded space references ([bcaee10](https://gitlab.com/kwinft/kwinft/commit/bcaee109db8e4bb0cf2c0bf131a8115e91c78b91))
* remove unused variables ([d4cbe3c](https://gitlab.com/kwinft/kwinft/commit/d4cbe3c4a6cd65deb3e9a529c0f2d35c2335b6b5))
* reset QML component to load a different switcher after one has failed ([f8fd1c4](https://gitlab.com/kwinft/kwinft/commit/f8fd1c46d619babd72296afb2c6ff6ecc721799c))
* restore alignment logic for Mali GPU ([bb5a124](https://gitlab.com/kwinft/kwinft/commit/bb5a124cbbd44fa39e6600556ce7732697748f1b))
* **script:** cast to scripting window ([b5cd115](https://gitlab.com/kwinft/kwinft/commit/b5cd11589960236b3b9f326040008489e33222ce))
* **script:** enable Apply button when clicking Defaults ([8471f67](https://gitlab.com/kwinft/kwinft/commit/8471f67c8b6aeb39faa7857451243999d194d013))
* **script:** publish the scripting window in thumbnail item ([c90d7d3](https://gitlab.com/kwinft/kwinft/commit/c90d7d30c7f9c0d5cd9278a6b88eb4dfcbebaf76))
* **script:** register KWin::SessionState with QMetaType ([3ab9f1f](https://gitlab.com/kwinft/kwinft/commit/3ab9f1f48b177cc0a498474c239e4e6d64fcb58e))
* set animation duration factor after ([bc44bff](https://gitlab.com/kwinft/kwinft/commit/bc44bffde47a512a62836230b028e7ee0ed7b9c8))
* set font size to cube and flipswitch ([bf32c7a](https://gitlab.com/kwinft/kwinft/commit/bf32c7ab97df136cffae49a90ffefcab263de638))
* update popup layers ([df83101](https://gitlab.com/kwinft/kwinft/commit/df831012fe62d26011788228b9143a839ac3eeef))
* use at instead of operator[] ([e6a3bb4](https://gitlab.com/kwinft/kwinft/commit/e6a3bb4130ee05a12d2687e5cc38fc41f6aee549))
* use at instead of operator[] on temporary ([111f7b4](https://gitlab.com/kwinft/kwinft/commit/111f7b4ce04bf97562ebbcf06423031a3929b368))
* use bitwise || on boolean operands ([90592c5](https://gitlab.com/kwinft/kwinft/commit/90592c576324e76ce0a06f6ec12f614a9233cd1a))
* use internal id to identify window shortcut ([e288762](https://gitlab.com/kwinft/kwinft/commit/e2887622c69a0561de6e305284550b868d1daeb6))
* use QFileinfo::exists(file) instead ([8455250](https://gitlab.com/kwinft/kwinft/commit/84552504afced87220f2a8fc72203606ebc4252a))
* use unique pointer instead raw pointers ([e41b596](https://gitlab.com/kwinft/kwinft/commit/e41b5960c0c57ea8de664f6b8738b9307d978883))
* verify surface and shellsurfaces creation ([e393db5](https://gitlab.com/kwinft/kwinft/commit/e393db55cdf681484a2b5694b6a1e26601defa04))
* write animation speed to kdeglobals ([5fdb28b](https://gitlab.com/kwinft/kwinft/commit/5fdb28bb125d253a14df77f717e32954d974bf2e))
* zeroize moved-from remnant refcount ([042d1b4](https://gitlab.com/kwinft/kwinft/commit/042d1b413917b29e95f46073362c50ad3f30070c))


### build

* raise C++ standard to C++20 ([14d7539](https://gitlab.com/kwinft/kwinft/commit/14d7539549f8c950cf11e87398d2427ca0ef4b6f))


* **effect:** rename DeformEffect to OffscreenEffect ([3917a86](https://gitlab.com/kwinft/kwinft/commit/3917a86f10f51cbdca849e6c005eaf964f55bded))


### Refactors

* access input platform through base ([3a0f172](https://gitlab.com/kwinft/kwinft/commit/3a0f172e02d534f57e6b977929eff9ce9e8aac0f))
* access render platform  without global getter ([e28d6db](https://gitlab.com/kwinft/kwinft/commit/e28d6dbbdab3531dba8878496629a436726dcd3f))
* activate next window without check on provided window ([5affe22](https://gitlab.com/kwinft/kwinft/commit/5affe22e854bfcaf686301126ce113723d6351e3))
* activate next window without helper variable ([457da70](https://gitlab.com/kwinft/kwinft/commit/457da70c024eaa495c65deb246e71955caea3f68))
* activate window on new desktop without helper variable ([472b8d5](https://gitlab.com/kwinft/kwinft/commit/472b8d53f6ad6576c2d744fc08939e15d80f0854))
* adapt to Wrapland dmabuf API changes ([0791614](https://gitlab.com/kwinft/kwinft/commit/0791614b755ef16c2d6b1b59caca9b0a18750fea))
* adapt to Wrapland's Plasma window API changes ([0f13dd7](https://gitlab.com/kwinft/kwinft/commit/0f13dd7c56c3132ea94838b049691c8549b9cbbd))
* add a constructor to fake devices ([4ea84d0](https://gitlab.com/kwinft/kwinft/commit/4ea84d037b14ea8d6b4e508db7b5b8650c3a0889))
* add client to tabbox with early returns ([8325a8c](https://gitlab.com/kwinft/kwinft/commit/8325a8c9041196ffbc434ab25a4c1db242418824))
* add focus blocker struct ([44205de](https://gitlab.com/kwinft/kwinft/commit/44205de7c63b7d614530642b6a5d20cb6158e36b))
* add free helper functions for virtual Toplevel calls ([e58b475](https://gitlab.com/kwinft/kwinft/commit/e58b475b1a37f74740ac29d5e5796f2003b42a1a))
* add new Wayland windows to lists in a minimal way ([2e1f07a](https://gitlab.com/kwinft/kwinft/commit/2e1f07a6b4375641b36fc63d8934f6f7228759df))
* add osd notification QObject ([6496a91](https://gitlab.com/kwinft/kwinft/commit/6496a91421ed97bcd4f33efa5da88b753315072e))
* add remnant to render objects without signals ([8f8d5e6](https://gitlab.com/kwinft/kwinft/commit/8f8d5e61de10e16291f756753e8a5e80d61e0f2d))
* add virtual desktop action with template ([3b7fa18](https://gitlab.com/kwinft/kwinft/commit/3b7fa181c78bb6004a27e3cfd4d740271a1dbcb1))
* add Wayland and X11 render subclasses ([3980a4a](https://gitlab.com/kwinft/kwinft/commit/3980a4ad4dab42ad98eacadda238fb3130b3f947))
* assert on effects when registering thumbnail ([7248e28](https://gitlab.com/kwinft/kwinft/commit/7248e28b740c921619a7afff1ccf4937fa76506b))
* assert on remanant reference window ([16c3d81](https://gitlab.com/kwinft/kwinft/commit/16c3d816e7ea0c240357858d0dd17ada516b2d88))
* bump QML imports & fix JavaScript code style ([ba3f946](https://gitlab.com/kwinft/kwinft/commit/ba3f9469adedb7f28ba311d91c7f56349795693b))
* cache outline property in single variable only ([b419474](https://gitlab.com/kwinft/kwinft/commit/b4194742c74268640573532d5e87ebf4db94a6c4))
* calculate shape render region in X11 window ([1cf9cea](https://gitlab.com/kwinft/kwinft/commit/1cf9cea8bae24fa23c9bd5ca0dab1047eb523ede))
* change implicit capture of this ([802f1f6](https://gitlab.com/kwinft/kwinft/commit/802f1f6d984e8dd83e462836d3603db7bcc368d8))
* change throw to std::terminate ([35db748](https://gitlab.com/kwinft/kwinft/commit/35db748c32af0da7dd59c454d08345b1b757f53f))
* change virtual desktop id to QString ([2035744](https://gitlab.com/kwinft/kwinft/commit/203574437f8edf87f6f10da5142baaf1d25c4d4d))
* check isClient for remnant ([3a81864](https://gitlab.com/kwinft/kwinft/commit/3a8186445e30cb54b14304d8739f0168d1ad35d0))
* check modal being in tabbox list with utils function ([027b697](https://gitlab.com/kwinft/kwinft/commit/027b69703a6bc3a890e96a988b40dd9c1788a5e8))
* check potential candidate in lambda ([885c302](https://gitlab.com/kwinft/kwinft/commit/885c302cbc2f814b41083e283d2acf09b35de79e))
* check Wayland usage for compositing option ([6c8879b](https://gitlab.com/kwinft/kwinft/commit/6c8879b3977820db1d0e24c927e7eeb485dc99ad))
* clean up rule book code ([c7f7092](https://gitlab.com/kwinft/kwinft/commit/c7f709224cd455757692b6289ad8d94f8269fe3c))
* clear space in space subclass dtors ([96d887a](https://gitlab.com/kwinft/kwinft/commit/96d887a2cec241b17d854c0e98af3c294a24f5fe))
* combine wm_class properties in struct ([df7d9d4](https://gitlab.com/kwinft/kwinft/commit/df7d9d4a9e6ec88ad83998a79f1740177d31574d))
* composite QObject into base output ([e6f9b75](https://gitlab.com/kwinft/kwinft/commit/e6f9b75b70beceb8facec5137914bbb0cfd2c915))
* composite QObject into compositor ([de93586](https://gitlab.com/kwinft/kwinft/commit/de93586a5de40e1f3672509124d3c859f2e0e63c))
* composite QObject into cursor theme ([2e8157f](https://gitlab.com/kwinft/kwinft/commit/2e8157f43db8d33a72117f0b19f00d59c2af388c))
* composite QObject into deco renderer ([63d20f8](https://gitlab.com/kwinft/kwinft/commit/63d20f805446b6bf298be286b3298f3d05669b40))
* composite QObject into edges ([39cfaee](https://gitlab.com/kwinft/kwinft/commit/39cfaeea48d783a6e9d734a1a9287ca3483797ef))
* composite QObject into render cursor ([3e92eba](https://gitlab.com/kwinft/kwinft/commit/3e92eba3fc2c7f2b6966c885e18efacf650a5d2f))
* composite QObject into rules book ([0eb6191](https://gitlab.com/kwinft/kwinft/commit/0eb61918128ce166a36570b2b7e6070f15ca72de))
* composite QObject into screen edger ([ed98595](https://gitlab.com/kwinft/kwinft/commit/ed9859552e93f3402ee30129bb74adaeb4291b3b))
* composite QObject into stacking order ([a27e804](https://gitlab.com/kwinft/kwinft/commit/a27e804f99c8c7be8f5afe38108189b1e7728aab))
* composite QObject into tabbox ([a387271](https://gitlab.com/kwinft/kwinft/commit/a3872713d045e0eb16e4e36566ded7caac7455e8))
* composite QObject into Toplevel ([46c8389](https://gitlab.com/kwinft/kwinft/commit/46c838909ab3fe62b47f234cf65da7425811f0c5))
* composite QObject into user actions menu ([bcb1aa1](https://gitlab.com/kwinft/kwinft/commit/bcb1aa189ee6440617799005cd37b35604dc5f95))
* composite QObject into virtual desktop manager ([e701f94](https://gitlab.com/kwinft/kwinft/commit/e701f949e8e1ab235b4e8467661231a26230fdc2))
* composite remnant with std::optional ([66170af](https://gitlab.com/kwinft/kwinft/commit/66170afb6a811803fbf54bbe4aa0845e3f87c8dc))
* composite separate QObject into options ([86568cd](https://gitlab.com/kwinft/kwinft/commit/86568cd8ee5d0d0ce1ee4be91487991599e76ce3))
* configure space from free functions ([85df629](https://gitlab.com/kwinft/kwinft/commit/85df62983c72bb9cb6a5fecd56d19d02a23a6b0a))
* connect Xwayland surface commit in free function ([4b12e21](https://gitlab.com/kwinft/kwinft/commit/4b12e21790311efe05a92d6ee879b439939c9b63))
* consolidate free focus chain functions ([b00a7bc](https://gitlab.com/kwinft/kwinft/commit/b00a7bc6d5211d78425c16177a40fdfd9845e9f3))
* constify net functions ([0204f23](https://gitlab.com/kwinft/kwinft/commit/0204f23cc74c60fd03b57d4c9b97c5d7b63073b2))
* constify xcb errors vector ([608c160](https://gitlab.com/kwinft/kwinft/commit/608c16073df180e69a6e518b4a7417dba9e7a3e8))
* control info getter life time through explicit means ([8718be7](https://gitlab.com/kwinft/kwinft/commit/8718be749a9325d00569b65373e4ab5bfb41efaa))
* copy to remnant window in free function ([936023b](https://gitlab.com/kwinft/kwinft/commit/936023bc50c21d25582233acf75b3c71335f6d0c))
* copy windows ready for painting ([2d9db69](https://gitlab.com/kwinft/kwinft/commit/2d9db69d4b66034cf1cf2bd491ad5afb9a82641e))
* create client machine only for X11 windows ([f188b0f](https://gitlab.com/kwinft/kwinft/commit/f188b0fc88921aac822347c182439d2e14259a82))
* create deco renderer directly with scene ([e81f927](https://gitlab.com/kwinft/kwinft/commit/e81f92782011cecf4228b58de314953c823bc946))
* create outline without compositor dependency ([3f26829](https://gitlab.com/kwinft/kwinft/commit/3f26829b574e856f6e5142ec346a6dde0f993456))
* create remnant in free function ([ac91536](https://gitlab.com/kwinft/kwinft/commit/ac915366fbae32ab74d37bbc0459282b576d6fca))
* create remnant in separate function ([d11121c](https://gitlab.com/kwinft/kwinft/commit/d11121c0fbe0abf931991ed4e68a59893fcff46a))
* create remnant on remnant window creation ([a2c3a94](https://gitlab.com/kwinft/kwinft/commit/a2c3a942984121122ea3da97885d2a1cd0a9c40b))
* create separate QObject for tablet mode manager ([3d2cca2](https://gitlab.com/kwinft/kwinft/commit/3d2cca2230b1131fc0ccf88ec0185e458a0e4f81))
* create window killer with space template parameter ([818f2be](https://gitlab.com/kwinft/kwinft/commit/818f2be3c5c33accc1d3c70acfda86edd0be009c))
* create X11 window substructs ([1ba20c3](https://gitlab.com/kwinft/kwinft/commit/1ba20c310175bf809abfb03aae1b2d957ca52360))
* create xdg-activation interface in activation struct ([8cc6e9c](https://gitlab.com/kwinft/kwinft/commit/8cc6e9c40dec078c81163313efe17d62491e11aa))
* **debug:** create model in static function ([7900c43](https://gitlab.com/kwinft/kwinft/commit/7900c43360156a4c23fa598d8557094291039e19))
* **debug:** manage internal windows in Wayland console model ([6467e47](https://gitlab.com/kwinft/kwinft/commit/6467e473fa4a6f283798cf896892fa353ce812a8))
* **debug:** provide input D-Bus manager as argument ([23bd9b9](https://gitlab.com/kwinft/kwinft/commit/23bd9b9216fb7db6e15d15d7d1db2528a502d122))
* **debug:** put window ids into model class ([197f621](https://gitlab.com/kwinft/kwinft/commit/197f62103e75e8614455864bcc7b633d684a9644))
* **debug:** setup model connections in free functions ([e442fc3](https://gitlab.com/kwinft/kwinft/commit/e442fc3f5263edf224ab34bee236e408d35ca3d2))
* **debug:** store windows as abstract type in models ([63b32fc](https://gitlab.com/kwinft/kwinft/commit/63b32fc7f89ad5af5dc62448b8c7d4ce6e11d0cb))
* **debug:** use STL containers to store windows ([3aefa5a](https://gitlab.com/kwinft/kwinft/commit/3aefa5a5aa585b6acf8d4611f40d7c51b366f818))
* **debug:** use STL smart pointer ([3f58d6a](https://gitlab.com/kwinft/kwinft/commit/3f58d6a9a900b176ef8d342773c1ab2f6185f65d))
* declare only Toplevel as Qt metatype ([b9aed89](https://gitlab.com/kwinft/kwinft/commit/b9aed89bfe3aaa88226ccef71ab9f06a41cfa0e8))
* **deco:** add render injector class ([beba052](https://gitlab.com/kwinft/kwinft/commit/beba052176244a1ee0e738637d77023c6e0a80a4))
* **deco:** introduce render data class ([e7a19f3](https://gitlab.com/kwinft/kwinft/commit/e7a19f3c3412536bf3eedb23460fd34ecd423cd9))
* **deco:** move renderer without virtual call ([f6a6bee](https://gitlab.com/kwinft/kwinft/commit/f6a6beef4f6f045176958c202bf1557652052699))
* **deco:** schedule render without connection ([dc5cef3](https://gitlab.com/kwinft/kwinft/commit/dc5cef31a63309786631f40f6e3bfae509cff302))
* **deco:** template client over window ([f35938d](https://gitlab.com/kwinft/kwinft/commit/f35938d857723db229345088d2308d4c15ec1984))
* **deco:** template renderer over client ([86d3459](https://gitlab.com/kwinft/kwinft/commit/86d3459974f30d97901ed4014bb809d4744f9d39))
* **deco:** template settings over space ([8dbff95](https://gitlab.com/kwinft/kwinft/commit/8dbff951b00015054b2f739154082d6a3b2df0a0))
* **deco:** template window over reference ([739df69](https://gitlab.com/kwinft/kwinft/commit/739df694233cb712b15823a5de204bc099f74647))
* define directions as enum class in types header ([e330c1d](https://gitlab.com/kwinft/kwinft/commit/e330c1de0c0df1303d100639b509f833e45468ca))
* define effect window group in separate header ([8725d0e](https://gitlab.com/kwinft/kwinft/commit/8725d0e772a3bac2b2226851ca34a2ba323aa401))
* define EGL backend in header ([84b00ae](https://gitlab.com/kwinft/kwinft/commit/84b00ae16c8de71bba2500cff4f4521c20d80a35))
* define focus chain change enum class in types header ([22efc61](https://gitlab.com/kwinft/kwinft/commit/22efc613c0c3b0d4192b0d96e548c1577e801244))
* define QPainter backend in header ([4505e4f](https://gitlab.com/kwinft/kwinft/commit/4505e4f6283ead5c55f75ea65de6a5e0a3bf0352))
* define render platform in header ([0a401b7](https://gitlab.com/kwinft/kwinft/commit/0a401b72074a50dc49c542398d4417cf67e58826))
* define rules enum classes ([2517bb7](https://gitlab.com/kwinft/kwinft/commit/2517bb77705838a63d7ce75d2b6e6a652b13370e))
* define space functions in header ([aba91c1](https://gitlab.com/kwinft/kwinft/commit/aba91c1b3efe9b42fe49a69718cda014904a869c))
* define tabbox client implementation in separate files ([ced4b24](https://gitlab.com/kwinft/kwinft/commit/ced4b24dba669b7e5c9a945eba72538fa29f527b))
* define tabbox client in separate header ([43d9b69](https://gitlab.com/kwinft/kwinft/commit/43d9b691b6f1d23b9af79f8effcf1a57f7dc50bc))
* define tabbox handler implementation separately ([b956d4e](https://gitlab.com/kwinft/kwinft/commit/b956d4e185fbe73c58403d751f7f071425d43325))
* define user actions menu functions in header ([a5f1807](https://gitlab.com/kwinft/kwinft/commit/a5f18079aa14f12c5df214c90a752d001cc5fed4))
* define wlroots platform in header ([acba27c](https://gitlab.com/kwinft/kwinft/commit/acba27cc83bff3bd533851897268b7af1b95c905))
* define X11 control in separate header ([ebbdff3](https://gitlab.com/kwinft/kwinft/commit/ebbdff3bdbb99ddc6fd25460400505759aac372a))
* define xdg shell control in separate header ([001c399](https://gitlab.com/kwinft/kwinft/commit/001c399fcc9a3dd70829adbcc0caff54984c79da))
* delete client machine explicitly ([8d659e2](https://gitlab.com/kwinft/kwinft/commit/8d659e262c6216bfa1e420a6b10dcfe20a47a361))
* delete window from space helper ([dca108b](https://gitlab.com/kwinft/kwinft/commit/dca108b00a6114db13c189f7d5c0f57ca94c3cdb))
* disable non-composited deco renderer reparent ([d3a8ae8](https://gitlab.com/kwinft/kwinft/commit/d3a8ae870d0f6ef8ee57ec689239c7983d627063))
* discard window shape and quads together ([9ccc055](https://gitlab.com/kwinft/kwinft/commit/9ccc05583aafbbb5b2141e7171be383b06e6094f))
* disown X11 window data in free function ([c5ce6eb](https://gitlab.com/kwinft/kwinft/commit/c5ce6eb88c2d86a1e954fdac24dec78758fe18fb))
* early return on thumbnail compositing toggle ([5e895f1](https://gitlab.com/kwinft/kwinft/commit/5e895f1f5f3c0bcd5d260d8ac92e3694bb367f0c))
* early return to place ([224a3e1](https://gitlab.com/kwinft/kwinft/commit/224a3e1b28645d982233261c068ddab5bc6a889b))
* edit rule book from free function ([dbb6f28](https://gitlab.com/kwinft/kwinft/commit/dbb6f28283283e8a494f331ddb4f834003402f75))
* **effect:** define frame classes in separate files ([291ffe9](https://gitlab.com/kwinft/kwinft/commit/291ffe9708a248f14e9a2ea1837835c0a95e49dd))
* **effect:** define frame screen in separate files ([cb7cba8](https://gitlab.com/kwinft/kwinft/commit/cb7cba85e129aadf04c8ef27104821832c7521f8))
* **effect:** define window impl in separate files ([70d0ab4](https://gitlab.com/kwinft/kwinft/commit/70d0ab4001b97571ee673eb1206e037a2adc721a))
* **effect:** inject only effect handler dependency into frame ([2157b39](https://gitlab.com/kwinft/kwinft/commit/2157b399a14c8748bc065eb6c6f9f265a87ec522))
* **effect:** make blur shader code readable ([6e6763c](https://gitlab.com/kwinft/kwinft/commit/6e6763c9f288389ce47404a055a2f3b81d8ef1e2))
* **effect:** remove effects slot declarations ([9dd7582](https://gitlab.com/kwinft/kwinft/commit/9dd75824734ee70cb461ca2f5fece5cbdd8b522a))
* **effect:** setup client connection with Toplevel argument ([f0798bb](https://gitlab.com/kwinft/kwinft/commit/f0798bbf5b9dc9309b79d1ca068a9e175de2d68d))
* **effect:** split up handler implementation ([0727289](https://gitlab.com/kwinft/kwinft/commit/072728916e4242624a8383f4d3127032ff630b5e))
* **effect:** unreserve borders through virtual call ([0d80ec6](https://gitlab.com/kwinft/kwinft/commit/0d80ec6483bc03c1906be38b462c40813973684a))
* **effect:** use auto for iterators ([be331e5](https://gitlab.com/kwinft/kwinft/commit/be331e57bb2a87820daea44be6cd9802417d8670))
* ensure effects are loaded before clients ([c0bd46a](https://gitlab.com/kwinft/kwinft/commit/c0bd46ab75897a124060f6e43f2851a3f9c1dfe0))
* fetch damage only on X11 ([6cb5eed](https://gitlab.com/kwinft/kwinft/commit/6cb5eedb5beb0d2069c6e3712efcdadac3318ca0))
* find group in free function ([911558f](https://gitlab.com/kwinft/kwinft/commit/911558ff4f9470dce8786a66947629d7c4077bc0))
* find window with appmenu in free function ([25d7933](https://gitlab.com/kwinft/kwinft/commit/25d7933124de958afe9e4aca6673e920f42082ee))
* generalize templates over window type ([2e5288b](https://gitlab.com/kwinft/kwinft/commit/2e5288bab736bc3f0dd1b6af6fe4d556219c9917))
* get base class with using in X11 window ([c2181fc](https://gitlab.com/kwinft/kwinft/commit/c2181fc0aead661191ea38cc73f32616d4114c5f))
* get desktop via free function ([cc857aa](https://gitlab.com/kwinft/kwinft/commit/cc857aa4b9cd88556c58fb7e987d3915e54848bc))
* get input transform via free function ([c083f6c](https://gitlab.com/kwinft/kwinft/commit/c083f6cc2801857a448c99d073087a9003ad5041))
* get render stack from stacking order ([51151ad](https://gitlab.com/kwinft/kwinft/commit/51151ad35a4e6ff77040a1c4136ae557951d7722))
* get support info from free function ([f2bfb42](https://gitlab.com/kwinft/kwinft/commit/f2bfb42b5b63b0c263e6be91b27efe2e75e99340))
* get window list through scripting space ([d536e50](https://gitlab.com/kwinft/kwinft/commit/d536e508746b1a16d5521d0027ce2a0e2fbdac62))
* get window type directly through separate function ([58226f0](https://gitlab.com/kwinft/kwinft/commit/58226f0c6097a0625f03a2c6957b93fd82520485))
* get window type in pure virtual function ([8fd0214](https://gitlab.com/kwinft/kwinft/commit/8fd02140c91ebba0b12beb94be40215a9e65ad1d))
* handle desktop change directly in lambda ([ccd2f21](https://gitlab.com/kwinft/kwinft/commit/ccd2f215d168c24460d9f3673b64bce5241a3a20))
* handle first window mapping without signal ([fbee84b](https://gitlab.com/kwinft/kwinft/commit/fbee84b105fd755d43aad1ca4750a4ee0e491a2e))
* handle KDE idle timeouts through idle manager ([2f5ba95](https://gitlab.com/kwinft/kwinft/commit/2f5ba95e376fd0943fe8078d632d27c5bb210643))
* handle surface damage in child classes ([94d03a9](https://gitlab.com/kwinft/kwinft/commit/94d03a965099e9342bd30d15055c7bf3d3a8f10c))
* handle X11 window geometry solely by free functions ([058e695](https://gitlab.com/kwinft/kwinft/commit/058e695596e6a57178bceaf30ec3340d15db2f6b))
* handle X11-specific fullscreen change via override ([0b1f410](https://gitlab.com/kwinft/kwinft/commit/0b1f410f63c39c1c52d92d718c3675a278a9b688))
* handle X11-specific no border update via override ([6ee35dc](https://gitlab.com/kwinft/kwinft/commit/6ee35dc49f715103fdca27aebcf94ffeb9a60942))
* handle X11-specific space resize in separate function ([520ab8f](https://gitlab.com/kwinft/kwinft/commit/520ab8f1ba99833950c08ec3cd82b3ecec900150))
* handle Xwayland wl_surface id event in free function ([dde3e8a](https://gitlab.com/kwinft/kwinft/commit/dde3e8aa68b1bf755f17be2b1401440023b28ee2))
* identify fullscreen group layers by lead ([0598f26](https://gitlab.com/kwinft/kwinft/commit/0598f26a4e7249b736b244f0109f8e1c7f915a79))
* ignore raise on pending windows ([ff2db0a](https://gitlab.com/kwinft/kwinft/commit/ff2db0a2504a627b6fce6ccb51d3f0e987d369a1))
* implement compositor functions as free function templates ([5392240](https://gitlab.com/kwinft/kwinft/commit/5392240b082602f246b1cd157346955a67d76dd7))
* implement keyboard redirect functions in X11 subclass ([bc1f539](https://gitlab.com/kwinft/kwinft/commit/bc1f539186827b7fefc5d12730207b828dfc1988))
* implement space ctor and dtor logic in free function templates ([d9e4ef1](https://gitlab.com/kwinft/kwinft/commit/d9e4ef1a9d2238c000d04b913af9cb2b81ea7100))
* implement Toplevel repaint functions as free functions ([65815a7](https://gitlab.com/kwinft/kwinft/commit/65815a7f7aea553bbaeb5cc18b304565f1fcbac8))
* implement window area functions as free functions ([ffd819e](https://gitlab.com/kwinft/kwinft/commit/ffd819effa3791b4c4cedffa69e68199d5c24cf9))
* implement X11 window activation functionality in free functions ([735922b](https://gitlab.com/kwinft/kwinft/commit/735922b1807ecf3e1c51c84e7eb2b3b9572e88b5))
* implement X11 window class functionality in free functions ([35862d2](https://gitlab.com/kwinft/kwinft/commit/35862d23f0dae4f246d5252baaedc210bca6ba3c))
* implement X11 window damage functionality in free functions ([078211d](https://gitlab.com/kwinft/kwinft/commit/078211dc0d6b6e949f109537718a53bfc61fa117))
* implement X11 window deco functionality in free functions ([459ec75](https://gitlab.com/kwinft/kwinft/commit/459ec754f8a07748e6845959584cf71d9158e139))
* implement X11 window geometry helper functions as free functions ([5c893b1](https://gitlab.com/kwinft/kwinft/commit/5c893b1a788b47ab223f0381a79dbc9916017153))
* implement X11 window input functionality in free functions ([86975c7](https://gitlab.com/kwinft/kwinft/commit/86975c7b838a59df486c250258230a521c06a4a6))
* implement X11 window move functions as free functions ([1cde8be](https://gitlab.com/kwinft/kwinft/commit/1cde8beed37197d4ed453219b472ba97f55c51b4))
* implement X11 window release functionality in free functions ([4a0e23b](https://gitlab.com/kwinft/kwinft/commit/4a0e23b2e7310f1f4a35d2707cf2652509a8aeba))
* implement X11 window scene functionality in free functions ([ec2fdf2](https://gitlab.com/kwinft/kwinft/commit/ec2fdf25e2e51308f682ac75bcaaedf16ffc3a64))
* implement X11 window session functionality in free functions ([ae5198a](https://gitlab.com/kwinft/kwinft/commit/ae5198a506bb98ccd62fb964d698e62b9d2d36c2))
* implement X11 window transient functionality in free functions ([a7423a0](https://gitlab.com/kwinft/kwinft/commit/a7423a06a75ffe4e0cc418f5e20b9fec92739f8c))
* implement X11 window type functionality in free functions ([9e710e0](https://gitlab.com/kwinft/kwinft/commit/9e710e0f0b8366d92d3bd6f032f9e68de6c0fd7a))
* improve QML/JavaScript code style & bump imports ([d408eb4](https://gitlab.com/kwinft/kwinft/commit/d408eb4d6c79a164d7a381c3eb1dc651be6cd8cd))
* init space in subclasses ([deda762](https://gitlab.com/kwinft/kwinft/commit/deda762ca7048aa41a69650a53278e12e7d0bb7a))
* initialize Night Color shortcuts in free function ([66e1923](https://gitlab.com/kwinft/kwinft/commit/66e1923d0027049a3b41a4efd61df4e3063f8d96))
* initialize options default values in class declaration ([130930d](https://gitlab.com/kwinft/kwinft/commit/130930dd89366e4edff7d689c516cecfffabfa83))
* initialize virtual desktop shortcuts in free functions ([e59bb7f](https://gitlab.com/kwinft/kwinft/commit/e59bb7f1191643721fec15d8378125003db471d9))
* inject compositor dependency into render window ([5b9114a](https://gitlab.com/kwinft/kwinft/commit/5b9114ad87080464ad3ca87a37b7e36bc7065066))
* **input:** access platform as value type ([094d52b](https://gitlab.com/kwinft/kwinft/commit/094d52b3b928e53e0ce56a07e06dd6dd57de5d6b))
* **input:** access platform without global getter ([2b35dad](https://gitlab.com/kwinft/kwinft/commit/2b35dad4a4465bfabbacda0882fca3c00d62b1dd))
* **input:** add device to platform in free function ([2708629](https://gitlab.com/kwinft/kwinft/commit/27086292cdd939dd59a922084e3cd86ab0fa2a9f))
* **input:** be more specific about singleton interface ([f7579e4](https://gitlab.com/kwinft/kwinft/commit/f7579e4f05d46af30e2c18454f53aadcda0c0ca5))
* **input:** composite motion scheduler with blocker ([16a7033](https://gitlab.com/kwinft/kwinft/commit/16a70333705e2c17d458481181667a737f3f0d62))
* **input:** composite QObject into device redirect ([6b5a9e5](https://gitlab.com/kwinft/kwinft/commit/6b5a9e5e0b4b2aca40a7caa57ae8f9fe809aa3e2))
* **input:** composite QObject into keyboard redirect ([489d658](https://gitlab.com/kwinft/kwinft/commit/489d6580166fa4898221e4baf86ba01d1a9a81b4))
* **input:** composite QObject into layout manager ([40a8901](https://gitlab.com/kwinft/kwinft/commit/40a8901c00199e43bde0670bd03c53f5e5ac4323))
* **input:** composite QObject into platform ([54fff3a](https://gitlab.com/kwinft/kwinft/commit/54fff3ac3fdfd9fb6cbee7686b2c104ba07a9290))
* **input:** composite QObject into redirect ([eb2e5a0](https://gitlab.com/kwinft/kwinft/commit/eb2e5a0d4cdfb45a2461f28aa973fd161e7217f9))
* **input:** composite QObject into touch ([d030743](https://gitlab.com/kwinft/kwinft/commit/d03074340e90c490aaa616a3a0cf919bbc974af6))
* **input:** composite QObject into Wayland cursor image ([ba4d27c](https://gitlab.com/kwinft/kwinft/commit/ba4d27cc21f1e17537428ee32b29fb07f0cc5243))
* **input:** composite QObject into xkb keyboard ([44a02a9](https://gitlab.com/kwinft/kwinft/commit/44a02a998a38d95aed93eef945dcb6effe11e5dd))
* **input:** composite QObjects into spies ([564f99a](https://gitlab.com/kwinft/kwinft/commit/564f99a219f866dcec35d7a845ae84faff3171fe))
* **input:** create keyboard layout D-Bus interface in factory ([e8e5e2d](https://gitlab.com/kwinft/kwinft/commit/e8e5e2d9e0edda014e93800e6ca7ee22452cb210))
* **input:** define filter helpers in header ([d843e92](https://gitlab.com/kwinft/kwinft/commit/d843e9279cf12eb357479824e48418b94715e302))
* **input:** define filters in headers ([93c5cff](https://gitlab.com/kwinft/kwinft/commit/93c5cffd40067ef65078630833e695f9af0c1f39))
* **input:** define pointer control in header ([7c6065c](https://gitlab.com/kwinft/kwinft/commit/7c6065c6ca47ad0fef22a34b92b4ceac8f89e8a3))
* **input:** define spies in headers ([d5c73d6](https://gitlab.com/kwinft/kwinft/commit/d5c73d6738a63a88653e2b9c363cca6c55344b26))
* **input:** define tablet mode manager partly in header ([d51afec](https://gitlab.com/kwinft/kwinft/commit/d51afec623b2df2366d0f6914de876573f793489))
* **input:** find windows in free function templates ([733ad4a](https://gitlab.com/kwinft/kwinft/commit/733ad4ae47089fe339260661062745dbc92629aa))
* **input:** get cursor from redirect ([0055037](https://gitlab.com/kwinft/kwinft/commit/0055037047bfdd57466ef392c5757125db54f2ba))
* **input:** handle filters in Wayland redirect ([6f5d979](https://gitlab.com/kwinft/kwinft/commit/6f5d979d5cd5d0d7613407267530544b3d146605))
* **input:** implement pointer redirect functions in subclasses ([55bbb1d](https://gitlab.com/kwinft/kwinft/commit/55bbb1d9e84de8bbf1c6693e096eede791b2c3c3))
* **input:** implement Qt event helper as free function templates ([71c7509](https://gitlab.com/kwinft/kwinft/commit/71c75090d9be536d8a0dc2a94118884e1945e4b0))
* **input:** inject platform dependency into tablet mode manager ([be4b4b4](https://gitlab.com/kwinft/kwinft/commit/be4b4b4dc726c2711da2af70b05f6dd30b6cef41))
* **input:** inject redirect as dependency to fake devices ([e8e8e20](https://gitlab.com/kwinft/kwinft/commit/e8e8e206e37a9ad0d70a576ee50890de56a93712))
* **input:** inject redirect into layout manager ([c282f2d](https://gitlab.com/kwinft/kwinft/commit/c282f2d94bcdabe398f34860cd131471bba63c3c))
* **input:** inject space dependency into redirect ([8235bbf](https://gitlab.com/kwinft/kwinft/commit/8235bbf05fa365a2754e80523a82f5d3457e676e))
* **input:** introduce idle class ([b50c661](https://gitlab.com/kwinft/kwinft/commit/b50c661526e8bca6c82e04ba9e2eba8b5bdebd76))
* **input:** load control config without platform ([34ca610](https://gitlab.com/kwinft/kwinft/commit/34ca6105fbf9cd138cc92a48ac526902dc4ec1a4))
* **input:** make cursor update blocking variable non-static ([0e3ff0f](https://gitlab.com/kwinft/kwinft/commit/0e3ff0f39ad31f620075aed3a15c187d4f5123e0))
* **input:** make D-Bus keyboard layout independent of manager ([8d677df](https://gitlab.com/kwinft/kwinft/commit/8d677df21ff94a9366f1413496dabe3bfa42a809))
* **input:** omit connecting unused X11 device event signals ([8a66f83](https://gitlab.com/kwinft/kwinft/commit/8a66f836bd4677c18d8b4f3b8d3bdc50f1a3ed17))
* **input:** own input method in redirect ([b138ab1](https://gitlab.com/kwinft/kwinft/commit/b138ab1be3120a6997f366daf3f669ecfa688650))
* **input:** own tablet mode manager in redirect ([97a768b](https://gitlab.com/kwinft/kwinft/commit/97a768bf5a67045c81e470203b7cdceffbf98e02))
* **input:** own XInput integration in redirect ([6df0603](https://gitlab.com/kwinft/kwinft/commit/6df0603f82f11ed85337bd90b8f1224bf30cca34))
* **input:** process filters and spies in free functions ([d30ddb4](https://gitlab.com/kwinft/kwinft/commit/d30ddb41579ee8857fa4bd90735180686c43ed25))
* **input:** provdie Xinput integration as reference to dependent objects ([0f7e1e9](https://gitlab.com/kwinft/kwinft/commit/0f7e1e96e35e417d6a4030c0062f123dc28ff3f6))
* **input:** provide platform as argument to get primary XKB keyboard ([faa3063](https://gitlab.com/kwinft/kwinft/commit/faa30630e82e556734a28209f8b01625b07dfbb9))
* **input:** provide position as value ([e1f5488](https://gitlab.com/kwinft/kwinft/commit/e1f54888c2c962784e5904153680e1fa0d384302))
* **input:** provide position to confine as reference ([23a0e47](https://gitlab.com/kwinft/kwinft/commit/23a0e475d425d0a3dd22e70b3eafa3e5ea3213da))
* **input:** provide redirect as argument to filter helpers ([f97c58e](https://gitlab.com/kwinft/kwinft/commit/f97c58e2ef355e399ff638953057eb14175e3fba))
* **input:** remove abstract device redirect classes ([bf732de](https://gitlab.com/kwinft/kwinft/commit/bf732deea4dc0c5c9f1296c103dc17c15cfd6c27))
* **input:** remove backend pointers ([73fd0eb](https://gitlab.com/kwinft/kwinft/commit/73fd0ebb36826a40e172a7b4e6ac45edab5e2882))
* **input:** remove device from platform in free function ([77431ab](https://gitlab.com/kwinft/kwinft/commit/77431ab562af95351cc6a8d59a5d6072364d90f6))
* **input:** remove device redirect surface checks on geometry changes ([71ef211](https://gitlab.com/kwinft/kwinft/commit/71ef211b4c47b81b16ac68b9c68e2fe98a6f2134))
* **input:** remove global cursor getter ([f3cd4a6](https://gitlab.com/kwinft/kwinft/commit/f3cd4a6b3777269f1e40331ac87c3bbaec77744c))
* **input:** remove platform pointer in devices ([fc8a815](https://gitlab.com/kwinft/kwinft/commit/fc8a8152df0d7428570698703064dac88873ef7d))
* **input:** remove raw redirect pointer from platform ([b051ef2](https://gitlab.com/kwinft/kwinft/commit/b051ef221c2d00822e4bea91e05a322f80a539a9))
* **input:** remove XInput integration init function ([2d3d7c5](https://gitlab.com/kwinft/kwinft/commit/2d3d7c510a8b5dc91c68d2870edf08678e3599dc))
* **input:** remove xkb keyboard dependency of manager ([901e15a](https://gitlab.com/kwinft/kwinft/commit/901e15accceb587976ff4d19db06d45f828e16d5))
* **input:** reuse window variable for confinement updates ([d7ad0d8](https://gitlab.com/kwinft/kwinft/commit/d7ad0d86123d4ee7386f254335a8e3a11dec5b6f))
* **input:** set deco on devices without arguments ([eebb5e9](https://gitlab.com/kwinft/kwinft/commit/eebb5e95ca8455c1a817827e0038adb2e2a32afb))
* **input:** setup space from redirect ctor ([fe44adc](https://gitlab.com/kwinft/kwinft/commit/fe44adc302333a9688ccbae090c3468f8210d856))
* **input:** simplify display storing ([af37493](https://gitlab.com/kwinft/kwinft/commit/af37493ebfa529914916989ab5890b713dd9e2c4))
* **input:** simplify XInput integration ctor ([064dd3b](https://gitlab.com/kwinft/kwinft/commit/064dd3b6edcb2dcfc9205950f6ad6a4933a45e28))
* **input:** split function to set focus ([3d977ae](https://gitlab.com/kwinft/kwinft/commit/3d977aee96f64dee2b5f9ba3f3051d2baa46724b))
* **input:** start interactive selections in redirect ([62c581a](https://gitlab.com/kwinft/kwinft/commit/62c581a434ca274473ba95e4c6ad01ad353af05f))
* **input:** start listening without delay to XInput events ([8b3f52b](https://gitlab.com/kwinft/kwinft/commit/8b3f52b18a3b18f36354c1547cefef04f08853de))
* **input:** store cursor in redirect ([4d7ed16](https://gitlab.com/kwinft/kwinft/commit/4d7ed16a9bcd312087fe0192a0a3495cd8685ca8))
* **input:** store cursor reference in theme ([af5b90b](https://gitlab.com/kwinft/kwinft/commit/af5b90b9edf5870d2561725921e343d2d815b37a))
* **input:** store D-Bus keyboard layout interfaces in smart pointers ([05d0c1b](https://gitlab.com/kwinft/kwinft/commit/05d0c1be22afa85204166110d9e9b8122fae3a62))
* **input:** store redirect devices in subclasses ([95dcd76](https://gitlab.com/kwinft/kwinft/commit/95dcd764221dd2d639530d6667089c96b16e923e))
* **input:** store redirect in event filters ([8700494](https://gitlab.com/kwinft/kwinft/commit/87004942d37633efe43bacff0b1d29118050208c))
* **input:** store redirect in event spies ([2b0c4e7](https://gitlab.com/kwinft/kwinft/commit/2b0c4e77f1dca5c28519289153751a1ea46c27bf))
* **input:** store XInput filters in STL pointers ([28b362f](https://gitlab.com/kwinft/kwinft/commit/28b362f208f41bcbb898de814d7a070bb96fa856))
* **input:** template devices D-Bus interface ([9deef68](https://gitlab.com/kwinft/kwinft/commit/9deef68f1d490472b9348950819e17e8585b59a3))
* **input:** template wlroots devices over platform ([99e9603](https://gitlab.com/kwinft/kwinft/commit/99e9603a0e394e8aa2ae502ea61845b8502eadba))
* **input:** throw if XInput not available ([841b45d](https://gitlab.com/kwinft/kwinft/commit/841b45da1a5ac6faa85e5b35d513e6ca2ab3ae50))
* **input:** warp pointer without platform ([c63c228](https://gitlab.com/kwinft/kwinft/commit/c63c2281ca1c991f9c5afdccf4c5e2509fcdcbc2))
* introduce space qobject ([e78e77d](https://gitlab.com/kwinft/kwinft/commit/e78e77d2154f19354e5666510d6f1e5158e735ab))
* introduce window geometry struct ([0812a7a](https://gitlab.com/kwinft/kwinft/commit/0812a7a31456b31ffd6acc5521447404eed10b84))
* introduce window metadata struct ([b175c23](https://gitlab.com/kwinft/kwinft/commit/b175c2360c344e61f61fe897a46bb68487546f3e))
* introduce window render data struct ([0c660af](https://gitlab.com/kwinft/kwinft/commit/0c660afeb830e852afe4d5b35b1a6bff1ac6c518))
* introduce window topology struct ([522917e](https://gitlab.com/kwinft/kwinft/commit/522917ea3d8cb8643a2f3650222bdbea7460db7a))
* loop edges via range-based for loops ([fb35d3e](https://gitlab.com/kwinft/kwinft/commit/fb35d3eb2e7011f7a826779e3ebbd2fe27d0d6ab))
* loop transient family instead of group members ([f807f14](https://gitlab.com/kwinft/kwinft/commit/f807f14ee018ef549d2479956fdc2ff6ca11b9eb))
* loosen type of X11 window added payload ([6875480](https://gitlab.com/kwinft/kwinft/commit/6875480c15f6045509dcc92d40c917d561934f1e))
* make appmenu use find_if ([1ec639c](https://gitlab.com/kwinft/kwinft/commit/1ec639c31230bc26e69d76d1883e35fdfe0c38bb))
* make control variables public ([ccd6b2e](https://gitlab.com/kwinft/kwinft/commit/ccd6b2eedb625309eff8ddc5ca00839b9c28658e))
* make focus chain variables public ([c596568](https://gitlab.com/kwinft/kwinft/commit/c596568e34050e4e5fc90fec23075da674bafa93))
* make focus stealing protection levels an enum class ([32dd673](https://gitlab.com/kwinft/kwinft/commit/32dd67369462fd635e74a65d3bc3df715a5c2326))
* make function parameter const ([d475f28](https://gitlab.com/kwinft/kwinft/commit/d475f289c8990f31a4b84984ed724027dc98aff0))
* make NETWinInfo implementation a template class ([7737173](https://gitlab.com/kwinft/kwinft/commit/773717330b99c2acd0c5e773ce64251c86881499))
* make opacity functions pure virtual ([440e90e](https://gitlab.com/kwinft/kwinft/commit/440e90eff27d0d18a3bc43e77ed69e6cdd3abcd9))
* make remnant a template class ([3ed56d0](https://gitlab.com/kwinft/kwinft/commit/3ed56d0efd6016e829534964dbe00cd83cf751e3))
* make rules take a list of desktops ([4d7438a](https://gitlab.com/kwinft/kwinft/commit/4d7438a977eb0bae3af5c96746b07fda2e26168e))
* make suspend reason an enum class flag ([f6c9d1b](https://gitlab.com/kwinft/kwinft/commit/f6c9d1b75148522df17849c458d1e8a7c41d849b))
* make Toplevel class pure virtual ([d52e3ae](https://gitlab.com/kwinft/kwinft/commit/d52e3aeaa17bc05b796d435f42ff0581fa3629e7))
* make utils find use forward reference ([51a7ca3](https://gitlab.com/kwinft/kwinft/commit/51a7ca31b500ccd457790780da4f651e0e6489fe))
* manage bit depth and alpha in free functions ([1a7c264](https://gitlab.com/kwinft/kwinft/commit/1a7c264962b49e71e44503a6de0caa5b44d5ce96))
* manage skip close animation in free function ([85c3089](https://gitlab.com/kwinft/kwinft/commit/85c3089db859d1bbc77ee99c6e2d5a7ff3327dd9))
* manage Toplevel outputs in free function ([b97a0d4](https://gitlab.com/kwinft/kwinft/commit/b97a0d4312ccfc1a86b989d5ad9009bf4f020e84))
* mark constructor explicit ([190d47b](https://gitlab.com/kwinft/kwinft/commit/190d47b87060a08f5fc6ad2a99f97bd54b3c25c3))
* move check on timestamp ([e1bb6bf](https://gitlab.com/kwinft/kwinft/commit/e1bb6bf33cb8fe982209b527dd8fe417114ffd4d))
* move discard texture to a lambda ([3793188](https://gitlab.com/kwinft/kwinft/commit/37931881bcc01f6d34d74acb7f74a54bd7d0e9ba))
* move focus chain functionality into free functions ([9cce034](https://gitlab.com/kwinft/kwinft/commit/9cce034fb46ab5e8ee8a4aa7d616d4e91b9dd6e4))
* move is_outline member to window subclasses ([201b5c5](https://gitlab.com/kwinft/kwinft/commit/201b5c5a898086157d8edb09d170cd9a01694939))
* move NET window info member to window subclasses ([386edc6](https://gitlab.com/kwinft/kwinft/commit/386edc61c8ad94ff2c22acafef94c91e52416b6c))
* move notifiers to window subclasses ([6558b4a](https://gitlab.com/kwinft/kwinft/commit/6558b4a4caa8eafd215c3df99959f2b0e77f82de))
* move rules to win namespace ([3747f77](https://gitlab.com/kwinft/kwinft/commit/3747f77b153e342dbe0e09e19f28f33a9d719ccf))
* move shape members to window subclasses ([164f48c](https://gitlab.com/kwinft/kwinft/commit/164f48c904afb1013379f9a7d19879e8b7c0a9bc))
* move skip close animation member to window subclasses ([8e441ef](https://gitlab.com/kwinft/kwinft/commit/8e441efaea0e67d9718e7030f7d589d8154cb171))
* move space qobject into separate files ([e18af6c](https://gitlab.com/kwinft/kwinft/commit/e18af6c93bb3fb17d5fcd6becd77536b61589d92))
* move tool windows functionality out of space ([37dd175](https://gitlab.com/kwinft/kwinft/commit/37dd1752247e10fed16a73ca4ceb3747d4276786))
* move Toplevel rule functions ([96e3a1d](https://gitlab.com/kwinft/kwinft/commit/96e3a1df79dec272e1d1388ca19124e7ba428915))
* move Wayland surface members to window subclasses ([b3963f0](https://gitlab.com/kwinft/kwinft/commit/b3963f0ab28c0bd40b8fcdc4dbc9f2f52805c99b))
* move xcb_visual property to X11 window class ([3dce1d6](https://gitlab.com/kwinft/kwinft/commit/3dce1d635121e3af53776d6d8530ba14715660fa))
* own appmenu D-Bus objects with smart pointer ([75ee452](https://gitlab.com/kwinft/kwinft/commit/75ee452cdcc9622fc19e9f4d1657933f41cce24c))
* own DPMS filter in input redirect ([c0242da](https://gitlab.com/kwinft/kwinft/commit/c0242da0971155b858a3ea5442b6debf2e31c401))
* own root info in space ([84a10bc](https://gitlab.com/kwinft/kwinft/commit/84a10bc0e7e5dd97d78b7d48a3c4902b2de543ad))
* own screen edges through smart pointers ([3f3113f](https://gitlab.com/kwinft/kwinft/commit/3f3113f64c2112fa67dcce04f49785bc9e658092))
* own shape helper window in space ([d9770bc](https://gitlab.com/kwinft/kwinft/commit/d9770bcda4753f84c00bbe599459e3627c09e7f0))
* own tablet mode removed spy explicitly ([bfc9574](https://gitlab.com/kwinft/kwinft/commit/bfc9574c291185c5505e458b102ecac84675424c))
* own templated module platform classes in base ([4b47d2b](https://gitlab.com/kwinft/kwinft/commit/4b47d2be234d2f8a2d3334405cd14f6b39f1c715))
* perform window operation slot-less ([31a1bad](https://gitlab.com/kwinft/kwinft/commit/31a1bad8bbd023e910c9e7d794949e40b4df23a9))
* populate remnant from free function ([e2df864](https://gitlab.com/kwinft/kwinft/commit/e2df8643447415f495e9707dbbd11d2ac0dfe3e3))
* port deprecated KPluginMetaData constructor for json file ([b010c41](https://gitlab.com/kwinft/kwinft/commit/b010c41581235487fa8365175735df3daf7b34bb))
* prepare simple window paint in separate function ([f861c1e](https://gitlab.com/kwinft/kwinft/commit/f861c1e387354d7464a1b27c799822f1b74fabdf))
* propagate clients from changed signal ([4a2e0aa](https://gitlab.com/kwinft/kwinft/commit/4a2e0aa8fbfc8694bec3472a44dc0c0b22f8b5ba))
* propagate clients in free function ([1c13eb0](https://gitlab.com/kwinft/kwinft/commit/1c13eb0bc7a4846c60aed7643a24205deef9e318))
* provide action as argument instead of sender call ([eecea74](https://gitlab.com/kwinft/kwinft/commit/eecea745a58877398f1c36d388e82f4b68a1b498))
* provide action as switch to virtual desktop argument ([3ef546c](https://gitlab.com/kwinft/kwinft/commit/3ef546cdcd7c9cacee43ca907f90f07c39314ce4))
* provide activation setter in singleton interface ([2eddfc6](https://gitlab.com/kwinft/kwinft/commit/2eddfc6e1247b934d90f3f414ed0357e4dd65874))
* provide base singleton interface with platform pointer ([bb62d0b](https://gitlab.com/kwinft/kwinft/commit/bb62d0bdf5c78551ba552874ae9434aaddbc2ea3))
* provide callback struct for appmenu ([03a2e41](https://gitlab.com/kwinft/kwinft/commit/03a2e4139880ea0e89c39e7c9e7867c52f0093ce))
* provide edge callbacks as function ([8b39b4b](https://gitlab.com/kwinft/kwinft/commit/8b39b4b40b1aa479b971ff577b369c54bf734c26))
* provide egl data struct in singleton interface ([089648b](https://gitlab.com/kwinft/kwinft/commit/089648b344d3b60f893c9e6af3ecd323e2d9b115))
* provide EGL data to EGL outputs ([eac5138](https://gitlab.com/kwinft/kwinft/commit/eac513811cf4b0ddba262270a9bc79315ab57985))
* provide input platform as space argument ([4478e87](https://gitlab.com/kwinft/kwinft/commit/4478e874f0fdd399b03be3dca09919c84729af48))
* provide non-generic render types in singleton interface ([3d4a69b](https://gitlab.com/kwinft/kwinft/commit/3d4a69b15c14fe0a08da389fa1a2774dcd9d6213))
* provide non-generic win types in singleton interface ([e12eadb](https://gitlab.com/kwinft/kwinft/commit/e12eadbcd4c8b3b19b562213182098d4dfd46cb5))
* provide output to focus chain functions ([c1ead08](https://gitlab.com/kwinft/kwinft/commit/c1ead083455532e460bf66088b5e1692d1bf3f82))
* provide QQmlEngine to tabbox handler instead of space ([fce417c](https://gitlab.com/kwinft/kwinft/commit/fce417cd1db655baaa4ec2422161f6067a8ed091))
* provide render state in types header ([51a542d](https://gitlab.com/kwinft/kwinft/commit/51a542dc81807bf9a454c45ee535329067140348))
* provide space as reference argument ([3eca5ac](https://gitlab.com/kwinft/kwinft/commit/3eca5aca50c3d1ecaa9d8c9ea0ff550983faee61))
* provide space to propagation function ([2365fa3](https://gitlab.com/kwinft/kwinft/commit/2365fa3f431f0fb8d06ffbab1d80f82d48347a6b))
* provide window as reference ([14ec35a](https://gitlab.com/kwinft/kwinft/commit/14ec35a4fb4e3f42a1a5f3de257d761b2fb17804))
* provide window ids as signal payloads ([906bf77](https://gitlab.com/kwinft/kwinft/commit/906bf77b17d1b827f577df64343820ae6a5cbabc))
* provide windows as references ([c4696a5](https://gitlab.com/kwinft/kwinft/commit/c4696a5c5e380a38d462995c73e57a980171f5f8))
* provide xcb_window to window constructor ([666d11b](https://gitlab.com/kwinft/kwinft/commit/666d11bd333bdfb4cbc5243184d99ad5c88ed090))
* put remnant data in substruct ([ab43415](https://gitlab.com/kwinft/kwinft/commit/ab43415bb9e42766847667b6fc9126ac32eb1fdc))
* recreate tabbox borders with lambda ([7100e47](https://gitlab.com/kwinft/kwinft/commit/7100e47324d2db4209e91421f9f6fa5775d123ac))
* reduce X11 compositor loops ([1154713](https://gitlab.com/kwinft/kwinft/commit/1154713aaace17af0ab320040efaf31831b88e8d))
* reference render window in effect window ([1e04f84](https://gitlab.com/kwinft/kwinft/commit/1e04f84fc2cc2b239de834ff7a5c17a08df5f95c))
* register window thumbnails through singleton interface ([b43c102](https://gitlab.com/kwinft/kwinft/commit/b43c102ff5b3e16880642d2e114b03dfd6d977a5))
* reimplement focus stealing prevention functions as free functions ([f2802fb](https://gitlab.com/kwinft/kwinft/commit/f2802fb853ae4a0f939946e6087b9b09ab202c6b))
* reimplement geometry adjust functions as free functions ([3b7971a](https://gitlab.com/kwinft/kwinft/commit/3b7971a3d3e20b7c1540bc895c493ec3e92c621c))
* reimplement on desktop resize functions as free functions ([a1201ae](https://gitlab.com/kwinft/kwinft/commit/a1201ae100e35d30fb7907fa40462608135720e8))
* reimplement pack position getters as free functions ([4250762](https://gitlab.com/kwinft/kwinft/commit/42507622aae287e17401351b8a9531daeaccf933))
* reimplement space activation functions as free functions ([a0157c6](https://gitlab.com/kwinft/kwinft/commit/a0157c6165873a43570aebac4cfae161ce1289e5))
* reimplement space active window functions as free functions ([f52526c](https://gitlab.com/kwinft/kwinft/commit/f52526c2b5957f20aba7b10ff8c0eb23bf0ed58c))
* reimplement space event function as free function ([c9d326b](https://gitlab.com/kwinft/kwinft/commit/c9d326b2dac901706002fc9663c9c8f84a633976))
* reimplement space move functions as free functions ([8d51429](https://gitlab.com/kwinft/kwinft/commit/8d51429e16c1900fede6226de39025664a6888b3))
* reimplement space quicktile window function as free function ([52d71a7](https://gitlab.com/kwinft/kwinft/commit/52d71a7d9f5f88a4eaeb7bd24ba770e9eae7c5ff))
* reimplement space session functions as free functions ([a86de24](https://gitlab.com/kwinft/kwinft/commit/a86de248b0df78684ba01845dab304100009dcb4))
* reimplement space shortcut functions as free functions ([1ce40bd](https://gitlab.com/kwinft/kwinft/commit/1ce40bd80fc1e8aa406f2971d3009aee705512da))
* reimplement space switch window functions as free functions ([5e99c40](https://gitlab.com/kwinft/kwinft/commit/5e99c40f53a0709e93e1638747b9bb2f5cef350a))
* reimplement space window hidden function as free function ([ba2d514](https://gitlab.com/kwinft/kwinft/commit/ba2d514f1ff0f0988cc6b95e91e3a5337f4ae82d))
* reimplement special window getters as free functions ([5bc65f3](https://gitlab.com/kwinft/kwinft/commit/5bc65f3b7ddf1391b2f2378fdfcf811bcee560f3))
* reimplement transient space helper functions as free functions ([1d569c3](https://gitlab.com/kwinft/kwinft/commit/1d569c3a11c659a9f9dff4b4eb890b3294d16715))
* remove abstract compositor class ([2eded41](https://gitlab.com/kwinft/kwinft/commit/2eded410a3ebf10979c44c4e8889e056438ff1f1))
* remove additional getters ([f225626](https://gitlab.com/kwinft/kwinft/commit/f22562675714cb12678ce4835aa873279efef582))
* remove alignment requirements from data in vertex/index buffers ([250d645](https://gitlab.com/kwinft/kwinft/commit/250d64571016735375811d1180fa7db4fdc0a791))
* remove arguments from property window type call ([54fedb7](https://gitlab.com/kwinft/kwinft/commit/54fedb7c443c197607f0b0406923126d07233f05))
* remove check transients helper ([f64fb31](https://gitlab.com/kwinft/kwinft/commit/f64fb3174153e6e07b2cc2cd728e41ea8b32452f))
* remove client check ([93753fe](https://gitlab.com/kwinft/kwinft/commit/93753fe925a3a13168914e01ca32cb6e6863853d))
* remove clientAttentionChanged function ([8481690](https://gitlab.com/kwinft/kwinft/commit/8481690eead42c772b294bcfecbc4add0ff42ea6))
* remove compositing getter ([26671cd](https://gitlab.com/kwinft/kwinft/commit/26671cddd1772fd4a83810615c817e2b910eec4a))
* remove D-Bus service watcher ([316039f](https://gitlab.com/kwinft/kwinft/commit/316039ffc72cf25f3ec2462798b47ca173af2dea))
* remove damage notify function in Toplevel ([a0a1d9f](https://gitlab.com/kwinft/kwinft/commit/a0a1d9f8fa1a46d36e12f16dbf83c163cf60bac3))
* remove daylight getter ([71d101d](https://gitlab.com/kwinft/kwinft/commit/71d101d5e619fb395ea2dfedb807fb74a339d200))
* remove decorationChanged signal ([979d52e](https://gitlab.com/kwinft/kwinft/commit/979d52e1de7c7bc8404d2479ed92c4582a2b1e5d))
* remove desktop integration getter and setter ([04b1e6d](https://gitlab.com/kwinft/kwinft/commit/04b1e6d850ce7a02d70cd5f061b9d59f5316badb))
* remove effects window implementation Q_SLOTS ([0ba0d37](https://gitlab.com/kwinft/kwinft/commit/0ba0d37f5dcfac4fd3929468eea3c62ff65771d0))
* remove explicit Toplevel dependency in appmenu helper ([1fe2700](https://gitlab.com/kwinft/kwinft/commit/1fe2700329c5f5c1e9b94f50f7267bb177f753c6))
* remove explicit Toplevel type from free functions ([286e8c4](https://gitlab.com/kwinft/kwinft/commit/286e8c4cfd1125f8497bd99fb3654a02b8744233))
* remove focus chain QObject inheritance ([56e2d14](https://gitlab.com/kwinft/kwinft/commit/56e2d14c62f5f6d9484db540b5a288945a2b06f2))
* remove frame rendered signal ([924a1c0](https://gitlab.com/kwinft/kwinft/commit/924a1c082c1943792adc891b4f4799de823af263))
* remove group getters from Toplevel ([b94e7db](https://gitlab.com/kwinft/kwinft/commit/b94e7dba691d14943dde50b625c75f72c17793c8))
* remove group member variable getters ([1bea732](https://gitlab.com/kwinft/kwinft/commit/1bea732143eee2555268e5ecaf29d130d30166b0))
* remove includes from generic xkb helpers header ([d66a3d5](https://gitlab.com/kwinft/kwinft/commit/d66a3d5d5ee6c0d3243002b659f7046a5f0d12c6))
* remove irrelevant members from compositor classes ([813e29d](https://gitlab.com/kwinft/kwinft/commit/813e29d7cc14e06fc1fbf4e8e79c6ebd5b490f24))
* remove isDeleted check in Toplevel ([1631b60](https://gitlab.com/kwinft/kwinft/commit/1631b604e3f20d445cf1509bc5f97e0cd63e040e))
* remove lambda and use move_to_back to restack subsurfaces ([c209bb0](https://gitlab.com/kwinft/kwinft/commit/c209bb0cb10572da1954d710efb54195743bc989))
* remove local variable ([762cb11](https://gitlab.com/kwinft/kwinft/commit/762cb11996d945adb6ba57d20102204324af1d02))
* remove manual overlay getter and setter ([7ca3702](https://gitlab.com/kwinft/kwinft/commit/7ca3702450d5121c74fb7d088b50e33a30e5f1ff))
* remove override to create decoration ([41c7d26](https://gitlab.com/kwinft/kwinft/commit/41c7d26cf76687b8030e39b24e2230189cb3f3b6))
* remove QObject dependency from render platform ([97a0e54](https://gitlab.com/kwinft/kwinft/commit/97a0e540c4da5be17bc64379083e59f520bb4188))
* remove reload config slot ([1dc768a](https://gitlab.com/kwinft/kwinft/commit/1dc768affe4bd5bb6a564b1b04e27abb8fc6e425))
* remove remnant control ([d605922](https://gitlab.com/kwinft/kwinft/commit/d6059221d85c0214849b1436069f609124d65c6f))
* remove remnant discard function ([22ff5c2](https://gitlab.com/kwinft/kwinft/commit/22ff5c23358ac69143678eb0442c393bad82dabc))
* remove render check on compositor repaint ([1b2ba2d](https://gitlab.com/kwinft/kwinft/commit/1b2ba2dbd0ee9adf5d1773760eee3b5d347df275))
* remove rule book Qt slots ([12d08b1](https://gitlab.com/kwinft/kwinft/commit/12d08b1a67e82e48e10cabbe380719fd3c4d3851))
* remove rule book set config function ([efaca91](https://gitlab.com/kwinft/kwinft/commit/efaca9184599e215c7d1a75e7649fcf16206e0de))
* remove screen edge slots specifier ([98892c7](https://gitlab.com/kwinft/kwinft/commit/98892c74a046a7107a187c970b6d3749df94d7db))
* remove screen edger slots specifier ([be9aaf3](https://gitlab.com/kwinft/kwinft/commit/be9aaf3b60317796e588ad45e5972f5f112876f2))
* remove shadow Qt slot ([1564d82](https://gitlab.com/kwinft/kwinft/commit/1564d824c15d9f15c5244cd83b88f2a6e27fee67))
* remove slots delcaration ([472db6a](https://gitlab.com/kwinft/kwinft/commit/472db6a373ee9f04423176118dc1a090796f0c05))
* remove space compositing boolean getter ([ddbf743](https://gitlab.com/kwinft/kwinft/commit/ddbf74301bbf26c8fa1886d46cc0ba4bf69c1755))
* remove space focus functions ([61a70b0](https://gitlab.com/kwinft/kwinft/commit/61a70b015fcd21cd79affc795ce08bdf9e75d098))
* remove space group functions ([d06ca90](https://gitlab.com/kwinft/kwinft/commit/d06ca900f3d35d09e67af049a903f0a324ccd84a))
* remove space menu wrapper ([6e40cc6](https://gitlab.com/kwinft/kwinft/commit/6e40cc63f2d7f9cbc9e2f83548906d096e37053d))
* remove space slots ([8bb46da](https://gitlab.com/kwinft/kwinft/commit/8bb46da4df7d3d235583940955614b3f3ca48ecb))
* remove space windows getter ([ef7ab3c](https://gitlab.com/kwinft/kwinft/commit/ef7ab3c69a837d71e87e6982a3de7aa26052a724))
* remove stacking order stack getter ([6fb117f](https://gitlab.com/kwinft/kwinft/commit/6fb117fe554dd55aa21b6948fa4bfb66df9c33de))
* remove stacking tree class ([34d854f](https://gitlab.com/kwinft/kwinft/commit/34d854f49f7cbb2edd9417537322e56225666b26))
* remove subsession storing ([90265ad](https://gitlab.com/kwinft/kwinft/commit/90265ad0f256a55e7d63c43798fae7aa56a315ea))
* remove supported types flag of window type ([93a793d](https://gitlab.com/kwinft/kwinft/commit/93a793d0625d168bffccefdce593f175eeac2149))
* remove tabbox slot declarations ([3d81e77](https://gitlab.com/kwinft/kwinft/commit/3d81e771f3ed11ef989a09c6ecf4a1127fef1df6))
* remove templated space dependency of focus chain ([b7f9eef](https://gitlab.com/kwinft/kwinft/commit/b7f9eefa43dd3e886ba8a8fa03dc32292138109d))
* remove thumbnail item init ([ea0210b](https://gitlab.com/kwinft/kwinft/commit/ea0210b7383f259ca1489a5b3bdeecf8a67e5871))
* remove timer based mouse polling ([f0d9bdc](https://gitlab.com/kwinft/kwinft/commit/f0d9bdcebb20a5ad9b0848c8948cc66fc22bd10e))
* remove Toplevel argument in D-Bus class function ([2bfa345](https://gitlab.com/kwinft/kwinft/commit/2bfa345416166fc3a3577ee2ae10a13632d1b9d8))
* remove Toplevel arguments from its signals ([30f3131](https://gitlab.com/kwinft/kwinft/commit/30f31318819fde8e0635e30d2a6343f51463201a))
* remove Toplevel class ([05c2d1f](https://gitlab.com/kwinft/kwinft/commit/05c2d1f0945cb05076d21e6bc57d6776faa2bf19))
* remove Toplevel desktop getters ([e73cfb4](https://gitlab.com/kwinft/kwinft/commit/e73cfb4af8287634f7dc66c1378cfb14396f500d))
* remove Toplevel desktops access function ([6a9a6c0](https://gitlab.com/kwinft/kwinft/commit/6a9a6c0e6aae8518853070872043a95d18ad8496))
* remove Toplevel layer getter and setter ([c656ba9](https://gitlab.com/kwinft/kwinft/commit/c656ba99a9ddcf0cde7bc0be228864f00e01e0aa))
* remove Toplevel metatype declaration ([fcf5e5a](https://gitlab.com/kwinft/kwinft/commit/fcf5e5a0e40528c516891c528f6cb9b00275a167))
* remove Toplevel painting ready getter ([c75d049](https://gitlab.com/kwinft/kwinft/commit/c75d04924e288bc3efa1c70221df6533b8ea7741))
* remove Toplevel Qt slots ([d0917ee](https://gitlab.com/kwinft/kwinft/commit/d0917eeb94c1e57455d91121d40a8fb93351fcb0))
* remove Toplevel repaint wrappers ([7dbe438](https://gitlab.com/kwinft/kwinft/commit/7dbe438e11401aea9e24fcb9886e035e90174572))
* remove Toplevel shape getter ([08f71ef](https://gitlab.com/kwinft/kwinft/commit/08f71ef78aaa5c386fe13e0e4ffed1ba00223cc0))
* remove Toplevel space repaint helper ([28fe9a2](https://gitlab.com/kwinft/kwinft/commit/28fe9a255520e0ca7a2c7fd37ceac913274213bf))
* remove Toplevel xcb-window getter ([50d78d1](https://gitlab.com/kwinft/kwinft/commit/50d78d1242ff429718d433925adf743ff13be4f1))
* remove transient getter from Toplevel ([9199ead](https://gitlab.com/kwinft/kwinft/commit/9199eada5c5f3295fe3e88efe359fb37b6c9ce88))
* remove unused options members ([16ac8a6](https://gitlab.com/kwinft/kwinft/commit/16ac8a666104dfd29a3af21afba5e4025770ab6a))
* remove various Toplevel getters ([2092d93](https://gitlab.com/kwinft/kwinft/commit/2092d93d35b67fb33cd20754015a11d61e00deb3))
* remove virtual call to perform mouse command ([01aa192](https://gitlab.com/kwinft/kwinft/commit/01aa1923cc5f9a1e9a7facf99e6cf7abea967ca6))
* remove virtual desktop manager Qt slots and properties ([730dfb4](https://gitlab.com/kwinft/kwinft/commit/730dfb44f2f7acfc6383da4b1e0141537274a115))
* remove Wayland window Q_OBJECT macro ([5826508](https://gitlab.com/kwinft/kwinft/commit/58265085d57874e4dbc94d110cc1bc68cc676a5d))
* remove X11 window inheritance of Xwayland window ([29cb500](https://gitlab.com/kwinft/kwinft/commit/29cb500787ea7d81d9c5aa6f8bed9b4e108bfac9))
* remove X11 window Q_OBJECT macro ([4a82609](https://gitlab.com/kwinft/kwinft/commit/4a8260926b56cfb356bf8851228c289bf9459651))
* remove x11/window.h include in stacking header ([07bba82](https://gitlab.com/kwinft/kwinft/commit/07bba82b9f9b631283cb6be97965250b9cdd0c18))
* remove xcb_window member from Toplevel ([b3df4c0](https://gitlab.com/kwinft/kwinft/commit/b3df4c07a949735367cb63ab34533ad7c43b75bf))
* remove xwayland_interface class ([d92ede9](https://gitlab.com/kwinft/kwinft/commit/d92ede94cdd915b4a7fbf3a2744b3fa99e0efab1))
* rename reserve callbacks functions ([c14675b](https://gitlab.com/kwinft/kwinft/commit/c14675b9f39491b01ec5fab99f1c932144d79ed7))
* rename sort windows by layer variables ([8c6c4a4](https://gitlab.com/kwinft/kwinft/commit/8c6c4a4d07f387d2aad492be611176995490a797))
* reorder free function definitions ([1c871e4](https://gitlab.com/kwinft/kwinft/commit/1c871e4b8ec83d16b3ec476d7be87c0513036ce3))
* replace explicit X11 window type with template ([5b7679f](https://gitlab.com/kwinft/kwinft/commit/5b7679f3ddc0f3d32b225eee0673bbd06dcd98b1))
* replace focus chain desktops Qt type with STL type ([567b83b](https://gitlab.com/kwinft/kwinft/commit/567b83b7492073e131965647e51f6cb040f5ec4d))
* replace focus chain list Qt type with STL type ([84d3f6a](https://gitlab.com/kwinft/kwinft/commit/84d3f6ab9a05fb19b442dd7e3f45b4e6aa94e279))
* replace remaining non-virtual space member functions ([d31c991](https://gitlab.com/kwinft/kwinft/commit/d31c9918b08189b98eb12f66a3cd30ccc56273ab))
* replace shortcut macros with lambdas ([db1c189](https://gitlab.com/kwinft/kwinft/commit/db1c189505f1bd727c6859376d4ad3039e8abc6a))
* replace snap macros with lambdas ([f90bf12](https://gitlab.com/kwinft/kwinft/commit/f90bf1274af9dee86bbcf18ad15235fa4248be8f))
* replace Toplevel discard shape with free function ([887b518](https://gitlab.com/kwinft/kwinft/commit/887b5188b00290959bdd4ea0d84131b5e2fdc22e))
* request focus on window reference ([f741f34](https://gitlab.com/kwinft/kwinft/commit/f741f34988b282a9b8f5518899fe0d5b14886dbc))
* require render restack less often ([2b87b60](https://gitlab.com/kwinft/kwinft/commit/2b87b60356649bb59b5c7871b31b101d2a50bab7))
* reserve screen edges with ids ([0440ca5](https://gitlab.com/kwinft/kwinft/commit/0440ca57ef3dc3c7e16c882f5af7300cca711da8))
* respect X11 maximizing aspect via separate function template ([f476ca6](https://gitlab.com/kwinft/kwinft/commit/f476ca6ca16dfa317e389d621e4a44b514e44cc9))
* **script:** add platform implementation class ([181a809](https://gitlab.com/kwinft/kwinft/commit/181a809795ded77403bb1602ebe6fcc685be075f))
* **script:** add window implementation class ([a33a672](https://gitlab.com/kwinft/kwinft/commit/a33a67249f8a0518fd9f01e4d160a85a9547c66a))
* **script:** inject only effect handler dependency into effect ([b42f99d](https://gitlab.com/kwinft/kwinft/commit/b42f99d07d943b9d6d96d483d66a6d3511fc1844))
* **script:** own spaces in platform ([0db4a0e](https://gitlab.com/kwinft/kwinft/commit/0db4a0e938c08fa00aafa33c62d049f553693e6b))
* **script:** provide non-generic types in singleton interface ([c9948c9](https://gitlab.com/kwinft/kwinft/commit/c9948c9cdacba6d37045912745f5fdcbe7344704))
* **script:** register borders through effects handler ([436f711](https://gitlab.com/kwinft/kwinft/commit/436f711fe147a12edecfd541ee485899fd97f801))
* **script:** remove Toplevel dependency of abstract space ([4f25ec5](https://gitlab.com/kwinft/kwinft/commit/4f25ec5ba71814820ebcf07b1115e8ce71a02919))
* **script:** store border callbacks in STL containers ([2b983ab](https://gitlab.com/kwinft/kwinft/commit/2b983ab7e287ed3821085712fd8e960a510884c5))
* set active window of root info in free function ([85e6dcf](https://gitlab.com/kwinft/kwinft/commit/85e6dcfcab77b392aac5d8a83037250fa2e5f103))
* set control icon without setter ([c0c45a2](https://gitlab.com/kwinft/kwinft/commit/c0c45a24f18bf4111148ca54f32ab7851f4d257e))
* set delay focus window and reset timer separately ([5c03839](https://gitlab.com/kwinft/kwinft/commit/5c038396500ff9513c2b59fe81e7183d24d34320))
* set desktop of move resize client early ([47963be](https://gitlab.com/kwinft/kwinft/commit/47963be2ff030c99dc1cf6fa26f2d26714ae84c0))
* set desktops in control overrides ([ef8f6b4](https://gitlab.com/kwinft/kwinft/commit/ef8f6b4768650295f9623b71d0a7477dd1535426))
* set DPMS in free function template ([4d0fb59](https://gitlab.com/kwinft/kwinft/commit/4d0fb590898c42e5f4f7e9d94766ed0981542de6))
* set kwinapp config value instead ([b8d4a50](https://gitlab.com/kwinft/kwinft/commit/b8d4a5052315415577d1df1c15c0705497926946))
* set operation mode from ifdef else ([6c026f4](https://gitlab.com/kwinft/kwinft/commit/6c026f46e0a242e3917dbd7cae00b41a2791d911))
* set operation mode in start function ([d519fd8](https://gitlab.com/kwinft/kwinft/commit/d519fd836fde904e2f0d1b3a68890451200d94f4))
* set showing desktop late on desktop change ([aed48d1](https://gitlab.com/kwinft/kwinft/commit/aed48d1c2351cbb0331521212f7b86bf92018932))
* set window and remnant properties each together ([04352dc](https://gitlab.com/kwinft/kwinft/commit/04352dc66cf37ea4bfe6ec1d705164db4cd6f5b3))
* setup rule book in free function ([ad2379d](https://gitlab.com/kwinft/kwinft/commit/ad2379dda5fcef0fc2ef74e4f017260dc809a580))
* setup window geometry connections in free function ([3779796](https://gitlab.com/kwinft/kwinft/commit/3779796b3c13eacfdbbe9f3332c8f3107bee2fa9))
* share internal window type with remnant ([9cf5d68](https://gitlab.com/kwinft/kwinft/commit/9cf5d687132eacb5b1cba11c0cfb767f9ae43450))
* share Wayland window type with remnant ([4e4acf8](https://gitlab.com/kwinft/kwinft/commit/4e4acf8c9dd7d38e3d64abc01a6714f2b443f8e3))
* share X11 window type with remnant ([04a948b](https://gitlab.com/kwinft/kwinft/commit/04a948b128fec1744129495ef7f373dfdc7ac8c9))
* show debug console from space ([9736cb5](https://gitlab.com/kwinft/kwinft/commit/9736cb5ada18265090f5eeb58c5dd5bb76aaaf8f))
* signal remnant creation from space ([5eed228](https://gitlab.com/kwinft/kwinft/commit/5eed228d163b37f4205959f75e3e0f8fcedd701a))
* signal remnant creation in space helper function ([0de8c35](https://gitlab.com/kwinft/kwinft/commit/0de8c35ff60c069e786e28bbf84f39d4bd3a73d8))
* simplify appmenu button check ([66d6864](https://gitlab.com/kwinft/kwinft/commit/66d68641479d3617620214e60b378e8bbe90bec7))
* simplify render window reference retrieval ([9aaa8c9](https://gitlab.com/kwinft/kwinft/commit/9aaa8c9e912b2b54ca34b5497dfbff32ecba68b6))
* simplify stacking order implementation ([db20445](https://gitlab.com/kwinft/kwinft/commit/db20445c034defc23179179004e5aa1f69b98f42))
* simplify thumbnail item parent setting ([87514cc](https://gitlab.com/kwinft/kwinft/commit/87514cce387cd2816a8d077ba5146d8093112ead))
* sort windows by layer in win namespace ([641fed3](https://gitlab.com/kwinft/kwinft/commit/641fed3b28abcd1d74910547a4bfa81273b44d00))
* specialize maximizing window in virtual call ([2f7aed6](https://gitlab.com/kwinft/kwinft/commit/2f7aed6b8b9dbfeb05a20479d615a11554240993))
* specialize restoring geometry from fullscreen in virtual call ([c537e1f](https://gitlab.com/kwinft/kwinft/commit/c537e1f49cb59ced28913b4e42bf5f0aa27b6398))
* specify pointer type explicitly on template parameters ([9a581f0](https://gitlab.com/kwinft/kwinft/commit/9a581f05bb8859f69a459395f7223ae880204b34))
* split deco update of cursor image ([e0217a8](https://gitlab.com/kwinft/kwinft/commit/e0217a8c926dc0ac0fe5ef5542b7eb86f89124a3))
* split desktop functions into multiple headers ([154ad62](https://gitlab.com/kwinft/kwinft/commit/154ad620dc6a19b5e6c91856f2cd8d1eba17287b))
* split function to activate and deactivate a window ([e9e1a2c](https://gitlab.com/kwinft/kwinft/commit/e9e1a2cb3d4c5337cc0b02d7e4e5689bb000b88f))
* split function to set active window ([3607049](https://gitlab.com/kwinft/kwinft/commit/36070490609af279c20002051c5db544c338eb12))
* split function to set move resize window ([1481f3c](https://gitlab.com/kwinft/kwinft/commit/1481f3cacf5b37241d0811f9092674ae5ce7fe36))
* split geo functions into multiple headers ([9064cd5](https://gitlab.com/kwinft/kwinft/commit/9064cd57546ccb94af46db816e13f62c003831b9))
* split out rule functions to free function templates ([ffdacca](https://gitlab.com/kwinft/kwinft/commit/ffdacca4e44ccdd82e633fcc2bbd37ee377e5887))
* split out X11 desktop change to separate function ([08f2ff4](https://gitlab.com/kwinft/kwinft/commit/08f2ff44d8c9d2506103c4c876193d829b3593e3))
* split stacking order update function ([b29c601](https://gitlab.com/kwinft/kwinft/commit/b29c6019b265fd1c422de1479731854d21339fad))
* split up creation of remnant window function ([8bf9471](https://gitlab.com/kwinft/kwinft/commit/8bf94716bf9aaf633115ed70729fe3cf7406f11f))
* split up function to get timestamp on window creation ([36961c9](https://gitlab.com/kwinft/kwinft/commit/36961c940010fd3b92cbb25f9eb24d5335abd971))
* split up move header ([38052c7](https://gitlab.com/kwinft/kwinft/commit/38052c70b3f7d19638b8dfb8b6a41ada04670855))
* split up pointer constraints update ([13c043a](https://gitlab.com/kwinft/kwinft/commit/13c043a97367fa7f1da6b55d16cac35e59c584e6))
* split up QPainter paint function ([492b52a](https://gitlab.com/kwinft/kwinft/commit/492b52afc322da1858bc345d6b140309596b006a))
* split up stacking header into multiple headers ([047aae1](https://gitlab.com/kwinft/kwinft/commit/047aae1f53f9056d416aebb674995a29027c9a01))
* split up X11 control header into multiple headers ([295c909](https://gitlab.com/kwinft/kwinft/commit/295c909374059da0c5a94356013ded893128f57d))
* split up Xrender paint function ([ced4e86](https://gitlab.com/kwinft/kwinft/commit/ced4e86c81c713c20933ee2e30db456ade098496))
* start Wayland server later ([65d70c4](https://gitlab.com/kwinft/kwinft/commit/65d70c4f6b44adf845f7ac452c82451b4ae3791e))
* static_cast implicit conversions ([6c07d6d](https://gitlab.com/kwinft/kwinft/commit/6c07d6da7eff73b759709c96e3df80216fbd88a1))
* stop unregistering org.kde.kwin dbus service ([26190f1](https://gitlab.com/kwinft/kwinft/commit/26190f1bb777e329c72e6dd02c22a650a10798b8))
* store base ref in Wayland space ([09826df](https://gitlab.com/kwinft/kwinft/commit/09826df61d5f93cd5b94184d66b21f3e8937619f))
* store base ref in X11 space ([dd8604e](https://gitlab.com/kwinft/kwinft/commit/dd8604e3325c6b2473de01109209a340083ff3eb))
* store callback ids in screen edger ([3fc7c88](https://gitlab.com/kwinft/kwinft/commit/3fc7c8849f40ee2e8e2d87a71769b0c645ba100b))
* store client machine and leader in X11 window ([ee2eb35](https://gitlab.com/kwinft/kwinft/commit/ee2eb353af7108e267fb59a834a3f342e7068065))
* store control appmenu in separate structs ([c85bf22](https://gitlab.com/kwinft/kwinft/commit/c85bf22b84ff3c06d791290daac27c03e9050069))
* store damage handle in X11 window class ([17ab193](https://gitlab.com/kwinft/kwinft/commit/17ab193d8d78ff0b3e04be249595b2cc2e264910))
* store focus chain by value ([4611a54](https://gitlab.com/kwinft/kwinft/commit/4611a54126f133d0fbd3bba44bddc7ecc06c31f6))
* store input platform in base ([9442e47](https://gitlab.com/kwinft/kwinft/commit/9442e4707578bd27c0844d1af4a206cacf31e0aa))
* store input platform in D-Bus interface ([47c1b68](https://gitlab.com/kwinft/kwinft/commit/47c1b6848a1ec89cf692c4c0ff70278e85769f06))
* store input redirect in OSD notification ([ff01472](https://gitlab.com/kwinft/kwinft/commit/ff01472e20ad62bc6b12d1d45a8f554d3506e2a7))
* store osd notification in space ([099bd8c](https://gitlab.com/kwinft/kwinft/commit/099bd8c1ca7b34f3819a0c6da651f52ffdac00d5))
* store raw pointer to window in menu ([5c563bd](https://gitlab.com/kwinft/kwinft/commit/5c563bdf8b8815da2471421f278890f068737ee0))
* store remnant via smart pointer in windows ([fbb6d2d](https://gitlab.com/kwinft/kwinft/commit/fbb6d2dc1d07106718c1a8187dc8d05234dffda4))
* store render window in shadow ([249f61b](https://gitlab.com/kwinft/kwinft/commit/249f61b6146e235b575e98edeee9b1b6185f6c52))
* store screen paint data non-statically ([fee6a36](https://gitlab.com/kwinft/kwinft/commit/fee6a368a653736ff26c26fb9149dcb8be4bafea))
* store space in base ([933bc43](https://gitlab.com/kwinft/kwinft/commit/933bc43554ad1af9daf1fbe31129f167cd78b871))
* store space ref in Wayland windows ([94b5c67](https://gitlab.com/kwinft/kwinft/commit/94b5c67b0949fc2600e621aa22ac26468e608b5c))
* store stacking order as value type in space ([5c1aa1f](https://gitlab.com/kwinft/kwinft/commit/5c1aa1f666fc6dc8878af44f83d7ee55c0ffa915))
* store stacking state in separate struct ([53cdddb](https://gitlab.com/kwinft/kwinft/commit/53cdddbfea659870b7d280b33adbee3b26378183))
* store static pictures in Xrender scene ([b38dbf7](https://gitlab.com/kwinft/kwinft/commit/b38dbf7f3fb5c41ef341d34153f6cc6596eb091a))
* store supported default window types as NET enum ([c480392](https://gitlab.com/kwinft/kwinft/commit/c48039262030d03f837a4a1c7e58c12ffa2da8ee))
* store swap event filter directly in Glx backend ([77e915a](https://gitlab.com/kwinft/kwinft/commit/77e915a2468a831dbd6a5acbca3351978baa063a))
* store thumbnail item parent as raw pointer ([b108b44](https://gitlab.com/kwinft/kwinft/commit/b108b44b3e40fb59e6468f97afc2f76bc1ff7dbe))
* store Wayland server in base ([f49ac53](https://gitlab.com/kwinft/kwinft/commit/f49ac533121516ad6537fce8a5c5cc401fa77353))
* store window rules in STL container ([b8d3329](https://gitlab.com/kwinft/kwinft/commit/b8d3329d62cf43accaaacd7b536a7dbadc875d94))
* store window type in window ([b670741](https://gitlab.com/kwinft/kwinft/commit/b670741eaa7f2db72d69f9871fde55338cfa4398))
* store windows in heterogeneous container ([0a44de6](https://gitlab.com/kwinft/kwinft/commit/0a44de6c1615339690fc54bba1f7a9298af5d8b7))
* store X11 outputs with raw pointer ([05ab14e](https://gitlab.com/kwinft/kwinft/commit/05ab14e3945a7d9c65e8f366aa90b8c8d4a04d43))
* store Xwayland instance in base ([5879a76](https://gitlab.com/kwinft/kwinft/commit/5879a76b27ac6240926c2902aeaab40444113b13))
* subclass D-Bus interface class ([c86603e](https://gitlab.com/kwinft/kwinft/commit/c86603ef81c7b80f79ecd30764725ea33cacdaa4))
* template buffer subclasses ([c34d533](https://gitlab.com/kwinft/kwinft/commit/c34d5335a8c418c04432dd8c204be34bf75bdb07))
* template compositing D-Bus interface ([cf2fe85](https://gitlab.com/kwinft/kwinft/commit/cf2fe8598e4eeaab1531b40ff6a0ea8fcc19ecc3))
* template control over window ([c053db6](https://gitlab.com/kwinft/kwinft/commit/c053db64234ff96936e8ce250d382ebea6ed64c8))
* template D-Bus implementation over space ([c765f4c](https://gitlab.com/kwinft/kwinft/commit/c765f4cef013159446accb8ad745e3bd6e675a0c))
* template EGL backend ([52a8f32](https://gitlab.com/kwinft/kwinft/commit/52a8f3279321a11d18323a3269fe7f0a1e340514))
* template focus chain over space ([799c620](https://gitlab.com/kwinft/kwinft/commit/799c620e5bb3be1ee482fc6de701982d5c92a25f))
* template GLX backend over platform ([13a4a45](https://gitlab.com/kwinft/kwinft/commit/13a4a45329bf67ff78249f8e25216d0b9398ce52))
* template lanczos filter over scene ([bdfc3f1](https://gitlab.com/kwinft/kwinft/commit/bdfc3f11b2912b9c436113aace081c5b35463504))
* template layout manager over xkb manager ([73dfb28](https://gitlab.com/kwinft/kwinft/commit/73dfb283608802b0ed428469667095684dd8922e))
* template layout policies over manager ([df1a3b6](https://gitlab.com/kwinft/kwinft/commit/df1a3b6a498dac55f93baf2ee73301abb303b90a))
* template osd helper over space ([0a631be](https://gitlab.com/kwinft/kwinft/commit/0a631be7f20a4bedbb776b15f64b33536840042d))
* template osd notification over input redirect ([c0f52be](https://gitlab.com/kwinft/kwinft/commit/c0f52be8e93cdeb090830013b1b63968dfa5be8b))
* template over remnant window on creation ([c157e96](https://gitlab.com/kwinft/kwinft/commit/c157e96d60ff8d3f043863a3f8e17b4cb18921a3))
* template overlay window over compositor ([c7edd07](https://gitlab.com/kwinft/kwinft/commit/c7edd075669b605ffecd77d11b87694a228f4ce4))
* template QPainter backend ([4970d92](https://gitlab.com/kwinft/kwinft/commit/4970d92747a5f0714395b6d8095fad8315421fdb))
* template render cursor ([79d3298](https://gitlab.com/kwinft/kwinft/commit/79d3298f1bad4a0c10b6f26d1145aa941936c9a2))
* template render platform over base ([7659054](https://gitlab.com/kwinft/kwinft/commit/7659054b5f429d13f6f027d9cc79aea9f72022d5))
* template root info ([9517be1](https://gitlab.com/kwinft/kwinft/commit/9517be179847bfa63a70d6eea3092acf9cbd3b7e))
* template screen edges ([78aeb60](https://gitlab.com/kwinft/kwinft/commit/78aeb6083c9729cc49ee950f94ddbf9cc18f57da))
* template spaces over base ([2fe16a1](https://gitlab.com/kwinft/kwinft/commit/2fe16a1f05e2bf9122681450ba3b3c43196d75a9))
* template stacking order helper functions over window ([5c48482](https://gitlab.com/kwinft/kwinft/commit/5c48482e8b53b35f7c2b98023faf575a5fe4454e))
* template stacking order over window type ([1b91d8e](https://gitlab.com/kwinft/kwinft/commit/1b91d8ee2ee7ae36648b711537895225a059548a))
* template tabbox over space ([cb5971d](https://gitlab.com/kwinft/kwinft/commit/cb5971d2115bdc41055e91fedd506a5d40ccae06))
* template texture over backend ([34b0448](https://gitlab.com/kwinft/kwinft/commit/34b044859323fba66cb38861e07add5445ed7a3f))
* template transient over window ([3f02682](https://gitlab.com/kwinft/kwinft/commit/3f02682e29cc503051296a61113554a54f523752))
* template user actions menu over space ([b052ec1](https://gitlab.com/kwinft/kwinft/commit/b052ec1e1d5b790e71533af6d6fb30f1bc158e77))
* template window killer over space ([7c6aba8](https://gitlab.com/kwinft/kwinft/commit/7c6aba88181bb01f747657990f643578fcf64f57))
* template wlroots render output over platform ([a119f06](https://gitlab.com/kwinft/kwinft/commit/a119f06170f8efcd3b01b0628a5af00f79ccb1ef))
* template X11 compositor over platform ([6481da3](https://gitlab.com/kwinft/kwinft/commit/6481da3795c5271ee556badf7a74a162360272bb))
* template X11 support classes over space ([61644c7](https://gitlab.com/kwinft/kwinft/commit/61644c76da127aa8dedea77254be74861b22480a))
* template X11 transient over window ([e609fd4](https://gitlab.com/kwinft/kwinft/commit/e609fd49e433f384829d9c255158cfe42550bb14))
* template xkb manager over platform ([ccb29e3](https://gitlab.com/kwinft/kwinft/commit/ccb29e374abca2947568ac8af3c288e0e1c61c7e))
* transfer remnant data in separate function ([375b5d2](https://gitlab.com/kwinft/kwinft/commit/375b5d225dc7aad390b110ba107522e5574ff4cb))
* try move elevated windows before copying ([ade1bbd](https://gitlab.com/kwinft/kwinft/commit/ade1bbd45f133b6b31f969825addce8ac58c3e30))
* try move elevated windows before copying ([2b178a7](https://gitlab.com/kwinft/kwinft/commit/2b178a7051a4e8cdff9f359eddd8ef00056f8189))
* try move windows before copying ([c895547](https://gitlab.com/kwinft/kwinft/commit/c895547b5ae1dd3297790ab29059f6cfa66bcac2))
* unify maximize mode changed signals ([034fb34](https://gitlab.com/kwinft/kwinft/commit/034fb349ccd3f30f9898c172eab4f0cfb125259a))
* update deco cursor with at instead of deco client ([da03c3c](https://gitlab.com/kwinft/kwinft/commit/da03c3c323c3d8d00be727636906528e9db36cce))
* update idle on handling desktop change ([6f48949](https://gitlab.com/kwinft/kwinft/commit/6f489494151d300158ac4c6b6aba7d300669b0b5))
* update QML/JavaScript code style ([57eba91](https://gitlab.com/kwinft/kwinft/commit/57eba911023f02e4c4d07a05d8350303742d175d))
* update tool windows in x11 namespace ([fa8b9b8](https://gitlab.com/kwinft/kwinft/commit/fa8b9b8cefe40704b53bba632bb156649e19f1c0))
* update user time on activation in virtual call ([974c74d](https://gitlab.com/kwinft/kwinft/commit/974c74df14f9e3289a58ce9987e88ed3880ffb00))
* update window rules through signal ([4e40b41](https://gitlab.com/kwinft/kwinft/commit/4e40b41b42919196c1c85e0239c83b49ec93c355))
* use a list of virtual desktop UUIDs ([36cf08b](https://gitlab.com/kwinft/kwinft/commit/36cf08bac9fb6eca45adfb29aec13f319f834e91))
* use algorithm instead of for loop ([102324c](https://gitlab.com/kwinft/kwinft/commit/102324c003790239a752a6d2c029bc2a41d64943))
* use enum_index helper for layers ([81fa4c8](https://gitlab.com/kwinft/kwinft/commit/81fa4c87f50c91e73b8dd19f3fb6ee95fd811919))
* use internal id from effects API ([5bf1cd3](https://gitlab.com/kwinft/kwinft/commit/5bf1cd3340fb6f79555dafedcae1a7ddd3d670ac))
* use JavaScript strict equality === ([b623704](https://gitlab.com/kwinft/kwinft/commit/b62370440b7c16a0070f481d1da3e1ed4afacaac))
* use redirect variable in device redirections ([cc63102](https://gitlab.com/kwinft/kwinft/commit/cc63102fcde2479a55167d69a712ac4a21943e29))
* use STL containers in rules book and settings ([843eb35](https://gitlab.com/kwinft/kwinft/commit/843eb352a8ef4fd8cbe1d5744a54da169a0fe41d))
* use STL smart pointer ([bd9d44e](https://gitlab.com/kwinft/kwinft/commit/bd9d44e913ac476021114f63be5696b1c3f47449))
* use STL smart pointer instead of Qt type ([cf53bcb](https://gitlab.com/kwinft/kwinft/commit/cf53bcb39487a5a0484e0a40c990126512012ae1))
* use sub calls to check applications ([732e7f2](https://gitlab.com/kwinft/kwinft/commit/732e7f21573350560b4e95b52768c5ffe67f53c5))
* use unsigned int instead of typedef in focus chains ([73bbeac](https://gitlab.com/kwinft/kwinft/commit/73bbeac0570f514214fecf7a83bde8c85b1858f0))
* virtualize call to destroy Plasma Wayland integration ([d2cfa7d](https://gitlab.com/kwinft/kwinft/commit/d2cfa7d50050a62c99a7ad016c016246e477efaa))
* **xwl:** composite QObject into drags ([c764221](https://gitlab.com/kwinft/kwinft/commit/c764221adddd941d07bc87fc10457e066e301a12))
* **xwl:** composite QObjects into visits ([bf9c5e0](https://gitlab.com/kwinft/kwinft/commit/bf9c5e06bfef58a1b86825fcb8c3514c8b5b513b))
* **xwl:** connect only when selection handles offer changes ([790a2c8](https://gitlab.com/kwinft/kwinft/commit/790a2c8a454386fffe03a68ac7904d98fea1c6cf))
* **xwl:** constexpr require functions ([213b06d](https://gitlab.com/kwinft/kwinft/commit/213b06d5ed40d1023d08fec7190ae82f36e802ab))
* **xwl:** create runtime integration substructs ([8b5726e](https://gitlab.com/kwinft/kwinft/commit/8b5726eeaca9a95687200f80bc9235640f580038))
* **xwl:** decide X11 drag target by type ([a87b399](https://gitlab.com/kwinft/kwinft/commit/a87b3998581b43b0d48216066f1a41e21b462bb3))
* **xwl:** define selections in headers ([9b4d1d3](https://gitlab.com/kwinft/kwinft/commit/9b4d1d3e761e2d8cfa4f6c09643857321736ff42))
* **xwl:** define visits in separate files ([b36d264](https://gitlab.com/kwinft/kwinft/commit/b36d2647e955171f34de7fdf09a7f07646470bdc))
* **xwl:** make visit members public ([8a7696c](https://gitlab.com/kwinft/kwinft/commit/8a7696cc80e908007f2c7214a47c717254d534cf))
* **xwl:** replace template specializations with member functions ([0af3e97](https://gitlab.com/kwinft/kwinft/commit/0af3e97ec222b0b14c8862dadd66056305d9a823))
* **xwl:** store drag target window as subtype ([83bdd67](https://gitlab.com/kwinft/kwinft/commit/83bdd67f9d848a2373e6b46248f75904e8960805))
* **xwl:** template data bridge over space ([f003026](https://gitlab.com/kwinft/kwinft/commit/f003026484a76332f45a09fdbd69ce8c4be72c17))
* **xwl:** template data bridge over window ([78bdf18](https://gitlab.com/kwinft/kwinft/commit/78bdf187f465dfed3db997edf8dca123f5367689))
* **xwl:** template dnd class over window ([985201b](https://gitlab.com/kwinft/kwinft/commit/985201b54328f5be2bbf233aff81db98317b3367))
* **xwl:** template drags over window ([e29baac](https://gitlab.com/kwinft/kwinft/commit/e29baacdb89221ba1929d6c6a65cbce8dc1d0a8b))
* **xwl:** template main Xwayland class over space ([0e0a41e](https://gitlab.com/kwinft/kwinft/commit/0e0a41eaee57c43bf92b324b799ae64db57a30c8))
* **xwl:** template over space ([2fe5366](https://gitlab.com/kwinft/kwinft/commit/2fe5366f33d88d43b1768e442d741bb415471d1b))
* **xwl:** template selections over space ([2654191](https://gitlab.com/kwinft/kwinft/commit/26541919b58a144aa67865795e831a948912b462))
* **xwl:** template visits over Window ([997878f](https://gitlab.com/kwinft/kwinft/commit/997878f7b1f602abcd61405a0ef3009f29e6d637))

## [5.25.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.25.0-beta.0...kwinft@5.25.0) (2022-06-14)

## [5.25.0-beta.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.24.0-beta.0...kwinft@5.25.0-beta.0) (2022-06-12)


### ⚠ BREAKING CHANGES

* KWIN_SINGLETON macros are removed from kwinglobals header
* **effect:** effects must consider render target rect and scale
* GLRenderTargets can only be pushed/popped, not en-/disabled
* **effect:** KWINEFFECTS logging category declaration is removed

### Features

* add Accessibility keyword ([9d728fe](https://gitlab.com/kwinft/kwinft/commit/9d728feda0fd5969f6431ffa165b39e1bacf7f03))
* add debug info when X11 grabs fail ([e6152fc](https://gitlab.com/kwinft/kwinft/commit/e6152fcd6f6bae8231376a3fdebb86b12280a103))
* add Exclusive and SelectAll types to options model ([c8fc149](https://gitlab.com/kwinft/kwinft/commit/c8fc1491446fa55da5e6921a33708cbd36b58aa1))
* allow copies of internal atom wrapper class ([79ffef6](https://gitlab.com/kwinft/kwinft/commit/79ffef6de24f66a90dd1606095c99cdae4f92fbb))
* allow direct uploads of 16-bpc QImage formats ([f816eb7](https://gitlab.com/kwinft/kwinft/commit/f816eb7a281b94ae4b2b439f833f70a70d574c1e))
* allow handling of foreign renderbuffers in GLRenderTargets ([5ac4de9](https://gitlab.com/kwinft/kwinft/commit/5ac4de94565e52a4fd330003db3c5c96eb86639a))
* change app name in notifyrc ([df22969](https://gitlab.com/kwinft/kwinft/commit/df229698db283e2aa64b45355205b57b57c23a92))
* consider _GTK_APPLICATION_ID for matching desktop files ([4ca2ee5](https://gitlab.com/kwinft/kwinft/commit/4ca2ee5b0e89179f316048b778630fc22f31cb80))
* **deco:** support blurregion from kdecoration2 ([9213daf](https://gitlab.com/kwinft/kwinft/commit/9213daf630ddd9db8bb1b2f4c2f87f2442bb1272))
* drop GLRenderTarget::isRenderTargetBound() ([edeebcf](https://gitlab.com/kwinft/kwinft/commit/edeebcf2b1235f7936cfea50ec2e892310305e2d))
* drop ptrace logic ([f17dbbb](https://gitlab.com/kwinft/kwinft/commit/f17dbbb815e88d7db12987fe3a550a2c3368bcb5))
* **effect:** add animation effect header to installed subdirectory ([8a0a1c1](https://gitlab.com/kwinft/kwinft/commit/8a0a1c12491dd1b49db12ef969a7b77a6c492e01))
* **effect:** add deform effect header to installed subdirectory ([f5cb4cb](https://gitlab.com/kwinft/kwinft/commit/f5cb4cb0585f190206f5d5b44e42eb8e3559e187))
* **effect:** add effect quick view header to installed subdirectory ([08228e8](https://gitlab.com/kwinft/kwinft/commit/08228e8d0170dd089ec0e65452074cf07440d640))
* **effect:** add EffectQuickScene::setSource with initial properties ([33f15c0](https://gitlab.com/kwinft/kwinft/commit/33f15c00a6281f209ca8dc8a25a0773723b4bb0b))
* **effect:** add GL platform header to installed subdirectory ([b8227b3](https://gitlab.com/kwinft/kwinft/commit/b8227b3facfb77014ee63746d60f82c882f87c2a))
* **effect:** add GL texture header to installed subdirectory ([293086f](https://gitlab.com/kwinft/kwinft/commit/293086f842ebe8f3c5442a283dde7fa55ce6e09b))
* **effect:** add GL utility functions header to installed subdirectory ([ea07952](https://gitlab.com/kwinft/kwinft/commit/ea0795223e582887eae9ffce35fa74508145b1b5))
* **effect:** add GLTexture::render() overload that takes no scissor region ([b8d6f5f](https://gitlab.com/kwinft/kwinft/commit/b8d6f5f8d2fd2d1cb4769e7fa7ad92891de0d4dd))
* **effect:** add new blend effect ([5d67ca6](https://gitlab.com/kwinft/kwinft/commit/5d67ca618165e7c8e319cad2f8c2b06b1a80074a))
* **effect:** disable zoom with XRender ([42d2918](https://gitlab.com/kwinft/kwinft/commit/42d2918502af5b3bd3ad960c7ffd51960a4004a6))
* **effect:** install export header to effects library subdirectory ([008b728](https://gitlab.com/kwinft/kwinft/commit/008b72848a5de7cd6bb1b1d530974e54d5f88c31))
* **effect:** install GL utils header to subdirectory ([0c21c32](https://gitlab.com/kwinft/kwinft/commit/0c21c3284796a2a2cc14733356645674d59afc0d))
* **effect:** install separate effect frame header ([0a6011c](https://gitlab.com/kwinft/kwinft/commit/0a6011ce5181f642132d74ab1a34cc06010340d0))
* **effect:** install separate effect header ([fd11a7b](https://gitlab.com/kwinft/kwinft/commit/fd11a7b6bf21dcaae49c6285d46759e4f818a3ce))
* **effect:** install separate effect plugin factory header ([c901f28](https://gitlab.com/kwinft/kwinft/commit/c901f28f3e7635be549569886628cfa4068631c4))
* **effect:** install separate effect screen header ([2717f71](https://gitlab.com/kwinft/kwinft/commit/2717f7190d760ecae06e9dad19a8b69273523799))
* **effect:** install separate effect window header ([dcdc167](https://gitlab.com/kwinft/kwinft/commit/dcdc16718019d374c8f5f36a62a0a5413af0f1f3))
* **effect:** install separate effects handler header ([f77bcf6](https://gitlab.com/kwinft/kwinft/commit/f77bcf6aee96e5ef60448f6dea84286e4aefce61))
* **effect:** install separate motions header ([e4a898f](https://gitlab.com/kwinft/kwinft/commit/e4a898ffe324937e1d9856a84c6b624bc8009feb))
* **effect:** install separate paint clipper header ([dda4261](https://gitlab.com/kwinft/kwinft/commit/dda42615b9da220ed25e1b52a3a6a7a86f7e86d1))
* **effect:** install separate paint data header ([756aa33](https://gitlab.com/kwinft/kwinft/commit/756aa33fe15987775a9f591424e4d60a9f92da5c))
* **effect:** install separate time line header ([e2dddcd](https://gitlab.com/kwinft/kwinft/commit/e2dddcda704e5cacba9392d8a5f05debfcba3402))
* **effect:** install separate types header ([4e9ddd3](https://gitlab.com/kwinft/kwinft/commit/4e9ddd307bb41b7e31b1bf461d1377ee0f406591))
* **effect:** install separate window quad header ([f45a21c](https://gitlab.com/kwinft/kwinft/commit/f45a21c46d620fb1c9868ae362a758c895791d32))
* **effect:** install Xrender library to subdirectory ([49ee9a0](https://gitlab.com/kwinft/kwinft/commit/49ee9a091b4b450ef758b7f59986c9b20dadeace))
* **effect:** provide blur integration ([1872419](https://gitlab.com/kwinft/kwinft/commit/1872419e7b900929a87bbe2e7dfcc106a7316b0f))
* **effect:** provide contrast integration ([8f6f3af](https://gitlab.com/kwinft/kwinft/commit/8f6f3af7f0bdab2acaa694480c273239b56865de))
* **effect:** provide KScreen effect integration ([ce2cc47](https://gitlab.com/kwinft/kwinft/commit/ce2cc474b3651e93189fcb2f988e99af857a75c5))
* **effect:** provide slide integration ([674301c](https://gitlab.com/kwinft/kwinft/commit/674301c78958d786b9d1e85195504a9549253b97))
* **effect:** remove GLRenderTarget::{attachTexture,detachTexture} ([373374b](https://gitlab.com/kwinft/kwinft/commit/373374ba7da20ecb5b20f875732fba5986f7abde))
* **effect:** remove legacy X11 atom way to highlight window ([d685017](https://gitlab.com/kwinft/kwinft/commit/d685017006f5273aeb3f0779864a2693e5e6d095))
* **effect:** remove legacy X11 atom way to present window ([19115c6](https://gitlab.com/kwinft/kwinft/commit/19115c64c97a64d24dcc65862476c697343aa42b))
* **effect:** remove logging category declaration ([01fb3a3](https://gitlab.com/kwinft/kwinft/commit/01fb3a3131a33f43c0916df438d772c980ba13a4))
* **effect:** remove sliding popup properties ([af5af4c](https://gitlab.com/kwinft/kwinft/commit/af5af4cd3f50d9e4763d07d8a49e6236c7cd436e))
* **effect:** support kdecoration2 blurregion ([e4c356c](https://gitlab.com/kwinft/kwinft/commit/e4c356c44b359fdbc02f9aff89df24fada6b9173))
* **effect:** support setting opacity on OffscreenQuickView ([2b2d069](https://gitlab.com/kwinft/kwinft/commit/2b2d0692d454613ecb58f7e2f5391ecdcaf024a0))
* **effect:** zoom all desktops with eyeonscreen effect ([8d6f22e](https://gitlab.com/kwinft/kwinft/commit/8d6f22e06d9a16782eafdd306fdca2e2a7d185c9))
* group compositing options in compositor KCM ([8ffae64](https://gitlab.com/kwinft/kwinft/commit/8ffae6402cca67cc664ca6e45d6fe176084f572a))
* inhibit edges when the active window is full screen by default ([af86127](https://gitlab.com/kwinft/kwinft/commit/af86127a8817972791f760022dd7823218b86275))
* **input:** add support for KGlobalAccelInterfaceV2::keyReleased ([2b9a68d](https://gitlab.com/kwinft/kwinft/commit/2b9a68dade55247d3dcf7c5382a76ca44e2a5261))
* **input:** change global shortcuts to use the Meta key by default ([ed0a2ee](https://gitlab.com/kwinft/kwinft/commit/ed0a2ee4d7b644a939bd99dad0d4bdf5c17d966f))
* **input:** install org.kde.kwin.InputDevice XML ([09f9680](https://gitlab.com/kwinft/kwinft/commit/09f96801d0f1008b65d2d834e00217198cd13eba))
* log app name and version on start ([e25cbd5](https://gitlab.com/kwinft/kwinft/commit/e25cbd57e7702fdeae5ab2a538d503abec000b87))
* log Wayland window pointer address ([dc795f3](https://gitlab.com/kwinft/kwinft/commit/dc795f37fd697f3c387dcf9b14a7d11d8ec928a1))
* omit setting the _ORG_KDE_KWIN_DBUS_SERVICE atom on the root window ([2e32459](https://gitlab.com/kwinft/kwinft/commit/2e324598ccc6a616534af72f8db61a17d9996f6a))
* omit setting the KWIN_RUNNING atom on the root window ([ecb8b82](https://gitlab.com/kwinft/kwinft/commit/ecb8b82dcf37012aa1abb6fa3c0a023d05c32ab2))
* only show touch screen KCM on Wayland ([69bcfb6](https://gitlab.com/kwinft/kwinft/commit/69bcfb60350ed5d3805f54d0e957e03cc87ff25f))
* paint background with alpha 0 ([3fe8a9b](https://gitlab.com/kwinft/kwinft/commit/3fe8a9bee9352e96574aff2df7cf396135cdec7d))
* prefer screen inversion via effects ([fbbf966](https://gitlab.com/kwinft/kwinft/commit/fbbf9666c44888d26a6f88602b7ddc1563b2db98))
* provide blit from framebuffer call in effects handler ([3bd20dc](https://gitlab.com/kwinft/kwinft/commit/3bd20dc35135d46d75b3d5c5ab1d81cf29c35e46))
* **qpa:** implement services ([0f50f11](https://gitlab.com/kwinft/kwinft/commit/0f50f11e416a6aadd1b9888c43b1cdada40410d5))
* remove GLRenderTarget en-/disable calls ([461828f](https://gitlab.com/kwinft/kwinft/commit/461828f56613867cabf013d01298902c8bfdbdeb))
* remove KWIN_SINGLETON macros ([e27ee98](https://gitlab.com/kwinft/kwinft/commit/e27ee9890057b383d2a99ce635e2563200be4038))
* remove xcb shm helper ([47978aa](https://gitlab.com/kwinft/kwinft/commit/47978aac0bbe89349dd72295eb5de44c1465b107))
* specify RandR inversion screen via root window only ([0484835](https://gitlab.com/kwinft/kwinft/commit/0484835e87e7dd795e4290afe9331ece4b2921d8))
* support KWindowSystem interface with activation support ([c5345bd](https://gitlab.com/kwinft/kwinft/commit/c5345bd435f9a25d0259c501f9e3a300bb11cb79))


### Bug Fixes

* adapt to wlroots EGL struct becoming opaque ([f45aed8](https://gitlab.com/kwinft/kwinft/commit/f45aed84511719c791db96db17db1ce6df367392))
* adapt to wlroots input changes ([183b94a](https://gitlab.com/kwinft/kwinft/commit/183b94aa883c417aee57ad8b107a61763a34b20e))
* add "cmath" header in deco_renderer.h ([34f386f](https://gitlab.com/kwinft/kwinft/commit/34f386f92c6e5388daed482925f68b0ee7fc2a59))
* add missing cmath imports ([f525271](https://gitlab.com/kwinft/kwinft/commit/f5252719e6f219ddb38bd23468be2aa988fdcb7c))
* add missing include for libc++ after c2f41815196a ([8fcbbb5](https://gitlab.com/kwinft/kwinft/commit/8fcbbb53baa2057be72319c1121c869d8fdf0134))
* add missing include for xcb tree ([0573d02](https://gitlab.com/kwinft/kwinft/commit/0573d02a1b86b9cda9beadb78d29aea121cbcbbb))
* add missing initializations ([d9df7c4](https://gitlab.com/kwinft/kwinft/commit/d9df7c47352d8a7084df740e3ac63a2e61246ee3))
* add missing NoDisplay=true to KCM desktop files ([b038c66](https://gitlab.com/kwinft/kwinft/commit/b038c66609590b1197b1abc2324508e1198f3ff6))
* add missing static keyword ([ab3c16c](https://gitlab.com/kwinft/kwinft/commit/ab3c16c347279061e51d1893a9741f0e52d35b78))
* add missing win/types.h include ([c13adb8](https://gitlab.com/kwinft/kwinft/commit/c13adb8c80dc5711fb62031f2f15ffe9698253df))
* always set special window type for layer surfaces ([03b3e80](https://gitlab.com/kwinft/kwinft/commit/03b3e802529d3dc2f5c0ed751562fc1e56c2b7d4))
* assert glFenceSync ([3536ba4](https://gitlab.com/kwinft/kwinft/commit/3536ba472ad0dc3855f03093035980cafbc06fce))
* assert on restacked other window being different ([02c47fc](https://gitlab.com/kwinft/kwinft/commit/02c47fce9f2b169bc14abb9f12272db0d0734004))
* bump RLIMIT_NOFILE limit ([165fea6](https://gitlab.com/kwinft/kwinft/commit/165fea698cdeb98a2964c2f9a8ce61cbf495605e))
* check for and reset GLX backend on tear down ([c16fbca](https://gitlab.com/kwinft/kwinft/commit/c16fbca2b216b10b8ef956a27bd9fecbfab82aa2))
* check for control on deco render ([25c04c5](https://gitlab.com/kwinft/kwinft/commit/25c04c59301365dbdf0e6a3fc14948d30dffb23c))
* check on session active when scheduling new frames ([2ea56cc](https://gitlab.com/kwinft/kwinft/commit/2ea56ccda19c3dbfde05308201432815e7e26f76))
* check output metadata for null strings ([df4c01d](https://gitlab.com/kwinft/kwinft/commit/df4c01db84adae37fb1c6fde728fb360cc3ded19))
* compare executablePath against canonical path of exec fields in .desktops ([acc2da4](https://gitlab.com/kwinft/kwinft/commit/acc2da406aa2283d0f7a210fa4d57a7f8bd7960a))
* compare with const end iterator ([180ce71](https://gitlab.com/kwinft/kwinft/commit/180ce71dfaf821dee88c7574a5948ea4c6b1cd29))
* correct botched indentation code for final checkbox ([4433617](https://gitlab.com/kwinft/kwinft/commit/4433617cb1923a5d3afa48d4dd8bfbc4a0c32233))
* correct prefix of Lanczos shader path ([bc5dc41](https://gitlab.com/kwinft/kwinft/commit/bc5dc41e973e4ec8973fbdfb10464b7fe32295b1))
* create screen edger in space child classes ([8ee869a](https://gitlab.com/kwinft/kwinft/commit/8ee869a1dfb03a1260db387d3ba49dd7d3359c27))
* **deco:** correct incorrectly disabled blur for maximized windows ([416de9e](https://gitlab.com/kwinft/kwinft/commit/416de9e5afa6999e526c07915a19c3cef325d30d))
* **deco:** do not make any blur calculations when blur is not supported ([bc64d34](https://gitlab.com/kwinft/kwinft/commit/bc64d343b69c99e82732fe218c0b140711dec164))
* destroy annexed remnants with alive leads before paint ([d595c9f](https://gitlab.com/kwinft/kwinft/commit/d595c9f8a6d0f13827d5e9c444f3f912285dea5e))
* destroy leaderless annexed windows directly ([058d544](https://gitlab.com/kwinft/kwinft/commit/058d5443d65853a4185a0355c630edffaaab80bd))
* do not leak QKeyEvents ([7869e19](https://gitlab.com/kwinft/kwinft/commit/7869e1954ae4f354853029643c187e7118ebb76d))
* don't add potential nullptr to result ([d62892b](https://gitlab.com/kwinft/kwinft/commit/d62892bf0ae3e450337411a014e1bba063d99d2e))
* don't block screen edge for fullscreen effects ([63ec63e](https://gitlab.com/kwinft/kwinft/commit/63ec63e875b5de063df1691d0ededbbb0c943d2d))
* don't force QT_QPA_PLATFORM=wayland ([7e594e2](https://gitlab.com/kwinft/kwinft/commit/7e594e27103754b8891c4f3f74e87e5260383db5))
* dont erase item on the looping container ([5d2b0c9](https://gitlab.com/kwinft/kwinft/commit/5d2b0c95bf111b0734a4af59af5903a155c65fa2))
* draw the ratio of the monitor we are on ([a86816f](https://gitlab.com/kwinft/kwinft/commit/a86816fd251ce3fa662af71fc2b67290a82c96d1))
* drop "wayland-server.h" in egl_data.h ([c01773e](https://gitlab.com/kwinft/kwinft/commit/c01773e4f2cc036390257938ab693aabccf29feb))
* **effect:** abort blit from framebuffer when render target is missing ([33759d7](https://gitlab.com/kwinft/kwinft/commit/33759d718bda525fde3478f22bf0dc8e26e84dcc))
* **effect:** avoid animating window fallapart while there's a fullscreen effect ([f7931b3](https://gitlab.com/kwinft/kwinft/commit/f7931b3e345e50f83861332db4a3691f8500291a))
* **effect:** avoid shrinking unrelated opaque regions for blur ([de00505](https://gitlab.com/kwinft/kwinft/commit/de005053cfedff195725d5aba5d808a921d79596))
* **effect:** avoid using QApplication in sliding popups ([ca699d1](https://gitlab.com/kwinft/kwinft/commit/ca699d100212763c4d1cd73fa7beaea0e431daa9))
* **effect:** capture screenshot in paintScreen() ([d9cf0d7](https://gitlab.com/kwinft/kwinft/commit/d9cf0d787d77093e648b2097a9565b32eebf74c8))
* **effect:** check lockscreen status for fullscreen effects ([5a2e7b1](https://gitlab.com/kwinft/kwinft/commit/5a2e7b119b42c03cf2c764e4c5a3951d1ca9de20))
* **effect:** correct desktopgrid config group name ([025a82e](https://gitlab.com/kwinft/kwinft/commit/025a82e54b54bb0dc7b5e90f6a2ba2b754c451d7))
* **effect:** don't call load() from KCM constructor ([402bb8c](https://gitlab.com/kwinft/kwinft/commit/402bb8c654890ab417a17c1ef739f59684613aba))
* **effect:** drop window visibilty reference after painting ([0072b73](https://gitlab.com/kwinft/kwinft/commit/0072b735e0368ceef1fe2e1b44051e3901efdc85))
* **effect:** get virtual screen geometry instead of client area ([899427c](https://gitlab.com/kwinft/kwinft/commit/899427cb6e19c5af611f8f245b9b3607555f0f63))
* **effect:** let fullscreen take priority over blend ([01bac7a](https://gitlab.com/kwinft/kwinft/commit/01bac7a58fb41a33f62da107f0c18ee76e7f3ae0))
* **effect:** load effects in handler child class constructors ([7f5d739](https://gitlab.com/kwinft/kwinft/commit/7f5d7393fb18548d18061da82aabfc8578f0c2ea))
* **effect:** make DeformEffect disable clipping if specified region is infinite ([5cebf42](https://gitlab.com/kwinft/kwinft/commit/5cebf42b91024b38069d5d17ed05a99ce1959337))
* **effect:** make scale not grab open and close roles ([da127d2](https://gitlab.com/kwinft/kwinft/commit/da127d2324f9a898395450df5c4d4d91d1b0e492))
* **effect:** move screenedge forward in the effect chain ([7749e3e](https://gitlab.com/kwinft/kwinft/commit/7749e3e71298b86c486a76d4a4af8d2c2ef485cb))
* **effect:** omit setting highlight window duration of zero ([7fcce46](https://gitlab.com/kwinft/kwinft/commit/7fcce462d48e58e2b4ef39c49e149427bc3ed28a))
* **effect:** pick color in paintScreen() ([96a1dae](https://gitlab.com/kwinft/kwinft/commit/96a1daead655855e208c74bc674598eae48d38aa))
* **effect:** publish pid property ([d2bc1a3](https://gitlab.com/kwinft/kwinft/commit/d2bc1a3d5e39b4cac6fce17289ac52c7ba0f50f8))
* **effect:** remove QApplication include in present windows ([afbf102](https://gitlab.com/kwinft/kwinft/commit/afbf102c823782c9729a205728f6dc45cd9b2b12))
* **effect:** remove QApplication include in zoom ([b438bb2](https://gitlab.com/kwinft/kwinft/commit/b438bb27b99155c89d3be9e1ad68c204a76c500a))
* **effect:** remove unneeded Wrapland includes ([bd55950](https://gitlab.com/kwinft/kwinft/commit/bd559504ad713c4de3e820caed31ab1bf7c0a6cf))
* **effect:** remove window flickering on blur ([39cf2f0](https://gitlab.com/kwinft/kwinft/commit/39cf2f0f6f4623093c4734144c5fa21977e6898e))
* **effect:** render zoom scene in an offscreen texture ([dee1769](https://gitlab.com/kwinft/kwinft/commit/dee1769c8c3f079113b48c5bb27170dd78458973))
* **effect:** repaint with zoom factor of 1 ([fa41660](https://gitlab.com/kwinft/kwinft/commit/fa41660238c21dc838491ef918c131e3546a0b02))
* **effect:** reset effect integrations over registry copy ([e028e9b](https://gitlab.com/kwinft/kwinft/commit/e028e9b8d00f8545337028701d639d338974c90f))
* **effect:** rework how zoom cursor texture is managed ([c33dea7](https://gitlab.com/kwinft/kwinft/commit/c33dea7041a1cd0e21d4c30a3e41bf72d57a4fa6))
* **effect:** schedule a fullscreen repaint if stopped zooming ([1bce353](https://gitlab.com/kwinft/kwinft/commit/1bce35373e024643e7892106569bbf0bc86ea5e8))
* **effect:** specify zoom effect chain position ([9b86ce4](https://gitlab.com/kwinft/kwinft/commit/9b86ce433a3792e3279d669e7377f5ac137bc6e1))
* **effect:** use GL_LINEAR filter for zoom ([1d86d9a](https://gitlab.com/kwinft/kwinft/commit/1d86d9a2b6d8b27fcf5cfa971681b05f01408186))
* **effect:** use the duration parameter ([d3f8107](https://gitlab.com/kwinft/kwinft/commit/d3f81075be62d465dfac79ea99743f3a15a8087c))
* enable and commit to DPMS on ([524bec1](https://gitlab.com/kwinft/kwinft/commit/524bec1db280c2020fb8e8107c519678ab48f90b))
* ensure qt containers does not detach ([35683ef](https://gitlab.com/kwinft/kwinft/commit/35683ef5b12c50f8e341c597a23489594b3eb93f))
* ensure that toplead exist before repaint ([20a40a8](https://gitlab.com/kwinft/kwinft/commit/20a40a86ddd38da6ee5fdfd3cf86f62f07ed3a76))
* ensure window quads are not detached ([e38fd8a](https://gitlab.com/kwinft/kwinft/commit/e38fd8a2e4ee719f12749ca0dc5bf34d2735b029))
* evaluate GL backend transformation on blit from framebuffer ([603f1d3](https://gitlab.com/kwinft/kwinft/commit/603f1d3cc66a583ed91c4f813b0facfef9b2e22b))
* get proc address ourselves for eglQueryWaylandBufferWL ([81a3ee6](https://gitlab.com/kwinft/kwinft/commit/81a3ee67e546e6811b420978a1b5913da9bb368c))
* get recommended and requested layer surface geometry ([b2c87db](https://gitlab.com/kwinft/kwinft/commit/b2c87dbab72a781b88079d4770dd65a66c66fc62))
* guard against null group ([cd8b834](https://gitlab.com/kwinft/kwinft/commit/cd8b8346eb7bf7db492719ee7041a0e63c9d1358))
* ignore notification and osd types on position checks ([9da4167](https://gitlab.com/kwinft/kwinft/commit/9da4167ad62a3622128e5320b8709a01d564a18a))
* improve support information message ([0d3d94a](https://gitlab.com/kwinft/kwinft/commit/0d3d94a0ad59e8a2e3b0bbe9759663328c470503))
* include logging header ([0b891a4](https://gitlab.com/kwinft/kwinft/commit/0b891a448a8bb2dd837e717dbffc5f8f5bf31e2e))
* inform layer surfaces about output geometry changes ([745cda9](https://gitlab.com/kwinft/kwinft/commit/745cda9517fcceb1869ab9a4679e1834dd31a730))
* initalize uninitialized var ([4a48c4e](https://gitlab.com/kwinft/kwinft/commit/4a48c4e375d56ebae3ff10b81e4c88eb6b4b849f))
* initialize base X11 output data ([f3fcfed](https://gitlab.com/kwinft/kwinft/commit/f3fcfed30e608082bb43dcedb32778655c9003a5))
* initialize match variable ([4ae7836](https://gitlab.com/kwinft/kwinft/commit/4ae78365de2f524b3dc879280a27e9be20146e9e))
* initialize uninitialized action_atom ([e0be65b](https://gitlab.com/kwinft/kwinft/commit/e0be65b457938d1e3df8adf75d4541ec219e0517))
* **input:** check for headless backend instead of device ([f9e8f52](https://gitlab.com/kwinft/kwinft/commit/f9e8f528eaee1b57713887adcb6c3b977bb96556))
* **input:** check seat capabilities ([8808363](https://gitlab.com/kwinft/kwinft/commit/88083637a6e6d9a881de846e459af70a2086a5f9))
* **input:** remove unnecessary forward declarations ([8829d73](https://gitlab.com/kwinft/kwinft/commit/8829d733297ba62c45eb16cdc7f56b6f8961457d))
* **input:** send axis event to decoration ([7423506](https://gitlab.com/kwinft/kwinft/commit/742350621624e18c1b733ad681c93371906a9428))
* **input:** set and unset focus on seat capability changes ([616f806](https://gitlab.com/kwinft/kwinft/commit/616f80682679d1c24941681bf6b2e480dc02c1a0))
* keep xdg-popup parent set via layer-shell ([48dbd02](https://gitlab.com/kwinft/kwinft/commit/48dbd023b90de2c67174a341a8f3b2423deeb37c))
* load effect also if plugin defined X-KDE-Library ([dc3db46](https://gitlab.com/kwinft/kwinft/commit/dc3db46d96f89ec7a2e8223fe87306563865d766))
* make control actually demand attention ([58e254e](https://gitlab.com/kwinft/kwinft/commit/58e254e6049c0ab43d029fce45e58cc8b63ed631))
* make KWin scripts KCM write its pending states to config ([4d5fa63](https://gitlab.com/kwinft/kwinft/commit/4d5fa63cb08240237fa44be6161f4f5bb1d41a29))
* move X11 screen edge to win namespace ([cc4808c](https://gitlab.com/kwinft/kwinft/commit/cc4808c2bd387f46e3cf6c7d70bef43283200fd1))
* only ref annexed transient remnants for each lead ([876d548](https://gitlab.com/kwinft/kwinft/commit/876d548097a137b3c5163f461bac8e97fe5b0ff9))
* only use sRGB configurations with depth 24 ([f10e01e](https://gitlab.com/kwinft/kwinft/commit/f10e01ebec5548076651e49c853bc1fc58e3d923))
* prefer glClear for old hardware support ([f0b6ff4](https://gitlab.com/kwinft/kwinft/commit/f0b6ff466c8dad6261bbbb30eff5b2bd4e5bc29f))
* provide window as reference when switching desktop ([068a193](https://gitlab.com/kwinft/kwinft/commit/068a19307b258e70f84a89f073de2b5771684f2a))
* push window early on lists ([ee16cc8](https://gitlab.com/kwinft/kwinft/commit/ee16cc8215eeba33b1f0087f90e2e22df027b370))
* **qpa:** position decoration tooltips relative to screen ([12f5a5b](https://gitlab.com/kwinft/kwinft/commit/12f5a5b23886825dc9fbbd9d8f6fb3d9fdc35b9a))
* **qpa:** provide a QPlatformNativeInterface ([2867909](https://gitlab.com/kwinft/kwinft/commit/2867909d1d8010c8f173054b15b642a4d7e91bb1))
* raise lead if window is without control ([0bef8b4](https://gitlab.com/kwinft/kwinft/commit/0bef8b418ed78c1cdd154f9c90bb016d2c475b2e))
* remove assignment operator in platform.h ([314df25](https://gitlab.com/kwinft/kwinft/commit/314df25b5565d2643728fb14574fd52a7077bb67))
* remove GLES checks in EGL texture updating routines ([78bb37a](https://gitlab.com/kwinft/kwinft/commit/78bb37acf176350ee325d0cc0221f5643dd09da1))
* remove ineffecitve update to shadow ([6fa3bf0](https://gitlab.com/kwinft/kwinft/commit/6fa3bf03c89c4fa5e8ca1056d42e86f20ba5b06a))
* remove transient children from copy ([ada3a38](https://gitlab.com/kwinft/kwinft/commit/ada3a38c41e3fb05283fe6eb3e68f383a57adc55))
* render into texture framebuffer to flip for wlroots ([f51f386](https://gitlab.com/kwinft/kwinft/commit/f51f3860a42a98ff432872756b545830a8f8a27a))
* restore cout flag after left positioning ([cc47ca0](https://gitlab.com/kwinft/kwinft/commit/cc47ca0c2e67b854ac149ff4610176001861fdb3))
* revert to expected osd notification QML paths ([97c5440](https://gitlab.com/kwinft/kwinft/commit/97c5440e376fad1a07d3c6698fcffae9edf2699e))
* set default value as false ([dcb19a8](https://gitlab.com/kwinft/kwinft/commit/dcb19a872785ce9b52fc5be7f9f15b8fae0cb708))
* silence compiler warning about overflow ([7f40cbf](https://gitlab.com/kwinft/kwinft/commit/7f40cbf73caa530557dca597c269a7ad8839f7e7))
* silence compiler warnings ([c6b30e9](https://gitlab.com/kwinft/kwinft/commit/c6b30e9649ebbdfa2fc02645e8ff0231c61c4117))
* skip remnant creation without compositing ([3c4aa68](https://gitlab.com/kwinft/kwinft/commit/3c4aa689609c891d73d60942b53aea40e9e1b77a))
* tighten checks on dmabuf updates having no image ([772a09b](https://gitlab.com/kwinft/kwinft/commit/772a09bb111be4bcab3ecfcd46f1a1230cf11061))
* update download.kde.org references with autoconfig.kde.org ([2275ba3](https://gitlab.com/kwinft/kwinft/commit/2275ba37c6ea77bf3f35b2c4c0922e75424fc400))
* use font metrics to compute corner offset ([79c2805](https://gitlab.com/kwinft/kwinft/commit/79c280500f90899910db9a676524be0f4efaf59b))
* use height instead of width ([9b5e287](https://gitlab.com/kwinft/kwinft/commit/9b5e28766deea160e9af88cedd5ea5c5055e89e2))
* use QWidget method for initial screen edges KCM screen detection ([905282a](https://gitlab.com/kwinft/kwinft/commit/905282a494545bb400da5cad517b6092377da5d3))
* use wlroots new input event names ([dcb12b4](https://gitlab.com/kwinft/kwinft/commit/dcb12b47be6587069f060cd2657479044224216e))


### Refactors

* access compositor through space ([9bf668a](https://gitlab.com/kwinft/kwinft/commit/9bf668a19ba183ecf6fd87958d8ec1ad5e4784cd))
* adapt to OpenGL related Qt6 QQuickWindow API changes ([a948273](https://gitlab.com/kwinft/kwinft/commit/a94827336a7ce9501cabccf5280cbc9771d17be2))
* adapt to various Qt6 container changes ([a915778](https://gitlab.com/kwinft/kwinft/commit/a91577861d33137ddef6e8ad9c448ae20ea1a9ea))
* adapt to Wrapland dmabuf buffer data changes ([631664a](https://gitlab.com/kwinft/kwinft/commit/631664aec346830b53c89a93d8c98d3aa70bf2e1))
* adapt to Wrapland dmabuf buffer plane changes ([7b2d3ce](https://gitlab.com/kwinft/kwinft/commit/7b2d3ce1550ba1f99c4fa027c89010357323bf97))
* adapt to Wrapland dmabuf buffer smart pointer change ([1ef7891](https://gitlab.com/kwinft/kwinft/commit/1ef78916c0420f1e4a65797b935e0e28e2ced49d))
* adapt to Wrapland dmabuf formats changes ([cfa871a](https://gitlab.com/kwinft/kwinft/commit/cfa871a83db480d2bc701db6826b4e921c82a746))
* adapt to Wrapland dmabuf import buffer change ([facc104](https://gitlab.com/kwinft/kwinft/commit/facc1040ff1e5de3220a2f908d67a6b0e095d704))
* adapt to Wrapland dmabuf style changes ([68ee8a0](https://gitlab.com/kwinft/kwinft/commit/68ee8a099cb24553124171a115d20ae06a6d4835))
* add output test functions to test library ([1dc7ca6](https://gitlab.com/kwinft/kwinft/commit/1dc7ca6ed9f0fedc1f9525502900ed08a8673543))
* add remnant in free function to space ([079391b](https://gitlab.com/kwinft/kwinft/commit/079391b6e408676db247d3c36113931790894b3f))
* add render platform singleton interface class ([761139f](https://gitlab.com/kwinft/kwinft/commit/761139f4eaba4a5c467a38bcd9fb7b96c70423d4))
* add singleton interface classes ([a72559c](https://gitlab.com/kwinft/kwinft/commit/a72559c5d0c10b0309bfaf626087232d072c7412))
* add space reference to X11 window ([5a05745](https://gitlab.com/kwinft/kwinft/commit/5a05745d1ab0100f56f752b214b1a44dde72819d))
* add tabbox_ prefix to files ([615cd29](https://gitlab.com/kwinft/kwinft/commit/615cd29c039a89e73a9a232e5ccae0c7c5f88dbc))
* add X11 window with control in free function to space ([123cf49](https://gitlab.com/kwinft/kwinft/commit/123cf49c6eccb9b0a46b7e471ed2b9457c5a18e2))
* assert on transient child removal ([66be850](https://gitlab.com/kwinft/kwinft/commit/66be850705c4aa97615bd69c12d515bbe509ff87))
* change call order on compositor start ([effff51](https://gitlab.com/kwinft/kwinft/commit/effff510162493e3977883d16efb3852ca976eb0))
* change namespace TabBox to win ([2812f84](https://gitlab.com/kwinft/kwinft/commit/2812f84df022c71f100fe5d7103044ef63113928))
* change old C style casts ([e81253b](https://gitlab.com/kwinft/kwinft/commit/e81253bb6188f91a608234cbb0f0b723a5a388b1))
* change ownership of DRM lease device ([80ebebd](https://gitlab.com/kwinft/kwinft/commit/80ebebd094e583457737ba8e38dd04daf2699030))
* change ownership of PresentationManager ([7fc3830](https://gitlab.com/kwinft/kwinft/commit/7fc3830d0edc3cabc55469225fe3fb34dc24e976))
* check on common event waiting for render timers in helper ([c25636f](https://gitlab.com/kwinft/kwinft/commit/c25636f277443f0ce8ef447f85d8d90696cb9f2e))
* clean up defunct version header for kwinscripts kcm ([a93aa01](https://gitlab.com/kwinft/kwinft/commit/a93aa01c4f529dc7a1f166440b4ea4e6dc6a24aa))
* clean up header includes ([e121508](https://gitlab.com/kwinft/kwinft/commit/e121508a30663695da7bd0ef8382e0b3d6a55d11))
* cleanup compositor on scene error only on X11 ([ce4eb68](https://gitlab.com/kwinft/kwinft/commit/ce4eb68a737afc1d54d0e9e477c0d044c05e9df6))
* cleanup utils includes ([6050af9](https://gitlab.com/kwinft/kwinft/commit/6050af9f8687bdf279ec1aac172d33369c56caa5))
* composite QObject into deco client ([9952609](https://gitlab.com/kwinft/kwinft/commit/9952609d5acbba1751b7a79d3cb9637a4b554d3a))
* create shadows as smart pointers ([eb95224](https://gitlab.com/kwinft/kwinft/commit/eb952244e5f1461e355ee45323418c8b7a6b1c6e))
* create wrapper atom class without default arguments ([9ef5092](https://gitlab.com/kwinft/kwinft/commit/9ef5092def181f0d43dd84924a75d50d35b0f01f))
* **debug:** inject space dependency into console ([5a52111](https://gitlab.com/kwinft/kwinft/commit/5a521119dff295a8c252c4b6d1d9a3452ffa5eef))
* **debug:** move console files deeper ([f9de84f](https://gitlab.com/kwinft/kwinft/commit/f9de84f44cbc84256cf810fdf27e36c0e0d5df40))
* **debug:** move perf into debug directory ([3b779c9](https://gitlab.com/kwinft/kwinft/commit/3b779c9ce4b670cb430f761897d921b476f120c7))
* **debug:** simplify ftrace singleton implementation ([c9d7cb6](https://gitlab.com/kwinft/kwinft/commit/c9d7cb601e73fd46f638c9c0e4da9116b8691932))
* **debug:** store references to space ([35f9498](https://gitlab.com/kwinft/kwinft/commit/35f9498fb8bec5ccf571eed40d7a6a8c0eb5328a))
* declare filtered display class in own header ([726349c](https://gitlab.com/kwinft/kwinft/commit/726349ce58dd8b19a485103413410e32d63e2cf5))
* **deco:** clean up QPalette handling in palette ([98fd6a6](https://gitlab.com/kwinft/kwinft/commit/98fd6a64fa4024374a709f649e103735be52df99))
* **deco:** own renderer explicitly ([b2012f4](https://gitlab.com/kwinft/kwinft/commit/b2012f4b4ec12729365833d9da8a4986e0cf8afe))
* **deco:** store references ([86a1ee2](https://gitlab.com/kwinft/kwinft/commit/86a1ee2b46df1a9052890bd982a29b5cac42e91c))
* **deco:** store scene reference in renderer ([f2f45bd](https://gitlab.com/kwinft/kwinft/commit/f2f45bd0316fb0efe95be0f1667118789350a8cb))
* **deco:** template bridge over space ([47f8dcd](https://gitlab.com/kwinft/kwinft/commit/47f8dcdb67ffb81c5656f680d5372fe0cdf9b9e5))
* define core logging category in base ([e7d307f](https://gitlab.com/kwinft/kwinft/commit/e7d307f7f11ac05d9c8a6ed313337483b01f2263))
* define invalid point in utils namespace ([062e764](https://gitlab.com/kwinft/kwinft/commit/062e7648c4a8c64b2f03c85d8309d32ef1623453))
* define send_to_screen function in move header ([31be006](https://gitlab.com/kwinft/kwinft/commit/31be006be0afed1a9470dce3a75aea421cbb21fa))
* define strut area enum with internal flags type ([208d7e9](https://gitlab.com/kwinft/kwinft/commit/208d7e92f4b362433b97039571339e05e94b88f4))
* delete remnants at end of paint run ([389369f](https://gitlab.com/kwinft/kwinft/commit/389369f5769892b0b5f81a83ed4a14d7fbdf8f65))
* delete windows in free function ([2aade54](https://gitlab.com/kwinft/kwinft/commit/2aade541f1e1c675cb1eb5149208743a6dad19ae))
* destroy XCB damage in x11::window ([bc4e329](https://gitlab.com/kwinft/kwinft/commit/bc4e329755d272643dd15b8d221661cac7e2a7d4))
* determine backend compositing directly ([d7c7eb3](https://gitlab.com/kwinft/kwinft/commit/d7c7eb3f1e87bd44f10f3df334bc28e3af810b94))
* determine supported compositing types without backend ([0bfae86](https://gitlab.com/kwinft/kwinft/commit/0bfae86705bf71c206efb3ca19522306d7f82eb3))
* don't rely on implicit conversion from int to QUuid ([011831d](https://gitlab.com/kwinft/kwinft/commit/011831de779f64c9cefc17e37cff1cf5e67d58e0))
* drop seat check on device changes ([02ca19c](https://gitlab.com/kwinft/kwinft/commit/02ca19c6cdd4fa4d4b85cb98174c0d7a0fecbe0c))
* **effect:** decouple GLRenderTarget, GLVertexBuffer from global geometry ([193445b](https://gitlab.com/kwinft/kwinft/commit/193445bfee6244d1b21d2e87a08dcfea876f31ad))
* **effect:** empty out kwineffects files ([677f08e](https://gitlab.com/kwinft/kwinft/commit/677f08eb2810cd82cc157a4a7326defca5b60f39))
* **effect:** forbid most of operations with invalid render targets ([780fc0e](https://gitlab.com/kwinft/kwinft/commit/780fc0ef8ab8ad5dd362ed9a09334b120b427a9b))
* **effect:** implement property handling in free function templates ([f2edc83](https://gitlab.com/kwinft/kwinft/commit/f2edc8314dc3fc48cf4e6e7b8295c281af4ec2f1))
* **effect:** improve GLRenderTarget code ([5dce77a](https://gitlab.com/kwinft/kwinft/commit/5dce77a3395f36062079720fd9aac1069f1df2c8))
* **effect:** include new effect library headers internally ([ba7dee0](https://gitlab.com/kwinft/kwinft/commit/ba7dee07d404609442d57c3bdb1e8295909ae08b))
* **effect:** include new GL library headers internally ([501688f](https://gitlab.com/kwinft/kwinft/commit/501688f106f329b585eaa0b333250f18644717ae))
* **effect:** install export header to GL library subdirectory ([dfd65f0](https://gitlab.com/kwinft/kwinft/commit/dfd65f0d89dfffbe1066a9d075e4d05a9c81c60c))
* **effect:** introduce SharedQmlEngine class ([75aa24b](https://gitlab.com/kwinft/kwinft/commit/75aa24b464a74c7a34f2be321be1dcc259580652))
* **effect:** make the desktop grid not depend on nested prePaintWindow() ([7168cfd](https://gitlab.com/kwinft/kwinft/commit/7168cfd58193d78ec469d92210cb82f7941cdbfd))
* **effect:** make the slide effect not depend on nested prePaintWindow() ([b01e7f0](https://gitlab.com/kwinft/kwinft/commit/b01e7f0cbd863118244eea2d8e9d90af59ed2050))
* **effect:** make TimeLine API ergonomic with presentation timestamps ([3915da3](https://gitlab.com/kwinft/kwinft/commit/3915da3453cebeb88a5bb6ff9f951fc02896f9a5))
* **effect:** move X11 implementation out of backend ([1ada4c9](https://gitlab.com/kwinft/kwinft/commit/1ada4c9539b760390fa3ac3411e36ce495ec3503))
* **effect:** overhaul sliding popup effect ([d2f5a97](https://gitlab.com/kwinft/kwinft/commit/d2f5a97e4da32f4bcd3d089acd562c5770dc7594))
* **effect:** port EffectFrame to EffectQuickView ([9095b78](https://gitlab.com/kwinft/kwinft/commit/9095b78483eb66c2330b9d4b901e55db14ed402e))
* **effect:** port mousemark away from KPluralHandlingSpinBox ([d92e290](https://gitlab.com/kwinft/kwinft/commit/d92e2901dc62f33628bd4e087faf2ee11bbf53e1))
* **effect:** port to QStyleHints in desktop grid ([9d6ad4b](https://gitlab.com/kwinft/kwinft/commit/9d6ad4b346ff1af7266bd7b93e62935357291e77))
* **effect:** remove central internal logging files ([4cdaf95](https://gitlab.com/kwinft/kwinft/commit/4cdaf95bc5d0fb5c4bd100aee40cc4623f3139d4))
* **effect:** remove contrast paint area tracking ([1397bd5](https://gitlab.com/kwinft/kwinft/commit/1397bd54931071184ccd2632bcc6bf6b276a3db5))
* **effect:** remove unused KAboutData includes ([29ca911](https://gitlab.com/kwinft/kwinft/commit/29ca91163bfd126026e17890063e6affe52b3b12))
* **effect:** sanitize animation data in free function ([8d5b10f](https://gitlab.com/kwinft/kwinft/commit/8d5b10f02103d053c59743362c399247900a49e1))
* **effect:** use blurRegion to identify if a decoration supports blur ([00bf8c4](https://gitlab.com/kwinft/kwinft/commit/00bf8c4ed9c636d04b3135889daa0f3a7448a1a7))
* **effect:** use non-deprecated QButtonGroup signal ([d22cc92](https://gitlab.com/kwinft/kwinft/commit/d22cc92a05abe944c5f0bf6169a58f465a9fe212))
* find controlled X11 windows in free function ([5ee5601](https://gitlab.com/kwinft/kwinft/commit/5ee560139b9a954560f92cb78b5254ace204d25e))
* find EGL function pointers manually ([8f723c8](https://gitlab.com/kwinft/kwinft/commit/8f723c8661caa2db352e54940326f528212dfee8))
* find unmanaged X11 windows in free function ([9caaa69](https://gitlab.com/kwinft/kwinft/commit/9caaa693bca9d5294f4c8a84a29575910b48dcf7))
* finish X11 compositing in free helper functions ([6bb8b9c](https://gitlab.com/kwinft/kwinft/commit/6bb8b9cd6c40c3109620d991738dc62f9951716d))
* finish X11 windows precisely ([2c687a3](https://gitlab.com/kwinft/kwinft/commit/2c687a3dc55197c1513e7b31aa01ee18842cbbef))
* force QtQuick rendering from QPainter scene ctor ([278c1e4](https://gitlab.com/kwinft/kwinft/commit/278c1e462929474db611619a932cda45e53fa932))
* fully qualify Qt::endl, needed with Qt6 ([3757100](https://gitlab.com/kwinft/kwinft/commit/3757100765dab6c6062cb5917178c99783ede6b7))
* generalize space function to delete a window ([9b762af](https://gitlab.com/kwinft/kwinft/commit/9b762afa1165e610192ba3b02939570f8d99fd5c))
* get backends in scene constructors ([f4367c3](https://gitlab.com/kwinft/kwinft/commit/f4367c3e6a49be5222567c1301088bf20f103b21))
* get index from output reference ([253557f](https://gitlab.com/kwinft/kwinft/commit/253557f839740b8cee07f7d055ad1b200aeb1ed5))
* get nearest output from free function template ([ced6c4a](https://gitlab.com/kwinft/kwinft/commit/ced6c4a1bcbfd74fbde9498fc12a33dfc027763a))
* get selected compositor from backend instead of supported ones ([da6314d](https://gitlab.com/kwinft/kwinft/commit/da6314da1837afba12e6b5cad02841ad0247f8af))
* give callback to user interaction filter ([42f3dfe](https://gitlab.com/kwinft/kwinft/commit/42f3dfeddc2c9b0db5d45cc058a83e82e227f1fd))
* hand over effects from space to supported check ([48b0966](https://gitlab.com/kwinft/kwinft/commit/48b096608a6a4a553e09e7948627867246bfaf26))
* hand over screen number to get default depth ([ae8cb80](https://gitlab.com/kwinft/kwinft/commit/ae8cb809dbbde94acfce11281f061e9c18656a57))
* handle complete KHR image attach in helper ([dfa0760](https://gitlab.com/kwinft/kwinft/commit/dfa0760aa62a1f12cbdcd8d7d228a191c0387e91))
* handle current output in base ([cbfcba3](https://gitlab.com/kwinft/kwinft/commit/cbfcba333dd0ae36ef2cd30126227685ce42b940))
* handle destroyed focus elements explicitly ([b006501](https://gitlab.com/kwinft/kwinft/commit/b00650167d0c04966abc96446e7eed2372657628))
* handle output follows mouse setting in options ([8955636](https://gitlab.com/kwinft/kwinft/commit/895563631b45dc95c1cd0ec3922f93685546d89f))
* ignore space destroy for composite timer ([d927eec](https://gitlab.com/kwinft/kwinft/commit/d927eecdb2210bff4581c002b8a8733482513f84))
* impelment GL backend idle in scene ([89d46a6](https://gitlab.com/kwinft/kwinft/commit/89d46a60a3201f2d83749d743245d4727817b3f7))
* implement atoms header-only ([eccba8e](https://gitlab.com/kwinft/kwinft/commit/eccba8eb45a3ca246bc050ef9fd1f25693b299f3))
* implement moving client filter header-only ([70168eb](https://gitlab.com/kwinft/kwinft/commit/70168eb6e1a3b821e09a9a70562f68982ecadd45))
* implement user interaction filter header-only ([9b5799b](https://gitlab.com/kwinft/kwinft/commit/9b5799b396f19649e057f01e3d84a53fdd602480))
* improve rules OptionsModel ([fa105ea](https://gitlab.com/kwinft/kwinft/commit/fa105ea7830673d604187bc47dd195c3fc25fe40))
* inhibit idle per window in free functions and without wrapper class ([f407946](https://gitlab.com/kwinft/kwinft/commit/f4079466a0639127b16cc049b5cb91aef6bf189a))
* inject dependencies into outline classes ([ac816d9](https://gitlab.com/kwinft/kwinft/commit/ac816d9ab35eccc7245aa42e44ff9bebb71f6ec1))
* **input:** handle shortcuts in platform ([fa08a23](https://gitlab.com/kwinft/kwinft/commit/fa08a232891d5ece763a28a0ecce579fe5bc0639))
* **input:** own redirect by space ([88dfae3](https://gitlab.com/kwinft/kwinft/commit/88dfae3dfafa9cedd4578843d9cc80be0ca86ba3))
* **input:** remove space checks ([36899a2](https://gitlab.com/kwinft/kwinft/commit/36899a22ac2b109fad1c20136d470b43602f1de0))
* **input:** store platform as reference in redirect ([acf39b4](https://gitlab.com/kwinft/kwinft/commit/acf39b42408bb5b76b43a4796e6d825349d73f01))
* **input:** store redirect in effects filter ([98c1e6d](https://gitlab.com/kwinft/kwinft/commit/98c1e6de943725d1854a120c7e70b997f51b70be))
* **input:** trigger X11 shortcuts when releasing rather than pressing ([bf13157](https://gitlab.com/kwinft/kwinft/commit/bf13157b1b314f8f20a0def0f68044dc06c6781d))
* **input:** use space from redirect ([ebe6344](https://gitlab.com/kwinft/kwinft/commit/ebe63447ceddfdf3f9b120a559c06f0020e994aa))
* introduce buffer windowing integration struct ([1c81e2e](https://gitlab.com/kwinft/kwinft/commit/1c81e2e54679752cc6208d86b7b7d29f1ff3be0f))
* keep X11 outputs and emit added/removed signals ([ef718d1](https://gitlab.com/kwinft/kwinft/commit/ef718d180fe4deaba5539381c15eb9b573621014))
* let release selection timer run ([dcba5af](https://gitlab.com/kwinft/kwinft/commit/dcba5afe3f569a306e6db0c617ab7b547bf35c3a))
* load SHM textures directly on update ([e84058c](https://gitlab.com/kwinft/kwinft/commit/e84058c853d60c418368ce7c99631919a3d8d68a))
* make current screen follow mouse public ([6d8fc2e](https://gitlab.com/kwinft/kwinft/commit/6d8fc2e7b68a2352ec6039e224fe2f61decc76d4))
* make display variable public ([f7b799f](https://gitlab.com/kwinft/kwinft/commit/f7b799f9002d530359e9f96a1c654e7cadb586c7))
* make dmabuf buffers set public ([0fe73ef](https://gitlab.com/kwinft/kwinft/commit/0fe73eff9af17083bf3b1f70ffa5cf1640661d59))
* make internal connection a public struct ([1f37999](https://gitlab.com/kwinft/kwinft/commit/1f3799993daee8dc72373279e4df50979fab3792))
* make setting realtime scheduler more fine grained ([b79b933](https://gitlab.com/kwinft/kwinft/commit/b79b933fd3b97f062782be51cb48d8159ae04b12))
* make window property notify filter class template ([b66205b](https://gitlab.com/kwinft/kwinft/commit/b66205b5368a5b2ec492a4c542f31948e560716f))
* manage EGL context through direct EGL calls ([8f43cad](https://gitlab.com/kwinft/kwinft/commit/8f43cad06eb06b86a55a558fe24f701038505397))
* manage X11 outputs in base ([d85652f](https://gitlab.com/kwinft/kwinft/commit/d85652f182183c5c03a06b50dfdf0ccfa9e6a388))
* merge controlled window factory functions ([fe20dc1](https://gitlab.com/kwinft/kwinft/commit/fe20dc1a2a5872f3f07a3cb24e58ff353dd3d108))
* merge dmabuf texture load and update ([e052d44](https://gitlab.com/kwinft/kwinft/commit/e052d44cbccb570c12329530c13fa703bf705ba1))
* merge EGL/wl_drm texture load and update ([5f0fc97](https://gitlab.com/kwinft/kwinft/commit/5f0fc975f33b0ad8423c049acd75ab32efb9a1e3))
* merge internal image texture load and update ([1df2b0b](https://gitlab.com/kwinft/kwinft/commit/1df2b0bd60a3055ac75cec42cde146717b4401b3))
* merge setup and finish start compositing methods ([d0253e1](https://gitlab.com/kwinft/kwinft/commit/d0253e119f560594b836c44a790231fba5817225))
* merge SHM texture load and update ([e6c5741](https://gitlab.com/kwinft/kwinft/commit/e6c574133e6954037db6cc6a5da1fc20efa13693))
* merge texture load and update function templates ([9c467ce](https://gitlab.com/kwinft/kwinft/commit/9c467ceed52c09a29c8b236553e7efe13064b584))
* merge texture update and load ([d9a7119](https://gitlab.com/kwinft/kwinft/commit/d9a71198881e98e4b72ca9c7c5bb4fb86fc7581d))
* merge unmanaged window factory functions ([b14db91](https://gitlab.com/kwinft/kwinft/commit/b14db9138b74d6700affa69b8a42c2aa9aa84953))
* modernize kill window code ([281122d](https://gitlab.com/kwinft/kwinft/commit/281122d53059ca53d5a9006fc79e0504db06e97b))
* modernize on screen display code ([1294fea](https://gitlab.com/kwinft/kwinft/commit/1294feab0fbe1eec31c45d44d1bb21f5eab644b9))
* modernize screen locker watcher ([fc819ae](https://gitlab.com/kwinft/kwinft/commit/fc819aef90eef86fe3eaf3fc3c25d175712e2a2b))
* modernize service utils header ([40ce4e0](https://gitlab.com/kwinft/kwinft/commit/40ce4e0a65eefbba8ae10749a5f138ba3a79be21))
* modernize session manager code ([a244edb](https://gitlab.com/kwinft/kwinft/commit/a244edb650615ff6d9edb2611b679c76d4035322))
* move atoms to base ([fe50770](https://gitlab.com/kwinft/kwinft/commit/fe50770eec0f936cdb139e3ff0b9e489f4b85fe0))
* move blocker to utils directory ([d1f1593](https://gitlab.com/kwinft/kwinft/commit/d1f1593a2be3657a13ec13e82a853c3faf782e3f))
* move buffer classes into separate files ([a77fda4](https://gitlab.com/kwinft/kwinft/commit/a77fda4eca304ab291807c6149513a8005f015a7))
* move client message event function to X11 window class ([0375a1d](https://gitlab.com/kwinft/kwinft/commit/0375a1d258ba801778168ee6dec483587dd235b9))
* move container helpers to utils directory ([5ed7ff2](https://gitlab.com/kwinft/kwinft/commit/5ed7ff26249fc00af8c6b054d55093f55bafda50))
* move EGL texture updates to wlroots backend ([44b3e4c](https://gitlab.com/kwinft/kwinft/commit/44b3e4cb730fea6a8708867b7cdb2fa4b6d543ec))
* move flags mechanism for enum bitfields to global namespace ([d663d35](https://gitlab.com/kwinft/kwinft/commit/d663d358d92dfb3bc832bf7ea7a9463b66929823))
* move functions to X11 window class ([2e2c2ac](https://gitlab.com/kwinft/kwinft/commit/2e2c2ac4660d86f0ce3ce09dac95e380fa61e37f))
* move gamma ramp to utils ([146d508](https://gitlab.com/kwinft/kwinft/commit/146d5080240095f30ed899f0d42a1e6d20e89840))
* move initializations to header ([dc285c0](https://gitlab.com/kwinft/kwinft/commit/dc285c057a14bfff74721ff6891f2b09930fed0c))
* move invert screen logic to effects ([1bdee91](https://gitlab.com/kwinft/kwinft/commit/1bdee9165c020e7b5c68ec4cb13fec75b7ce51a6))
* move kill window header to win directory ([33f9a17](https://gitlab.com/kwinft/kwinft/commit/33f9a1717767417c238aaed8c2deae13692b6cab))
* move killer helper to win module ([e647656](https://gitlab.com/kwinft/kwinft/commit/e647656ec0f6bc6d3eb3e48ccc29030e4e309a31))
* move on screen display classes to win namespace ([6485fff](https://gitlab.com/kwinft/kwinft/commit/6485fff0303d2f0879b86d5a60d54b74b074a8e4))
* move on screen display files to win subdirectory ([d099568](https://gitlab.com/kwinft/kwinft/commit/d099568d6c44bc7154ccdfa5f65e656b4cec210a))
* move options files to base directory ([b45f403](https://gitlab.com/kwinft/kwinft/commit/b45f403f22da260e3fcb8654d1ab2244e7e87214))
* move options to base namespace ([d72c6ab](https://gitlab.com/kwinft/kwinft/commit/d72c6abac3e805701fdf4c269671ef48d0091ac9))
* move property notify filter to render module ([91e6bb0](https://gitlab.com/kwinft/kwinft/commit/91e6bb0d23b5abec0259bee11825cc9a24b2080e))
* move screen locker watcher to new desktop namespace ([f4cad45](https://gitlab.com/kwinft/kwinft/commit/f4cad458a0689cd0450afed6f25a5be8e2c08aa0))
* move seat handling to base ([27f50bb](https://gitlab.com/kwinft/kwinft/commit/27f50bb0898cf1662c4a80c3f02b31aa8acdd954))
* move service utils header into desktop directory ([5834194](https://gitlab.com/kwinft/kwinft/commit/5834194f9f3d4adfeec4656152802a9108f43fe4))
* move session manager files to win directory ([cbfd64b](https://gitlab.com/kwinft/kwinft/commit/cbfd64b29f87d9cb59d77c413ab12ec0ac6d7f70))
* move session manager to win namespace ([1fa5a22](https://gitlab.com/kwinft/kwinft/commit/1fa5a22a6df0c7c41a7e01ec41b137cf6eaa7471))
* move shortcut dialog to win module ([f071479](https://gitlab.com/kwinft/kwinft/commit/f071479de9d71805e850e8c02687dc70f684ef95))
* move space files to win directory ([3f751ad](https://gitlab.com/kwinft/kwinft/commit/3f751ad6401ce3bd7a64cd3a3f01d5afb39767cc))
* move struct rect to win module ([d7d9696](https://gitlab.com/kwinft/kwinft/commit/d7d96967305d8c6b9c0a4b0592229322595e767c))
* move tabbox into win directory ([ef7cca2](https://gitlab.com/kwinft/kwinft/commit/ef7cca283fc9669d2f0d393741b5d071065b1a45))
* move user actions menu files to win directory ([2b01c9f](https://gitlab.com/kwinft/kwinft/commit/2b01c9f7d72149c25674861bbb005fe359683630))
* move user actions menu to win namespace ([945f75a](https://gitlab.com/kwinft/kwinft/commit/945f75ade24ba7ebe9ce6c29c4eb630b719e237d))
* move viewport getter to windowing integration struct ([30a7a01](https://gitlab.com/kwinft/kwinft/commit/30a7a012a7ad23911f3cbdc6799a046dd8bfa66d))
* move Wayland globals to space ([47709fe](https://gitlab.com/kwinft/kwinft/commit/47709fe41d92f9cbf698325814784bfc8e6325f4))
* move Wayland server files to base ([9e16017](https://gitlab.com/kwinft/kwinft/commit/9e16017bd9c3b1aa34387e7293c42e2e67cc477f))
* move Wayland server to base namespace ([9e79aa6](https://gitlab.com/kwinft/kwinft/commit/9e79aa6afdd19de8885df4bce3a8f1f80a2b61e9))
* move workspace session manager code to workspace source file ([d39c1c1](https://gitlab.com/kwinft/kwinft/commit/d39c1c1f6e8c5b22085c99ab0e8f68f945aa1cca))
* move Workspace to win namespace ([3e84e32](https://gitlab.com/kwinft/kwinft/commit/3e84e32d65223ce57bec323f95c49715932a8114))
* move workspace user actions code to workspace source file ([f11f607](https://gitlab.com/kwinft/kwinft/commit/f11f607fe84ba35ed303b581690808bcf0ed44bd))
* move X11 grabbing into base ([b016ae1](https://gitlab.com/kwinft/kwinft/commit/b016ae17437581662640c034f39739197ef6be4e))
* move Xcb Qt type translators into base ([81266eb](https://gitlab.com/kwinft/kwinft/commit/81266ebd33332b4a0c72236aeb5e5798ed5813bc))
* omit discarding remaining remnants ([dfcbb14](https://gitlab.com/kwinft/kwinft/commit/dfcbb147261a3f40860e45afd25a21a2769698c4))
* override transient remove lead function ([aeeaa67](https://gitlab.com/kwinft/kwinft/commit/aeeaa67ba37569bb24cc0d50d405834d4263b138))
* own D-Bus interface by compositor ([e520e56](https://gitlab.com/kwinft/kwinft/commit/e520e56736a0e1a3c65a680044c0db42c506d46e))
* own D-Bus interface via smart pointer ([0b9146e](https://gitlab.com/kwinft/kwinft/commit/0b9146e3411a1c48edbf03691dbe99428a1c78e5))
* own decoration bridge in space ([d38dfe6](https://gitlab.com/kwinft/kwinft/commit/d38dfe6833d709320844367f480662b8c2d7096c))
* own effects in compositor ([a0cc16f](https://gitlab.com/kwinft/kwinft/commit/a0cc16fcfea5950f154afd8d2e8c38552a8778d2))
* own items in space explicitly ([f80ac6c](https://gitlab.com/kwinft/kwinft/commit/f80ac6c37ed240b9618a7e457cdb9fe35cdc9c77))
* own KGlobalAccelD explicitly ([775da23](https://gitlab.com/kwinft/kwinft/commit/775da23300f045a589dca00710efc3e51a76e8bb))
* own options in Application ([037d29f](https://gitlab.com/kwinft/kwinft/commit/037d29f4755fc58c7fb987737cecf1c788c89b61))
* own presentation object with smart pointer ([db03892](https://gitlab.com/kwinft/kwinft/commit/db03892a34f796963b932bbe8113358f07da9f3b))
* own screen locker watcher in application ([8bd3684](https://gitlab.com/kwinft/kwinft/commit/8bd3684cdf32230d7f12b770c5ae7ecdace9656a))
* own session manager via smart pointer ([d1db06c](https://gitlab.com/kwinft/kwinft/commit/d1db06c2bac2255598ab23e04adbed9cd6f4f44f))
* port away from deprecated q[s]rand() methods ([032e28a](https://gitlab.com/kwinft/kwinft/commit/032e28a1dcdcb46b9d87e0774b832de8d1acb0a2))
* port from I18N_NOOP to KLazyLocalizedString ([7a9a33a](https://gitlab.com/kwinft/kwinft/commit/7a9a33a4228d1f308a4435883546e1f679e2a4a6))
* port from KNS3::Button to KNSWidgets::Button ([66d89d5](https://gitlab.com/kwinft/kwinft/commit/66d89d5fc558fb5eae0a19b1a01c27dbdad490f6))
* port from QStringRef to QStringView ([8137e42](https://gitlab.com/kwinft/kwinft/commit/8137e42b80908f196679a6e74804f991649e961b))
* port KCMs to new install location ([305439a](https://gitlab.com/kwinft/kwinft/commit/305439a3520fe0f131adfa71ae69758188f9af42))
* port KComboBox to QComboBox ([8831ea0](https://gitlab.com/kwinft/kwinft/commit/8831ea05796c0c624186d8936542261469c14f96))
* port KWin Scripts KCM to QML ([48fe8d7](https://gitlab.com/kwinft/kwinft/commit/48fe8d760fe30f4cf0a9011081eeaa474fa2cf4e))
* port to qmlRegisterAnonymousType() ([5c990dd](https://gitlab.com/kwinft/kwinft/commit/5c990ddbb0dc7c1299575a60499c90f69a23ff38))
* provide compositor as argument to space ([99d4ae5](https://gitlab.com/kwinft/kwinft/commit/99d4ae5c3ff4efa83f3c110769795bec2bd3397f))
* provide shadow atom in window ([febb308](https://gitlab.com/kwinft/kwinft/commit/febb30878e6eab14fd6ede6b097d708496525d30))
* provide space as argument to unclutter desktop call ([de1a2ed](https://gitlab.com/kwinft/kwinft/commit/de1a2edc42717dd33770675a703e951502496d86))
* provide window as reference ([3df4eea](https://gitlab.com/kwinft/kwinft/commit/3df4eea9089ed081d888585a5872d88a5baeaf51))
* provide X11 compositor ([1fa9dff](https://gitlab.com/kwinft/kwinft/commit/1fa9dff1b6ea735e5ef5a9a789bacc5f12dc0dd8))
* push default framebuffer as render target on X11 ([d32735c](https://gitlab.com/kwinft/kwinft/commit/d32735c7aa95df75bf837c95f5cbbe3d8cb45ef3))
* **qpa:** store pointer to base output for screen ([affb207](https://gitlab.com/kwinft/kwinft/commit/affb207fd6279aba851edb25f1c9d6235b29978e))
* reduce ifdefs in supportInformation() ([2614d53](https://gitlab.com/kwinft/kwinft/commit/2614d538566b88f8217ea65642bc11bbeacbca2f))
* reference egl data locally ([0db50d0](https://gitlab.com/kwinft/kwinft/commit/0db50d0aa599e3e1577df528bec82f9f4f9fa4a0))
* remove addRepaint overloads ([1614b43](https://gitlab.com/kwinft/kwinft/commit/1614b43efb6dc874aa73f72a7c11a0b6919cd11c))
* remove app menu singleton ([8b10eaf](https://gitlab.com/kwinft/kwinft/commit/8b10eaf8af4072f79722e74b7664d80cfec91010))
* remove buffer surface getter ([d24d41d](https://gitlab.com/kwinft/kwinft/commit/d24d41da1b0e50cd09732db7fae3c8c90cf4f6cf))
* remove call to check pending flush ([fb37902](https://gitlab.com/kwinft/kwinft/commit/fb379027b521e6cdb0d704ea140c89c5243f8826))
* remove call to KQuickAddons::QtQuickSettings::init ([a961968](https://gitlab.com/kwinft/kwinft/commit/a96196881f66d688183547776ae08365bf329654))
* remove client list from space ([2d8734d](https://gitlab.com/kwinft/kwinft/commit/2d8734d7ef168313c43528fb85032d56c9d7de2d))
* remove compositing helper ([d603863](https://gitlab.com/kwinft/kwinft/commit/d603863b9ea2cbb1ed0bd842386f61989cc84a6d))
* remove compositing return value ([2865290](https://gitlab.com/kwinft/kwinft/commit/2865290b2fc2b185d877ff177530dbd40f7a6af9))
* remove device redirect focus getters ([38810a3](https://gitlab.com/kwinft/kwinft/commit/38810a3d06daaab0a45fc50889d7ee41992176ce))
* remove dmabuf buffer class ([4f34911](https://gitlab.com/kwinft/kwinft/commit/4f34911c33da4cbfb08c811c96509b49b1f85904))
* remove dmabuf buffer registry ([594d42d](https://gitlab.com/kwinft/kwinft/commit/594d42dd266fdbe164630b94e981bcdab257ab55))
* remove EGL residues from X11 OpenGL backend factory ([1d9ab8d](https://gitlab.com/kwinft/kwinft/commit/1d9ab8d08d963b71cc73c9cbe5a2448bbc4b50ef))
* remove extra update shadow call ([d800f04](https://gitlab.com/kwinft/kwinft/commit/d800f044d2d881449ac062b4e701ee04c3402dd0))
* remove find window space helpers ([424cc8b](https://gitlab.com/kwinft/kwinft/commit/424cc8b3e424cd9464b41386229055a3c54fbf4c))
* remove focus chain singleton ([4437afc](https://gitlab.com/kwinft/kwinft/commit/4437afc174b9f6d2ddaa519a2b345a0046bd0de2))
* remove for each space helpers ([3dd805e](https://gitlab.com/kwinft/kwinft/commit/3dd805eada33de39a781a92183048bba823c500a))
* remove full repaint on DPMS on ([4b6b79b](https://gitlab.com/kwinft/kwinft/commit/4b6b79b7152718bdee01c67c00728c6aeb4fa90c))
* remove gamma ramp source file ([686ac77](https://gitlab.com/kwinft/kwinft/commit/686ac7777422c9c4ba583ab71d799581b63bb36c))
* remove geometry getters of render windows ([5ea5565](https://gitlab.com/kwinft/kwinft/commit/5ea5565bf87c821f505f6c69066f8264e98d24cd))
* remove global atoms ([8d9cd66](https://gitlab.com/kwinft/kwinft/commit/8d9cd669f66639a604bc5251de9a61d460e7937e))
* remove global compositor getter ([13266cc](https://gitlab.com/kwinft/kwinft/commit/13266cc856e97c6b44457ad155d59453773d5541))
* remove global workspace getter ([046c69a](https://gitlab.com/kwinft/kwinft/commit/046c69a2f53525b4ef66e2fc0a97062da6389e65))
* remove guards around unistd.h ([a6ccf35](https://gitlab.com/kwinft/kwinft/commit/a6ccf358db7aa966e205884eb9b5cf1072c72731))
* remove initOutputs function ([4a0b936](https://gitlab.com/kwinft/kwinft/commit/4a0b936161a8ff7de13d6e9619e03ae34aa4ef96))
* remove kill window source file ([da45de6](https://gitlab.com/kwinft/kwinft/commit/da45de6e873b23873c107e49f3e9b1bce6d0aa85))
* remove main include from options header ([c3786b6](https://gitlab.com/kwinft/kwinft/commit/c3786b6be385e93936eb8f90059240e2d4277741))
* remove plugin loading using keywords ([dff3d44](https://gitlab.com/kwinft/kwinft/commit/dff3d4459478e5495469e3760cd1d3ed63f31fcb))
* remove private GLX load texture function ([b0551f2](https://gitlab.com/kwinft/kwinft/commit/b0551f25c9c32b40e0a4b32a7855d0f0e98eb7a2))
* remove remnant count ([e4c3a30](https://gitlab.com/kwinft/kwinft/commit/e4c3a307ac789559b1542a1d61c75079f1db8e51))
* remove render window cleanup in scene ([5e5fb8d](https://gitlab.com/kwinft/kwinft/commit/5e5fb8df8af261426f629de217a13466835b8688))
* remove render window hash ([cda5b8c](https://gitlab.com/kwinft/kwinft/commit/cda5b8c700c5f06c59d188b726cc62236a78097f))
* remove rule book singleton ([fd62bc1](https://gitlab.com/kwinft/kwinft/commit/fd62bc15d3d617da9bcf1eb87353d1ab805ec618))
* remove scene created signal ([da09acb](https://gitlab.com/kwinft/kwinft/commit/da09acb2dfa7f10a019a78799349808a9f8c7906))
* remove scene getter ([b620434](https://gitlab.com/kwinft/kwinft/commit/b620434c297501e5fbc01fc6d7f2c3199fa35020))
* remove screen edger init function ([995b852](https://gitlab.com/kwinft/kwinft/commit/995b85250b927ea7c5c2f2bde5e1b87cdacd6fc5))
* remove Screens class ([7090861](https://gitlab.com/kwinft/kwinft/commit/709086134193580305cec4fc1ede0f8cc4be1f84))
* remove screens count getter ([cb28918](https://gitlab.com/kwinft/kwinft/commit/cb28918828f73bf6fea18382bd323e71bdc4d341))
* remove Screens count handling ([7a47f0e](https://gitlab.com/kwinft/kwinft/commit/7a47f0ee581b5558cf0ad1e1ae85f42a7de9feed))
* remove setup compositing boolean trap ([32e6f3c](https://gitlab.com/kwinft/kwinft/commit/32e6f3cfd57e37e1d95ca2b7a3bb0e9fcd8524ee))
* remove space check on window and deco destroy ([2f6e805](https://gitlab.com/kwinft/kwinft/commit/2f6e8056058e70c8954a1fe9e75a92284ea6c820))
* remove space function to add internal window ([c50d78e](https://gitlab.com/kwinft/kwinft/commit/c50d78e3b7c1eb07ff5cc5e27f2c0d582ea48940))
* remove space function to add unmanaged ([c14e9b9](https://gitlab.com/kwinft/kwinft/commit/c14e9b9ce229269187b32909de80eef6283099fe))
* remove space function to remove internal window ([3fd3ae9](https://gitlab.com/kwinft/kwinft/commit/3fd3ae9a99794e7db941b5e91aad565af413dbd2))
* remove space member function send to screen ([3b884a5](https://gitlab.com/kwinft/kwinft/commit/3b884a56a4263e5e0b0406a137313568d8779f51))
* remove static Workspace self function ([9f51583](https://gitlab.com/kwinft/kwinft/commit/9f51583fe02974747393ca20624595ed30653522))
* remove tabbox singleton ([49050eb](https://gitlab.com/kwinft/kwinft/commit/49050ebc70b375bdce9eaf6ef7128dbe55d9aff0))
* remove unmanaged with common window remove function ([7272895](https://gitlab.com/kwinft/kwinft/commit/7272895e167cf0a0798265e4100a9a976a113377))
* remove unpolish() calls ([317332c](https://gitlab.com/kwinft/kwinft/commit/317332ccfb9494347ba9e3b86bf03a8e95730c87))
* remove unused include ([e22b496](https://gitlab.com/kwinft/kwinft/commit/e22b49694e87ffa6f49c1c7f461a582e44d1f720))
* remove utils source file ([e2be0cc](https://gitlab.com/kwinft/kwinft/commit/e2be0cced75ea05700d05bd0677ece7a15789697))
* remove virtual desktop manager singleton ([81414c8](https://gitlab.com/kwinft/kwinft/commit/81414c880b0e681e2ca722ce8373f89f0093f71e))
* remove WindowId alias ([1d0146a](https://gitlab.com/kwinft/kwinft/commit/1d0146a95554a1272244bf683440c19657427ada))
* remove X11 fallback output ([5d1bb54](https://gitlab.com/kwinft/kwinft/commit/5d1bb54e06f62576c7e59938977fe2475cb3c8b8))
* remove X11 window with control in free function from space ([00a8ad4](https://gitlab.com/kwinft/kwinft/commit/00a8ad4bb870db1cd2acae6b45e23a8c7fa4f582))
* remove X11-only check on finish composite ([ae68ad8](https://gitlab.com/kwinft/kwinft/commit/ae68ad834430c78aff6161ef836bdc62a4a6b53b))
* remove Xwayland window setup compositing override ([076c9fb](https://gitlab.com/kwinft/kwinft/commit/076c9fb38466f9ad67a7acfb4df6b566496fe46d))
* rename tabbox files ([16f1c7e](https://gitlab.com/kwinft/kwinft/commit/16f1c7e6ba50eb0081223672403637c452adc84a))
* rename win/space header ([10adc93](https://gitlab.com/kwinft/kwinft/commit/10adc935aa75dc56c0a9d63b65a577eb8fa2d49c))
* replace internal effects usage ([1747a60](https://gitlab.com/kwinft/kwinft/commit/1747a6081f3f9e6387ae314f7e2bbfdfd3f38664))
* reset compositing without signal ([9eba9f2](https://gitlab.com/kwinft/kwinft/commit/9eba9f2ab6d51ba920dd0700c8b89d7282972a81))
* return viewport rectangle in getter ([3c36f29](https://gitlab.com/kwinft/kwinft/commit/3c36f29e847ed5fd715aafb31cbc1481c718357d))
* reuse remove window helper ([398cabe](https://gitlab.com/kwinft/kwinft/commit/398cabe470700e36b3bec4b5bebec92feb94920d))
* reuse update buffer function on getting buffer ([73661aa](https://gitlab.com/kwinft/kwinft/commit/73661aad2c78daa199d17798b935577fb050fa04))
* **script:** port to QRecursiveMutex ([002e75a](https://gitlab.com/kwinft/kwinft/commit/002e75aec6a5e732ad1b543e54d7c617c585ffff))
* **script:** store reference to space in platform ([2dd6e8f](https://gitlab.com/kwinft/kwinft/commit/2dd6e8ffc48914110627adc35a4b7996645258b9))
* **script:** virtualize functions depending on space ([78c5174](https://gitlab.com/kwinft/kwinft/commit/78c51749185abae21186195686d8d2e4ab48d20c))
* select Wayland render backend depending on backend ([2db9d34](https://gitlab.com/kwinft/kwinft/commit/2db9d34d89210ac758bed25c854bc272b9a24358))
* set selected compositor in wlroots backend ([da24856](https://gitlab.com/kwinft/kwinft/commit/da24856587706ca178821845e6c5dd82dead99c1))
* set xdg-activation token in separate function ([0bf3895](https://gitlab.com/kwinft/kwinft/commit/0bf3895fe3c51c30c817438676ecf3ab8f87d563))
* signal remnant creation from factory function ([54be3ed](https://gitlab.com/kwinft/kwinft/commit/54be3ed20148e711272bbc876e8c09336e35d0ca))
* signal remnant creation separately ([ba7b3cc](https://gitlab.com/kwinft/kwinft/commit/ba7b3cc6d6997d6ad01d1fd05675853546341d43))
* simplify buffer creation ([059b527](https://gitlab.com/kwinft/kwinft/commit/059b5278eadd086328fcae8633ccf4a1f0f07a0a))
* simplify discard buffer call ([d8487ce](https://gitlab.com/kwinft/kwinft/commit/d8487ce7efb9fa205c64e49beba10954636cc6f9))
* simplify ScreenLockerWatcher ([bea777a](https://gitlab.com/kwinft/kwinft/commit/bea777a7f529e7a94c13289bf560555d646ef3e6))
* simplify support debug printing ([38797a1](https://gitlab.com/kwinft/kwinft/commit/38797a1f15862bb776f97b774a807e92235e402a))
* simplify swap time debugging ([0fe6017](https://gitlab.com/kwinft/kwinft/commit/0fe60172a2f789c2e681293eaf5e405a9a69cbe6))
* slim down generic finish compositor start function ([78b7c1b](https://gitlab.com/kwinft/kwinft/commit/78b7c1b44e512d2631125c48636f7b4d0ece599f))
* split up EGL texture loading ([18f0a7a](https://gitlab.com/kwinft/kwinft/commit/18f0a7ab6531c0c1baec2feaa3c6bc0b0ed85742))
* split up EGL texture updating ([9ffaaa7](https://gitlab.com/kwinft/kwinft/commit/9ffaaa72354fd8227f25c7cf3eb02fba8f9bbdfa))
* split up unmanaged release ([7bfef82](https://gitlab.com/kwinft/kwinft/commit/7bfef82775d1b5eb746b62b5b364cfda87fba979))
* split up xcbutils ([88e6c24](https://gitlab.com/kwinft/kwinft/commit/88e6c240e1379da2b71a4d30db31420bae2dbcca))
* start compositor explicitly ([dc21845](https://gitlab.com/kwinft/kwinft/commit/dc21845169db8495e3a08dee1179c60d0f4f67e1))
* start compositor late ([ffb8b5b](https://gitlab.com/kwinft/kwinft/commit/ffb8b5b92c6bb4f65cbe56c58c20c22c087db466))
* store bounding output topology data in base ([b622f0c](https://gitlab.com/kwinft/kwinft/commit/b622f0ce19d1fcc480b243f2cdd7630210c122fc))
* store central output pointer in Toplevel ([5e930cb](https://gitlab.com/kwinft/kwinft/commit/5e930cb5611726eac59205ababb3bbf551af5849))
* store compositor reference in overlay window ([198dfd2](https://gitlab.com/kwinft/kwinft/commit/198dfd2b33d68bb34f34b30fa8cca5914947cc49))
* store current output as pointer ([a5c4947](https://gitlab.com/kwinft/kwinft/commit/a5c4947a0624bed5e150cb041a8e6f9c511b01f3))
* store internal window buffers in child class ([fae795b](https://gitlab.com/kwinft/kwinft/commit/fae795b24dc40c3d92cd90cf4771200c2cd300a7))
* store reference to compositor in swap event filter ([7853e6c](https://gitlab.com/kwinft/kwinft/commit/7853e6caff83b3bcc8776b1ada2cf194fb0cc81e))
* store reference to platform in cursor ([a0947b9](https://gitlab.com/kwinft/kwinft/commit/a0947b934c0ce18e69afe29b8d4712e345d365fe))
* store reference to scene in Gl shadow ([8e05155](https://gitlab.com/kwinft/kwinft/commit/8e0515553fca48b62fa671692d9d4e9dcc5de237))
* store reference to space in group ([34e881d](https://gitlab.com/kwinft/kwinft/commit/34e881d29a369119283074f8a7afa1867f3a4989))
* store reference to space in root info ([f6b562c](https://gitlab.com/kwinft/kwinft/commit/f6b562c3d6b4bbf611b1d804b2a461ac5f8445e7))
* store reference to space in scripted effect ([763b638](https://gitlab.com/kwinft/kwinft/commit/763b6380f2e7e0f333f043d7ac01c984378094c1))
* store reference to space in stacking order ([21e658a](https://gitlab.com/kwinft/kwinft/commit/21e658a348d58171b778d528aefbab35cc2c75e8))
* store reference to space in stacking tree ([a7c5d38](https://gitlab.com/kwinft/kwinft/commit/a7c5d3805827d880587bb2caaa44188cd62bc559))
* store reference to space in tabbox classes ([4e449bd](https://gitlab.com/kwinft/kwinft/commit/4e449bd63f9e4c0c910bb31b6b462f60530b136f))
* store reference to space in Toplevel ([d0968f5](https://gitlab.com/kwinft/kwinft/commit/d0968f5ca472c238aa1cc13fa0b2f5a36d3498df))
* store reference to space in user action menu ([488efe6](https://gitlab.com/kwinft/kwinft/commit/488efe60fdbda271c3ccc7b6dd5b959db1c60bd0))
* store references to space in various objects ([52f182b](https://gitlab.com/kwinft/kwinft/commit/52f182b08a7224202eb68b774a2b3e89c68df0a9))
* store scene reference in render window ([dcb65e9](https://gitlab.com/kwinft/kwinft/commit/dcb65e94240f52a3342a51b75284fa357d00d4e6))
* store shadow in unique pointer ([b4867a8](https://gitlab.com/kwinft/kwinft/commit/b4867a8ec74b88f44210c86d135d7534bff819fd))
* store space reference in XDG activation ([e74cd5e](https://gitlab.com/kwinft/kwinft/commit/e74cd5efdf6cc8d41da95937e35a93fac2cf5deb))
* store stacking order in STL container ([7760573](https://gitlab.com/kwinft/kwinft/commit/77605733497fbfdf99262d9a43e6b2c4229d0e19))
* template xdg-activation token ([b673e16](https://gitlab.com/kwinft/kwinft/commit/b673e16bc6cda1e03d20ae9f847f6af5519ad5e5))
* throw on presentation class creation error ([e204f82](https://gitlab.com/kwinft/kwinft/commit/e204f827c76838200d97863a34d8034d353cde09))
* throw on scene creation error ([78a3a87](https://gitlab.com/kwinft/kwinft/commit/78a3a8773c663f0f003aed3cf46d7ef0615157bd))
* throw on starting scene error ([204890f](https://gitlab.com/kwinft/kwinft/commit/204890f80e55cf34603bec3d54a164e90989f872))
* update outputs with timer instead of screens ([70d98c5](https://gitlab.com/kwinft/kwinft/commit/70d98c5e4f20f63a46d59b19d2ab02a5da69631d))
* use __has_include() instead of check_include_file() ([d9f0c73](https://gitlab.com/kwinft/kwinft/commit/d9f0c7310d4acb34528946df46d7c997f73bfb30))
* use buffer windowing integration on X11 ([52754e4](https://gitlab.com/kwinft/kwinft/commit/52754e412823db096c82d6413138f1e5d3fe32bb))
* use compositor space reference in render classes ([874f6cf](https://gitlab.com/kwinft/kwinft/commit/874f6cf88082df7300ffb16c398635a4683e8e9d))
* use core logging category in some Wayland functions ([9c34e57](https://gitlab.com/kwinft/kwinft/commit/9c34e573ccd773aa0ac0f935bc7b89b12bbc3812))
* use default-copy ctor of tabbox config private ([7bf3f5b](https://gitlab.com/kwinft/kwinft/commit/7bf3f5b6ff350b800359c374153f05da44dcaf35))
* use dmabuf parent class member fields ([2d03311](https://gitlab.com/kwinft/kwinft/commit/2d033119c66ce11269a58e693d6ec666002e8631))
* use find_if in find_desktop ([3b4f294](https://gitlab.com/kwinft/kwinft/commit/3b4f294829f2ea097e80e85efa80f7f5a7b22f80))
* use find_if in x11 stacking_tree::update ([d3543c2](https://gitlab.com/kwinft/kwinft/commit/d3543c21f756fd5905e62813ac39623556cfe463))
* use GLRenderTarget for backend framebuffer ([7a07370](https://gitlab.com/kwinft/kwinft/commit/7a07370a2d16f103a55fd558ead0775146b58b65))
* use GLTexture for backend framebuffer ([c674cc3](https://gitlab.com/kwinft/kwinft/commit/c674cc35323e880640852ba4dca9425b834f6e47))
* use internal enum flags for osd flags ([9dbee55](https://gitlab.com/kwinft/kwinft/commit/9dbee5553aa79ed2e71684e27488e25301b6617c))
* use space reference of windows ([62d7f59](https://gitlab.com/kwinft/kwinft/commit/62d7f590cde6d5b07dc1083d3c7b0b20d6743ff5))
* use STL shared pointer instead of Qt type ([5ac0d84](https://gitlab.com/kwinft/kwinft/commit/5ac0d8470cf3c4e2b24234f06fa2ee4935efd582))
* use STL unique pointer instead of Qt type ([711484f](https://gitlab.com/kwinft/kwinft/commit/711484f927307e936f2985dac1afe04065b26fc1))
* use STL vector for struct rects ([b2908a2](https://gitlab.com/kwinft/kwinft/commit/b2908a2967cb57487f5c98bd263168cc76cf0a14))
* use unique_ptr for scoped C pointer ([29e2a90](https://gitlab.com/kwinft/kwinft/commit/29e2a9012a430bb286671a884a42a86cc23d8e17))
* use vectors instead of manual arrays ([6b5d867](https://gitlab.com/kwinft/kwinft/commit/6b5d867d5c036dd7e5eb191597888345db412e25))
* utilize KCModuleLoader::loadModule for loading KCMs ([7f85790](https://gitlab.com/kwinft/kwinft/commit/7f85790d68f367e531af26166e6cca9b6f8f9d73))
* virtualize call to find internal windows ([5ba8166](https://gitlab.com/kwinft/kwinft/commit/5ba81663f87e2680d9ca034bd77ef24601f87b5b))
* when requesting token hand over space as reference ([8ee6027](https://gitlab.com/kwinft/kwinft/commit/8ee60278b0d123a23a3dc2c8c367e4611eda0d23))
* wrap stacking order in smart pointer ([fd71ff7](https://gitlab.com/kwinft/kwinft/commit/fd71ff7212f468a4fa7e5cd223cdeadbd7a8f2f8))
* wrap wlroots renderbuffer into GLRenderTarget ([013d4e3](https://gitlab.com/kwinft/kwinft/commit/013d4e3d2a97ca746c0093177903dc512f0a0d94))
* **xwl:** access atoms through space ([57a690e](https://gitlab.com/kwinft/kwinft/commit/57a690e55355650e17950aca473692edbdef243d))
* **xwl:** free drag helper functions ([20b7566](https://gitlab.com/kwinft/kwinft/commit/20b756632cc25d626c691620310e53086327e9c4))
* **xwl:** get X11 data from source ([1f078e9](https://gitlab.com/kwinft/kwinft/commit/1f078e9489e748295085dfcae392620bdd554971))
* **xwl:** hand over connection to send client message ([9b76617](https://gitlab.com/kwinft/kwinft/commit/9b76617378c36e253358f57b7537ca020a3b90fc))
* **xwl:** hand over connection to send selection notify ([831849a](https://gitlab.com/kwinft/kwinft/commit/831849a8cd3917792e86147a03d74967dda63fef))
* **xwl:** hand over source to start transfer ([4fe9a68](https://gitlab.com/kwinft/kwinft/commit/4fe9a683353286d61765cb617576110140dbcdbe))
* **xwl:** make launcher not force EGL_PLATFORM ([7b9e105](https://gitlab.com/kwinft/kwinft/commit/7b9e105e78b3fd1504b97342999f5e74196d436b))
* **xwl:** provide atoms pointer in X11 data ([fbb4da1](https://gitlab.com/kwinft/kwinft/commit/fbb4da1dfd0520c18fd67d0e179e6bb29422b364))
* **xwl:** remove function to get X11 targets ([dd06420](https://gitlab.com/kwinft/kwinft/commit/dd06420b4aac9ed9edad3f069210fb8d32e9c393))
* **xwl:** store reference to source in X11 drags ([7ce1736](https://gitlab.com/kwinft/kwinft/commit/7ce1736b4c1551921103c60607c86dd328b95bda))
* **xwl:** store references to space ([4f1ee03](https://gitlab.com/kwinft/kwinft/commit/4f1ee03f5372c18eafde80eeca7390ee245a4e44))
* **xwl:** store wl_source in Wayland drags ([d0e3f51](https://gitlab.com/kwinft/kwinft/commit/d0e3f511cfdf170518e5901c38c4e83644abd6dd))
* **xwl:** store X11 data as reference in sources ([eff1b65](https://gitlab.com/kwinft/kwinft/commit/eff1b6596e1acbf09b02fe05f4b29794e6fd2cdb))

### [5.24.1](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.24.0...kwinft@5.24.1) (2022-04-23)


### Bug Fixes

* adapt to wlroots input changes ([c52353e](https://gitlab.com/kwinft/kwinft/commit/c52353ebb9ceec1bda807d4284186082dba36e22))
* add "cmath" header in deco_renderer.h ([dcbde1b](https://gitlab.com/kwinft/kwinft/commit/dcbde1b89f40a6a3c2d34db96de92ef4562156fb))
* add missing cmath imports ([33cb8a0](https://gitlab.com/kwinft/kwinft/commit/33cb8a0d8225cd34a28e85f073a4ebd274cb9e39))
* add missing include for libc++ after c2f41815196a ([87190a5](https://gitlab.com/kwinft/kwinft/commit/87190a548487666298e6af52da000fe426e9fd3d))
* check for and reset GLX backend on tear down ([533ed7e](https://gitlab.com/kwinft/kwinft/commit/533ed7e3faf2d063a205906b4bcc2f80163c98e6))
* check for control on deco render ([fddbb19](https://gitlab.com/kwinft/kwinft/commit/fddbb19ef434f63831bad0443faf393301c89f93))
* check on session active when scheduling new frames ([8f20537](https://gitlab.com/kwinft/kwinft/commit/8f20537461b701002fc2891eda8dd3b822dfcdff))
* correct prefix of Lanczos shader path ([9bba565](https://gitlab.com/kwinft/kwinft/commit/9bba565f441ab8e558a038ca054ccae3de764819))
* destroy annexed remnants with alive leads before paint ([82c45f5](https://gitlab.com/kwinft/kwinft/commit/82c45f5d00cb9fa563b68e6894afb20c0df49c79))
* destroy leaderless annexed windows directly ([160cbf5](https://gitlab.com/kwinft/kwinft/commit/160cbf5d046dd6e24d36ec19133305c5e7071de9))
* drop "wayland-server.h" in egl_data.h ([9b9f04d](https://gitlab.com/kwinft/kwinft/commit/9b9f04d59341b014ab2baa028ae613324d332499))
* ensure that toplead exist before repaint ([81b1f15](https://gitlab.com/kwinft/kwinft/commit/81b1f151d196c0121f16797a7ec7da3be5321c8c))
* get proc address ourselves for eglQueryWaylandBufferWL ([b1347a3](https://gitlab.com/kwinft/kwinft/commit/b1347a330abe4b22fc2b775c20a06d78b6fee26b))
* guard against null group ([062a535](https://gitlab.com/kwinft/kwinft/commit/062a535e49e0681d74777807fadf7470a619cb9e))
* **input:** check for headless backend instead of device ([0958c51](https://gitlab.com/kwinft/kwinft/commit/0958c513f8582466151b98db816635c3158c6124))
* **input:** set and unset focus on seat capability changes ([b11265d](https://gitlab.com/kwinft/kwinft/commit/b11265d8933ba1b13e8faea0cf36f6e3e81f0132))
* make control actually demand attention ([b0b3d41](https://gitlab.com/kwinft/kwinft/commit/b0b3d41c5c60fddbd8088dfc367ddf0c6dc99736))
* only ref annexed transient remnants for each lead ([2b64c1e](https://gitlab.com/kwinft/kwinft/commit/2b64c1e06c1fedd449d45114474224543d0bb3e8))
* raise lead if window is without control ([485960f](https://gitlab.com/kwinft/kwinft/commit/485960fa536c6289a66521bb0024fbf55c52c42b))
* remove transient children from copy ([4f2831f](https://gitlab.com/kwinft/kwinft/commit/4f2831f8fa96b70a0dcccbffbcef732cc5950b28))
* render into texture framebuffer to flip for wlroots ([ac69491](https://gitlab.com/kwinft/kwinft/commit/ac69491a74f47774747e967f0e856b5bc7e06e21))
* use height instead of width ([cf5b303](https://gitlab.com/kwinft/kwinft/commit/cf5b303f3da79ed550404d651cdc4e9aae857049))
* use wlroots new input event names ([1258214](https://gitlab.com/kwinft/kwinft/commit/12582147864080a52ad1c27cfbba85b495ac80c2))


### Refactors

* check on common event waiting for render timers in helper ([f01383d](https://gitlab.com/kwinft/kwinft/commit/f01383d088b9eaecddc8e56add9498796205a1d2))
* drop seat check on device changes ([8e75f3e](https://gitlab.com/kwinft/kwinft/commit/8e75f3edaca20bf4a8b0a095eb863a6c71947904))
* simplify swap time debugging ([9c8fe01](https://gitlab.com/kwinft/kwinft/commit/9c8fe01cb88583319a3adc7fa958a4d3f9186f0e))

## [5.24.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.24.0-beta.0...kwinft@5.24.0) (2022-02-08)


### Bug Fixes

* create screen edger in space child classes ([f571c3a](https://gitlab.com/kwinft/kwinft/commit/f571c3a6de10ef9c7f7b7cd31886775d78ac4956))
* **effect:** get virtual screen geometry instead of client area ([c8da442](https://gitlab.com/kwinft/kwinft/commit/c8da4428282875ba4844a9e557859f1426c32787))
* initalize uninitialized var ([49ab436](https://gitlab.com/kwinft/kwinft/commit/49ab4365872ac55dec97f7b5a77e472e00fe5add))
* initialize base X11 output data ([b05b420](https://gitlab.com/kwinft/kwinft/commit/b05b42015579e893c729f9a3f10b247f884b68a3))
* **input:** check seat capabilities ([76294cc](https://gitlab.com/kwinft/kwinft/commit/76294cc921d5e20ae5239d1ca027fd5bb5f0e30c))
* move X11 screen edge to win namespace ([9b55f23](https://gitlab.com/kwinft/kwinft/commit/9b55f230c6bdf6425e13ea4229c7e4088a2f3760))
* only use sRGB configurations with depth 24 ([1173c66](https://gitlab.com/kwinft/kwinft/commit/1173c66cf7f1de1cccb79de12220cd6e5a8ef245))
* remove assignment operator in platform.h ([0d4252f](https://gitlab.com/kwinft/kwinft/commit/0d4252fe335030ff1b75817be93460c03dc8699f))
* silence compiler warnings ([0235b31](https://gitlab.com/kwinft/kwinft/commit/0235b31d5f771870081359d0563e277c49226a6d))
* update download.kde.org references with autoconfig.kde.org ([fa5461e](https://gitlab.com/kwinft/kwinft/commit/fa5461ec5c8d80d14d608581db31a1e622c9300a))


### Refactors

* remove screen edger init function ([0951df8](https://gitlab.com/kwinft/kwinft/commit/0951df85ac1d4386d919125fb316a135fed89235))

## [5.24.0-beta.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.23.0-beta.0...kwinft@5.24.0-beta.0) (2022-02-03)


### Features

* add environment variable to log stderr to file ([1c773e3](https://gitlab.com/kwinft/kwinft/commit/1c773e3d33747fa42a62e78b0f354856d46a5bff))
* add helper to get underlying value of an enum ([bd142ef](https://gitlab.com/kwinft/kwinft/commit/bd142ef653cfdbff690843a0411dabec830f89e9))
* add helper to remove elements from container with test function ([6e3a816](https://gitlab.com/kwinft/kwinft/commit/6e3a81652186cc1427d71371761680b161508f75))
* add keyboard_layouts_v2 D-Bus interface ([7833c73](https://gitlab.com/kwinft/kwinft/commit/7833c73a8cc80aa741cc4b0bbb1bf04a07a46177))
* add Pixman region transform helper ([1671179](https://gitlab.com/kwinft/kwinft/commit/1671179856d9777728f9bcf55d75888bbfb1625d))
* **debug:** set always input device ([ecf184e](https://gitlab.com/kwinft/kwinft/commit/ecf184ed8ad2adf90b6f26ddeecb50de26b95f77))
* **effect:** add org.kde.KWin.ScreenShot2.CaptureActiveScreen ([58239c7](https://gitlab.com/kwinft/kwinft/commit/58239c770c5dae5ceb9678b908116571e7aba234))
* **effect:** add support for static effect plugins ([3ef7627](https://gitlab.com/kwinft/kwinft/commit/3ef762731419bebb964848dcaabd8b5dc7d87ade))
* **effect:** disable launch feedback effect if cursor is hidden ([cf025c7](https://gitlab.com/kwinft/kwinft/commit/cf025c7ebe3dd916c53b805b04a56f8f0375a2af))
* **effect:** do not highlight windows based on mouse if user is currently typing ([afe3c63](https://gitlab.com/kwinft/kwinft/commit/afe3c635d63ec230d6a50bcfd09c59009dae6a10))
* **effect:** drop geometry tip ([67d5512](https://gitlab.com/kwinft/kwinft/commit/67d5512b7380f2f79cfb5cec66d4628dfbd860bc))
* **effect:** enable the scale effect by default ([14df742](https://gitlab.com/kwinft/kwinft/commit/14df7429c4801acfc95c99dccdaae1fef456e320))
* **effect:** remove ShaderManager::selfTest() ([0f588c1](https://gitlab.com/kwinft/kwinft/commit/0f588c12c9a0beb6b50bed510140d4b5638a9cf7))
* **effect:** support forwarding touch events to EffectQuickView ([679340e](https://gitlab.com/kwinft/kwinft/commit/679340e26d9a649d84e8df871d839b1872a9087c))
* **effect:** tune scale animation params ([a61fe5a](https://gitlab.com/kwinft/kwinft/commit/a61fe5a8c8b9a95188d824219050e6e09cd363b0))
* implement better layout for deco KCM ([4e0d21a](https://gitlab.com/kwinft/kwinft/commit/4e0d21afe39d062f7d77ea0bac9cbf9584dc6f83))
* **input:** add wlroots headless keyboard control ([7dc7746](https://gitlab.com/kwinft/kwinft/commit/7dc7746624111986a477b180c2abb86b0b45436c))
* **input:** handle frame event after button, motion and axis events ([ad2c514](https://gitlab.com/kwinft/kwinft/commit/ad2c51440055fe77c35c75efc7b13f8a414fa8e0))
* **input:** introduce XKB keymaps per keyboard ([a8303d7](https://gitlab.com/kwinft/kwinft/commit/a8303d70fc516ed9cc89ea38d0d1fd79e84c5ce6))
* **input:** remove flag to force num lock evaluation ([0ce9673](https://gitlab.com/kwinft/kwinft/commit/0ce96736b598652a911dc7f967faa75241ac2110))
* **input:** support input methods ([6a10d5c](https://gitlab.com/kwinft/kwinft/commit/6a10d5c4dab3f7893b7c56a896bf7ffa7648e30c))
* **input:** support virtual_keyboard_unstable_v1 ([08e2d52](https://gitlab.com/kwinft/kwinft/commit/08e2d52bad524f2eb807eeb6c2e65dbbdfab3e27))
* make the preview show desktop if the option is selected ([2be2639](https://gitlab.com/kwinft/kwinft/commit/2be2639ebb7cf10b2d090c6955ba1d6e5be4d67c))
* **qpa:** remove surfacefull sharing context creation ([69d9571](https://gitlab.com/kwinft/kwinft/commit/69d9571a1bbc484d7ac7bf6490a280475fa7ea13))
* re-enable systemd managed kwin ([cd30038](https://gitlab.com/kwinft/kwinft/commit/cd30038217ac096d0a428be1d09a231be2969f23))
* remove Platform support information ([01018c4](https://gitlab.com/kwinft/kwinft/commit/01018c49e69df3a52c80ef550abb1b4f3594c6c5))
* remove support for KDE Activities ([e92508b](https://gitlab.com/kwinft/kwinft/commit/e92508b14a213d7ba9ded4a418a510bd9c94b95b))
* remove Wayland display option ([b2e4a3e](https://gitlab.com/kwinft/kwinft/commit/b2e4a3e6e78877c0ce345668f5786eee948576ea))
* remove Wayland wrapper binary ([518bd1b](https://gitlab.com/kwinft/kwinft/commit/518bd1bd69b43266113a49d9733a1131d0b891b2))
* render only with OpenGL ES on Wayland ([abe0708](https://gitlab.com/kwinft/kwinft/commit/abe0708b1520e0b8b1726db5f86fb8ed24ec1807))
* **scene:** add backend transformation matrix ([343f417](https://gitlab.com/kwinft/kwinft/commit/343f417c43a5065f1dff0023c6db4705f9beb35c))
* **scene:** add QPainter on Pixman backend ([12bf2e2](https://gitlab.com/kwinft/kwinft/commit/12bf2e2a4cad9b2279339f0c43bbfca1d98c1412))
* **scene:** merge the OpenGL 2 and 3 backends ([248fcf3](https://gitlab.com/kwinft/kwinft/commit/248fcf3aff3857cb10801fc583df14b7dcc3d005))
* **script:** introduce VirtualDesktopModel ([b119c96](https://gitlab.com/kwinft/kwinft/commit/b119c96dc5a4a762a6d86a30ba2408f2c3d15c43))
* support wlr_data_control_unstable_v1 ([2e60be9](https://gitlab.com/kwinft/kwinft/commit/2e60be95aebc36732eb71849e4ac53d2ebde50b5))
* update launch environment via job ([dd18e77](https://gitlab.com/kwinft/kwinft/commit/dd18e77dd72ef9789f15498049a20371e32e1adc))
* use wlroots renderer swap chain ([71c2f3f](https://gitlab.com/kwinft/kwinft/commit/71c2f3f2b190b51641a928c834a7ba3d12848349))


### Bug Fixes

* adapt to wlroots DRM lease changes ([d0ac354](https://gitlab.com/kwinft/kwinft/commit/d0ac3543e537d83326dfcdd0ed1756f574e83f40))
* add missing property to mock ThumbnailItem ([9947fa5](https://gitlab.com/kwinft/kwinft/commit/9947fa53339da7a9fd19402c4a4c1ee3417144af))
* add SwitcherItem to declarative API 3.0 ([7fb3c3c](https://gitlab.com/kwinft/kwinft/commit/7fb3c3ce51fbd3397f2aff2ae5880f749aa63468))
* assign default name if new virtual desktop has no explicit name ([b85d3f7](https://gitlab.com/kwinft/kwinft/commit/b85d3f7495079be8ad00451b7e096907e9bcbac8))
* better check of registered client shortcuts ([33a783f](https://gitlab.com/kwinft/kwinft/commit/33a783fb0891f269462c93c0c1a3e4ce305b885d))
* check decoration settings object exists when accessing ([9522e13](https://gitlab.com/kwinft/kwinft/commit/9522e133bb6b9b41b4b5a1c25708ea073713c116))
* check outputs count on finding in screens ([f37d18e](https://gitlab.com/kwinft/kwinft/commit/f37d18ea844b28c0e7f6a9aacb7cc8faf89762d7))
* correct approach geometry of screen edge's effect ([1d6c73d](https://gitlab.com/kwinft/kwinft/commit/1d6c73d124e5b7dc19295b6e714ed293465a5a7b))
* correct condition for making themes configurable ([0368384](https://gitlab.com/kwinft/kwinft/commit/0368384f49421dbfb3e1098b698d8161f41e6cb0))
* correct header position in properties list ([d33ec5c](https://gitlab.com/kwinft/kwinft/commit/d33ec5c1e2c4c58174590d1d00e24d2cb457dee5))
* create DRM leases for non-desktop outputs only ([cf0471d](https://gitlab.com/kwinft/kwinft/commit/cf0471d78d39dc9065877f003c2515d3c4f1e2c9))
* create effects handler after letting toplevels setup compositing ([2ad0851](https://gitlab.com/kwinft/kwinft/commit/2ad0851ce6084e1a7b7fbae315c93fcba236b836))
* create GBM device with DRM file descriptor of renderer ([8d8bbef](https://gitlab.com/kwinft/kwinft/commit/8d8bbefb5641175a6982bd2097ecd66ad0fbaa23))
* create wlroots renderer and allocator ourselves ([fc60e1c](https://gitlab.com/kwinft/kwinft/commit/fc60e1c8702f00e28e190cfdb1d2ded2a80f0894))
* declare placement Q_PROPERTY with full path ([59b4105](https://gitlab.com/kwinft/kwinft/commit/59b4105c057d7af97e6d79c6881ccad9b04ef5e0))
* **deco:** check serials in move and resize requests ([3ea2cd8](https://gitlab.com/kwinft/kwinft/commit/3ea2cd82af5bf8c3ec7cb588d8a792ea92fdbe65))
* **deco:** ignore the move request for immovable windows ([347c604](https://gitlab.com/kwinft/kwinft/commit/347c604f7dba5c07c57ce831e9cfb03a016da4bf))
* **deco:** when color scheme has no Header colors, don't ask for them ([75ace7f](https://gitlab.com/kwinft/kwinft/commit/75ace7fef6a890d4e3e995038010a2091121e1ce))
* **effect:** add API version property to org.kde.ScreenShot2 interface ([f2c3f8c](https://gitlab.com/kwinft/kwinft/commit/f2c3f8c8bfa97c6ea3d6aecea9c39b1691109ecf))
* **effect:** add org.kde.KWin.ScreenShot2.CaptureActiveWindow ([6fe4ce9](https://gitlab.com/kwinft/kwinft/commit/6fe4ce9e578ad878951d6293e2ec9e1ed4dc68a0))
* **effect:** add separate internal functions to implement findWindow ([5af9f06](https://gitlab.com/kwinft/kwinft/commit/5af9f0696da09b70e230b112c382f3a7b8101b4b))
* **effect:** always provide valid screen to clientArea in thumbnailaside ([9ca7a91](https://gitlab.com/kwinft/kwinft/commit/9ca7a910e4583c7a8b41798c8f65462e4dc22a4b))
* **effect:** apply timeout to startfeedback for xdg activation ([5c083d4](https://gitlab.com/kwinft/kwinft/commit/5c083d4c197fdf17c7c02e15d93faa8feb9f90b9))
* **effect:** avoid animating screenlocker backing window ([f674163](https://gitlab.com/kwinft/kwinft/commit/f67416342acb59cfccae7a621afede5d7ed339f6))
* **effect:** check OpenGL compositing with equality ([0b726c6](https://gitlab.com/kwinft/kwinft/commit/0b726c61f926299d0bb4291de515e42a8332a5df))
* **effect:** correct memory leak in some plasma components ([ebd2303](https://gitlab.com/kwinft/kwinft/commit/ebd2303ee22758baea118092c31b6ac868790894))
* **effect:** correct track mouse texture check ([bb466e3](https://gitlab.com/kwinft/kwinft/commit/bb466e320fdbe78dea6c1ad49606faaeb3e72ed3))
* **effect:** don't allow to set non-global shortcuts for mousemark effect ([ceccf63](https://gitlab.com/kwinft/kwinft/commit/ceccf630351c34cf32cdbac44ee93442cb979cc0))
* **effect:** don't allow to set non-global shortcuts for zoom effect ([0471c4d](https://gitlab.com/kwinft/kwinft/commit/0471c4d457e8dd9a883378fd628ef18600f2ec82))
* **effect:** don't animate lockscreen via fadingpopups effects ([87280df](https://gitlab.com/kwinft/kwinft/commit/87280df52f64b5bc970362bc1edb97ceac15490d))
* **effect:** ensure binary effects are loaded before cleints ([6164731](https://gitlab.com/kwinft/kwinft/commit/6164731b4aee5bd2b979204c737367b9f94cf6ed))
* **effect:** reload slide data after restarting compositing ([30c876b](https://gitlab.com/kwinft/kwinft/commit/30c876b0eacf639bdf210d3a42b4d4ce220647c8))
* **effect:** schedule sliding popup workspace repaints ([a0623f3](https://gitlab.com/kwinft/kwinft/commit/a0623f37bb610365bd080ed2e5829b5704a181c8))
* **effect:** set blur and background contrast enabled by default metadata ([9747bfb](https://gitlab.com/kwinft/kwinft/commit/9747bfb1cc1220cb66aaa6689e92ed9e1de8660c))
* **effect:** track blur region correctly after compositing restart ([c9baad7](https://gitlab.com/kwinft/kwinft/commit/c9baad7aff7057405b243c78fae22446fe8b76e3))
* **effect:** track contrast region correctly after compositing restart ([44316e2](https://gitlab.com/kwinft/kwinft/commit/44316e2860324b2f32ab35d7a73d8937207bd48e))
* **effect:** use clamp to edge wrap mode ([e3bd544](https://gitlab.com/kwinft/kwinft/commit/e3bd544fdae017ee49bead2af4d6b33a81253e68))
* emit deprecation warnings for loading KCM using a plugin keyword ([5616c3b](https://gitlab.com/kwinft/kwinft/commit/5616c3be952a11adfb6327f470083ebe1c5ed6e7))
* ensure KCM refreshing after clicking "Use"-button in KNS dialog ([71bdaa9](https://gitlab.com/kwinft/kwinft/commit/71bdaa973201832f08fcf7212f8697f218416841))
* improve screen edge detection ([b3c91dd](https://gitlab.com/kwinft/kwinft/commit/b3c91ddf5f01cb61ab885a66651a32cfc46a64e6))
* **input:** check on touch capability before accessing touch pool ([1a31e22](https://gitlab.com/kwinft/kwinft/commit/1a31e22096157bbcf392573170455dc0cb7a66ab))
* **input:** check on touch capability when cancelling a touch sequence ([41b5bf8](https://gitlab.com/kwinft/kwinft/commit/41b5bf80ca36db18ad9ab0d8db268a10a4a36133))
* **input:** check pointer capability before accessing pointer pool ([3d3f100](https://gitlab.com/kwinft/kwinft/commit/3d3f100c7ef515dbf9e7574936275cd409b37290))
* **input:** do not default implictly deleted move ctors ([2b77ddc](https://gitlab.com/kwinft/kwinft/commit/2b77ddc0c306b6c1a7ff2c5618897f5f6ed35804))
* **input:** forward modifiers prior to key for layout changes ([5f30e5b](https://gitlab.com/kwinft/kwinft/commit/5f30e5bfdb1ecd6c985df217ef82ab54f27cc5d1))
* **input:** listen for input config changes ([4c3e9a2](https://gitlab.com/kwinft/kwinft/commit/4c3e9a2c51de21c5f903702b2edf4eac1f86278b))
* **input:** manage device lifetime within class ([3c89ac2](https://gitlab.com/kwinft/kwinft/commit/3c89ac2b21286bb1736b8f295171a20d30b62e6c))
* **input:** own device control in smart pointer ([ce1e23f](https://gitlab.com/kwinft/kwinft/commit/ce1e23f2bd17ed2ab18bf14c7a29104d1343c6c8))
* **input:** process spies on button events ([17fd072](https://gitlab.com/kwinft/kwinft/commit/17fd0726dde0fde660bfe6144cc2e82cafab85b0))
* **input:** quit on xkb_context creation fail ([dfef314](https://gitlab.com/kwinft/kwinft/commit/dfef314eecb9cb4764e5c74cfe9b3c40440e49b8))
* **input:** remove xkb implict ownership ([17065bf](https://gitlab.com/kwinft/kwinft/commit/17065bf0f01bb52a93c71ab1c7a686362df3b92a))
* **input:** specify override for input devices dtors ([37b2383](https://gitlab.com/kwinft/kwinft/commit/37b2383c3e0e99bf0494a9ce4263da8fd8b6c235))
* **input:** throw named error on failed keymap creation ([a1dab61](https://gitlab.com/kwinft/kwinft/commit/a1dab618148568531c29151bdfa967cd84412566))
* **input:** throw standard exception instead of system error ([5a6a530](https://gitlab.com/kwinft/kwinft/commit/5a6a530c358466e82ce93985cd023be296aeca77))
* **input:** update keymap on every key and modifier event ([0269571](https://gitlab.com/kwinft/kwinft/commit/0269571391e50f239a50a7da865989838409f311))
* install deprecated virtual keyboard D-Bus interface ([5b5e04a](https://gitlab.com/kwinft/kwinft/commit/5b5e04aa7a30d358ac0d859650ab9b7134248fc9))
* move function to create tests ([43f1d5b](https://gitlab.com/kwinft/kwinft/commit/43f1d5b960fcf561649539195975e49907d51483))
* omit destroying dmabuf images on destroy ([0f5edd3](https://gitlab.com/kwinft/kwinft/commit/0f5edd30414fed16ce92d96f9ba6240d960cff35))
* omit drag icon frame rendered event ([9cc9244](https://gitlab.com/kwinft/kwinft/commit/9cc92443b212986146dfebc05dbeb3d06c720496))
* only set Night Color with valid ramp size ([c952f20](https://gitlab.com/kwinft/kwinft/commit/c952f206b44605aec0db436a67f0728fcbba8841))
* retain Gl backends on rendering reset ([bf84525](https://gitlab.com/kwinft/kwinft/commit/bf845252b1552e7435e587306874152527f3b620))
* **scene:** add missing import unordered_map ([e80b91d](https://gitlab.com/kwinft/kwinft/commit/e80b91d5bc4523ac585836c611175919e40d993a))
* **scene:** define EGL functions with EGLBoolean return type ([01e60d5](https://gitlab.com/kwinft/kwinft/commit/01e60d59c00311df389c5b8dba332a1942d3bf60))
* **scene:** ensure context current on GL timer query ([23b51f9](https://gitlab.com/kwinft/kwinft/commit/23b51f9098bad228a3e3bf0456f8bb2afab01ea6))
* **scene:** get strong reference from decoration shadow ([a0f5c8b](https://gitlab.com/kwinft/kwinft/commit/a0f5c8b7333bb125f4886bd8de00a865cad7d09a))
* **scene:** loop over contents region with auto variable ([bf5cd24](https://gitlab.com/kwinft/kwinft/commit/bf5cd245a28de89d2a9749662af4733b465813e9))
* **scene:** properly unredirect windows if compositing is not possible ([926abdb](https://gitlab.com/kwinft/kwinft/commit/926abdba27a4f8c7fd08b9524a41ef524feba506))
* **scene:** rename paint output function ([ee98932](https://gitlab.com/kwinft/kwinft/commit/ee98932b8498dae6f6b769c0f46c499a1cf95ace))
* **scene:** update software cursor on paint ([7171712](https://gitlab.com/kwinft/kwinft/commit/7171712c4763c789e8ed9097484ab7d4926dfe6f))
* **script:** add back geometry property ([bbad2ef](https://gitlab.com/kwinft/kwinft/commit/bbad2efe2920e31d34ed0928bdcd623b9f40be7e))
* **script:** determine scripted effect config from KPluginSelector ([c027aae](https://gitlab.com/kwinft/kwinft/commit/c027aaec967efba5832bcb413217bb03a29dfa59))
* **script:** try to preserve last active window ([e00d49a](https://gitlab.com/kwinft/kwinft/commit/e00d49a3f998e86910067d04c11ce4e1c417c033))
* set compositing delay only with OpenGL ([142b89f](https://gitlab.com/kwinft/kwinft/commit/142b89f9ad7b557fd6995512b6d8e8c85e16f9ec))
* set default cursor shape for root window ([8f19fc2](https://gitlab.com/kwinft/kwinft/commit/8f19fc2e3aab4f6c8e9feec37e8baa848ca1c66b))
* set pending swap on output creation ([648d583](https://gitlab.com/kwinft/kwinft/commit/648d58302aa1abe39dce8a8007098d3dc144dd1d))
* **space:** dock with windows go below will be on top and the same layer of above windows ([b9d1701](https://gitlab.com/kwinft/kwinft/commit/b9d1701839075838f17eae7959ebd463bf2cea94))
* **space:** evaluate window rules only if they are supported ([ded3d4c](https://gitlab.com/kwinft/kwinft/commit/ded3d4ca2e13f51b24e0e64dafa3905533034238))
* **space:** handle panels set to ¨Windows can cover¨ ([bafa0cb](https://gitlab.com/kwinft/kwinft/commit/bafa0cbdf6e5869cd91dc025c8ea2acdb272ec69))
* **space:** ignore OSD position hints and configure events ([d9c50d2](https://gitlab.com/kwinft/kwinft/commit/d9c50d2d339a808e1cd355d5816ff1bb83e0c564))
* store backend destroyed receiver in smart pointer ([7c7fc4a](https://gitlab.com/kwinft/kwinft/commit/7c7fc4a0ecbd8876e55a065a59f3606e5f4b8319))
* tag lease argument as maybe unused ([e9e67de](https://gitlab.com/kwinft/kwinft/commit/e9e67de60b7ceb8d86226fa2588d686c7d4fbb60))
* unvirtualize client message event function ([1666700](https://gitlab.com/kwinft/kwinft/commit/1666700b99564c212a30efd5f11a10aeb33a4c0a))
* update default indicator for corner ratio ([b716c03](https://gitlab.com/kwinft/kwinft/commit/b716c039fb0b42320aacb05ca67c2b0831a1deaa))
* use remove_all_if instead of invalid erase ([5cb2a76](https://gitlab.com/kwinft/kwinft/commit/5cb2a760e0b95ea3debd25ee3e9099a05f621354))
* **xwl:** check active client with qobject cast ([a320bac](https://gitlab.com/kwinft/kwinft/commit/a320bacbac46b6d7adeaaa425697c2ba0740e3a1))


### Refactors

* access outputs in Screen class from base platform ([2b5d67e](https://gitlab.com/kwinft/kwinft/commit/2b5d67e88a4b6b9e31e8932323da37575b201976))
* act on property notify events in free function template ([103434a](https://gitlab.com/kwinft/kwinft/commit/103434aa59a0fbfeb6723e4495f478923a7c5c56))
* adapt to Wrapland date device selection signal change ([67438f8](https://gitlab.com/kwinft/kwinft/commit/67438f81ed44d805155d53d4b2be9e3c04bbb525))
* adapt to Wrapland Virtual Desktop string changes ([0ade225](https://gitlab.com/kwinft/kwinft/commit/0ade225d37379009ac3c297d939b94f8e8c3e57b))
* adapt to Wraplang setting the selection source ([715f9b6](https://gitlab.com/kwinft/kwinft/commit/715f9b672e2da9962e22fcfb8d48faef9f0897b1))
* add base X11 outputs ([a5cb817](https://gitlab.com/kwinft/kwinft/commit/a5cb8175c96b96a6d753ef7d7e586223a8ddde16))
* add internal buffer scale method ([547336f](https://gitlab.com/kwinft/kwinft/commit/547336f41d0c4143290a6f517e894c9d5f8f98ac))
* add lock screen check in Application ([6771f59](https://gitlab.com/kwinft/kwinft/commit/6771f5998fce17ac748e388241b8ac5b662252a3))
* add mouse intercept struct ([a07c47f](https://gitlab.com/kwinft/kwinft/commit/a07c47f1c0673a74c67d1048ba35c16191e602f5))
* add new wlroots outputs in base ([e069fbe](https://gitlab.com/kwinft/kwinft/commit/e069fbe58dc054d1cc082f45addf9d434fa9f1f9))
* add scene window in free function template ([5e690f7](https://gitlab.com/kwinft/kwinft/commit/5e690f7392cd5922cd2ab0408b79c9f8440e5b2f))
* add shadow windowing integration struct ([7ecd500](https://gitlab.com/kwinft/kwinft/commit/7ecd500f8ba347708e99324346330b7c4eb65146))
* add Wayland buffer update hook ([70e290a](https://gitlab.com/kwinft/kwinft/commit/70e290aa16354c21fced4f91f37576749349e5de))
* add Wayland window added signal to Workspace ([9f40093](https://gitlab.com/kwinft/kwinft/commit/9f40093aea85f8a220cd2c4bb3f29701ac02e641))
* add Wayland window boolean ([345eb10](https://gitlab.com/kwinft/kwinft/commit/345eb101f60e10a063a08bdfe84fab17ef27a76c))
* add Wayland window viewport hook ([4d0ee15](https://gitlab.com/kwinft/kwinft/commit/4d0ee1525c116df32c54eb5511f522d945cf71c1))
* add X11 base platform backend ([a5da114](https://gitlab.com/kwinft/kwinft/commit/a5da11470bc31e4ebcc718b0f2a0fb3929fe5292))
* assume compsoitor and scene exist ([4ec87b8](https://gitlab.com/kwinft/kwinft/commit/4ec87b8df12c7848b5703545a3786161de6293eb))
* check application operation mode instead of Wayland server ([34cd34d](https://gitlab.com/kwinft/kwinft/commit/34cd34d93f5824b0471ded21506b13a234b340a4))
* check outputs on from input platform ([9cc8875](https://gitlab.com/kwinft/kwinft/commit/9cc8875c32e43bcbd0919ed90fa713be341bf7bc))
* check QPA context support from within QPA plugin ([980627f](https://gitlab.com/kwinft/kwinft/commit/980627fea82e5b489c2d99b97872ea186056871a))
* clean up legacy configmodule querying ([af762dd](https://gitlab.com/kwinft/kwinft/commit/af762dd68db708d385342b6b603302931942b522))
* cleanup Platform code ([7e3cad7](https://gitlab.com/kwinft/kwinft/commit/7e3cad74d132b103034710f00f24c3a75e82d78d))
* compile the server class into the Wayland library ([8c64ff0](https://gitlab.com/kwinft/kwinft/commit/8c64ff07f311228d31e9fc6581880fd5f0d77651))
* compile Wayland render code into Wayland library only ([bc2d253](https://gitlab.com/kwinft/kwinft/commit/bc2d2532996928e03a38dae7fc5d975c2ae4844c))
* connect surface scale change in virtual function ([a6f12d5](https://gitlab.com/kwinft/kwinft/commit/a6f12d5cc429bc639b02bb128e6f5bb96032bb4e))
* convert Wayland initialization flags to internal enum flag type ([d555ac7](https://gitlab.com/kwinft/kwinft/commit/d555ac7e6ee7d19dcfe153a199f57d6df5a4a3c0))
* copy EGL data to dmabuf data ([e3dc43c](https://gitlab.com/kwinft/kwinft/commit/e3dc43c5f81ac651014779877143df1b26d05d2b))
* create EGL backend early ([3747819](https://gitlab.com/kwinft/kwinft/commit/3747819e05087aea8ef5fa0bfb22a52a1b7c6101))
* create egl context from free function ([b590977](https://gitlab.com/kwinft/kwinft/commit/b5909770e3da0de067acd96ad4fbc01fa4146f40))
* create GL backends directly or throw on error ([06513fa](https://gitlab.com/kwinft/kwinft/commit/06513fa3d8ad4e8990fd7bf1813081253c4e0476))
* create glx context from free function ([2b5d341](https://gitlab.com/kwinft/kwinft/commit/2b5d341ecc6274f05c86b5d68ce870a7871d8028))
* create overlay window directly ([81cb447](https://gitlab.com/kwinft/kwinft/commit/81cb4479676c2c63f50c819c3776dd0369f9e069))
* create screen edges in Workspace ([d211369](https://gitlab.com/kwinft/kwinft/commit/d211369767e43136303430459e79e0426c85f15f))
* create shadow from render window ([a73a4fa](https://gitlab.com/kwinft/kwinft/commit/a73a4fa138ee21db8d83d55f1408c85b4c4ac018))
* **debug:** add console factory ([52522cf](https://gitlab.com/kwinft/kwinft/commit/52522cf9345afb4958dd0f83eab19a18e9944e4e))
* **debug:** move console helper classes to separate files ([4cc8a42](https://gitlab.com/kwinft/kwinft/commit/4cc8a42b1857377e2289c1418cc692f9f908d2f3))
* **debug:** outsource display text switch default handling ([d8ae7b4](https://gitlab.com/kwinft/kwinft/commit/d8ae7b4ae93d92d6f6215d73cc7953bc5ea1f044))
* **debug:** split up console along windowing systems ([e72a542](https://gitlab.com/kwinft/kwinft/commit/e72a542f3a2e5d26bf13781fa0f8a788ddfb7e90))
* **deco:** deprecate loading with the "button" keyword ([4a93627](https://gitlab.com/kwinft/kwinft/commit/4a93627aa3d58dd6f904b5d99edb1fe9f1f678a2))
* **deco:** improve decorationpalette.cpp code ([25b0fb2](https://gitlab.com/kwinft/kwinft/commit/25b0fb2c2b2aed29c784dcb096eaed9b41f7da8e))
* **deco:** port to new KDecoration2::DecorationThemeProvider class ([2d9277a](https://gitlab.com/kwinft/kwinft/commit/2d9277aa47f7c5a783cf65f7fbc13ed9e87e9abe))
* **deco:** remove manual lnf default handling ([cd93d9e](https://gitlab.com/kwinft/kwinft/commit/cd93d9ed2e4034016162c6dbb1f4c07b4660aa3a))
* define base output type in backend ([2534948](https://gitlab.com/kwinft/kwinft/commit/253494822f3c5ed3c5ffdfd7cc184f03f7d36d33))
* define DPMS mode outside of output class ([92ceb15](https://gitlab.com/kwinft/kwinft/commit/92ceb151d49951c7f1f770542fe07d6c9d37afc6))
* define gamma ramp in separate files ([98f2477](https://gitlab.com/kwinft/kwinft/commit/98f24778ab0afe750a4d90bf44c92b8c27eb9261))
* define shadow elements outside of scene class as enum class ([d547301](https://gitlab.com/kwinft/kwinft/commit/d54730152f007b1dae51b5616c634094d75d7cf1))
* destroy test base after server ([e7bd401](https://gitlab.com/kwinft/kwinft/commit/e7bd401d82da580b72c20c44837cb4db81fd013c))
* drop ClearablePoint ([65a00de](https://gitlab.com/kwinft/kwinft/commit/65a00de7819083a2d9a5961681f9f499308faa3e))
* drop Process helper ([6463dff](https://gitlab.com/kwinft/kwinft/commit/6463dff43074ef044c52fab1ffc5eccc58ad1008))
* drop starting of external input method servers ([62b5ab1](https://gitlab.com/kwinft/kwinft/commit/62b5ab10374c95b5d163b79dde512b82aaa14d15))
* drop UrgencyHint helper ([f5032e4](https://gitlab.com/kwinft/kwinft/commit/f5032e4f62750f10a0608a18a4a26457aae7036c))
* dynamically inherit base platform ([d4fa1a6](https://gitlab.com/kwinft/kwinft/commit/d4fa1a692394c702471ec5696911084ff80db428))
* **effect:** add showfps destructor ([08dadd2](https://gitlab.com/kwinft/kwinft/commit/08dadd2eb6dfbd43467bf891bed8cd7edfc66ee2))
* **effect:** declare logging category per effect ([344b014](https://gitlab.com/kwinft/kwinft/commit/344b014564ae327ce5fd28ff84118b7162592613))
* **effect:** let effects handle skipsCloseAnimation flag ([3b49b47](https://gitlab.com/kwinft/kwinft/commit/3b49b4749c89feffb8543e3ff9e67c605f225855))
* **effect:** link builtin effects with executables ([56c5022](https://gitlab.com/kwinft/kwinft/commit/56c5022b9a202296c1699f387b56bc246df55221))
* **effect:** remove bogus full repaint in when checking effects support ([723e6ac](https://gitlab.com/kwinft/kwinft/commit/723e6ac3141d56dbe23db6ab3bf23174e2f0d5b7))
* **effect:** simplify EffectQuickView constructors ([e5cbd3c](https://gitlab.com/kwinft/kwinft/commit/e5cbd3cb2d508fb2e1a5ea88b7a65fb58c172cff))
* ensure stacking order in free functions ([64328fd](https://gitlab.com/kwinft/kwinft/commit/64328fd54084109681dd2b5c7b95b97a8b96c70e))
* flatten egl backend and texture class hierarchy ([d350eb3](https://gitlab.com/kwinft/kwinft/commit/d350eb373f746bcc027c7028efccaf1816656853))
* get clock id from base platform ([b4ffa69](https://gitlab.com/kwinft/kwinft/commit/b4ffa6969bbc0b186424e14d6cd9e4acd4cef6ba))
* get render platform from app instead of compositor ([3eafe7b](https://gitlab.com/kwinft/kwinft/commit/3eafe7bc85b9770a761d869b4531db3f57672352))
* get supported render types in free function ([433facb](https://gitlab.com/kwinft/kwinft/commit/433facbfc923d31b470cee66e8ba275ca7b9ae82))
* get Toplevel icon geometry from Workspace ([1e2784c](https://gitlab.com/kwinft/kwinft/commit/1e2784cc53d40d8388130bf6e25d84cdd3f4f3ca))
* hand over input redirect to helper function ([dcc7f9d](https://gitlab.com/kwinft/kwinft/commit/dcc7f9d7e71f2d51ebb3c671883425d9ae60e12a))
* handle signals with member functions ([30d09b8](https://gitlab.com/kwinft/kwinft/commit/30d09b89449c8d61ecd287c03d205cc554a8cc17))
* handle wlroots frame event ([3994b25](https://gitlab.com/kwinft/kwinft/commit/3994b2565695aa500e0752fbb40fe4bcb164386b))
* handle Wrapland object creations in free functions ([2dc76ac](https://gitlab.com/kwinft/kwinft/commit/2dc76acee9586945f2b8b57f69b4f5fd69e7d529))
* inherit Wayland output in wlroots render backend ([8bddec1](https://gitlab.com/kwinft/kwinft/commit/8bddec1e7468a6ed08088ee77f0e4c91075dc18f))
* init egl in template functions ([099d626](https://gitlab.com/kwinft/kwinft/commit/099d626e5ba9ef8f98996e69d479eee986ec1e0e))
* init the workspace X11 integration separately ([2642e36](https://gitlab.com/kwinft/kwinft/commit/2642e364a4eb7330b7fc52af26d6eaadc3e4ded7))
* initialize screen locker watcher separately ([b3eb6e6](https://gitlab.com/kwinft/kwinft/commit/b3eb6e60a0bdb1f380d39f821db0fb291b0e53e0))
* **input:** adapt to Wrapland keyboard key change ([346a748](https://gitlab.com/kwinft/kwinft/commit/346a74870676bcbb84d203adbf32770c5660aced))
* **input:** add argument to function that sends layout to OSD ([28e4d8e](https://gitlab.com/kwinft/kwinft/commit/28e4d8efa42ff4cc162b397d08c8f06d88b18708))
* **input:** add platform Wayland child class ([b5c715c](https://gitlab.com/kwinft/kwinft/commit/b5c715ccf9fa6d1d6e488387c53bd68c65618c3e))
* **input:** add Wayland pointer redirect child class ([6b99eb0](https://gitlab.com/kwinft/kwinft/commit/6b99eb0b29a84b8f28a756438e5b6c6cf1bcd145))
* **input:** add Wayland tablet redirect child class ([4db1a2b](https://gitlab.com/kwinft/kwinft/commit/4db1a2bb91589c784084d34e82b826847480cb5d))
* **input:** add Wayland touch redirect child class ([01530dc](https://gitlab.com/kwinft/kwinft/commit/01530dc1bbba0b3ed3b060080599ac0be71dafe8))
* **input:** apply XKB environment rules in const function ([37fcdae](https://gitlab.com/kwinft/kwinft/commit/37fcdaeb8dbefb078fd963acd5f382cb952c3ca7))
* **input:** check touch on cancel in Wayland touch redirect ([857e179](https://gitlab.com/kwinft/kwinft/commit/857e179234f5e52b3f1b62284422def57eaeff35))
* **input:** cleanup keyboard layout switching ([4200974](https://gitlab.com/kwinft/kwinft/commit/42009748d2680fd0e698ad430985268302b82f1c))
* **input:** create device redirects late ([3ec867f](https://gitlab.com/kwinft/kwinft/commit/3ec867fd6a7f033e7370976572359c59132fa1de))
* **input:** default-initialize xkb members in header ([4b3c482](https://gitlab.com/kwinft/kwinft/commit/4b3c482eba8a8b85cfeddfca6feff7e447604ed5))
* **input:** don't store layout in layout manager ([eebada5](https://gitlab.com/kwinft/kwinft/commit/eebada5b4fb31665a20f2c70165de0a1853576a5))
* **input:** evaluate num lock config in separate function ([fcab0d9](https://gitlab.com/kwinft/kwinft/commit/fcab0d9270b44eca08b13f37cbdb77d86cc688be))
* **input:** forward modifiers with function wrapper ([3fce0a5](https://gitlab.com/kwinft/kwinft/commit/3fce0a508cd172e29fb6e10e4d769c50d0124ec1))
* **input:** handle added devices in member functions ([56524b8](https://gitlab.com/kwinft/kwinft/commit/56524b8a7163de7bb54ef8a6a47263000669df02))
* **input:** increase usage of platform and redirect ctors ([bed51d5](https://gitlab.com/kwinft/kwinft/commit/bed51d5d1c8ab75568a9c3b543fe63f8dc59d1e6))
* **input:** introduce fake Wayland devices ([75665ab](https://gitlab.com/kwinft/kwinft/commit/75665ab154e3a531eadb0af9c1138c0951e13e30))
* **input:** introduce fake X11 devices ([099cd76](https://gitlab.com/kwinft/kwinft/commit/099cd76aa681810b1a210ffb5b4bd92fe1ca2828))
* **input:** introduce key state enum ([1c487d1](https://gitlab.com/kwinft/kwinft/commit/1c487d1007906cf3230132efaac204270b0aa416))
* **input:** introduce redirect append filter logic ([abb1551](https://gitlab.com/kwinft/kwinft/commit/abb1551e54f863c5b2b8ff662215d0f4dbb9acf2))
* **input:** introduce Wayland redirect child classes ([07ad12a](https://gitlab.com/kwinft/kwinft/commit/07ad12a2b906d25764be5e20aedd7c27a873ec54))
* **input:** introduce X11 redirect child class ([c295225](https://gitlab.com/kwinft/kwinft/commit/c295225c2999e06f692acf6f94f673f3315c1283))
* **input:** introduce xkb namespace ([4e2c239](https://gitlab.com/kwinft/kwinft/commit/4e2c239c628652b7bc572dc120f43bd4784a574c))
* **input:** listen for input config changes with lambda ([60ecf6b](https://gitlab.com/kwinft/kwinft/commit/60ecf6bda000209465493f2f5496763470c5cfd9))
* **input:** merge reconfigure and resetLayout functions ([5056248](https://gitlab.com/kwinft/kwinft/commit/50562485dc909ee2b7e3d0a51c79a03458031022))
* **input:** move backend X11 classes ([555d99e](https://gitlab.com/kwinft/kwinft/commit/555d99efa9e2fe762f2e3a04164debb7b30d241d))
* **input:** move config watcher to Wayland redirect ([dfea41a](https://gitlab.com/kwinft/kwinft/commit/dfea41a840fb65875eb9ffeb31a91adb94549f84))
* **input:** move dbus and keyboard source to Wayland lib ([8644e18](https://gitlab.com/kwinft/kwinft/commit/8644e183a975558eecee016893c829e937eba494))
* **input:** move functions to Wayland platform ([7056bd2](https://gitlab.com/kwinft/kwinft/commit/7056bd2aba0d357b16180c0cfafdac0a4ec468a7))
* **input:** move keyboard layout policies to xkb namespace ([af76a2d](https://gitlab.com/kwinft/kwinft/commit/af76a2dced25f638007cd55d9530d5444b9a2937))
* **input:** move keyboard leds enum out of xkb ([00459d4](https://gitlab.com/kwinft/kwinft/commit/00459d4da65a3f3138a23363e6348e0630552a5d))
* **input:** move keyboard redirect Wayland functionality ([be70bae](https://gitlab.com/kwinft/kwinft/commit/be70bae89e12e4cad7a459fa30c3a043274a9c62))
* **input:** move layout manager to xkb namespace ([817013d](https://gitlab.com/kwinft/kwinft/commit/817013d043d0313b08b5052786f56f7c983f108f))
* **input:** move reconfigure function to Wayland redirect ([e452470](https://gitlab.com/kwinft/kwinft/commit/e452470be0a09c866d07a7f231a49e4bca5fbd31))
* **input:** move tablet mode switch to Wayland redirect child ([7118537](https://gitlab.com/kwinft/kwinft/commit/71185371a98189c96b239cb8c52dd0e32f9e383c))
* **input:** move window selection to Wayland child platform ([0810bc1](https://gitlab.com/kwinft/kwinft/commit/0810bc12643bafd1c941a0e6758e0d141472a30b))
* **input:** move window selector to Wayland redirect ([a121746](https://gitlab.com/kwinft/kwinft/commit/a1217464dff33a5024fd83d113f04b39e0481277))
* **input:** omit setting up any filters on X11 ([445bd7e](https://gitlab.com/kwinft/kwinft/commit/445bd7e374384ce8d2ad65a69e5dcc87be7bddb2))
* **input:** pass events to Wayland server in helpers ([d9f0fdf](https://gitlab.com/kwinft/kwinft/commit/d9f0fdffb959191532ff8d122c1338071b510da7))
* **input:** provide independent device redirect helper structs ([c2a1342](https://gitlab.com/kwinft/kwinft/commit/c2a1342e7c0532f0bc0182d0bdac5328c0922798))
* **input:** provide keyboard device for key repeat ([6b0d216](https://gitlab.com/kwinft/kwinft/commit/6b0d216e1885482625dd1590a874befc25860e42))
* **input:** provide redirect as cursor argument ([f43d202](https://gitlab.com/kwinft/kwinft/commit/f43d20246e526cb95d637c814ffe7fbf06cd912a))
* **input:** read and transmit startup num lock config ([e6b402e](https://gitlab.com/kwinft/kwinft/commit/e6b402e4b45620019c25cb2ee456fe703856959e))
* **input:** remove devices parent argument ([1c0ba6a](https://gitlab.com/kwinft/kwinft/commit/1c0ba6a480101615d33b6ffe6109ed001ff2e666))
* **input:** remove function to create keymap file ([013a81c](https://gitlab.com/kwinft/kwinft/commit/013a81cb519b5c8063f55b3fbe47571aa465cfcf))
* **input:** remove function to process keymap changes ([3aec369](https://gitlab.com/kwinft/kwinft/commit/3aec369eaffa066fd04158974307bc8d77809399))
* **input:** remove init checks ([1d9fddd](https://gitlab.com/kwinft/kwinft/commit/1d9fddd28dbe9be5715124a4f633aeaa4458e5c0))
* **input:** remove legacy KeyboardKeyState enum ([63eeaa7](https://gitlab.com/kwinft/kwinft/commit/63eeaa7fc338c2afb4863e4b59f0c94cf0a27b3d))
* **input:** remove legacy pointer state enums ([6f4fe39](https://gitlab.com/kwinft/kwinft/commit/6f4fe39bd93ed2d4543c7189fc621065d818dc71))
* **input:** remove processModifiers function ([e485005](https://gitlab.com/kwinft/kwinft/commit/e48500595d30a89f1e7e1b1ee2c1012a6dfe559d))
* **input:** replace QHash with STL unordered map ([d73365a](https://gitlab.com/kwinft/kwinft/commit/d73365aaa958c97a2da342756ed4cf26fc27335b))
* **input:** replace SwitchEvent with switch toggle event struct ([0ccb9af](https://gitlab.com/kwinft/kwinft/commit/0ccb9af0fe528db6512aa1144590d7094a67fc07))
* **input:** replace tablet mode manager singleton with smart pointer ([65e84a5](https://gitlab.com/kwinft/kwinft/commit/65e84a5550eec63f90f7c0707218d6f2a01ec6bd))
* **input:** save startup num lock status in member struct ([3332727](https://gitlab.com/kwinft/kwinft/commit/33327278063cfb5f59ec70a349d879ddc981bb69))
* **input:** set platform in Wayland redirect ([d0bba3e](https://gitlab.com/kwinft/kwinft/commit/d0bba3e3e8d8fea28101a1910e0e9e6291e528c0))
* **input:** set Wayland child platform ([8887832](https://gitlab.com/kwinft/kwinft/commit/88878323c4c658214dcfff9e9e641aab99d83204))
* **input:** setup devices in separate function ([1cb213f](https://gitlab.com/kwinft/kwinft/commit/1cb213f14a750fb88c29af12d5689b33263c1c5a))
* **input:** setup touchpad shortcuts in Wayland redirect ([f08130a](https://gitlab.com/kwinft/kwinft/commit/f08130ab1734d3f0aa5a4f08fa22e7fd54855086))
* **input:** setup Wayland redirect late ([a116238](https://gitlab.com/kwinft/kwinft/commit/a1162383b47de0b4b363d6a94974077e9f0f2b64))
* **input:** signal layout changes on each XKB keyboard ([c8ee11e](https://gitlab.com/kwinft/kwinft/commit/c8ee11edbb34f8380740a505ee06313d087dee26))
* **input:** store base platform in Wayland platform ([a1c6bda](https://gitlab.com/kwinft/kwinft/commit/a1c6bda034724a434cfdb2e84807cb4f6d1ac9e8))
* **input:** store filters and spies in STL containers ([f273c8c](https://gitlab.com/kwinft/kwinft/commit/f273c8c983a05852a252f5cf29d6e7581bf55999))
* **input:** store keymaps in shared pointers ([dd39202](https://gitlab.com/kwinft/kwinft/commit/dd39202a642c7d1887fe9700887f9992ff939777))
* **input:** store platform in Wayland cursor ([8e559fb](https://gitlab.com/kwinft/kwinft/commit/8e559fba1fd1bde4e9ccf470150d00e05b75abed))
* **input:** store platform in Wayland redirect child ([dac08b8](https://gitlab.com/kwinft/kwinft/commit/dac08b8780a0abe86071a3e53be39a791fea343a))
* **input:** transform device redirect functions to free function ([a53089b](https://gitlab.com/kwinft/kwinft/commit/a53089b0a076dd98462fed92ebdc7e91af4a1a5f))
* **input:** uninherit keyboard layout spy from event spy ([ca6db1f](https://gitlab.com/kwinft/kwinft/commit/ca6db1f2828d627b0d76d59f39ccc31d3975cd15))
* **input:** unvirtualize device redirect init ([30a954b](https://gitlab.com/kwinft/kwinft/commit/30a954bf10b24443d23df63d6ccdfbeb15600add))
* **input:** unvirtualize setup workspace function ([612e303](https://gitlab.com/kwinft/kwinft/commit/612e303c2f9ffc94a115a323e39a6404a91cd41f))
* **input:** use more smart pointers ([8b1216c](https://gitlab.com/kwinft/kwinft/commit/8b1216c02a34b8e06191c0663967660b7ef4fd2a))
* **input:** use STL smart pointer for xkb ([d6eab83](https://gitlab.com/kwinft/kwinft/commit/d6eab83044d2d7e2828d82db6540cf74c9945684))
* **input:** use STL strings for XKB keymaps and layouts ([d5a78d0](https://gitlab.com/kwinft/kwinft/commit/d5a78d048cd214276fa7e9d56cd63c69b531347a))
* **input:** use touch event structs in filters and spies ([b110f2a](https://gitlab.com/kwinft/kwinft/commit/b110f2a257c72e1dba690ec0df4551464d43c1e1))
* **input:** virtualize filter setup ([b865ccf](https://gitlab.com/kwinft/kwinft/commit/b865ccf2ce1107588e2c55541622a9c5a7e73bd1))
* **input:** virtualize setup Workspace function ([1c844d6](https://gitlab.com/kwinft/kwinft/commit/1c844d662feec87e4f9b49e47553125a9ce7ee5c))
* **input:** warp pointer from Wayland platform ([e42c0d4](https://gitlab.com/kwinft/kwinft/commit/e42c0d4bb039635a45c63618497b92aeb5c0cfbf))
* introduce base platform ([4260499](https://gitlab.com/kwinft/kwinft/commit/42604994c6a2004b1c2aea704ce5ade1eb9bf878))
* introduce base wlroots backend output ([4c4d8be](https://gitlab.com/kwinft/kwinft/commit/4c4d8bedc6e1ea7f8e3e0ab41a37261ea97abb38))
* introduce basic egl data struct ([99ff80e](https://gitlab.com/kwinft/kwinft/commit/99ff80e87948af9725805d9fa443fce884f8c22d))
* introduce compositor X11 integration struct ([769967f](https://gitlab.com/kwinft/kwinft/commit/769967ff81ce1ec5a56ff9f9c7cbb480e625d8dd))
* introduce D-Bus compositing integration struct ([a8859ba](https://gitlab.com/kwinft/kwinft/commit/a8859bad52c7b653a81abb10e9c55aec7baf62da))
* introduce Wayland egl data struct ([9da1eb7](https://gitlab.com/kwinft/kwinft/commit/9da1eb78a7bf30ba96a03bc2e8e24901b0f4f327))
* introduce Xwayland window class ([94f6277](https://gitlab.com/kwinft/kwinft/commit/94f6277c5926c735b8b49810186f9b8b6fae2cb4))
* let Toplevel own render window and render window the effect window ([783ab3e](https://gitlab.com/kwinft/kwinft/commit/783ab3e937b6a19d30f5e3e511b4ac9e4eee5395))
* let Workspace class own scripting platform explicitly ([4246386](https://gitlab.com/kwinft/kwinft/commit/42463869f2b309628b92f04c7865a3616357a00e))
* load builtin effects from metadata files ([f3ed6d7](https://gitlab.com/kwinft/kwinft/commit/f3ed6d78835b1547c6f594196392a208aee76ca9))
* load KCM by path instead of searching for plugin by id ([732d6da](https://gitlab.com/kwinft/kwinft/commit/732d6daf1e68533af19fef65df97cdb212706f1b))
* make XCB event filter a class template ([332e615](https://gitlab.com/kwinft/kwinft/commit/332e6150a5776aa144ff8c8c1ddebc78e7e5c76c))
* manage all Wayland windows in space ([709e3b0](https://gitlab.com/kwinft/kwinft/commit/709e3b0c077f1eb64766d44d6f0be6c5f5fcfdf2))
* modernize virtual desktops code ([502bce9](https://gitlab.com/kwinft/kwinft/commit/502bce9a2be51205a894377b0f4f02c69d7b5a99))
* move abstract outputs into base namespace ([9db843c](https://gitlab.com/kwinft/kwinft/commit/9db843c51be5de2f6c0629054304c77820b3cb4c))
* move activation code to Workspace source ([29a5272](https://gitlab.com/kwinft/kwinft/commit/29a52727c6b10926a80ff7a25380b67a42e811a4))
* move clock skew files to base subdirectory ([887745c](https://gitlab.com/kwinft/kwinft/commit/887745ceff1335114cee85cd853ecbe01e2dec25))
* move compositing D-Bus interface to render module ([eb86fa1](https://gitlab.com/kwinft/kwinft/commit/eb86fa16a2fe2f2a793c089460a9763b16b1f1b2))
* move compositor ownership to Application children ([3efdcf2](https://gitlab.com/kwinft/kwinft/commit/3efdcf230b02b6126ac126e87a5815a2441162ea))
* move DRM leasing to base ([a66d7e2](https://gitlab.com/kwinft/kwinft/commit/a66d7e227dc22396bcde081ddef773f82c7f08ec))
* move egl init functions to free functions ([900d5a0](https://gitlab.com/kwinft/kwinft/commit/900d5a0343524a22b916f48c78d52c662ef78fe7))
* move events code to Workspace and Toplevel source ([27a171c](https://gitlab.com/kwinft/kwinft/commit/27a171cd82bb999074bc7a28821d57c9ff93091f))
* move fb config info into separate header ([a4d778e](https://gitlab.com/kwinft/kwinft/commit/a4d778e13ac3dcb1601bbf1c0922a93b95dfeb52))
* move global selection to separate header ([950dddd](https://gitlab.com/kwinft/kwinft/commit/950dddd6c467716f6a0abde1e61868e8678a8d92))
* move glx init functions to free functions ([2203996](https://gitlab.com/kwinft/kwinft/commit/220399671638fccd5a8f622723ea305e7a936d28))
* move has-glx wrapper into source file ([385c797](https://gitlab.com/kwinft/kwinft/commit/385c797b443a4c42cd6fb6b9a1599e7c1260487d))
* move input accepting check to free function template ([09d9fec](https://gitlab.com/kwinft/kwinft/commit/09d9fecdcad8666a7298fe56fa2ad82d3d55eb68))
* move internal flags type to the KWin namespace ([b684c2f](https://gitlab.com/kwinft/kwinft/commit/b684c2f630756ac2112b8e512c25d63901783a26))
* move main D-Bus interface to base namespace ([0f0dbf2](https://gitlab.com/kwinft/kwinft/commit/0f0dbf2dc7b1fff7e485c54656638aa173bea9a0))
* move Night Color files to render subdirectory ([a89b8a2](https://gitlab.com/kwinft/kwinft/commit/a89b8a29668f5d15a9e6a94440e795de49ea89bd))
* move outline into render namespace ([803448a](https://gitlab.com/kwinft/kwinft/commit/803448a52e8d6ab1ad285f2a8f5852e1fbc5bfcc))
* move Plasma management setup to win::wayland namespace ([dc592d9](https://gitlab.com/kwinft/kwinft/commit/dc592d9f77229beac4f0ccde681b5c9d7f8bee44))
* move platform code to render subdirectory ([b7be764](https://gitlab.com/kwinft/kwinft/commit/b7be764483077a691af718ed34a9044798859b9f))
* move Platform into render namespace ([dd00036](https://gitlab.com/kwinft/kwinft/commit/dd00036f5da6b3dcddc60bb83f731e2a898e68ea))
* move root info filter to win::x11 namespace ([7ab3deb](https://gitlab.com/kwinft/kwinft/commit/7ab3deb68e952c4ddfc45c5f4aa6683332d34e9c))
* move scene and effect files into render directory ([b55f253](https://gitlab.com/kwinft/kwinft/commit/b55f2537055e70b980c1eec11ee95dfd3d5fa833))
* move screen edges files to win subdirectory ([6424dc7](https://gitlab.com/kwinft/kwinft/commit/6424dc79d06d9ff851e1c0047073bb183483326b))
* move test client to separate header ([0c3bf34](https://gitlab.com/kwinft/kwinft/commit/0c3bf34063908d7fef68fd002634293a45b1eb62))
* move virtual desktop classes to win namespace ([58056dd](https://gitlab.com/kwinft/kwinft/commit/58056dd84e2d43e57ee47ea582869fd62ab13911))
* move virtual desktop D-Bus interface to win namespace ([4e4cc65](https://gitlab.com/kwinft/kwinft/commit/4e4cc6518afcadbbc9322204fabd8f3c3cf973d0))
* move virtual desktop D-Bus types to win namespace ([c9f6098](https://gitlab.com/kwinft/kwinft/commit/c9f6098e3656799ccef967a12d8d8271d805a43f))
* move virtual desktops files into the win directory ([52774bd](https://gitlab.com/kwinft/kwinft/commit/52774bd2268351bb6aeaa80945cc8a8d7341b03f))
* namespace idle inhibition ([04f9c1f](https://gitlab.com/kwinft/kwinft/commit/04f9c1ffcf9aa36de39f9ffc37fd7079cf468a2c))
* own compositor in render platform ([6c1c068](https://gitlab.com/kwinft/kwinft/commit/6c1c068884a5123caacefb23485b6c50425ce8ba))
* own globals explicitly through smart pointers ([4169980](https://gitlab.com/kwinft/kwinft/commit/41699801a578b9d7d56f4ec3964fbb4b375b296b))
* own outline in workspace ([399d70d](https://gitlab.com/kwinft/kwinft/commit/399d70d12d20f56ced9a146565288c0903c7551e))
* own Screens in base platform ([e742f6f](https://gitlab.com/kwinft/kwinft/commit/e742f6fb8cd162d254e45e6ed6b566da4cc17b2c))
* own scripting window in control ([8610655](https://gitlab.com/kwinft/kwinft/commit/86106554dc5608e1add53cf029ed2cd29b20730e))
* own XCB event filters from outside of Application ([080c00b](https://gitlab.com/kwinft/kwinft/commit/080c00b23ee173606747c36deac734735914b0ff))
* port away from KGlobalAccel::getGlobalShortcutsByKey() ([b462226](https://gitlab.com/kwinft/kwinft/commit/b4622264dd7c4f6b30752a6131797a127ed98e18))
* port away from KPluginLoader::findPlugins ([ec12b0d](https://gitlab.com/kwinft/kwinft/commit/ec12b0d023422979f663ff88b5b2fda033fbf567))
* port effects model away from KPluginInfo ([52c3a67](https://gitlab.com/kwinft/kwinft/commit/52c3a670d1d173ca9d96e49d91eac62070373e6f))
* port lanczos filter to ShaderManager::generateShaderFromFile() ([09078b0](https://gitlab.com/kwinft/kwinft/commit/09078b015a126a90671fa28e9a97928e6a375935))
* port rules KCM away from DelegateRecycler ([faa3df1](https://gitlab.com/kwinft/kwinft/commit/faa3df1d8565ba3d320bfd99e26d222b5bc0feaa))
* port scripting KCM to new KPluginWidget class ([7aabef8](https://gitlab.com/kwinft/kwinft/commit/7aabef8da6fb69a09fd277c0d73f0b25e9300118))
* provide base getter in the parent application class ([5a8b299](https://gitlab.com/kwinft/kwinft/commit/5a8b29993098665096f8422c3af5b201f0ad9ecb))
* provide compositor as reference to scene ([9ec5938](https://gitlab.com/kwinft/kwinft/commit/9ec59388995e58c6972462d7351332bad8e23fac))
* provide compositor pointer as argument to scene factories ([6ea9cb7](https://gitlab.com/kwinft/kwinft/commit/6ea9cb703474ba868b242514268afe8ca5130019))
* provide egl backend for helper functions ([d160a92](https://gitlab.com/kwinft/kwinft/commit/d160a92033344c01352795b21c76479cf624c3ce))
* provide Wayland base getter ([87e62a0](https://gitlab.com/kwinft/kwinft/commit/87e62a02e9a453e796136b03f41e8146f52daa23))
* provide WaylandServer object getter in Application class ([fc4aa34](https://gitlab.com/kwinft/kwinft/commit/fc4aa348abc2a403c5d92e385db7ffcf2e56248d))
* provide XCB event filter in base ([48cb8e8](https://gitlab.com/kwinft/kwinft/commit/48cb8e8d03d1337ff73b465f6021fdeb92566b3e))
* **qpa:** remove default share context argument ([9f201ab](https://gitlab.com/kwinft/kwinft/commit/9f201ab608e23db860d957611c47a20f110e069f))
* reference base platform in render platform ([561ad69](https://gitlab.com/kwinft/kwinft/commit/561ad69a2279df94e3cbd6244e9c88507a265a5d))
* remove abstract Wayland app ([21ab8af](https://gitlab.com/kwinft/kwinft/commit/21ab8af84741fb2757dda411db46a61d2c15996c))
* remove client managing signal ([f2afcac](https://gitlab.com/kwinft/kwinft/commit/f2afcac65ffc159efe91373f9efd6824c36a4879))
* remove clock skew notifier pimpl ([6481887](https://gitlab.com/kwinft/kwinft/commit/6481887dbfbaffd7473570788ebe264f1f4a8c76))
* remove clock skew notifier Qt property ([6d899eb](https://gitlab.com/kwinft/kwinft/commit/6d899eb7bf2de5c433dcfcf6f9c3b11f3c2c922c))
* remove color correct logging category ([c6a33cc](https://gitlab.com/kwinft/kwinft/commit/c6a33cce45f16d1bf3784ebe9217047fda9d0f1d))
* remove egl base data setters ([f0138bb](https://gitlab.com/kwinft/kwinft/commit/f0138bb917eb164d64063d9cb974d6d50763fa0b))
* remove functions for setting initial Wayland data ([59f0227](https://gitlab.com/kwinft/kwinft/commit/59f0227d4fc46e23dd426c6cfcf317066d477d2d))
* remove gamma control support check ([11a71dc](https://gitlab.com/kwinft/kwinft/commit/11a71dc9b57e3928e46222887921301a6d9a99fa))
* remove global screens getter ([bfa42aa](https://gitlab.com/kwinft/kwinft/commit/bfa42aa5918b4bd056bddc09feb081aa09c8e4c2))
* remove initial window size variable ([93d1cf1](https://gitlab.com/kwinft/kwinft/commit/93d1cf102c943607a4e601b7bd83a0ceebabaff1))
* remove internal data sharing managers ([a865271](https://gitlab.com/kwinft/kwinft/commit/a865271c8a0384055e653b9ea06f0fc2b7358b19))
* remove internal input method detection ([4122211](https://gitlab.com/kwinft/kwinft/commit/412221172d2a4edbfdd64f23448b2053cb6427a8))
* remove isTransient function ([0b0d628](https://gitlab.com/kwinft/kwinft/commit/0b0d628014e23ea681f8ac067b89f02d31cb4805))
* remove NET_WM_TAKE_ACTIVITY atom ([aea2e20](https://gitlab.com/kwinft/kwinft/commit/aea2e20de45ea8340a4f4673ee114846e1d09158))
* remove now unneeded static effect loader class ([002c0dd](https://gitlab.com/kwinft/kwinft/commit/002c0dd3906170a6515cac93946554752f5e5e2f))
* remove outputs getters in Platform class ([1082d6c](https://gitlab.com/kwinft/kwinft/commit/1082d6c13c8250f28d4747aea9650a6024c54d56))
* remove parent pointer from outputs ([27503ef](https://gitlab.com/kwinft/kwinft/commit/27503efe405a933a08d0e62098abf441df344563))
* remove platform parent pointer ([8dbd1c9](https://gitlab.com/kwinft/kwinft/commit/8dbd1c97bc583cef643fe4df3eaa56b963f83cb1))
* remove Platform plain data access functions ([1226bbe](https://gitlab.com/kwinft/kwinft/commit/1226bbef0c5dcc2bb81f59fc462eec13511ff348))
* remove Platform Wrapland includes ([e328bcb](https://gitlab.com/kwinft/kwinft/commit/e328bcba8916275c96a778bab9fc9021f3ad327a))
* remove pointer warping in Platform ([643d403](https://gitlab.com/kwinft/kwinft/commit/643d4036ce1a139ea42d42b7387f2306914acf95))
* remove property macros in Screens class ([dc60651](https://gitlab.com/kwinft/kwinft/commit/dc606511748f5b2f3b61d602dcf74074caf9e29d))
* remove repaint in Platform ([ea1bee7](https://gitlab.com/kwinft/kwinft/commit/ea1bee760b70056d83289700c99d5abf288aac81))
* remove scene window getter ([e2b19ef](https://gitlab.com/kwinft/kwinft/commit/e2b19ef36c205e2ae86d8de0a170a8df10257abb))
* remove screen edges Qt properties and their access functions ([4fcd0f9](https://gitlab.com/kwinft/kwinft/commit/4fcd0f952072a82b2060bb2b30771f1de6f91ec8))
* remove screen edges self getter ([06e5428](https://gitlab.com/kwinft/kwinft/commit/06e5428839e5268cfbfcae4857e276628abfdd4f))
* remove screen property getters ([aaafaa6](https://gitlab.com/kwinft/kwinft/commit/aaafaa63690e90f9e9ecce859166c58e9e3918fc))
* remove special unit test screen edge handling ([7423fe0](https://gitlab.com/kwinft/kwinft/commit/7423fe03a2983571f5883fef3e81702ba52c1a7f))
* remove static Screens getter ([d1c0a66](https://gitlab.com/kwinft/kwinft/commit/d1c0a6632e10548b1dc718cdb72e8655743394fe))
* remove supporting output changes boolean ([5bd24c9](https://gitlab.com/kwinft/kwinft/commit/5bd24c9a16431280067e1e76b579225f0915b8d3))
* remove unneeded Wayland server includes ([6c1db20](https://gitlab.com/kwinft/kwinft/commit/6c1db208808ac2e8df7c775c0eea4a2b8ef57e8f))
* remove unused code for loading task switcher KCM ([400e8f2](https://gitlab.com/kwinft/kwinft/commit/400e8f2eec75ef6d288d4b473363b291db3bbbe1))
* remove Workspace init function ([5c163e9](https://gitlab.com/kwinft/kwinft/commit/5c163e984b9aa70f59f7840cc6b78b994949d098))
* remove workspace init variable ([b296f98](https://gitlab.com/kwinft/kwinft/commit/b296f9801d976ba129301530ffa8d78c99e6a292))
* remove wrapper macros ([fc44107](https://gitlab.com/kwinft/kwinft/commit/fc4410704f4905d8c554d8b88f4751ffbc02e5a4))
* remove X11 render logging files ([5689d25](https://gitlab.com/kwinft/kwinft/commit/5689d2572ce6764312bcd6321d3d6294edc9a120))
* replace invokable function with single shot timer ([b112f87](https://gitlab.com/kwinft/kwinft/commit/b112f877f2bb909d2bfab6cfb931f34c385ffb83))
* replace QHash with STL type ([0b48fc9](https://gitlab.com/kwinft/kwinft/commit/0b48fc9f565fc7ea7c01150eff22021f11efddeb))
* reset egl output with invariant output ([f2d86a1](https://gitlab.com/kwinft/kwinft/commit/f2d86a1f9b943e28cf17baa2ac07218fc1c421ea))
* restart scripting on config change through direct call ([1f46dd8](https://gitlab.com/kwinft/kwinft/commit/1f46dd81690a47d134857063f33b73abad645e2f))
* rework determining of scripted effect config ([185317f](https://gitlab.com/kwinft/kwinft/commit/185317f49ba13befef394c01cafde9b2762dc4b8))
* **scene:** adapt QPainter backend to current architecture ([8c16801](https://gitlab.com/kwinft/kwinft/commit/8c16801a2011c819ea8408483940e14d601c3c54))
* **scene:** add Wayland effects handler impl override ([c78b667](https://gitlab.com/kwinft/kwinft/commit/c78b667730a6371d4756435c569f2ffde145fb6a))
* **scene:** check for scene init-failed only once ([7b3db7f](https://gitlab.com/kwinft/kwinft/commit/7b3db7f92afec6c6c3b3b1592e8d9c065800a4b7))
* **scene:** clean up persistent vbo fences at the start of the frame ([382ebe0](https://gitlab.com/kwinft/kwinft/commit/382ebe0f7a1b9425a29bfe8f8446c8990d6d9762))
* **scene:** create and update shadow types in free function templates ([614220c](https://gitlab.com/kwinft/kwinft/commit/614220c3a10d7eb9cdc63a4c381241ffa31c6d5b))
* **scene:** create scenes directly in free functions ([a2ca4ef](https://gitlab.com/kwinft/kwinft/commit/a2ca4efedab7d67f30c7699a395a4e20ab787d3d))
* **scene:** create scenes without factory class ([7b0cc3d](https://gitlab.com/kwinft/kwinft/commit/7b0cc3dc3c6b96b16d1b35e9d2d3b9ea5e4d5589))
* **scene:** declare effect frame class outside of scene class ([1a0ad3f](https://gitlab.com/kwinft/kwinft/commit/1a0ad3f9e153118f518c8201e0710f9c46beabc2))
* **scene:** declare window class outside of scene class ([7d37d6a](https://gitlab.com/kwinft/kwinft/commit/7d37d6a95c86c00ffabb2f1a96b0433e33528d3d))
* **scene:** define image filter type outside of scene class as enum class ([b8e0adf](https://gitlab.com/kwinft/kwinft/commit/b8e0adfc53442e30d22c0abcf8e4529eaf3489e8))
* **scene:** flatten OpenGL scene hierarchy ([bec3692](https://gitlab.com/kwinft/kwinft/commit/bec36926a273f6684dfba06b216664f3f0d30fcf))
* **scene:** get Walyand shadow for update from window ([e201c87](https://gitlab.com/kwinft/kwinft/commit/e201c872666b465498cc90dac7591af1ae836fd6))
* **scene:** get XRender overlay window directly ([bc035d1](https://gitlab.com/kwinft/kwinft/commit/bc035d1558c9dd2ea99e820525ee909fe0925a25))
* **scene:** introduce windowing integration struct ([b99c634](https://gitlab.com/kwinft/kwinft/commit/b99c6341e4aadfb72807de279a0a16f65de934d0))
* **scene:** keep lanczos filter after changing outputs ([3f429ca](https://gitlab.com/kwinft/kwinft/commit/3f429cae4719baca8e0340954dd71be56005c0b1))
* **scene:** make paint mask enum class ([bced2e8](https://gitlab.com/kwinft/kwinft/commit/bced2e89e945b3a7ee938b287380096e30ea3235))
* **scene:** make window paint disabled enum an enum class ([65792a1](https://gitlab.com/kwinft/kwinft/commit/65792a1df06a4e1c2235b4cacd6fd4b2412d68eb))
* **scene:** merge overlay window interface and implementation ([d69772f](https://gitlab.com/kwinft/kwinft/commit/d69772f1255e49808a2f7fce278c1e386f091018))
* **scene:** merge XRender backends ([549f6a3](https://gitlab.com/kwinft/kwinft/commit/549f6a3c424f8406ee0255fb0b0268fd6ef051ab))
* **scene:** move opengl debug output initialization to kwinglutils ([91a0b70](https://gitlab.com/kwinft/kwinft/commit/91a0b7021297a6d480405c4e1348a6c15022c0f9))
* **scene:** move overlay window implementation ([fe2c114](https://gitlab.com/kwinft/kwinft/commit/fe2c114f8f9ef705c1e640c850db1b0c6b1e41d5))
* **scene:** own scene with smart pointer in compositor ([125a864](https://gitlab.com/kwinft/kwinft/commit/125a864e5d02d49b8bf03fcf944b2f1e861da213))
* **scene:** remove Mesa 10 check ([2bc94f2](https://gitlab.com/kwinft/kwinft/commit/2bc94f2af6680d2ce7f7066716c8af9bd7a78d78))
* **scene:** remove NPOT extension check ([6c1790a](https://gitlab.com/kwinft/kwinft/commit/6c1790a21274d58f33a4e72530e26b79dedb2cff))
* **scene:** remove overlay window getters ([c8f3ee4](https://gitlab.com/kwinft/kwinft/commit/c8f3ee4d34e7bcb49229e5201dc3ec4f9bff3377))
* **scene:** remove plugin infrastructure ([a0db544](https://gitlab.com/kwinft/kwinft/commit/a0db5444b5b931540fa4f1b1e7bc1e70e26b1ac4))
* **scene:** remove XRender scene init failed check ([23f5829](https://gitlab.com/kwinft/kwinft/commit/23f5829ecbf55de95fa744f2acb190b5a9fee9c8))
* **scene:** reset shadow toplevel directly ([a72e64a](https://gitlab.com/kwinft/kwinft/commit/a72e64acf056851aa59a14b067c4dc87c5d76ecd))
* **scene:** resize overlay window in GLX backend ([5f437d3](https://gitlab.com/kwinft/kwinft/commit/5f437d3d4588d6b9499cfeee140080e3027c4b79))
* **scene:** simplify screen geometry change handling ([aa6d153](https://gitlab.com/kwinft/kwinft/commit/aa6d153fa0cb41b559d11c1bab7f658274977241))
* **scene:** split out deco renderer child classes into separate files ([44f32d6](https://gitlab.com/kwinft/kwinft/commit/44f32d6e2d7515dc2e44e5cb077ef4178fb12972))
* **scene:** split out effect frame classes into separate files ([b43fd6c](https://gitlab.com/kwinft/kwinft/commit/b43fd6ce63e5b048d8a5c0429b727d0cb0ec173e))
* **scene:** split out shadow child classes into separate files ([21130c6](https://gitlab.com/kwinft/kwinft/commit/21130c6c5e479160f1a57f97ac2b7be3d8e5f88f))
* **scene:** split out window classes into separate files ([882fde2](https://gitlab.com/kwinft/kwinft/commit/882fde2b32cc691720cba271ca8f0e154e4f7ad6))
* **scene:** split out Xrender backend into separate files ([c00a779](https://gitlab.com/kwinft/kwinft/commit/c00a7797e803767c6fbcfbfeda62a5b458276087))
* **scene:** stop pushing map shader in gl::scene constructor ([fc1b358](https://gitlab.com/kwinft/kwinft/commit/fc1b358c277d532f1b3fdca3b987c0e383308033))
* **scene:** store overlay window in smart pointer ([ad120a0](https://gitlab.com/kwinft/kwinft/commit/ad120a084883c307494916f7ffe429b1785afabd))
* **scene:** store overlay window in STL smart pointer ([d9162d0](https://gitlab.com/kwinft/kwinft/commit/d9162d0f9ad73a7bf44b910b71930fc0d001e2be))
* **script:** connect to legacy signal in source file ([9433006](https://gitlab.com/kwinft/kwinft/commit/943300671535d8c40058d31fb3851f6158799160))
* **script:** don't use plugin keyword to identify which KCM to load ([554e1b7](https://gitlab.com/kwinft/kwinft/commit/554e1b78b0930929955775ed0fa1958f0c5560b6))
* **script:** move space function definitions to header ([d06aa5f](https://gitlab.com/kwinft/kwinft/commit/d06aa5fd650997dae26d5673cc185245a24e5267))
* **script:** own spaces explicitly ([40712f0](https://gitlab.com/kwinft/kwinft/commit/40712f09531689a071b33a086d9b6e7befefd163))
* **script:** remember running state in member variable ([1d356fd](https://gitlab.com/kwinft/kwinft/commit/1d356fdfa472893194e402d4e0de32d5e824adda))
* **script:** remove slots tag ([cc7f01a](https://gitlab.com/kwinft/kwinft/commit/cc7f01ae5247205f0a8c08fc6cadee4835ce260a))
* **script:** split up scripting file ([4c38b2a](https://gitlab.com/kwinft/kwinft/commit/4c38b2ac7c526dc62a58fc219ebb7a3f370114f6))
* **script:** start from platform ctor via Application classes ([5aed0b7](https://gitlab.com/kwinft/kwinft/commit/5aed0b721fe1e78c395e48fc8fc664d20b1f2145))
* **script:** template space ([8f9cf4c](https://gitlab.com/kwinft/kwinft/commit/8f9cf4cf326ae9dd54c045dbad3c59270ae065f2))
* separate integration test library ([a3ad337](https://gitlab.com/kwinft/kwinft/commit/a3ad3372e816b464539a28347577453f70719972))
* set egl data pointer in render platform ([0dbe0cf](https://gitlab.com/kwinft/kwinft/commit/0dbe0cf23eec748575feeeec6c053879af5fa41f))
* set EGL extensions in separate function ([5c530bc](https://gitlab.com/kwinft/kwinft/commit/5c530bc5c20bcc6a838c579ebe4cfe2057776bdd))
* set overlay window pointer in X11 compositor ([1610091](https://gitlab.com/kwinft/kwinft/commit/16100917acfc5a19554bb9629e567aedb03b0199))
* set test outputs in test app ([5cbb5c6](https://gitlab.com/kwinft/kwinft/commit/5cbb5c68cfec71673cb58b83b484759a0b8adbb7))
* set Toplevel surface in free function template ([e31e848](https://gitlab.com/kwinft/kwinft/commit/e31e8481f1b89dae17353d14ccf150f7b868e74c))
* set wlroots base from start function ([23db38a](https://gitlab.com/kwinft/kwinft/commit/23db38a8e575f0da50c7405791b50699f298d6c8))
* set Xwayland surfaces from Wayland server ([168423a](https://gitlab.com/kwinft/kwinft/commit/168423adc8b6f5b479ebb735b7e71f17487386bb))
* setup compositing in free function template ([8677ae2](https://gitlab.com/kwinft/kwinft/commit/8677ae22e09695fbd95ad8f37c995c4ed9d5cd91))
* setup global accel actions in input platform ([b31ea4f](https://gitlab.com/kwinft/kwinft/commit/b31ea4fd86768cac176dbea7846b01d881634c97))
* setup X11 window compositing early ([d319696](https://gitlab.com/kwinft/kwinft/commit/d31969656b3932b1bc231ee8aad67e21c6f6050e))
* signal output changes from base platform ([5ca0f31](https://gitlab.com/kwinft/kwinft/commit/5ca0f31b9f2bfa6ca80212b4a248c18b3bbaa190))
* silence compiler warnings ([3079290](https://gitlab.com/kwinft/kwinft/commit/3079290f0553b484dbc0c7166a1f211be42be609))
* simplify base wlroots platform constructors ([7a5a94e](https://gitlab.com/kwinft/kwinft/commit/7a5a94ea5e147ed386a49ddb89bbb97b0e1ae21c))
* simplify compositor type enum ([b3c3d84](https://gitlab.com/kwinft/kwinft/commit/b3c3d84435730ccfd5d90429cfd4bba03a8ad198))
* simplify screen edges member variables ([59940b3](https://gitlab.com/kwinft/kwinft/commit/59940b3eb98be3a4ffd87c09ed5797f358e3e9ca))
* simplify x11::window debug ([3a2e0e4](https://gitlab.com/kwinft/kwinft/commit/3a2e0e467f7146d6d5127b4680fca2ce1c86b0cc))
* **space:** create controlled X11 window in free function ([aa32638](https://gitlab.com/kwinft/kwinft/commit/aa3263811c6ec33e3321b957b5c82ad7a1f175b7))
* **space:** create unmanaged windows as x11::windows ([0a46a5f](https://gitlab.com/kwinft/kwinft/commit/0a46a5f32609657ac04aa7ec0dcb6dd271f4897a))
* **space:** create unmanaged X11 window in free function ([6a3053d](https://gitlab.com/kwinft/kwinft/commit/6a3053dbd75b2856cf185f30fb76bbb4890b6e5c))
* **space:** create Wayland Workspace child class ([6698a06](https://gitlab.com/kwinft/kwinft/commit/6698a0614d4db9c9e003e3d0240b91337a20c8d4))
* **space:** create X11 Workspace child class ([ca9c6b9](https://gitlab.com/kwinft/kwinft/commit/ca9c6b962b0b0b8f65ee08faa64b483e22304f52))
* **space:** handle X11 workspace events in free function template ([74112d0](https://gitlab.com/kwinft/kwinft/commit/74112d012bc55ac716ac80b6e39ade96aa0c4372))
* **space:** init and clear X11 from space in free function ([4b728dc](https://gitlab.com/kwinft/kwinft/commit/4b728dc73fa22d5b9091025ad102d74da19eee8c))
* **space:** introduce areas struct ([303ce46](https://gitlab.com/kwinft/kwinft/commit/303ce46d2783ffa22e213682d73e47b33156ff34))
* **space:** merge unmanaged setup and track calls ([f2a6814](https://gitlab.com/kwinft/kwinft/commit/f2a6814b7455ca8f34e8dee8574fc9c7efeb9738))
* **space:** move virtual desktop connection to Wayland ([b838a99](https://gitlab.com/kwinft/kwinft/commit/b838a9962860b196839262671bab53fb9ce46350))
* **space:** set initial X11 window geometry in create function ([e11e486](https://gitlab.com/kwinft/kwinft/commit/e11e4865878724bbd69e196a85161431a6f7a647))
* **space:** setup space window connections in free function ([ae82436](https://gitlab.com/kwinft/kwinft/commit/ae824364861638a4efcb5b67c9263adf70e6e2b3))
* **space:** setup X11 window connections in window setup ([3036c3b](https://gitlab.com/kwinft/kwinft/commit/3036c3b9a3f27fdc153cd3ec05f3dcd0a600b4d4))
* **space:** setup Xwayland Plasma management in Wayland space ([5e619db](https://gitlab.com/kwinft/kwinft/commit/5e619db82e2c3d8ab80f4e39a01ae5352944a37c))
* **space:** simplify desktop removed window handler ([1566c8f](https://gitlab.com/kwinft/kwinft/commit/1566c8f2f0b0cc035f0d62a665fce26273e3645e))
* **space:** split out xdg-shell popup placement for reuse ([0b43cf1](https://gitlab.com/kwinft/kwinft/commit/0b43cf1af51d74ab5220937380408c116511ec9f))
* **space:** store Wayland windows directly in windows container ([9c665ac](https://gitlab.com/kwinft/kwinft/commit/9c665ac91ae0f36f6e71c47afb57095812fdc935))
* **space:** update space areas from windows in virtual function ([0b3354b](https://gitlab.com/kwinft/kwinft/commit/0b3354b94cc11ccc013e62ac7f5c7ed0e9800245))
* **space:** update Wayland window space areas in free function ([dbceb6b](https://gitlab.com/kwinft/kwinft/commit/dbceb6b43dc7a8780a67695d2cd4dd3023d05a07))
* **space:** update X11 window space areas in free function ([44f4fc8](https://gitlab.com/kwinft/kwinft/commit/44f4fc8c9d7f698a484b9d010270c2855bec7978))
* **space:** use areas struct in update of client area ([054d8e7](https://gitlab.com/kwinft/kwinft/commit/054d8e7a7a5f5b40809c233526781108d3d8d3c9))
* **space:** virtualize icon geometry getter ([487d484](https://gitlab.com/kwinft/kwinft/commit/487d484b28dcdcf5f6277c56eb23339ca56594b1))
* split out test helpers into separate header ([9b725df](https://gitlab.com/kwinft/kwinft/commit/9b725dfd1c405fe21a795c092a60dd825b15353d))
* start and tear down glx backend in free functions ([92b530a](https://gitlab.com/kwinft/kwinft/commit/92b530a33dc55d77635b0cefca65ac52430810f9))
* start and tear down in separate member functions ([48093f4](https://gitlab.com/kwinft/kwinft/commit/48093f412e737a4e30e36ecc4047c53be8add664))
* start EGL backend in ctor ([be306d9](https://gitlab.com/kwinft/kwinft/commit/be306d9c0400c82ad01d70ee03807b9435527bf2))
* start scripting platform without workspace initialized signal ([35a7d2f](https://gitlab.com/kwinft/kwinft/commit/35a7d2fbcd48d0ea07d66da560c1596931d4b4c1))
* store clock skew notifier engine in smart pointer ([df4724e](https://gitlab.com/kwinft/kwinft/commit/df4724e59a03877125d8ef2b89bc680a24aa3910))
* store clock skew notifier in smart pointer ([707e250](https://gitlab.com/kwinft/kwinft/commit/707e250045f2bc89176c19bcbf3988f75d81724f))
* store color correction D-Bus interface in smart pointer ([0726a50](https://gitlab.com/kwinft/kwinft/commit/0726a5037d20a0993067c8cb867f1cb4c78e572b))
* store compositor reference in scene ([96c11a0](https://gitlab.com/kwinft/kwinft/commit/96c11a069d1110560fcd2de1c99e4543e98e68a0))
* store compositor with smart pointer ([3a5a035](https://gitlab.com/kwinft/kwinft/commit/3a5a0352bd0644beee35544927fab35bed921fde))
* store egl output in render output ([3862c77](https://gitlab.com/kwinft/kwinft/commit/3862c7797486122dc29df2cd039036949055176a))
* store Night Color manager in smart pointer ([89971c7](https://gitlab.com/kwinft/kwinft/commit/89971c716b8971b38653e47ebb92c1c80a17aa3d))
* store reference to workspace in XCB event filter ([5f509ce](https://gitlab.com/kwinft/kwinft/commit/5f509ceae68a78136bc30137df7db3d8dd720acf))
* store render platform in base platform ([1ce94a1](https://gitlab.com/kwinft/kwinft/commit/1ce94a187d606d3550a5d114884f5e35129d89f0))
* store render platform reference in compositor ([d7e99cd](https://gitlab.com/kwinft/kwinft/commit/d7e99cdc7859880d7ab8a2c9e25a52df740b2f31))
* store screen edges instance in smart pointer ([8c2fcdf](https://gitlab.com/kwinft/kwinft/commit/8c2fcdf488ed25ede0f234e2950ef1741c8b5491))
* store Workspace with smart pointer ([68d6aa4](https://gitlab.com/kwinft/kwinft/commit/68d6aa4f7d96b0dc5bd91cafed179dd3e2022a8f))
* swap functions in layers and stacking headers ([2694b4e](https://gitlab.com/kwinft/kwinft/commit/2694b4ee506b0840ab64c96af0dc94b5a88f4651))
* track update client outputs notifiers ([ff255cc](https://gitlab.com/kwinft/kwinft/commit/ff255cce730364400c822a2c342180bdb1445ea8))
* transform egl texture functions to free function templates ([fd26d74](https://gitlab.com/kwinft/kwinft/commit/fd26d74b61f4b5921f1de8d2df0b1e51deff6585))
* transform window destroy functions into free functions ([e9b1d3a](https://gitlab.com/kwinft/kwinft/commit/e9b1d3af91bb19588eef5834c52b25a24f9ac0db))
* unbind Wayland egl display in backend ([4d69501](https://gitlab.com/kwinft/kwinft/commit/4d69501b3df4cc4f33f83249a8cd20bcf6f6ad58))
* unvirtualize isTransient function ([bf18d4a](https://gitlab.com/kwinft/kwinft/commit/bf18d4acc9dcb58a9ae56e87ad5fbf16fbf20102))
* unvirtualize output changes function ([df2e8f2](https://gitlab.com/kwinft/kwinft/commit/df2e8f26d286f1dbc2642fe77e1518eb6931df32))
* update surface outputs in free function template ([4f0c8b2](https://gitlab.com/kwinft/kwinft/commit/4f0c8b22bb8eb902adfa536f4e83dcf7183e2ef0))
* update X11 time only in Application class ([c2f4181](https://gitlab.com/kwinft/kwinft/commit/c2f41815196a912faddfeb5e0f4f7ea4d999cfb1))
* use config watcher to update state when configs are changed ([3defd66](https://gitlab.com/kwinft/kwinft/commit/3defd6676d11bafe5e686e309aa0a97ea8fbbbb2))
* use const'ref here ([694bc21](https://gitlab.com/kwinft/kwinft/commit/694bc217a58ec33a32b665e058d35902244842b0))
* use enum value for KAuthorized::authorize ([9f4dfcc](https://gitlab.com/kwinft/kwinft/commit/9f4dfccdc0c83d12bf8240577473069d376b56ed))
* use NewStuff Elementsfd ([6fa4d4e](https://gitlab.com/kwinft/kwinft/commit/6fa4d4ee1dd85b390cfe6bbcd70a3f9d8592b37f))
* use render::effect_loader to list all available effects ([6babb0b](https://gitlab.com/kwinft/kwinft/commit/6babb0b74fa876676d9449cad790711ad47d2b18))
* utilize KCoreAddons infrastructure for static plugins ([9459151](https://gitlab.com/kwinft/kwinft/commit/94591516897cb4f114ac2de9fcfeb23a4cec87bb))
* virtualize call to schedule frame callbacks ([10b558c](https://gitlab.com/kwinft/kwinft/commit/10b558c58e9b3eea21fa25a0a07640b59b502988))
* **xwl:** adapt to Wrapland selection cleared signal removal ([88a59c3](https://gitlab.com/kwinft/kwinft/commit/88a59c359c09c5ae166711b32543e0824bea38a2))
* **xwl:** add types header ([129d038](https://gitlab.com/kwinft/kwinft/commit/129d038d1af87371a3fa55fb0b19639a4f5fa1d3))
* **xwl:** connect outside of drag to transfer finished ([49d5e3c](https://gitlab.com/kwinft/kwinft/commit/49d5e3cccf4043eb9a45f4ed57ce70415e549470))
* **xwl:** define activation notifier to selection data ([c5bee93](https://gitlab.com/kwinft/kwinft/commit/c5bee9333d56202c199d79ac212095cf57ce407d))
* **xwl:** disinherit data bridge from QObject ([b267ad5](https://gitlab.com/kwinft/kwinft/commit/b267ad52a8d2b4149cab6e3a505d09c453ea9ff5))
* **xwl:** evaluate source types directly ([0cf7691](https://gitlab.com/kwinft/kwinft/commit/0cf7691ce49e5a0bdc6b55d6856015731a93fde4))
* **xwl:** explicitly own drag visits ([3e15788](https://gitlab.com/kwinft/kwinft/commit/3e157880839f52c8e72928f5d52886a4a3a4c0f2))
* **xwl:** get supported actions directly from source ([bc71b9b](https://gitlab.com/kwinft/kwinft/commit/bc71b9b3cae7b87c556e56637f36082a3061d65b))
* **xwl:** hand over X11 data to sources ([f736400](https://gitlab.com/kwinft/kwinft/commit/f736400639df5cb4bc3ef47ad853683af37ecde4))
* **xwl:** harden internal source ownership ([303d93e](https://gitlab.com/kwinft/kwinft/commit/303d93e1e11d0fa20550030052246afc26345ff5))
* **xwl:** introduce mime atom type ([0157458](https://gitlab.com/kwinft/kwinft/commit/0157458b6b510c969020b9e98551d5e7391e1d16))
* **xwl:** make X visits independent of drag ([cbaf4d7](https://gitlab.com/kwinft/kwinft/commit/cbaf4d77238ce64e0eb062f3eb0789f980f71244))
* **xwl:** merge actions update ([3f58c0d](https://gitlab.com/kwinft/kwinft/commit/3f58c0d17acefbc8da391a5f3fc7b5019031ef70))
* **xwl:** move Xwayland interface class into xwl namespace ([835eda2](https://gitlab.com/kwinft/kwinft/commit/835eda2f7ce488ac5cc42c7f5d688a70d958b748))
* **xwl:** overwrite requestor window from drag_x ([70954e6](https://gitlab.com/kwinft/kwinft/commit/70954e6ee4851531cc236cd26ea83cf8803cfe0f))
* **xwl:** overwrite requestor window from the Dnd selection ([6eb4277](https://gitlab.com/kwinft/kwinft/commit/6eb42776598334df025746a5bc02484bec6308f4))
* **xwl:** own drags through smart pointers ([d54e032](https://gitlab.com/kwinft/kwinft/commit/d54e0321f44cf60cf7e7784cfea9481f33301ca3))
* **xwl:** own source qobject through smart pointer ([c116806](https://gitlab.com/kwinft/kwinft/commit/c1168069b8125826e2aa37501dfae40083c44a4b))
* **xwl:** point to X11 source in Wayland visits ([7912853](https://gitlab.com/kwinft/kwinft/commit/7912853fcdaa940e9cd696d636c602ea6263ca55))
* **xwl:** reduce back pointers of drags ([61eb576](https://gitlab.com/kwinft/kwinft/commit/61eb57659c610260d70027d5634573e76455ea48))
* **xwl:** remove atom argument from selections ([8104646](https://gitlab.com/kwinft/kwinft/commit/81046464f948937d67a5136cf3b19c48018bf901))
* **xwl:** remove dispatch call ([b319394](https://gitlab.com/kwinft/kwinft/commit/b3193946cf4093288c8af908398d646880096448))
* **xwl:** remove receive offer function ([14c7537](https://gitlab.com/kwinft/kwinft/commit/14c7537252d4d592d2b720476d14575c38802bd7))
* **xwl:** remove set source interface function ([ab767bc](https://gitlab.com/kwinft/kwinft/commit/ab767bc7524d7f657d20b40a11d3241809f2a655))
* **xwl:** remove source timestamp getters and setters ([329b043](https://gitlab.com/kwinft/kwinft/commit/329b0439d0bffaf1cb0ac0b2e7180622ab776b54))
* **xwl:** remove unnecessary includes ([6f9daa2](https://gitlab.com/kwinft/kwinft/commit/6f9daa23bced2052cd50afeab87a8ce40c554c62))
* **xwl:** remove unused variables ([2b77fd0](https://gitlab.com/kwinft/kwinft/commit/2b77fd0d20056aedd0cc41a95951940a321f2521))
* **xwl:** remove X11 source without function call ([0ceaa74](https://gitlab.com/kwinft/kwinft/commit/0ceaa74f62e67bc30499230d8fdd29bb56b8d2a7))
* **xwl:** replace Qt containers with STL ones ([911e703](https://gitlab.com/kwinft/kwinft/commit/911e7039904d1cd747007656d2a0115944759e49))
* **xwl:** reuse retrieve supported actions function ([9de630d](https://gitlab.com/kwinft/kwinft/commit/9de630d1ba6f821721390d64df058a00baadf907))
* **xwl:** save offers in STL types ([6efcd03](https://gitlab.com/kwinft/kwinft/commit/6efcd03522006cb245d88949d2639180a8e06f8b))
* **xwl:** set selection simply with a normal setter function ([c01cca1](https://gitlab.com/kwinft/kwinft/commit/c01cca1cce9ef01c00e65526b9007c8fc0280eb7))
* **xwl:** share data without internal connection ([4fbec11](https://gitlab.com/kwinft/kwinft/commit/4fbec119e6f15b7ccc3c69eb88f03e658213c4f3))
* **xwl:** split up selection header ([868c34d](https://gitlab.com/kwinft/kwinft/commit/868c34dd23e5fefa3478b7db77abe62c422a30e7))
* **xwl:** store last action in data source class ([20820aa](https://gitlab.com/kwinft/kwinft/commit/20820aa2f5af733ce5e9cf05dac83fd07678b9da))
* **xwl:** store X and Wayland drags separately ([fe9e23d](https://gitlab.com/kwinft/kwinft/commit/fe9e23d3cf76629146fdf1209e11f8b5fd3d93dd))
* **xwl:** transform wl_source member functions to free functions ([5594b07](https://gitlab.com/kwinft/kwinft/commit/5594b079c5f7294747a09bac00414c8806c7b842))
* **xwl:** transform x11_source member functions to free functions ([c4e99f6](https://gitlab.com/kwinft/kwinft/commit/c4e99f6a35a4a3db542453722c31540febf96bf4))
* **xwl:** use smart pointer for sources in selection data ([ea4bd70](https://gitlab.com/kwinft/kwinft/commit/ea4bd702304e6040cf4123398a0cb8ca4d662fc0))

### [5.23.2](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.23.1...kwinft@5.23.2) (2021-12-13)


### Bug Fixes

* **space:** ignore OSD position hints and configure events ([c411d74](https://gitlab.com/kwinft/kwinft/commit/c411d740838ad224430051b830bdfaa271361179))

### [5.23.1](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.23.0...kwinft@5.23.1) (2021-11-30)


### Bug Fixes

* adapt to wlroots DRM lease changes ([140d7d2](https://gitlab.com/kwinft/kwinft/commit/140d7d209185c0223f4638a706654578f58705f3))
* create GBM device with DRM file descriptor of renderer ([9aa21ac](https://gitlab.com/kwinft/kwinft/commit/9aa21acfd9fa2bc449a4130cd49a32b8f31155b8))
* create wlroots renderer and allocator ourselves ([ee7f998](https://gitlab.com/kwinft/kwinft/commit/ee7f9980ba98a9ab4dd3792f7ea46a3eb8b765f4))
* **deco:** check serials in move and resize requests ([8182837](https://gitlab.com/kwinft/kwinft/commit/818283739045e7e2c6df46392f63fe7635bf070a))
* **deco:** ignore the move request for immovable windows ([76fb8d2](https://gitlab.com/kwinft/kwinft/commit/76fb8d21c0c26a7601a53487b714a4652b7c3308))
* **input:** check on touch capability before accessing touch pool ([4d47897](https://gitlab.com/kwinft/kwinft/commit/4d47897f7cc5bfc1b56bc9798f8d13dc465a187c))
* **input:** check on touch capability when cancelling a touch sequence ([ac7b326](https://gitlab.com/kwinft/kwinft/commit/ac7b3268dbc3dca13264b4d2d0dc86dc8fea0fdc))
* **input:** listen for input config changes ([afb07b2](https://gitlab.com/kwinft/kwinft/commit/afb07b244c28d09aaeb0c8e070e5c71c2ac4e7c5))
* install deprecated virtual keyboard D-Bus interface ([8b49dac](https://gitlab.com/kwinft/kwinft/commit/8b49dacb98d35a66b89b32884dfdbea9f82a029e))
* **space:** dock with windows go below will be on top and the same layer of above windows ([c772e24](https://gitlab.com/kwinft/kwinft/commit/c772e2405044745f23c6df5667858e20fa95031a))
* **space:** handle panels set to ¨Windows can cover¨ ([0b5a9ab](https://gitlab.com/kwinft/kwinft/commit/0b5a9ab86b18edae2590d078beccd4edafd69066))

## [5.23.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.23.0-beta.0...kwinft@5.23.0) (2021-10-14)


### Bug Fixes

* declare placement Q_PROPERTY with full path ([bb9df74](https://gitlab.com/kwinft/kwinft/commit/bb9df747fba92dab024be2397870b589d86d3659))
* **script:** add back geometry property ([edd2d60](https://gitlab.com/kwinft/kwinft/commit/edd2d606720c977c3835017c7a306e5c4af3f963))

## [5.23.0-beta.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.22.0-beta.0...kwinft@5.23.0-beta.0) (2021-10-06)


### Features

* add accesors to the rules settings list ([0924561](https://gitlab.com/kwinft/kwinft/commit/092456129fe8976135df4c241eadc45f966b66e5))
* add explicit action to apply a rename ([edbf888](https://gitlab.com/kwinft/kwinft/commit/edbf888993a1ccb38a0969ab95bad0d973c90cb6))
* add new keywords to KCMs for finding options more easily ([8461f2b](https://gitlab.com/kwinft/kwinft/commit/8461f2b0f49084f4b8aa6dd67f5e9d29876e543e))
* add primary selection support to Wayland server ([dbf8ce7](https://gitlab.com/kwinft/kwinft/commit/dbf8ce719494037c23dc54266811b367b2f0abd7))
* add support for DRM leasing ([1e0e4d7](https://gitlab.com/kwinft/kwinft/commit/1e0e4d786813c86e96e6046af905612f7c2ac39e))
* add swap time debugging ([7200e2c](https://gitlab.com/kwinft/kwinft/commit/7200e2ce93ba41d65201d4f0dbf6479458ed1cc4))
* add wlroots display backend ([0410b2d](https://gitlab.com/kwinft/kwinft/commit/0410b2d05bb96f31bb421fa0a30cc8b75db3a7d6))
* add wlroots headless mode ([a36b92a](https://gitlab.com/kwinft/kwinft/commit/a36b92a933286d06a2818546a374fdb7d0db97f8))
* add wlroots input backend ([27b6264](https://gitlab.com/kwinft/kwinft/commit/27b62643c8406f24a98a28dfc506826f14efe18f))
* allow moving windows between virtual desktops with single action ([abbac4e](https://gitlab.com/kwinft/kwinft/commit/abbac4ec083dbbe7989761d7ff043e57b7285e71))
* allow renaming desktops with double-click ([7d23b2a](https://gitlab.com/kwinft/kwinft/commit/7d23b2a58db5ba272d52b459d9199952aeeab734))
* allow setting WindowType to KDE specific window type OSD ([fb13570](https://gitlab.com/kwinft/kwinft/commit/fb13570b301f3f6bc13f1f58b1fa44b2f6e1253b))
* broadcast application menu events to plasma window management clients ([14d6150](https://gitlab.com/kwinft/kwinft/commit/14d6150cb06d80208c543fe6d5defcd27b7c9ee8))
* **effect:** add client geometry property ([417110e](https://gitlab.com/kwinft/kwinft/commit/417110e16bbd8fc2658c63087622526d7eb02487))
* **effect:** add properties to EffectScreen ([ef61e00](https://gitlab.com/kwinft/kwinft/commit/ef61e001a9321fc43bb9f9619c47542053e28cfb))
* **effect:** add support for HiDPI window screenshots ([71e5bec](https://gitlab.com/kwinft/kwinft/commit/71e5bec55480a8f8c4be2b4ebab3e102cf375403))
* **effect:** allow disabling automatic frame scheduling in EffectQuickView ([fd0d203](https://gitlab.com/kwinft/kwinft/commit/fd0d2034fc716003f528bc050cbccb9fc47552bf))
* **effect:** allow specifying render window for EffectQuickView ([dd38cb6](https://gitlab.com/kwinft/kwinft/commit/dd38cb6ef2b4b2883dff129ae2087b00deb22ad8))
* **effect:** introduce DeformEffect ([536428d](https://gitlab.com/kwinft/kwinft/commit/536428db4c05f8a828ad0cd5f8e5fc4bbb7c4f0d))
* **effect:** introduce windowExpandedGeometryChanged() ([184b403](https://gitlab.com/kwinft/kwinft/commit/184b403a246f63a1f433c874bfdacfe62456cc62))
* **effect:** port wobbly windows to DeformEffect ([7d305c1](https://gitlab.com/kwinft/kwinft/commit/7d305c14e8b6773a45ed77b11d90b1760cd24204))
* **effect:** remove shape property ([657598e](https://gitlab.com/kwinft/kwinft/commit/657598e0da1219b88fa5c154b38429ad46f1c3fc))
* expose compositing status to Switcher QtQuick item ([6a0f501](https://gitlab.com/kwinft/kwinft/commit/6a0f50166815925d76d94dd514987aeab7800342))
* **hw:** remove legacy DRM backend plugin ([538c125](https://gitlab.com/kwinft/kwinft/commit/538c12561326b035d4f36ced47a1b9775d58da33))
* **hw:** remove legacy fbdev backend plugin ([7c38afc](https://gitlab.com/kwinft/kwinft/commit/7c38afc1a7afd1c839842b32afc30d61a83ed578))
* **hw:** remove legacy virtual backend plugin ([0a3f84d](https://gitlab.com/kwinft/kwinft/commit/0a3f84d4905a7a3c82867bf067205127b3e1cb53))
* **hw:** remove legacy Wayland nested backend plugin ([04b5051](https://gitlab.com/kwinft/kwinft/commit/04b5051bd531503ded86967c63228238e0721d44))
* **hw:** remove legacy X11 nested backend plugin ([95c5b08](https://gitlab.com/kwinft/kwinft/commit/95c5b08231572f47accebbce068c88a5368389d0))
* **input:** add input control ([b21fcb6](https://gitlab.com/kwinft/kwinft/commit/b21fcb66a91f9a259d2e73bafd7eaa6afc0d62ec))
* **input:** add logging category ([8566398](https://gitlab.com/kwinft/kwinft/commit/8566398c80f83f94a05585994d5694749d63e31c))
* **input:** add support for touch frame events ([ddac7fa](https://gitlab.com/kwinft/kwinft/commit/ddac7fab7424f04f4c71ce638c8bc83c29e95b62))
* **input:** add switch devices ([28ff96e](https://gitlab.com/kwinft/kwinft/commit/28ff96e05c58a22290a3d23b4d73a689e2741750))
* **input:** handle pinch and swipe events ([63f8f2c](https://gitlab.com/kwinft/kwinft/commit/63f8f2c66596bef4e26d3c2d43c8cf135dc813f6))
* **input:** provide D-Bus control interface ([3625811](https://gitlab.com/kwinft/kwinft/commit/36258111576a1832c50184ce61c0f102d5049f14))
* **input:** remove legacy libinput backend ([63f0ffd](https://gitlab.com/kwinft/kwinft/commit/63f0ffdf6f96f2b0a58c5f5b9cef953ea2d90a0e))
* **input:** toggle touchpads on input platform ([b67d3ad](https://gitlab.com/kwinft/kwinft/commit/b67d3adbcf1544d0638c33ccb8a373f07f79a786))
* introduce a GLTexture::toImage helper class ([455975a](https://gitlab.com/kwinft/kwinft/commit/455975ab3a88b033d2405a4e767e66d465a7f1ed))
* raise wlroots absolute pointer motion events in tests ([8b039dc](https://gitlab.com/kwinft/kwinft/commit/8b039dcdc195548868fa13bad7e5a9fcce8f3b84))
* raise wlroots keyboard key {pressed, released} events in tests ([bc32c73](https://gitlab.com/kwinft/kwinft/commit/bc32c73598aa5da950d19c93e474462d21df9cf9))
* raise wlroots pointer axis {horizontal, vertical} events in tests ([86c704f](https://gitlab.com/kwinft/kwinft/commit/86c704f0f7ef9a06d35ab40bafc7b4f757e713b7))
* raise wlroots pointer button {pressed,released} events in tests ([914634a](https://gitlab.com/kwinft/kwinft/commit/914634acff4a4bd6cdb0dacb908e7f7187db8050))
* raise wlroots touch cancel events in tests ([bfcd498](https://gitlab.com/kwinft/kwinft/commit/bfcd49816a2e7a2c13eab126ca25e8f19fd09f12))
* raise wlroots touch down events in tests ([69f94ca](https://gitlab.com/kwinft/kwinft/commit/69f94caea6db647b9a44377a01f5b9c9f7370cf9))
* raise wlroots touch motion events in tests ([999a7df](https://gitlab.com/kwinft/kwinft/commit/999a7df077bc7b57381744378f429cb4490a9d4a))
* raise wlroots touch up events in tests ([657e68a](https://gitlab.com/kwinft/kwinft/commit/657e68a4e8cfe61b05f5492e4dc6b9aa98bc277c))
* record render time ([95e6a47](https://gitlab.com/kwinft/kwinft/commit/95e6a47644965d41fca1554813e7bbf289447287))
* **scene:** add Gl timer query support information ([fe9e689](https://gitlab.com/kwinft/kwinft/commit/fe9e6890242aae54733da3d682eb1840a26ab4e3))
* **script:** introduce ClientModel V3 ([49e2c66](https://gitlab.com/kwinft/kwinft/commit/49e2c66763744a15c8eb8eaa7ba25887131b62ca))
* **script:** make QTimer constructible ([2169e51](https://gitlab.com/kwinft/kwinft/commit/2169e513186f8016d6ae1b20fa13249c052e8616))
* **script:** register Workspace singleton type ([82aa25f](https://gitlab.com/kwinft/kwinft/commit/82aa25f16fbf8fa30470ec369d1a5b1dc2ce5c32))
* **space:** expose xdg-shell v2 support ([72d3de0](https://gitlab.com/kwinft/kwinft/commit/72d3de0c658619efc28c6a7a45b8cc56210718e2))
* **space:** remove cascade placement ([cf6bb20](https://gitlab.com/kwinft/kwinft/commit/cf6bb201c3d56fb2e579615195ee0a80dcbe3418))
* support XDG Activation ([4cb9f34](https://gitlab.com/kwinft/kwinft/commit/4cb9f34eba9a9f4d3ff91330031e5b9d815a6f6a))
* use wlroots for integration tests ([a34208f](https://gitlab.com/kwinft/kwinft/commit/a34208ff9198f2ae9941dc74924b7eb2a430ae8b))
* use wlroots session control ([2d87759](https://gitlab.com/kwinft/kwinft/commit/2d87759a3a1715bd24d51b1a046062f321930dec))
* **xwl:** add primary selection integration ([6f0e160](https://gitlab.com/kwinft/kwinft/commit/6f0e16057611074b8f227fae806dd0bf4821a5f6))


### Bug Fixes

* adapt spinbox width to actual text ([7d697cf](https://gitlab.com/kwinft/kwinft/commit/7d697cf07ffe811b7f152bf6cc8b321e2a2b16ed))
* adapt width to new breeze style spinboxes ([8eeee50](https://gitlab.com/kwinft/kwinft/commit/8eeee50f36707b728c5aeb4e611e5d42ba3ca6b5))
* add checks to make sure surface is not null ([0512542](https://gitlab.com/kwinft/kwinft/commit/05125429aa0a8ba5d6942f67b427e2cba0992b1f))
* always check on input device when printing out information about it ([3ff8cf9](https://gitlab.com/kwinft/kwinft/commit/3ff8cf9209faf83837974fbcb834c463afe32724))
* check effects existing on stacking order unlock ([000e339](https://gitlab.com/kwinft/kwinft/commit/000e339f551912e204285def3f120c783299356d))
* check on surface when setting Xwayland window surface ([a3d9ce1](https://gitlab.com/kwinft/kwinft/commit/a3d9ce1ac9a91e7f440e1a874109fa241500b6e2))
* check surface when evaluating hidden internal ([05d0041](https://gitlab.com/kwinft/kwinft/commit/05d0041915ca895a87c9d57b073ccc35787e6c95))
* check wl_surface on isShown ([e5dd33f](https://gitlab.com/kwinft/kwinft/commit/e5dd33f8694375f7441c4ba7a41a59b341692fed))
* collapse list effect item when clicking on it again ([5cd3d78](https://gitlab.com/kwinft/kwinft/commit/5cd3d783e632b9f4c271ab95a592b81586ec2d2e))
* configure xdg-toplevels with Plasma shell surface too ([6967416](https://gitlab.com/kwinft/kwinft/commit/696741612ef725c93e3a7fb51043bfc8f8a2894f))
* copy objects for global shortcuts overrides ([292f875](https://gitlab.com/kwinft/kwinft/commit/292f875036653c3cb9b815614f1b2efb7d833573))
* correct window thumbnail sizes ([de12464](https://gitlab.com/kwinft/kwinft/commit/de12464e33296784626a1c997afbb7aa0178cde4))
* create backend session only once ([6b3d188](https://gitlab.com/kwinft/kwinft/commit/6b3d18849817e39a6a5891bf489ad71ac4dcd253))
* define Blocker constructors ([213faa4](https://gitlab.com/kwinft/kwinft/commit/213faa420a1072730e833461c2242d6c29b1536d))
* delete internal connection objects only explicitly ([174b2f9](https://gitlab.com/kwinft/kwinft/commit/174b2f90ad6a31590342eacd6081e3983df4c1fc))
* destroy Wayland window on surface destroy ([afa49f2](https://gitlab.com/kwinft/kwinft/commit/afa49f2529d0620a0903d4c9040deb03ef56f6f6))
* disable double-click mouse area while in edit mode ([7b68993](https://gitlab.com/kwinft/kwinft/commit/7b6899307cee300dbf3fa2a1cf277d064c421ebe))
* disable Dr Konqi for integration tests ([916ba64](https://gitlab.com/kwinft/kwinft/commit/916ba64f57b21dbcff0eb04246f3184f01b9126c))
* disable rendering on suspended outputs ([3728dc7](https://gitlab.com/kwinft/kwinft/commit/3728dc7b57730076cb30c900bb65f69c3be8a6f4))
* discard quads on position changes Plasma shell surface popups ([f8dbd86](https://gitlab.com/kwinft/kwinft/commit/f8dbd86dea858590569d7597d6f24ad3c09a8544))
* do not detach when getting a readonly reference ([f5627f2](https://gitlab.com/kwinft/kwinft/commit/f5627f2cb5de122f379779ce186dc4c334d772f0))
* don't reset animation speed to default value when running in plasma ([9d8057c](https://gitlab.com/kwinft/kwinft/commit/9d8057c33f37c4dc09e0f0e620dac11925acd5a7))
* drop local back for Formlayout label width ([05a93d2](https://gitlab.com/kwinft/kwinft/commit/05a93d27115ef30e921a868f9e7aeddd33ce51b0))
* **effect:** add blur noise in perceptual space ([c27ddc8](https://gitlab.com/kwinft/kwinft/commit/c27ddc8c5752b1d47b78df741a9fd3a624c25c18))
* **effect:** adjust the effect to projection matrix changes ([42dd815](https://gitlab.com/kwinft/kwinft/commit/42dd8152301064e0f7e0dabd251ac6a0aee7d329))
* **effect:** coorect interpolated values for redirected animations ([fc027bc](https://gitlab.com/kwinft/kwinft/commit/fc027bc3f34f1c1a9bd7535192d00dd7dd803e93))
* **effect:** disable OpenGLContext sharing check in EffectQuickView ([993b12b](https://gitlab.com/kwinft/kwinft/commit/993b12bd23ede1f0b60d388b3333ca18925b5a0d))
* **effect:** port EffectWindow::geometry to EffectWindow::frameGeometry ([f2eacac](https://gitlab.com/kwinft/kwinft/commit/f2eacacb7cfc959d7b559c37d35f6cd88f542f84))
* **effect:** properly handle empty blur regions set by internal windows ([f557a1d](https://gitlab.com/kwinft/kwinft/commit/f557a1d7f185e119fc5533532aa064f6f9f091da))
* **effect:** properly handle empty regions set by internal windows ([65e36fb](https://gitlab.com/kwinft/kwinft/commit/65e36fbe90e637d0c8e5ad1f487cde8671e3f9cb))
* **effect:** teardown view before QQuickRenderControl ([9d25978](https://gitlab.com/kwinft/kwinft/commit/9d25978123c526a6eec5b610f929d4988a26f03d))
* **effect:** use a custom projection matrix when passing to copy sample ([293ab19](https://gitlab.com/kwinft/kwinft/commit/293ab1947377d67f68d48d4342d763cac1cc755f))
* **effect:** use standard arrow cursor in Present Windows & Desktop Grid ([a18a16e](https://gitlab.com/kwinft/kwinft/commit/a18a16e5cac36c08baf9c9e87ad6c9a8a6dd1473))
* **effect:** use the provided matrix instead of creating a new one ([1ab8c2b](https://gitlab.com/kwinft/kwinft/commit/1ab8c2bc5f565e750f24798fbcacb2ce39c5e2ea))
* enforce Wayland QPA for started apps ([dd1c7e2](https://gitlab.com/kwinft/kwinft/commit/dd1c7e28b07579eae35b25fea182f2730aa78576))
* get refresh length in nanoseconds ([0bf6822](https://gitlab.com/kwinft/kwinft/commit/0bf68225cb998234e96d7a8423afc0706238b570))
* handle exception of Wayland server constructor ([9b080ff](https://gitlab.com/kwinft/kwinft/commit/9b080ff0e6ff9b21f9d26d8a0517df777a6c6bb1))
* hide help button ([484267c](https://gitlab.com/kwinft/kwinft/commit/484267cdbec6a0eef9a6a0917e50f3020c94857d))
* implement QPlatformWindow::requestActivateWindow() ([b57c119](https://gitlab.com/kwinft/kwinft/commit/b57c119d9f19c4b8d334bc268320d10acecaff18))
* increase screen edge margins ([ff9e417](https://gitlab.com/kwinft/kwinft/commit/ff9e4178d6c1cd0d930477cd79bf4710f43b90ec))
* **input:** convert to XKB keysyms on filter comparisons ([cb77a89](https://gitlab.com/kwinft/kwinft/commit/cb77a897d9a6465f488c127ac872adb69adb722a))
* **input:** declare local variable for clang compiler ([0ebf602](https://gitlab.com/kwinft/kwinft/commit/0ebf602df414c2c19a215360e61e67567a5b7375))
* **input:** delete dbus device on removal ([af48c05](https://gitlab.com/kwinft/kwinft/commit/af48c05cfe5fe4425ee8f7411a24db94af7caa61))
* **input:** falsify always on the device type for clang compiler ([0ee9a5e](https://gitlab.com/kwinft/kwinft/commit/0ee9a5e5e678d28f9f29b4d61cf0ba4a414b306d))
* **input:** initialize keyboard modifiers ([23b2bca](https://gitlab.com/kwinft/kwinft/commit/23b2bca1a17b9c16572fecd2c56459dd9a22e020))
* **input:** mark platform destructors with override ([febd10a](https://gitlab.com/kwinft/kwinft/commit/febd10a533248e86465b4fbe6b51a65156208447))
* **input:** remove xinput pointer definition on build without XInput ([be3e130](https://gitlab.com/kwinft/kwinft/commit/be3e130f45241da1f921570a92643e71f2b66510))
* **input:** send touch frame events on platform touch input ([a70b950](https://gitlab.com/kwinft/kwinft/commit/a70b95026c7daca86b3e483e9e7625a01eafc518))
* **input:** set output for touch devices ([79ab46f](https://gitlab.com/kwinft/kwinft/commit/79ab46ff1b4e58d1bfa3a1701f503ec9cc3ee11b))
* **input:** set repeat info dependent on keyboard capability ([60015de](https://gitlab.com/kwinft/kwinft/commit/60015deac6e4f9b7700d46bc0311b75e1838aa7d))
* **input:** set timestamp on converted Qt events ([e16d28c](https://gitlab.com/kwinft/kwinft/commit/e16d28c8f93d768d2fb8417b1610715c10edbc8b))
* **input:** set touch orientation on screens change ([a2bc8f7](https://gitlab.com/kwinft/kwinft/commit/a2bc8f7a492dbd0ea23c4cc628a8272b3927b572))
* **input:** setup touchpad shortcuts ([fd2f5b3](https://gitlab.com/kwinft/kwinft/commit/fd2f5b32936325f0687a65ee41a013c4bf4c3fac))
* **input:** stop meta key randomly opening Plasma launcher menu ([45df530](https://gitlab.com/kwinft/kwinft/commit/45df5300c00708d1c16aa08aadaf714c84ce9ef4))
* **input:** update keyboard leds ([b718bb0](https://gitlab.com/kwinft/kwinft/commit/b718bb06ec2d948c8f18f43b9a0284cc27daf38e))
* introduce presentation data struct ([3d48d07](https://gitlab.com/kwinft/kwinft/commit/3d48d075963891da29b5d0a5e94c6afbdb6951e5))
* limit debug console event text block count ([581ea09](https://gitlab.com/kwinft/kwinft/commit/581ea096e03b055bd7414d5928aa3fa90e9f44c7))
* load window rules correctly ([3f5fb9f](https://gitlab.com/kwinft/kwinft/commit/3f5fb9ff9b21df45b1cf34cfe22df3222c741f94))
* make compositor stop connection unique ([7d5f26e](https://gitlab.com/kwinft/kwinft/commit/7d5f26e761419230f28d7648e8982166c974a113))
* make copy of filters and spies on deletion ([4424ba2](https://gitlab.com/kwinft/kwinft/commit/4424ba2b9a3f6bab9c3f2129776430b6081d7883))
* negate bitfield without flags object ([51c0cfa](https://gitlab.com/kwinft/kwinft/commit/51c0cfaaee5343a006a7115c22beea5066a91269))
* omit window geometry change without outputs ([656bd31](https://gitlab.com/kwinft/kwinft/commit/656bd31c0cd1c2334ca6db9748987895af2720d2))
* on present errors do not repaint ([335d0e5](https://gitlab.com/kwinft/kwinft/commit/335d0e5230d126aca79bf77a40dbc5c3f7c3e7df))
* only mark slots as slots ([73ab1e1](https://gitlab.com/kwinft/kwinft/commit/73ab1e109c13106ed3e9670af69feacb20430b07))
* queued-connect to internal client signal ([e7af720](https://gitlab.com/kwinft/kwinft/commit/e7af720d0dfd174855b61defd68c78d6b22e236e))
* re-phrase awkward message ([7afaa10](https://gitlab.com/kwinft/kwinft/commit/7afaa10a234e2998f907fb32d3ed59e5c2b7f039))
* recreate EGL backend fully ([557f955](https://gitlab.com/kwinft/kwinft/commit/557f955a3a98fd0ceaa6e9113e02895bb7a52684))
* remove aurorae warning at startup ([3b21c34](https://gitlab.com/kwinft/kwinft/commit/3b21c34909822dee4084e9dc1adf28099fe1b95c))
* remove check on platform ([7576625](https://gitlab.com/kwinft/kwinft/commit/7576625146cb3d53adb14bb664c2f8df0a1ac3b9))
* remove circular include ([c3b8620](https://gitlab.com/kwinft/kwinft/commit/c3b86201f6330aa075bd99cf0f01483b567fdb06))
* remove is_multihead extern declaration ([f9b8bd1](https://gitlab.com/kwinft/kwinft/commit/f9b8bd1a7e2bbd36381120aad75b755697979f97))
* remove lockscreen check in X11 compositor ([851d50e](https://gitlab.com/kwinft/kwinft/commit/851d50ea4f9b4b391faab977714b87399650ef3f))
* remove unnecessary includes ([04c6302](https://gitlab.com/kwinft/kwinft/commit/04c6302e9d4c69e86c3fcab617f1a8f25233de42))
* remove unused static function ([6eb97b4](https://gitlab.com/kwinft/kwinft/commit/6eb97b4ad0374ecf7b1745627cd5e992f602bfd0))
* remove unused variable capture ([34557f0](https://gitlab.com/kwinft/kwinft/commit/34557f0b98a58b35c643a9a3114424ea48573615))
* return vt number ([6ed1429](https://gitlab.com/kwinft/kwinft/commit/6ed14298c8aed14022c4887204887d843fbb4e09))
* **scene:** remove weird decoration glitch when using a scaled display ([be06da3](https://gitlab.com/kwinft/kwinft/commit/be06da32e1479e402f121010d2775df38756c21c))
* **scene:** update unstyled EffectFrame texture only when rendering ([8651755](https://gitlab.com/kwinft/kwinft/commit/86517550985967ac14dfbc7517a5bddafc298e86))
* **script:** add clientArea() overload that takes mutable client ([ef37b3a](https://gitlab.com/kwinft/kwinft/commit/ef37b3acb9dfbac56690b0364b56e9cd5d4f666e))
* **script:** guard against the case where a window is destroyed after changing visibility ([de0c2ad](https://gitlab.com/kwinft/kwinft/commit/de0c2ad462858fd59f677856e01fbb1b83492397))
* serve frame callbacks also without damage ([138ade5](https://gitlab.com/kwinft/kwinft/commit/138ade5781bf6a6787e5de47824dbc3c6c72b3be))
* set dummy EGL surface ([36a941a](https://gitlab.com/kwinft/kwinft/commit/36a941a15e191fa65c063983c09bb7da34041c56))
* set internally current mode on output creation ([de9e9b9](https://gitlab.com/kwinft/kwinft/commit/de9e9b97d3ede2167f9676364afb8b95bc150cf4))
* start input-only wlroots backend ([113a025](https://gitlab.com/kwinft/kwinft/commit/113a025e607e5fe20089e4ac22e94f9404663ddd))
* stop composite timer always on composition ([94a1a09](https://gitlab.com/kwinft/kwinft/commit/94a1a097d26f4987a8b8321b49ed3b129e246fc7))
* throw exception on backend init ([bd30a4a](https://gitlab.com/kwinft/kwinft/commit/bd30a4a250168980a6e5c59f2e00733f20f99334))
* try loading decoration KCMs without plugin keyword ([662050b](https://gitlab.com/kwinft/kwinft/commit/662050bc3264a2ac20ff177dfe1a786d414ab4c9))
* unset Plasma shell surface on destroy ([1680bf8](https://gitlab.com/kwinft/kwinft/commit/1680bf8571f57ae8633324726b442fd2d05c8aa4))
* update output DPMS ([9feb85a](https://gitlab.com/kwinft/kwinft/commit/9feb85a1735d062bc2a3eeb3816268ca4b4848bd))
* use presentation data for delay calculation ([8095051](https://gitlab.com/kwinft/kwinft/commit/8095051ca67d2d26b35fb54a258a4a31978ba44b))
* wait for exit with process to finish ([b2bbd19](https://gitlab.com/kwinft/kwinft/commit/b2bbd197712297415789fd33c2878bb3fab4208e))
* **xwl:** accept clang suggestion ([e3ec451](https://gitlab.com/kwinft/kwinft/commit/e3ec451260a2c451542378cc1148a4206ff68801))
* **xwl:** filter events only for existing selections ([e787a7d](https://gitlab.com/kwinft/kwinft/commit/e787a7dbe420e645736ad3f6c8aa71927769af5d))


### Refactors

* adapt to new surface unmap synchronization ([866748d](https://gitlab.com/kwinft/kwinft/commit/866748d51b4530b30b3372e2b0be1703d198242e))
* adapt to Wrapland name change ([76d70c1](https://gitlab.com/kwinft/kwinft/commit/76d70c10cf9551866183454c70c1abc5d3321d02))
* adapt to Wrapland restricting data access ([5eae0b3](https://gitlab.com/kwinft/kwinft/commit/5eae0b3c422973c2ff93ca599f1cfb6df84b0677))
* adapt to Wrapland's surface damaged signal removal ([5dfa37a](https://gitlab.com/kwinft/kwinft/commit/5dfa37adba8c1cff50ce89d7f9f1497795899983))
* adapt to Wrapland's surface property changes ([a4618e1](https://gitlab.com/kwinft/kwinft/commit/a4618e1e9f8a446215dd0c9d6f5eabea6f8ef6cc))
* adapt to Wrapland's surface signals removal ([14045f6](https://gitlab.com/kwinft/kwinft/commit/14045f6af4534a3efeaf12dbcd5ebad9010a5ef8))
* add key event data in separate function ([31ca609](https://gitlab.com/kwinft/kwinft/commit/31ca6092f4b503aa62132ff791fcae5db96e0a90))
* add max coverage output helper ([ddc66b1](https://gitlab.com/kwinft/kwinft/commit/ddc66b1ddc14913250e5d938bcb3b79d0e36a57c))
* add missing Q_EMIT when emitting signals ([7da7b12](https://gitlab.com/kwinft/kwinft/commit/7da7b12a056512e0db9599306794fb66a4e1797b))
* add render cursor class ([f39b9bb](https://gitlab.com/kwinft/kwinft/commit/f39b9bbc89d80e4483befe2f87c67a605cd4477b))
* add startup finished signal ([7e9a64b](https://gitlab.com/kwinft/kwinft/commit/7e9a64bdb115e450d4c2afefe86b065b1f971586))
* add substructure for Wayland connection interfaces ([54a2192](https://gitlab.com/kwinft/kwinft/commit/54a2192e7805de2268f6c1f04592a0c45f451c62))
* add wlr_backend getter ([8a95ae8](https://gitlab.com/kwinft/kwinft/commit/8a95ae89572f5fffd6ce4fe3afdfd9d70e9c6dea))
* always create compositor before workspace ([26c5f17](https://gitlab.com/kwinft/kwinft/commit/26c5f173d180d4fafba1bcd9692b1ab6d94f2082))
* assert on mouse move event in screen edge entered call ([e4f21b6](https://gitlab.com/kwinft/kwinft/commit/e4f21b6b0104baa5a4d03d22b99705c60b0a8859))
* change signature and name of private windows stacking algorithm ([dfb8214](https://gitlab.com/kwinft/kwinft/commit/dfb8214c8170ab955f33122583c3c28597629388))
* check backend plugin only when not using wlroots ([1b28008](https://gitlab.com/kwinft/kwinft/commit/1b280086f3545370c4f189e20c4d053db8364cfa))
* check early on hidden or closed windows ([8784eae](https://gitlab.com/kwinft/kwinft/commit/8784eaea1fc4a1efe42c6b750661cd6ddbf12fdf))
* clean up unneeded service type definitions in kpackage structures ([b5ba54e](https://gitlab.com/kwinft/kwinft/commit/b5ba54ef492519c5283614dba2324fada37d964c))
* clear X11 windows in separate function ([bee2b74](https://gitlab.com/kwinft/kwinft/commit/bee2b747c8886e9c911a494fd15b4e5c13a22500))
* compile X11 backend plugin as render backend ([01717db](https://gitlab.com/kwinft/kwinft/commit/01717dbee769c5dea1dd52999efc1e108c9a8dc9))
* connect active client's update_mouse_grab to stackingOrderChanged signal ([8b60578](https://gitlab.com/kwinft/kwinft/commit/8b6057872ee03908d227ef65bcc8088bde43cef5))
* connect Compositor::addRepaintFull to Workspace::stackingOrderChanged ([62d2838](https://gitlab.com/kwinft/kwinft/commit/62d2838439a5ef0cc04abb8c2f5ddd83c8124471))
* create internal interfaces in lambda ([72e7e7f](https://gitlab.com/kwinft/kwinft/commit/72e7e7fafe7503f0cd4bfc604a9bf10f05166702))
* create internal shm on interfaces announced ([549a907](https://gitlab.com/kwinft/kwinft/commit/549a9078e191eca972d109fdbf8afad8b93aa3ce))
* create relative pointer manager in Wayland server ([e2e544f](https://gitlab.com/kwinft/kwinft/commit/e2e544f3b553c4d13968f61c763859cd17b79cae))
* create screen locker watcher earlier ([3c60163](https://gitlab.com/kwinft/kwinft/commit/3c60163296aba5020605fef9090d19424c1fa3ee))
* create session in Application child classes ([c300462](https://gitlab.com/kwinft/kwinft/commit/c300462746828a85fea12c2fa0427f55859b04c3))
* declare compositor selection owner in render namespace ([179fef6](https://gitlab.com/kwinft/kwinft/commit/179fef6171f17cd5025eb53d2c2e5b78efcccdc8))
* declare delay variable constexpr ([d86df66](https://gitlab.com/kwinft/kwinft/commit/d86df6613a406998be8abd5b7a15b802b5a4311b))
* define new KPackageStructure property in kpackage structures ([57cb71b](https://gitlab.com/kwinft/kwinft/commit/57cb71b0aa6128b54bf23cd998a0819cebfb58ee))
* do not override parent's class signals with the same name ([ac93887](https://gitlab.com/kwinft/kwinft/commit/ac93887c11ccd3b96dea4d8d6d086d1abea436e5))
* drop Toplevel's windowId ([14e52f1](https://gitlab.com/kwinft/kwinft/commit/14e52f1e06a625de7314d6ac541ea2be145fa918))
* drop Workspace::lowerClientRequest(Toplevel*) ([df9c9bb](https://gitlab.com/kwinft/kwinft/commit/df9c9bb29a583f11f19dce59ff808b2c04dbe3d8))
* drop Workspace::updateClientLayer ([881d10c](https://gitlab.com/kwinft/kwinft/commit/881d10c459493db355f1570ccbad68d9408dbb71))
* **effect:** abstract startup semantics in startupfeedback ([c1fc2e3](https://gitlab.com/kwinft/kwinft/commit/c1fc2e36d8553c9ed4fdca833f5fd430a5c0bf43))
* **effect:** add parent argument to Effect ([0647d7a](https://gitlab.com/kwinft/kwinft/commit/0647d7adaccb94e6c74fc9135fd50b4c2ffb434d))
* **effect:** clip desktop grid windows differently ([7475983](https://gitlab.com/kwinft/kwinft/commit/74759831a5e136d4d8e13e2e06f24eecc0cb3ab0))
* **effect:** ignore xshape region for blurring ([3b126dc](https://gitlab.com/kwinft/kwinft/commit/3b126dc6a93206a600541574c893c6d847e025ab))
* **effect:** port fallapart to DeformEffect ([3306457](https://gitlab.com/kwinft/kwinft/commit/3306457689fa0c690bba13d91bd7a354af1c1346))
* **effect:** port magiclamp to DeformEffect ([070bf07](https://gitlab.com/kwinft/kwinft/commit/070bf07bcf5c710717b2eb28e4712f9f209a15d5))
* **effect:** port screenshots away from window quads ([e683b5b](https://gitlab.com/kwinft/kwinft/commit/e683b5bbb1bfac88b4232bdd65dd8188fa3e1512))
* **effect:** remove dead code ([208a1b5](https://gitlab.com/kwinft/kwinft/commit/208a1b5c8be1d390cb6e9a3fd46942855347d85d))
* get icon from desktop file name ([06203f1](https://gitlab.com/kwinft/kwinft/commit/06203f1d974629bb559fcffc9ddaacc357c2c448))
* get presentation frame time with STL chrono ([a8c1832](https://gitlab.com/kwinft/kwinft/commit/a8c18323a5dbead1f101cfeb879124e77eae6cf2))
* get test client instead of individual interfaces ([e3af806](https://gitlab.com/kwinft/kwinft/commit/e3af806d72eb51c6f3ec47cd89c81156b820ff34))
* handle client resources with smart pointers only ([cbd1fb2](https://gitlab.com/kwinft/kwinft/commit/cbd1fb2b2633b3dc0391404ab6275c86435d1f38))
* init workspace in test app ([0b89d68](https://gitlab.com/kwinft/kwinft/commit/0b89d681a3abda375c208625093b03708a09115b))
* init workspace with direct call ([0bb1994](https://gitlab.com/kwinft/kwinft/commit/0bb1994236e04c942580167b4d6268a53637de91))
* **input:** adapt touch matrix in wlroots backend ([ab8a6cf](https://gitlab.com/kwinft/kwinft/commit/ab8a6cfa96d202a77c893273ea7c4ba108936437))
* **input:** adjust to keymap being sent as string ([22e6617](https://gitlab.com/kwinft/kwinft/commit/22e661783ac13c966857163cc8b1b406788d370c))
* **input:** define events in event header ([c91788b](https://gitlab.com/kwinft/kwinft/commit/c91788be5901afc33dc5920274f9b45931747670))
* **input:** define local variables instead of returning early ([aeb7737](https://gitlab.com/kwinft/kwinft/commit/aeb77370814a989890b70b73b539b19f9c4ca215))
* **input:** filter and spy on keyboard repeat events separately ([0342e64](https://gitlab.com/kwinft/kwinft/commit/0342e6440e941b0d3691ca84741bfc29648fb8bb))
* **input:** find internal window in helper function ([2778fe5](https://gitlab.com/kwinft/kwinft/commit/2778fe5a58cb6b6696a8b547282c708d9bc590dc))
* **input:** forward modifiers after updating them ([4fad84d](https://gitlab.com/kwinft/kwinft/commit/4fad84d19f5f54f090a9651d38c4583ba107fb0e))
* **input:** get internal key event in helper function ([2261514](https://gitlab.com/kwinft/kwinft/commit/22615144dbbc4cb9e61935565042febe143fb62e))
* **input:** let Wayland cursor own the cursor image ([96673e4](https://gitlab.com/kwinft/kwinft/commit/96673e44d3dfd7f8b580bfe9dfa5db478bbef32a))
* **input:** make input redirection a member of the app ([f44cb94](https://gitlab.com/kwinft/kwinft/commit/f44cb94a33cbe3fe849658648b3272adee069d23))
* **input:** move cursor classes to input namespace ([1c2b772](https://gitlab.com/kwinft/kwinft/commit/1c2b772d2244bef1fd95cc060cee2c5c30a17369))
* **input:** move events to input namespace ([d843245](https://gitlab.com/kwinft/kwinft/commit/d84324513532e9c645c0b55427c59ca7319d94de))
* **input:** move gesture infrastructure to input namespace ([d699901](https://gitlab.com/kwinft/kwinft/commit/d69990141057e92456d8ac024a8e69f6b2632488))
* **input:** move keyboard layout infrastructure into input namespace ([58f6047](https://gitlab.com/kwinft/kwinft/commit/58f604786b3c72d820247a4af3722bc3d434ddb0))
* **input:** move Qt mouse button transformers into separate header ([b105d32](https://gitlab.com/kwinft/kwinft/commit/b105d3260fb4e7992dda8e3618ce3ba473f850c2))
* **input:** move X11 platform input to input directory ([f675c0c](https://gitlab.com/kwinft/kwinft/commit/f675c0cb449600c387b01ad0d6d7e6741a81883c))
* **input:** move XInput code into new X11 platform class ([3c97a5b](https://gitlab.com/kwinft/kwinft/commit/3c97a5b5dab30d2e346a5075427d71aa0504a7ff))
* **input:** namespace device redirect handling ([e8697cb](https://gitlab.com/kwinft/kwinft/commit/e8697cb0f0b73f5f9da853294fb957da098cc4c1))
* **input:** namespace redirection in input ([a4e2b29](https://gitlab.com/kwinft/kwinft/commit/a4e2b29b6bd039f8baa113f797b56c70d4e10d35))
* **input:** omit adjusting modifiers in key repeat processing ([5104bfe](https://gitlab.com/kwinft/kwinft/commit/5104bfe30ae8c7c59a3451714e849813aaaab58c))
* **input:** omit touch check on switch removal ([b0a907b](https://gitlab.com/kwinft/kwinft/commit/b0a907bb96a6b8a79277e9a990fcf41002bfdd07))
* **input:** own device redirections explicitly ([4ba99bd](https://gitlab.com/kwinft/kwinft/commit/4ba99bd9d40035645c7df229056516d40178d694))
* **input:** prepare events in device redirect class ([79c4b7b](https://gitlab.com/kwinft/kwinft/commit/79c4b7b4c4ce695f6e2666ca753f0482dc5e690a))
* **input:** process key press in helper function ([22adb64](https://gitlab.com/kwinft/kwinft/commit/22adb64959ff7e89ba6172aa1b4837c1fbe58457))
* **input:** process key repeat events in separate function ([40b415e](https://gitlab.com/kwinft/kwinft/commit/40b415ed792bc5a5d50467e70a21369b2fd981f7))
* **input:** provide wlr_input_device as argument ([1d23693](https://gitlab.com/kwinft/kwinft/commit/1d23693df043921f5aff2f58ad74e766110f3260))
* **input:** reformat global shortcut keyEvent flow ([6c69b72](https://gitlab.com/kwinft/kwinft/commit/6c69b72e54610900b677c2376c432e89515b08fb))
* **input:** relocate DPMS filter ([a74a888](https://gitlab.com/kwinft/kwinft/commit/a74a8881b856f77650667aa6a520be15ccbbcd04))
* **input:** relocate event filter base class ([cc640f5](https://gitlab.com/kwinft/kwinft/commit/cc640f55c030efe3712f3fa20d06750d5dbe8267))
* **input:** relocate event spy base class ([9d0ba9a](https://gitlab.com/kwinft/kwinft/commit/9d0ba9a40476f1dcce646c5a53e4a1f93fbcfd3e))
* **input:** relocate global shortcut integration ([6418df6](https://gitlab.com/kwinft/kwinft/commit/6418df66bb6c1bda825f4494511c4041f664b2ba))
* **input:** relocate keyboard repeat spy ([add62ec](https://gitlab.com/kwinft/kwinft/commit/add62ec4c2a6fa6df4a7d9d0d2ac02bcc869102c))
* **input:** relocate modifier only shortcuts spy ([8c1d607](https://gitlab.com/kwinft/kwinft/commit/8c1d6072d8c958700b0c85bb6c39f74df373957c))
* **input:** relocate popup filter ([18f29ff](https://gitlab.com/kwinft/kwinft/commit/18f29ff038eab823fd18f45076ee394785efb315))
* **input:** relocate tablet mode manager ([d6b6151](https://gitlab.com/kwinft/kwinft/commit/d6b6151a8f7252cf889fa8c12f3b8cc4acba8a1f))
* **input:** relocate touch hide cursor spy ([98a16db](https://gitlab.com/kwinft/kwinft/commit/98a16db453284a574af73e9911dea4140da22b71))
* **input:** relocate Wayland cursor theme ([0f88a5b](https://gitlab.com/kwinft/kwinft/commit/0f88a5b38bb57eecb6740e37c5f477a28e5d4565))
* **input:** relocate xkb code ([afb9f62](https://gitlab.com/kwinft/kwinft/commit/afb9f62262517034f4433b7b756a530389f3e29a))
* **input:** remove redirect init function ([bd4fa26](https://gitlab.com/kwinft/kwinft/commit/bd4fa2601de9f1c18a7816248ef2b34ec353b4e5))
* **input:** replace KeyEvent with key event struct ([d1034f1](https://gitlab.com/kwinft/kwinft/commit/d1034f14ae252c915cf6736c667310045558bbc7))
* **input:** replace MouseEvent with pointer event structs ([2a9ea14](https://gitlab.com/kwinft/kwinft/commit/2a9ea14d125a9fc97b9a1a0d97aea0aa70ef5caf))
* **input:** replace PinchGesture{End,Cancel} with a common event struct ([b576890](https://gitlab.com/kwinft/kwinft/commit/b576890f53b61d4d02ff95b7449e7600b2d99d76))
* **input:** replace PinchGestureBegin with pinch begin event struct ([c1d6f5b](https://gitlab.com/kwinft/kwinft/commit/c1d6f5b2e3f2e5aff442978c5b2e6f5d88835ce8))
* **input:** replace PinchGestureUpdate with pinch update event struct ([45d81c5](https://gitlab.com/kwinft/kwinft/commit/45d81c5869e0668738fd32f709140dd7ed4b58ef))
* **input:** replace SwipeGesture{End,Cancel} with a common event struct ([31b3b79](https://gitlab.com/kwinft/kwinft/commit/31b3b7926e0ab5e2f2a59d0ab4bc3e28819227e4))
* **input:** replace SwipeGestureBegin with swipe begin event struct ([f1f4f1b](https://gitlab.com/kwinft/kwinft/commit/f1f4f1ba3ce84ad0fa4072137b4a5d2370340be1))
* **input:** replace SwipeGestureUpdate with swipe update event struct ([11e89b0](https://gitlab.com/kwinft/kwinft/commit/11e89b0ad8df897ba8f04ae5b588652e7acb5a7a))
* **input:** replace WheelEvent with pointer event struct ([da8ca6f](https://gitlab.com/kwinft/kwinft/commit/da8ca6f20d43417e8a9d94a34c65d7c8a3d48c11))
* **input:** separate event filters into distinct files ([7a53a05](https://gitlab.com/kwinft/kwinft/commit/7a53a0519553a8b671a069954b9538ea8a3c19d3))
* **input:** split out cursor image from pointer redirect ([2e01e96](https://gitlab.com/kwinft/kwinft/commit/2e01e9604ca13c31bc0e2576c72c4749e62ebd9c))
* **input:** use Wrapland drag pools ([5711361](https://gitlab.com/kwinft/kwinft/commit/5711361fdaf760a38c3b0b3e4f8b575f319c7c03))
* **input:** use Wrapland keyboard pools ([28e11f4](https://gitlab.com/kwinft/kwinft/commit/28e11f489b1d172a3cb931a52d07fa31e2524d56))
* **input:** use Wrapland pointer pools ([b1a210f](https://gitlab.com/kwinft/kwinft/commit/b1a210f03e584b1a3da0df2434931f3707fdfc6c))
* **input:** use Wrapland touch pools ([63d5b1b](https://gitlab.com/kwinft/kwinft/commit/63d5b1b50202697452bebf9a5b70f3cd6ffc4a39))
* integrate Xwayland in separate function ([eb9d0c1](https://gitlab.com/kwinft/kwinft/commit/eb9d0c1393424472a7e53b8b1972e535259cf663))
* introduce test client class ([0f8b7f3](https://gitlab.com/kwinft/kwinft/commit/0f8b7f3172d0eb332ad8b9a40da9900f034a676e))
* invoke EffectsHandlerImpl::checkInputWindowStacking() with a signal ([ddf1d2e](https://gitlab.com/kwinft/kwinft/commit/ddf1d2e70f0f634990f708e7f6980b4ea0e790a6))
* let X11 render platform own the cursor ([27e0011](https://gitlab.com/kwinft/kwinft/commit/27e0011dda1a920a751123ef262a567bafa4d0b9))
* listen for startup finished signal in integration tests ([7cb60a2](https://gitlab.com/kwinft/kwinft/commit/7cb60a208f8b569deb467b06414a2a76d7e29ed8))
* load options early in Application ([20a999b](https://gitlab.com/kwinft/kwinft/commit/20a999b22348a36453e7cdc202138ea7368016a3))
* make application menus a std::tuple ([8b72ad9](https://gitlab.com/kwinft/kwinft/commit/8b72ad9c4805fe62ae6593850231ef3e9d34387e))
* make placement enum an enum class ([45accf5](https://gitlab.com/kwinft/kwinft/commit/45accf590083686b94e6fc86ff03c0fd7988aab6))
* make platform variable public ([bc8e781](https://gitlab.com/kwinft/kwinft/commit/bc8e78190166f3b872322263cab4157a694eeb34))
* make selection_data a class template ([7bab41e](https://gitlab.com/kwinft/kwinft/commit/7bab41e673333f48064815fe01c97d7e30a36760))
* make session variable public ([d227f34](https://gitlab.com/kwinft/kwinft/commit/d227f3474e0cdd1acbaa0cec681b88ba1f962153))
* make StackingUpdatesBlocker a template class ([4abb83d](https://gitlab.com/kwinft/kwinft/commit/4abb83d08fc222b4006a304d5712765471d3f792))
* make X11 screen number member variable ([02dad2b](https://gitlab.com/kwinft/kwinft/commit/02dad2b8c2bb43624282c856c528089303265749))
* manage RuleSettings instead of Rules objects ([50b3540](https://gitlab.com/kwinft/kwinft/commit/50b35408b75309ea0807f00c6d8abf77a6cbf2a0))
* manage visibility from cursor class ([d4cba64](https://gitlab.com/kwinft/kwinft/commit/d4cba6449ecb88d32c336d9552673b2c1ebbdc0f))
* move {lower/raise}ClientRequest to win/x11/control.h ([102e4a7](https://gitlab.com/kwinft/kwinft/commit/102e4a71409b5a637061a05f9c01911488cbcf9a))
* move `topClientOnDesktop`, `findDesktop` from Workspace to win/layers.h ([3606ce6](https://gitlab.com/kwinft/kwinft/commit/3606ce6dd9b74a741c2253ed9452bf2c6a458be5))
* move ApplicationMenu class to win namespace ([972a88a](https://gitlab.com/kwinft/kwinft/commit/972a88a3159ad8c417aae219d100976733c6d92a))
* move appmenu files to the win folder ([368b23f](https://gitlab.com/kwinft/kwinft/commit/368b23fd27b75dc9bb0dcc3e00a24ab6980e39f9))
* move client_machine files to win/x11 folder ([df9ecd3](https://gitlab.com/kwinft/kwinft/commit/df9ecd31bfdd58faa22dd56d510e4248c07e51f4))
* move cursor image to Wayland name space ([f681f68](https://gitlab.com/kwinft/kwinft/commit/f681f68264fb17adb9a6bc99fa4c564558e5e15d))
* move ensureStackingOrderInList and keep{Deleted}TransientAbove to win/stacking.h ([6dfcaf9](https://gitlab.com/kwinft/kwinft/commit/6dfcaf9a9f44e2f34180ae5318c7333d8b060b50))
* move FocusChain class to win namespace ([3a1d0a1](https://gitlab.com/kwinft/kwinft/commit/3a1d0a131b4c9bf3c58026292dba0416da9abec0))
* move focuschain files to the win folder ([117c588](https://gitlab.com/kwinft/kwinft/commit/117c588e319f7afce068f1b520783543e674fa03))
* move GeometryTip class to win::x11 namespace ([bcd0f82](https://gitlab.com/kwinft/kwinft/commit/bcd0f828e8d5c69ff00dfe0ea727e9d22a59672d))
* move geometrytip code to win/x11 folder ([e47bbb1](https://gitlab.com/kwinft/kwinft/commit/e47bbb153d928a7d7ce2cb364019227d1fe8b75f))
* move Group activation methods to group.cpp ([7de97ae](https://gitlab.com/kwinft/kwinft/commit/7de97aee382ebc135905a2798d9156f23b4d47c8))
* move Group class to win::x11 namespace ([05003a0](https://gitlab.com/kwinft/kwinft/commit/05003a0fbe564c3dd65b0037120e16e1c9ed0e6b))
* move group files to win/x11 folder ([7016f3f](https://gitlab.com/kwinft/kwinft/commit/7016f3f5857689ef43a90765f00f192a54afe3b4))
* move internal_client files to the win folder ([d7fa2bd](https://gitlab.com/kwinft/kwinft/commit/d7fa2bd699c449d39666936ca06ca0468ba7f9f1))
* move InternalClient class to win namespace ([3cc7b19](https://gitlab.com/kwinft/kwinft/commit/3cc7b19f0110b33b4cf5cd1aa768809c0a59a6bc))
* move kwinbindings code to useractions ([bbe64d9](https://gitlab.com/kwinft/kwinft/commit/bbe64d9405629f76c5e42c185689f92b49b1050e))
* move netinfo classes to the win::x11 namespace ([161ea72](https://gitlab.com/kwinft/kwinft/commit/161ea72f39c02199037e95d0d246dfa6683396c6))
* move netinfo files to win/x11 folder ([37d22dc](https://gitlab.com/kwinft/kwinft/commit/37d22dca483894c2f9b4167f04736510afb86a93))
* move Platform input API to X11 backend ([dceca57](https://gitlab.com/kwinft/kwinft/commit/dceca57e46401a59896bd7d7445df4458acb86d9))
* move policy_to_string function to placement test ([61d1bb7](https://gitlab.com/kwinft/kwinft/commit/61d1bb721acb77a70fa5c932ed833366a29341f5))
* move presentation class into render namespace ([9bc4647](https://gitlab.com/kwinft/kwinft/commit/9bc4647b626147e84de88e538f8bb12173e2d262))
* move presentation flags outside of the class ([9a9938b](https://gitlab.com/kwinft/kwinft/commit/9a9938b07587fd5c684b9fe2be85f9cc1f6d5f4a))
* move render delay calculation into separate function ([0f84347](https://gitlab.com/kwinft/kwinft/commit/0f84347c5808d82ded65f6a4b144408fab54ae96))
* move stackScreenEdgesUnderOverrideRedirect from Workspace to win/x11/space.h ([90a0f03](https://gitlab.com/kwinft/kwinft/commit/90a0f0397b60e337c875a76329b25e1d12a1fc06))
* move SyncAlarmX11Filter class to win::x11 namespace ([6fbe0aa](https://gitlab.com/kwinft/kwinft/commit/6fbe0aae5685b4cd7e206a45ecf3e8b471a5fe0d))
* move syncalarmx11filter files to win/x11 folder ([04ad222](https://gitlab.com/kwinft/kwinft/commit/04ad222906299728a2005d9d5602435ff08ff22f))
* move window_property_notify_x11_filter files to win/x11 folder ([5370f50](https://gitlab.com/kwinft/kwinft/commit/5370f5014cef7ad689acc9ef2f205083d9d6ed13))
* move WindowPropertyNotifyX11Filter class to win::x11 namespace ([e4a6a6d](https://gitlab.com/kwinft/kwinft/commit/e4a6a6d7fd0fb519552e986927842b4c939cd317))
* move Workspace::{raise,lower}ClientWithinApplication to win/x11/control.h ([e4f4f9e](https://gitlab.com/kwinft/kwinft/commit/e4f4f9e62194f3ef563a252a62e3051dba4c6dd9))
* move Workspace::lower_window to win/layers.h ([27dc6fb](https://gitlab.com/kwinft/kwinft/commit/27dc6fba8ef15b0739da0127939e060cd18011fd))
* move Workspace::raise_window to win/layers.h ([b6ee7ef](https://gitlab.com/kwinft/kwinft/commit/b6ee7ef4ada9d56a7a07eab0070ec9e7b8af603a))
* move Workspace::raiseOrLowerClient to win/layers.h ([622dfa8](https://gitlab.com/kwinft/kwinft/commit/622dfa82182d26e068c187fa7d453879fab9df7f))
* move Workspace::restack{ClientUnderActive} to win/layers.h ([08add80](https://gitlab.com/kwinft/kwinft/commit/08add80577fe8f647551de9d0af3bc1cce9d19f9))
* move Workspace::restoreSessionStackingOrder to win/x11/space.h ([c290841](https://gitlab.com/kwinft/kwinft/commit/c290841a69feb0e3f0a1123dccfe06e7bf169ab4))
* namespace cursor redirect ([270503f](https://gitlab.com/kwinft/kwinft/commit/270503f70fa33bd85a1e96ba1cc1df28d8fe74dd))
* namespace Wayland cursor theme ([13ca455](https://gitlab.com/kwinft/kwinft/commit/13ca45586d866dc451ddbe87f878f390b13aaceb))
* namespace X11 plugin classes ([c72ed9b](https://gitlab.com/kwinft/kwinft/commit/c72ed9b30e6d7d15742095a0f440cd3f7467fdb0))
* omit backend check ([fc2f3fb](https://gitlab.com/kwinft/kwinft/commit/fc2f3fb00e396036125eb9f19d504dfb2559f125))
* own cursor image explicitly ([7a9e806](https://gitlab.com/kwinft/kwinft/commit/7a9e806bfb80d08522cfbb49d9e1e1e1550877d3))
* port decoration renderers to Decoration::damaged signal ([f1c6b7d](https://gitlab.com/kwinft/kwinft/commit/f1c6b7d2e07965daff7a1e58593febd6edbf0861))
* port from KPluginLoader::pluginsById to KPluginMetaData::pluginById ([e2840b7](https://gitlab.com/kwinft/kwinft/commit/e2840b78128aec20cd1a6956484731be73352f23))
* port KCM loading to KPluginMetadata ([df832cc](https://gitlab.com/kwinft/kwinft/commit/df832cc7fd8768dc8d8b7047bf86a95d029e29b6))
* port last remnants of removed "units" ([09b4328](https://gitlab.com/kwinft/kwinft/commit/09b4328f446c87e6f4c3198d32d1d15435f367db))
* port OverlaySheet headers to use title: property ([3e53091](https://gitlab.com/kwinft/kwinft/commit/3e5309195236236a30a204fa8557540fcec60e63))
* port Q_ENUMS to Q_ENUM ([a97a7b9](https://gitlab.com/kwinft/kwinft/commit/a97a7b9207f82dbbb24b4e9e4022363dd8addef3))
* prepare composition in X11 compositor ([adccfe6](https://gitlab.com/kwinft/kwinft/commit/adccfe63fe1c4b5493f8e40b4c23cce5584df178))
* prepare window repaint in helper function ([a1f7299](https://gitlab.com/kwinft/kwinft/commit/a1f72999dc20a37d1d25edbb57041a5fdb979b77))
* process compositor selection ownership changes internally ([0a3de48](https://gitlab.com/kwinft/kwinft/commit/0a3de483dd0f6cbca4ddfcd7cba3526e212792bb))
* provide platform cursor image from cursor class ([595b197](https://gitlab.com/kwinft/kwinft/commit/595b1971e24c8a27fcfd7e545c705b44bb714035))
* put paint duration recording into separate struct ([6bd3238](https://gitlab.com/kwinft/kwinft/commit/6bd323886fe5f54770c2bbe2bf0532c3e1dc97b4))
* release selection timer in X11 compositor ([5c15d7c](https://gitlab.com/kwinft/kwinft/commit/5c15d7cd39e697ea80606cbb27322fb4fd12173f))
* relocate event filter container ([aec066f](https://gitlab.com/kwinft/kwinft/commit/aec066f8d8dc615ace9a3f71aecea20b44cfc46f))
* relocate X11 event filter ([477a45d](https://gitlab.com/kwinft/kwinft/commit/477a45d58c848f69a9f8e9c2f29dd0bdff359cb3))
* remove circular import ([e43f581](https://gitlab.com/kwinft/kwinft/commit/e43f581acbc41d08d16b8eef2df9c3ebd6576dc7))
* remove continue startup function ([f5178e2](https://gitlab.com/kwinft/kwinft/commit/f5178e26c350bf6e40646c28c2e35aab0c13a067))
* remove create backend functions ([ee0a2f5](https://gitlab.com/kwinft/kwinft/commit/ee0a2f5cf2815a7c79a90dc3ea9ff5a30c61efe7))
* remove fallback timer ([947c209](https://gitlab.com/kwinft/kwinft/commit/947c209490f046e9dd844913520243c82c9f904c))
* remove function to prepare shutdown ([79b9762](https://gitlab.com/kwinft/kwinft/commit/79b9762306bcf91f7b24d8903869f22d75329b3b))
* remove gesture API in Platform ([a4bfb8e](https://gitlab.com/kwinft/kwinft/commit/a4bfb8e693abf99fae11a2b0e2ed295c051d8b83))
* remove half-pixel correction workaround ([21df390](https://gitlab.com/kwinft/kwinft/commit/21df390ddb09041b9565e13f8cef5ab0b9a6b628))
* remove input platform check ([e86ae30](https://gitlab.com/kwinft/kwinft/commit/e86ae304b1b8d56247ac3d9ef6810db2d6e63441))
* remove Keyboard Modifiers API in Platform ([382940d](https://gitlab.com/kwinft/kwinft/commit/382940ddf4fefd99ba5358d48c40db252ee92120))
* remove keymap change API in Platform ([8ca3a58](https://gitlab.com/kwinft/kwinft/commit/8ca3a58c8173ae92426fb57a25ad23ab96d22dda))
* remove monotonic clock variable ([4f2cbea](https://gitlab.com/kwinft/kwinft/commit/4f2cbea9cc28671fdb854f5348b46e0602480340))
* remove parent argument ([a12cea8](https://gitlab.com/kwinft/kwinft/commit/a12cea8e179d317f517c2b70a4df5daa3e032f7f))
* remove platform cursor factory ([4e7ceb4](https://gitlab.com/kwinft/kwinft/commit/4e7ceb4beb9c2f9bb6616af5548cb10adb2bdb74))
* remove presentation fallback clock ([0516871](https://gitlab.com/kwinft/kwinft/commit/0516871af48fb6b264ea2c5237bd081e8fa6976b))
* remove session control changed signal ([7b558ae](https://gitlab.com/kwinft/kwinft/commit/7b558ae200437148887569dfc4527dd44b605389))
* remove static cursor variable ([49c27e4](https://gitlab.com/kwinft/kwinft/commit/49c27e4534dbc3eb313cf296c4f337db0cf31356))
* remove surface checks ([c53f389](https://gitlab.com/kwinft/kwinft/commit/c53f3899b58e318e3319eea546266081a94441ed))
* remove symbolic icons ([decdd91](https://gitlab.com/kwinft/kwinft/commit/decdd91ce660cf8e5f04038ea77e7d6fdcdf7b14))
* remove the software presented swap path ([de41090](https://gitlab.com/kwinft/kwinft/commit/de410907bb7bcd881bc6885e5e9dfef2ac1a4d61))
* remove touch frame API in Platform ([9c729d6](https://gitlab.com/kwinft/kwinft/commit/9c729d65c9a3075871cacb7a05681f2c0b32429e))
* remove udev monitor ([18f3b5a](https://gitlab.com/kwinft/kwinft/commit/18f3b5a2c0b9e76342ab555f697c61f6e4fbf1a6))
* remove unneeded X-KDE-PluginKeyword ([ca6a720](https://gitlab.com/kwinft/kwinft/commit/ca6a720a782aa53bde081225202a7004a76b8825))
* remove unused include ([5895114](https://gitlab.com/kwinft/kwinft/commit/58951146b086811fdc057f5e2f2ef3797f187bc8))
* remove unused include ([e737fb2](https://gitlab.com/kwinft/kwinft/commit/e737fb2ec245e80f7135f913af256dfc6b3936e3))
* remove unused include ([d4f1283](https://gitlab.com/kwinft/kwinft/commit/d4f12830e4c57e006ea19cd72d70aaf83137e1c2))
* remove unused parameter ([e2a2137](https://gitlab.com/kwinft/kwinft/commit/e2a21371c5a9a3eaf3f50038973fe01c00f992f2))
* remove virtual start session function ([def6496](https://gitlab.com/kwinft/kwinft/commit/def6496a7af8b3842851d9751a8bf109550dec64))
* remove Wayland compositor swapped functions ([1966c6b](https://gitlab.com/kwinft/kwinft/commit/1966c6bf981d7398517cf8e76f8498a539935a60))
* remove Wayland session backend plugin infrastructure ([59c3006](https://gitlab.com/kwinft/kwinft/commit/59c300600f042f4796f263a6691d4c0d3204d05a))
* remove WaylandServer init function ([1f0adb7](https://gitlab.com/kwinft/kwinft/commit/1f0adb70ad949e83aa5a28e2cf3b79841f55962a))
* reorder Workspace methods ([f657226](https://gitlab.com/kwinft/kwinft/commit/f657226a0819e23c4d34e2771041252d25b56efe))
* repaint in X11 compositor class ([5449a69](https://gitlab.com/kwinft/kwinft/commit/5449a6980b7c0ef4d6e676203a709c05d229c172))
* replace an old workaround for alpha-only shadows ([1cddb1f](https://gitlab.com/kwinft/kwinft/commit/1cddb1f14cda302da1e5f100b13298cd8c5a83c1))
* replace cursor changed signal of Platform class ([c3624a5](https://gitlab.com/kwinft/kwinft/commit/c3624a54cd927bcd528821121c3da38d7f23eb71))
* replace output enabled check with compositor lock ([67bde8a](https://gitlab.com/kwinft/kwinft/commit/67bde8ab7912cab90302a4c276bfb4ab9a0d3725))
* replace QList with STL vector ([0cb191a](https://gitlab.com/kwinft/kwinft/commit/0cb191a12bc10adbfc6af243b9dc37b0f549a751))
* replace QRegExp usages with QRegularExpression ([4215128](https://gitlab.com/kwinft/kwinft/commit/42151287e542ca780470d7ce41330fa91036e912))
* replace QVector with STL vector ([bca0871](https://gitlab.com/kwinft/kwinft/commit/bca087101d5fae6149c2b3aa52c84839045a1523))
* resolve circular include ([08e8ef6](https://gitlab.com/kwinft/kwinft/commit/08e8ef6d6cf56dafad60d47066d397e2d4e34f1d))
* reuse GLTexture::toImage ([9c7810e](https://gitlab.com/kwinft/kwinft/commit/9c7810e743c0b58d894efbf7d3cf0df7b0487e42))
* save initial placement rule as int with bounds check on load ([e855a91](https://gitlab.com/kwinft/kwinft/commit/e855a91601168223f0cf6bba54eb5351b6099670))
* save placement through custom enum ([3c45fb5](https://gitlab.com/kwinft/kwinft/commit/3c45fb5de28d320d26c42e9f963c7b16142441d3))
* **scene:** relocate compositor into render namespace ([9dcf725](https://gitlab.com/kwinft/kwinft/commit/9dcf7251ea7bfbd259226eb3be78a755319f2a9a))
* **scene:** relocate Wayland compositor into render namespace ([90853de](https://gitlab.com/kwinft/kwinft/commit/90853dee5602e3cec93a88fe94ad783f72033081))
* **scene:** relocate X11 compositor into render namespace ([0bd0c46](https://gitlab.com/kwinft/kwinft/commit/0bd0c46fa27e3f32dcd37b00eaaa7c6302457f4f))
* **scene:** remove OpenGL2Compositing enum ([ca75481](https://gitlab.com/kwinft/kwinft/commit/ca75481af9ce310b9f51a9730430380bdfb887d9))
* **scene:** store Compositor pointer in Application ([6a37536](https://gitlab.com/kwinft/kwinft/commit/6a37536c877c7e0ff4738bbe5839004cb3524ba1))
* **scene:** use GL_LINEAR also on X11 ([1d0e989](https://gitlab.com/kwinft/kwinft/commit/1d0e9891e5a73d66d953ed5ae204f7516a587c87))
* schedule repaints in compositor child classes ([7ef0e87](https://gitlab.com/kwinft/kwinft/commit/7ef0e87de3200c312ddc498bd2a01826bbdbcd72))
* **script:** move old ClientModel in V2 namespace ([263a89c](https://gitlab.com/kwinft/kwinft/commit/263a89cc688ea2beab05c21f889511ce7b664ac9))
* select window interactively from input namespace ([3003ceb](https://gitlab.com/kwinft/kwinft/commit/3003ceb5675b5f9846d387d5a6a3e306aa46035f))
* set native session variable in constructor ([0ac4729](https://gitlab.com/kwinft/kwinft/commit/0ac4729e284b00eb714fead8d32436d2f94956f5))
* set software cursor in Wayland compositor ([1e1f625](https://gitlab.com/kwinft/kwinft/commit/1e1f6257253712208977fed82d48536164d3c963))
* simplify generic config plugin loading ([05c93f6](https://gitlab.com/kwinft/kwinft/commit/05c93f64e78fe41c1c00f774321540b3a45b2a6e))
* simplify X11 cursor getters ([3078dfb](https://gitlab.com/kwinft/kwinft/commit/3078dfb2bf84d2509fde39048bd55d5bcf4fae86))
* **space:** add count entry to placement enum ([6ce95c1](https://gitlab.com/kwinft/kwinft/commit/6ce95c14482674bed765fc741e779f9de924cd54))
* **space:** dissolve the Placement class in the win namespace ([cd0cf75](https://gitlab.com/kwinft/kwinft/commit/cd0cf75611899363d33c834eab3f33f52fbd501c))
* **space:** move placement code to the win folder ([1cb8b83](https://gitlab.com/kwinft/kwinft/commit/1cb8b834a0f760a6f566982cd3c171d73f8d1cec))
* **space:** move placement enum to win/types.h ([4b1766c](https://gitlab.com/kwinft/kwinft/commit/4b1766c7adf9a5c4c20321fb935649963d7cdbf7))
* **space:** move Workspace functions definitions ([7f3b981](https://gitlab.com/kwinft/kwinft/commit/7f3b981bcedee3bafba0859f1863892c3b38b47e))
* **space:** promote helper functions to public interface ([2f152ee](https://gitlab.com/kwinft/kwinft/commit/2f152eedf27526e31a52f0a111e831b4a37a4b78))
* **space:** select placement via switch statement ([52131a9](https://gitlab.com/kwinft/kwinft/commit/52131a9378b6524b14acf59151fa894bc4b272b3))
* **space:** trasform placement functions to templates ([a044cb8](https://gitlab.com/kwinft/kwinft/commit/a044cb8ce941b8818ee6266c7e4d52a9461abca5))
* split out X11 event filter from Workspace ([4f3e02c](https://gitlab.com/kwinft/kwinft/commit/4f3e02c6d716fd7c7620c04e88c76721af7a1e0b))
* split some code off windows stacking algorithm to x11 namespace ([f6a892c](https://gitlab.com/kwinft/kwinft/commit/f6a892cc17f197fa295b1a1b48ac194e5e484982))
* split Workspace::stacking_order off to a new class ([4083b81](https://gitlab.com/kwinft/kwinft/commit/4083b8194a112d2281f8f1725e2450a34031dff1))
* split xStackingQueryTree to a new win::x11::stacking_tree class ([0a2a577](https://gitlab.com/kwinft/kwinft/commit/0a2a577d9feead35c2d4ae521bf0b91d3a818267))
* start app directly from child ([8f38fb3](https://gitlab.com/kwinft/kwinft/commit/8f38fb31c6987c754606b4b59eb4923e34be3dd2))
* start Xwayland after Workspace ([ffafaa2](https://gitlab.com/kwinft/kwinft/commit/ffafaa20f9166d00c0a9606af5c8264c8960e39a))
* store cursor in input platform ([acd8f73](https://gitlab.com/kwinft/kwinft/commit/acd8f735efdd9f8da7adfb385a46f44c523f2ae9))
* store input platform in Application ([e53d6b6](https://gitlab.com/kwinft/kwinft/commit/e53d6b68982ccc5c8d02b8843b2da181feb434b3))
* store input redirect in input platform ([f9a9983](https://gitlab.com/kwinft/kwinft/commit/f9a998313a4f872a2c74ec4ff5466562b6627055))
* store session object in smart pointer ([7f99f1b](https://gitlab.com/kwinft/kwinft/commit/7f99f1b576c945bb5662ca063f89515811f24830))
* store test clients in application instance ([94474c1](https://gitlab.com/kwinft/kwinft/commit/94474c1ab8737905d0cea0a8bcf25d77d4a8b5a5))
* store test outputs in STL container ([daf33bc](https://gitlab.com/kwinft/kwinft/commit/daf33bc0320a80d0e650ba687ed014f8dced7b82))
* store Xwayland instance in smart pointer ([a6d71ea](https://gitlab.com/kwinft/kwinft/commit/a6d71ea85de89fec27c73c641321e38f60728d6c))
* unvirtualize Platform init function ([17a3940](https://gitlab.com/kwinft/kwinft/commit/17a39409a322388534fcc710c2242b58b30b47c7))
* unvirtualize take session control function ([2ff3c7b](https://gitlab.com/kwinft/kwinft/commit/2ff3c7b47d755a559a20b50072993e9755e143a9))
* update devices interfaces ([db26070](https://gitlab.com/kwinft/kwinft/commit/db26070f6ecaf8ab88efc76127cb312140881c59))
* use input platform devices in events ([f74e546](https://gitlab.com/kwinft/kwinft/commit/f74e546571139d988c14bf533abe2118e851307f))
* use K_PLUGIN_CLASS_WITH_JSON ([f27b20e](https://gitlab.com/kwinft/kwinft/commit/f27b20e40aa8d0156c845f50d986db53e8ca466b))
* use STL chrono for presentation time calculations ([9e88288](https://gitlab.com/kwinft/kwinft/commit/9e882882fc64a98148f08eaae4cf04b335abafd4))
* wait for internal client being initialized ([313dbdc](https://gitlab.com/kwinft/kwinft/commit/313dbdcb43e9cb7385de312b0d44eeaa1906678c))
* **xwl:** abolish Selection class dynamic inheritance ([9724412](https://gitlab.com/kwinft/kwinft/commit/972441210414383242f21595b47ad1cf8f001e0a))
* **xwl:** add X11 data struct ([a65c843](https://gitlab.com/kwinft/kwinft/commit/a65c843cd053ded0faf33eab163986b4e3fa2c5d))
* **xwl:** change X11 offer handling flow ([89c5d64](https://gitlab.com/kwinft/kwinft/commit/89c5d64056e26c65936d2a8bee422a4240abba8f))
* **xwl:** change X11Source::getTargets signature ([452eab4](https://gitlab.com/kwinft/kwinft/commit/452eab4ee0e62d56d520ab508eab96d8789575ed))
* **xwl:** change X11Source::handleTargets signature ([be5ae3e](https://gitlab.com/kwinft/kwinft/commit/be5ae3e78fdb38cb5b29846dfb5450f9c49d25d1))
* **xwl:** communicate status with callback or throw ([1f17b68](https://gitlab.com/kwinft/kwinft/commit/1f17b68b445538295d6de7a68931d5d004d9df54))
* **xwl:** explicitly delete selections ([1a8341e](https://gitlab.com/kwinft/kwinft/commit/1a8341ed1650c30851047d6f2a8d78e73a31e77a))
* **xwl:** explicitly delete sources ([b2363b5](https://gitlab.com/kwinft/kwinft/commit/b2363b51e1fb1ebcd3b26a777fe4410aa35a1420))
* **xwl:** get current selection on change from seat ([3daf164](https://gitlab.com/kwinft/kwinft/commit/3daf164398f66c5220b583ae5b8238ef1dd248e4))
* **xwl:** get rid of SelectionSource base class ([320b953](https://gitlab.com/kwinft/kwinft/commit/320b953e6540b97846cca34a9c788380ef489b96))
* **xwl:** get Xfixes extension data in data bridge ([66ac8b2](https://gitlab.com/kwinft/kwinft/commit/66ac8b2a18b20dcc31ed329cde12551639fad06f))
* **xwl:** handle selection dependent X11 messages in function templates ([d09b681](https://gitlab.com/kwinft/kwinft/commit/d09b681d32586cdfb6b5b369d25b81a27ec2bcd2))
* **xwl:** handle X11 offer changes in function template ([53f09a0](https://gitlab.com/kwinft/kwinft/commit/53f09a03d43a99fdb6f710ab181f2ed46f8679f8))
* **xwl:** initialize selection_data with devices ([f9cd48b](https://gitlab.com/kwinft/kwinft/commit/f9cd48b616f1a6311ae97b8eb6093aba06f34ee7))
* **xwl:** make Selection data public ([7196e04](https://gitlab.com/kwinft/kwinft/commit/7196e0413e685aef6b723eee99197fc20bec8fb9))
* **xwl:** make Selection event handling function templates ([9481ab6](https://gitlab.com/kwinft/kwinft/commit/9481ab64edb4ad412601ca9223cfb6613efe4712))
* **xwl:** make Selection source creation function templates ([fbfb5f6](https://gitlab.com/kwinft/kwinft/commit/fbfb5f6c055ed83a975e0ee404b70ac4d283ef56))
* **xwl:** make Selection timeout function templates ([33f35dc](https://gitlab.com/kwinft/kwinft/commit/33f35dc7be0c4492673bb065a68538ccffbe53be))
* **xwl:** make Selection transfers function templates ([b52a72e](https://gitlab.com/kwinft/kwinft/commit/b52a72ea94dfe0228d7a5cf53d4afc677ad1c845))
* **xwl:** make some Selection helpers function templates ([d1812b0](https://gitlab.com/kwinft/kwinft/commit/d1812b084323d37eec809670f35810c40f4f4124))
* **xwl:** make WlSource and X11Source class templates ([ce42cd8](https://gitlab.com/kwinft/kwinft/commit/ce42cd87a71c538eed40db853b3a4e2a4876c017))
* **xwl:** merge selection and selection_utils headers ([f00161d](https://gitlab.com/kwinft/kwinft/commit/f00161d667bed271c4d459b57f6de2be57baab68))
* **xwl:** merge two different definitions of atomToMimeTypes ([008fbe4](https://gitlab.com/kwinft/kwinft/commit/008fbe41efd88c1908b115ea75a862f25639af80))
* **xwl:** move Selection static methods to new header ([8bcb47a](https://gitlab.com/kwinft/kwinft/commit/8bcb47ace7d7702255df0a1d688597308eb09a17))
* **xwl:** move timestamp property to derived selection sources ([7d5f923](https://gitlab.com/kwinft/kwinft/commit/7d5f923ab9ee7397d302ef7220b5592216391f57))
* **xwl:** on quit destroy Xwayland early ([a95e964](https://gitlab.com/kwinft/kwinft/commit/a95e96463a6ba994b20322d16fccdaba1062a867))
* **xwl:** provide dnd argument to drags ([e4718ce](https://gitlab.com/kwinft/kwinft/commit/e4718cee20194a8c7d9cf113fbae014c592b2727))
* **xwl:** react to Wayland clipboard changes in function templates ([277b898](https://gitlab.com/kwinft/kwinft/commit/277b898639f55f51168bba1873b74c255b7248d7))
* **xwl:** refactor xwayland_selection_test.cpp ([e6e6ad5](https://gitlab.com/kwinft/kwinft/commit/e6e6ad53ca4416339ae1d1c685b1130bef5ec73a))
* **xwl:** register X11 selection in function template ([a28d642](https://gitlab.com/kwinft/kwinft/commit/a28d642d9a2321514e723c1b4315b2cdd2985b15))
* **xwl:** remove check on data device interface ([7fb1106](https://gitlab.com/kwinft/kwinft/commit/7fb1106c810161fdd2cf7b6d56d9d2733e63a8bc))
* **xwl:** remove data bridge self getter ([3a66722](https://gitlab.com/kwinft/kwinft/commit/3a66722fb2f21ee564f331175c02a4572bc7f629))
* **xwl:** remove Databridge init function ([df38eef](https://gitlab.com/kwinft/kwinft/commit/df38eefdb589be8e8e857187baf34caf44aa8ffb))
* **xwl:** remove global instance variable ([ff40c10](https://gitlab.com/kwinft/kwinft/commit/ff40c10752bd59fa1b811a9b9ae35e50704e0661))
* **xwl:** remove helper function ([61de723](https://gitlab.com/kwinft/kwinft/commit/61de723109f031f50dc6e0cc6e2a6339dc7f2ca0))
* **xwl:** remove init function ([a32f31b](https://gitlab.com/kwinft/kwinft/commit/a32f31b876b96f0d50e59d6722d635367792ae54))
* **xwl:** remove parent pointer ([2da96a9](https://gitlab.com/kwinft/kwinft/commit/2da96a97377a357d786b12b3b7dcfb1037e85399))
* **xwl:** remove prepare destroy function ([fdef621](https://gitlab.com/kwinft/kwinft/commit/fdef621e9da1c8b7e18c81b375a01335c2319ce1))
* **xwl:** remove unnecessary local variables ([8e11a91](https://gitlab.com/kwinft/kwinft/commit/8e11a91c269f324e36cc1f492e1254fcad15da8b))
* **xwl:** remove virtual Selection functions ([d1018be](https://gitlab.com/kwinft/kwinft/commit/d1018be7067986d67096c08ca42b106453611bf7))
* **xwl:** restructure xfixes notify handling flow ([c6d92ce](https://gitlab.com/kwinft/kwinft/commit/c6d92ce59c121d5c15bd309623561a2686acfaba))
* **xwl:** share X11 data with selections ([687ff33](https://gitlab.com/kwinft/kwinft/commit/687ff3344ea1979719bae8c186fb0b08aa81cf62))
* **xwl:** split QObject out of Selection ([de6eedc](https://gitlab.com/kwinft/kwinft/commit/de6eedc1d0ea744eef6fd76fb60e87da7522c389))
* **xwl:** split responsibilities in Selection::handleSelectionNotify ([39bebdf](https://gitlab.com/kwinft/kwinft/commit/39bebdfc89048befacef85b2c0718ac9045fd06d))
* **xwl:** store data bridge in smart pointer ([1a14d46](https://gitlab.com/kwinft/kwinft/commit/1a14d466697cdae2e06c0e44ababb8f29c1257e2))
* **xwl:** store notifier in smart pointer ([c592981](https://gitlab.com/kwinft/kwinft/commit/c59298182581f4708096217a9d49f764f5f852ea))

## [5.22.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.22.0-beta.0...kwinft@5.22.0) (2021-06-08)


### Bug Fixes

* check wl_surface on isShown ([26438d3](https://gitlab.com/kwinft/kwinft/commit/26438d3fe1fe5270a5e8cddcb5cc79c57391467e))
* **input:** initialize keyboard modifiers ([2f272d9](https://gitlab.com/kwinft/kwinft/commit/2f272d9913d546239e923e7a145ff7b435569499))
* check surface when evaluating hidden internal ([3ff19c2](https://gitlab.com/kwinft/kwinft/commit/3ff19c2ca63e750b1759cfbea4e8395943bd1c60))
* disable Dr Konqi for integration tests ([e21f84d](https://gitlab.com/kwinft/kwinft/commit/e21f84d66f0ec76e0cf501df5008d81d04286d1b))
* remove circular include ([03af4f6](https://gitlab.com/kwinft/kwinft/commit/03af4f617f6973da5af02de8b7eb1f07355d6e67))
* remove unused variable capture ([096a6c1](https://gitlab.com/kwinft/kwinft/commit/096a6c1a7e6abf0ec01d7168e6f73a6da8e3d160))
* unset Plasma shell surface on destroy ([4ac6247](https://gitlab.com/kwinft/kwinft/commit/4ac62477ecccf5277207430efb8e2504e6c8948f))


### Refactors

* **input:** adjust to keymap being sent as string ([cc8918f](https://gitlab.com/kwinft/kwinft/commit/cc8918f549c5cff261ddfedd8c81aa8acf897bec))
* **input:** forward modifiers after updating them ([6b9360c](https://gitlab.com/kwinft/kwinft/commit/6b9360c6498e736771173b2ec18c12be143b4cef))

## [5.22.0-beta.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.21.0-beta.0...kwinft@5.22.0-beta.0) (2021-05-26)


### Features

* **effect:** use cubic easing curve to squash ([9a1d06d](https://gitlab.com/kwinft/kwinft/commit/9a1d06d03da8c43a490483527ecf00b9258af369))
* apply grid delegate KCMs on double-click ([3f7f7e4](https://gitlab.com/kwinft/kwinft/commit/3f7f7e45d3959a25cba8399e1e26f34fa91455bb))
* **deco:** add CLI tool to set window decorations ([3916670](https://gitlab.com/kwinft/kwinft/commit/39166700d6b30403e84afc762d83c69767ab22de))
* **deco:** honor NoPlugin option ([104a31c](https://gitlab.com/kwinft/kwinft/commit/104a31c521e071ec1a57580d0a327dc2c36bc96f))
* **effect:** add a DBus interface to the highlightWindows effect ([6d7db5c](https://gitlab.com/kwinft/kwinft/commit/6d7db5cb955114e5456da29ad97bb1a7a546b5f8))
* **effect:** add a DBus interface to the presentWindows effect ([f90ad31](https://gitlab.com/kwinft/kwinft/commit/f90ad31fb05a4ac424c0b9146ec30492bed63c24))
* **effect:** add support Panfrost Mali driver ([636f8dd](https://gitlab.com/kwinft/kwinft/commit/636f8ddbdbbd4a3a2c0a6fc6656f8da8dce69813))
* **effect:** annotate Intel GPUs with architecture generations ([645e962](https://gitlab.com/kwinft/kwinft/commit/645e96220542089e5262e1bcbfb038c80bf3c997))
* **effect:** change filterFrame position and text ([e3fdd45](https://gitlab.com/kwinft/kwinft/commit/e3fdd459b1c064fceae7e501ce2e785e813f495c))
* **effect:** darken panel ([a64fdba](https://gitlab.com/kwinft/kwinft/commit/a64fdbaa5b42ad6a06c72383c58e521263e6c9ed))
* **effect:** detect more Intel GPUs ([494a9ca](https://gitlab.com/kwinft/kwinft/commit/494a9caec3f4fff2cc2a31649c1899ad32c6c5e6))
* **effect:** display window icons centered ([aa82e5d](https://gitlab.com/kwinft/kwinft/commit/aa82e5d75a5b667a1c764c82a452c49e2dfad9fd))
* **effect:** hide windows in corners ([1f2f85a](https://gitlab.com/kwinft/kwinft/commit/1f2f85af9cb6a7524751e928abf83ca5e90dbe7e))
* add default settings indicator at module level ([8fbe95c](https://gitlab.com/kwinft/kwinft/commit/8fbe95c8e4a30f3cdc74e0228c2937c64111872c))
* **effect:** introduce EffectScreen ([394ce7b](https://gitlab.com/kwinft/kwinft/commit/394ce7b2b131699a3d72a265ca18bf78a7e3968d))
* **effect:** introduce screenshot dbus interface version 2 ([527b1b3](https://gitlab.com/kwinft/kwinft/commit/527b1b3ec1c8c979b3968e5234be010f430c47b2))
* **effect:** make ghost windows in highlight effect be fully transparent ([82d1e11](https://gitlab.com/kwinft/kwinft/commit/82d1e11b2a4ebe1b1ef09c4219762107510b91c1))
* **effect:** show default indicator at module level ([6cc0cfa](https://gitlab.com/kwinft/kwinft/commit/6cc0cfacd459855ac6fd4c1886f64bd16f34dca7))
* **effect:** show Panels by default ([dd64a69](https://gitlab.com/kwinft/kwinft/commit/dd64a69f19d8c970e30f782f779ea968d8ad82c6))
* **hw:** remove hwcomposer backend ([8764fd3](https://gitlab.com/kwinft/kwinft/commit/8764fd337a1c3c9e018574b6c0031ccafd925566))
* **input:** handle keyboard events too in popup filter ([a2b011c](https://gitlab.com/kwinft/kwinft/commit/a2b011c4e00478ebb086365f31963aad1b9eae9f))
* add env var to omit respawning Wayland session ([80d3a5c](https://gitlab.com/kwinft/kwinft/commit/80d3a5c42c68c43a907d81c1af35b0442c4ea9ad))
* add support for wlr_layer_shell_unstable_v1 ([835779f](https://gitlab.com/kwinft/kwinft/commit/835779f977260491abb104ebf6599c614673b70e))
* highlight KCM KWin VirtualDesktop settings ([cafa5ea](https://gitlab.com/kwinft/kwinft/commit/cafa5ea342e698a7996f0a59687fbf84c25562ae))
* launch full KCM when editing from window menu ([66eb1de](https://gitlab.com/kwinft/kwinft/commit/66eb1de5f9b63fd5430491fe74fcda9f90915b12))
* present for different refresh rates ([f7b42ab](https://gitlab.com/kwinft/kwinft/commit/f7b42abef9a73d2bd8550861114a81f93ac81494))
* **hw:** paint per virtual output ([6e118b2](https://gitlab.com/kwinft/kwinft/commit/6e118b25e05dd81c1f6e8b22fdaefa5ee9817d5f))


### Bug Fixes

* change delete icon ([2b7daa0](https://gitlab.com/kwinft/kwinft/commit/2b7daa0c7cd69409e08ae31418891ae4468351bd))
* clip ListView ([0b42ea1](https://gitlab.com/kwinft/kwinft/commit/0b42ea11a1d637d9529eaed82816f00d13545bd5))
* enable apply button when typing desktop name ([f81d62a](https://gitlab.com/kwinft/kwinft/commit/f81d62a77831b969c9ce97943713d724e8d291ef))
* implement valueFromText in a spinbox ([c9fa1de](https://gitlab.com/kwinft/kwinft/commit/c9fa1de9ea2228664b692a6613eee6a0ba8a0ebe))
* make a bit more room for the decoration buttons ([35b310d](https://gitlab.com/kwinft/kwinft/commit/35b310d53ec9f5bcaf303e43e643aa60c56c0306))
* omit offering to remove the last desktop ([638c5b7](https://gitlab.com/kwinft/kwinft/commit/638c5b7ebfe7dbf50441fb28a5f0ef0154d2a94f))
* properly track synchronizing state ([e783386](https://gitlab.com/kwinft/kwinft/commit/e783386693768d727032dfc3b379b0288ab3d2e3))
* **deco:** support High DPI Aurorae decorations ([7b1deaa](https://gitlab.com/kwinft/kwinft/commit/7b1deaaa467687edd4bd5110f6788a0d95576884))
* **effect:** activate present window even if only one window is open ([ce1e61f](https://gitlab.com/kwinft/kwinft/commit/ce1e61ff74d92922d8cf4327e74a1196aa817543))
* **effect:** correct a typo ([6724941](https://gitlab.com/kwinft/kwinft/commit/67249410e532f29b45ad10605a96c835d1bd1019))
* **effect:** correct a typo ([84b5251](https://gitlab.com/kwinft/kwinft/commit/84b525164b7513989ac6171f1d5ebb7542fc9fef))
* **effect:** make scale and glide effect ignore lockscreen greeter ([17dba7f](https://gitlab.com/kwinft/kwinft/commit/17dba7f5469dc5609fc5b05a1f73defddedd8092))
* **effect:** make some animations less glitchy ([ab56569](https://gitlab.com/kwinft/kwinft/commit/ab56569ed77ed55caf93bdd71033a07b8f976a80))
* **effect:** properly copy previous geometry ([c741be2](https://gitlab.com/kwinft/kwinft/commit/c741be225c5df3a5e6b893791b33dc4964eecbd0))
* **input:** also track pressed ids for touch points != 0 ([d09c649](https://gitlab.com/kwinft/kwinft/commit/d09c6490ca09b7eba35beba55e382735698a12c4))
* activate/deactivate desktop effects ([42dc065](https://gitlab.com/kwinft/kwinft/commit/42dc0652056080b8467c6b52021c2f9b3cbace2e))
* add fallback timer for windows not syncing back initially ([851f3be](https://gitlab.com/kwinft/kwinft/commit/851f3be8255d6ece7936f1f3532fc6f670ede00b))
* add hint about ignore geometry ([104d603](https://gitlab.com/kwinft/kwinft/commit/104d60345f344797e17a756549a35253c883130d))
* add KCModuleData to show default indicator at module level ([b8e74fa](https://gitlab.com/kwinft/kwinft/commit/b8e74fa29414178b18402dccb07cc330617873e5))
* allow building helper on musl ([4299fcb](https://gitlab.com/kwinft/kwinft/commit/4299fcb21ef3918de9dce21bddedbf0269a502f4))
* always send a final synthetic configure event ([38a874d](https://gitlab.com/kwinft/kwinft/commit/38a874dbba876800ecc99993a158394f2165ed85))
* compare with same int type ([6c46241](https://gitlab.com/kwinft/kwinft/commit/6c462410fe11bf87879defeb04696ac4074e1c3d))
* correct disambiguation ([22c8886](https://gitlab.com/kwinft/kwinft/commit/22c8886858474d5edc072b73edbbc507005b0c82))
* create Wayland socket only once ([fb053b2](https://gitlab.com/kwinft/kwinft/commit/fb053b2b97519d338f4758143420fef4bd32eba8))
* disable compositor and delay compositor shutdown ([42e7082](https://gitlab.com/kwinft/kwinft/commit/42e7082e0f1ec2ea8f4e11b200c523c80972fd8e))
* do not update unmanagedWidgetDefaultState ([ab59b01](https://gitlab.com/kwinft/kwinft/commit/ab59b01e9c69ff990507a8cde0e85ea41b444f12))
* improve text for "keep above"/"keep below" buttons ([b238ffd](https://gitlab.com/kwinft/kwinft/commit/b238ffd7c2b759cd8b4e2e081522c60db69084bb))
* lower default severity of logging categories ([baf30cb](https://gitlab.com/kwinft/kwinft/commit/baf30cb15f1cfb81bc3147888edf38b62f240899))
* make KWinDisplay less chatty ([43780eb](https://gitlab.com/kwinft/kwinft/commit/43780ebca5b327a9daa717aa2af5e2e07bf07383))
* reset repaints per output ([09bae33](https://gitlab.com/kwinft/kwinft/commit/09bae33a524382d15150b66920adc0afe404dedb))
* return value in unused paint functions ([4f0f5a8](https://gitlab.com/kwinft/kwinft/commit/4f0f5a82cce4818113586217c23d1366b9b35a56))
* reuse Qt's implementation for non-Latin symbols in global shortcuts ([7dd445d](https://gitlab.com/kwinft/kwinft/commit/7dd445d332e61ab3966108aa6d7a8d40d6610015))
* update sidebar default indicator ([d24409e](https://gitlab.com/kwinft/kwinft/commit/d24409e1cf676c33d35581b0eb19c5b2d4ff2176))
* update values on text edit ([522bc4f](https://gitlab.com/kwinft/kwinft/commit/522bc4fc3f561b6fa69b88a0c9e3bb2da9b015bf))
* use clearer text for "Menu" decoration button ([fca9267](https://gitlab.com/kwinft/kwinft/commit/fca9267f180d3e60ecde0f085243a3e14fc611af))
* **effect:** allow wobbly windows model and real geometries get out of sync ([6edfea7](https://gitlab.com/kwinft/kwinft/commit/6edfea7683246fb2742762fac27fbf2fa2a830fc))
* **effect:** properly reset present times in coverswitch and flipswitch effects ([abe22c8](https://gitlab.com/kwinft/kwinft/commit/abe22c8cab62ffacdf690eb23b2707fc7f092da8))
* **hw:** indicate missing swap events ([5ff558e](https://gitlab.com/kwinft/kwinft/commit/5ff558ed7543a276937ebdfbf3b622da537051e5))
* **hw:** initialize buffer age in nested X11 backend ([6842adc](https://gitlab.com/kwinft/kwinft/commit/6842adc218ce37d0a5140240c2bb8c4997a2b226))
* **hw:** make context current on cleanup of intermediate framebuffer ([17564c7](https://gitlab.com/kwinft/kwinft/commit/17564c74b29dc8001869bd9847dee2fa691e8c14))
* **hw:** omit buffer age usage when hardware does not transform ([4683b71](https://gitlab.com/kwinft/kwinft/commit/4683b71d8e54e20f551eff793babfcface0cea94))
* **scene:** repaint output for all relevant window repaints ([945dda6](https://gitlab.com/kwinft/kwinft/commit/945dda6b200984211a6bff799a32e29474652a14))
* **scene:** reset repaint output in paint function ([0b475a5](https://gitlab.com/kwinft/kwinft/commit/0b475a552c41020fd3e34ee2e338987d24fa7174))
* **script:** restore script DBus API ([4d9de93](https://gitlab.com/kwinft/kwinft/commit/4d9de935c1b5527c2b15dcc2f34bdf1045c00797))
* destroy compositor before destroying backend ([96ddd18](https://gitlab.com/kwinft/kwinft/commit/96ddd181dfec3d24c5f4ba838a3d1284678c6ab1))
* move platform shutdown to later in the process ([768a49c](https://gitlab.com/kwinft/kwinft/commit/768a49c990d3f52903b2c4f7738dbab473066343))
* omit trying to minimize transient children without control ([ce7100e](https://gitlab.com/kwinft/kwinft/commit/ce7100ed0fc92b3b99392646515c6564e29e0639))
* prolong sync fallback time ([4f8334c](https://gitlab.com/kwinft/kwinft/commit/4f8334c5184bfcaab395188b4dfdecd4e7669ffd))
* stop extra input events from causing shutdown issues ([d394bcd](https://gitlab.com/kwinft/kwinft/commit/d394bcd74d3ec267fe67123f47006fcd3f8dbf08))
* unset pseudo-max restore geometries on taking control ([2434b6a](https://gitlab.com/kwinft/kwinft/commit/2434b6ab9857a433baa115838ba0427019fde6cc))
* update deco size when setting no-border ([e51bcf1](https://gitlab.com/kwinft/kwinft/commit/e51bcf1b3324d9797970e9f5f87b143a722054bf))
* update view geometry with high precision ([7572ab2](https://gitlab.com/kwinft/kwinft/commit/7572ab2d4a408477fa88100d6b778d39d6bd2c7b))
* **input:** connect directly to deco geometry changes ([87c4b9d](https://gitlab.com/kwinft/kwinft/commit/87c4b9d9f352463db1c00a4a95c8e36629752a1c))


### Refactors

* do not compare values if we know they already changed ([b4670f9](https://gitlab.com/kwinft/kwinft/commit/b4670f9f0823e4bb2b5e15db92fbde9c69600118))
* unify the code that turns StrutAreas into QRegion ([0749071](https://gitlab.com/kwinft/kwinft/commit/07490713be5a891e129488a9c1066342fd7bccca))
* **effect:** remove outdated ksplash window class strings ([bad0c28](https://gitlab.com/kwinft/kwinft/commit/bad0c28767e2e78afe38919bd13cbd62a9b88746))
* **effect:** remove redundant slide code ([d387118](https://gitlab.com/kwinft/kwinft/commit/d3871188861d5d4d4fd5690792920fe80796061f))
* **effect:** rewrite fade effect using ES6 features ([787e19b](https://gitlab.com/kwinft/kwinft/commit/787e19bf173c73fd83c1856ce1b721d321e7944a))
* **effect:** rewrite maximize effect using ES6 features ([e79af34](https://gitlab.com/kwinft/kwinft/commit/e79af342b3861feb14e59dcafa78aea11043b058))
* **effect:** rewrite scale effect using ES6 features ([99917bf](https://gitlab.com/kwinft/kwinft/commit/99917bf6a47534891354f4a197f2219e1add87e6))
* **effect:** rewrite the effect using ES6 features ([ae7e947](https://gitlab.com/kwinft/kwinft/commit/ae7e947e30aad3b706ec922c40e43dc4f6e0b915))
* adapt to Wrapland xdg-shell API changes ([cebf43d](https://gitlab.com/kwinft/kwinft/commit/cebf43de51988acab12e8dc70a5464139f090813))
* always signal output addition and removal ([cc1900b](https://gitlab.com/kwinft/kwinft/commit/cc1900bc8dc64ada5f506d075793bab6f2dfc5aa))
* call again into repaint functions ([1ffdb6c](https://gitlab.com/kwinft/kwinft/commit/1ffdb6c49c01a476244735daf46c007e3208cb07))
* call again into single repaint function ([cfc2e3d](https://gitlab.com/kwinft/kwinft/commit/cfc2e3ddce8805ce1a3b01f3387ceab185ad9253))
* create session interface class ([86c2792](https://gitlab.com/kwinft/kwinft/commit/86c279257bbc282939baa57f3fa781d33940bbda))
* follow kwindoweffects::windowSizes deprecation ([544d741](https://gitlab.com/kwinft/kwinft/commit/544d74116c33f477f3a57c3715aaf27e710759d1))
* improve GlobalShortcuts code ([8777a5a](https://gitlab.com/kwinft/kwinft/commit/8777a5aca15d9179d74d57100e20b93dab5b08d1))
* make buffer for screen function pure virtual ([1345bd2](https://gitlab.com/kwinft/kwinft/commit/1345bd27eca28c3b79063659b4acebd631925b2b))
* make logind integration non-global ([fed8135](https://gitlab.com/kwinft/kwinft/commit/fed8135a19a2071c247242828a3e9221b4ee0df9))
* make perform composition function pure virtual ([9555094](https://gitlab.com/kwinft/kwinft/commit/955509432fd6552a1186d2936d5be2c44a03732b))
* move OpenGL safepoint creation to X11 compositor ([ef3598a](https://gitlab.com/kwinft/kwinft/commit/ef3598a6a17411d3071c51ce9ec46e97bafd6fcd))
* move OpenGL safepoint definition to kwinglobals ([bf5ad8a](https://gitlab.com/kwinft/kwinft/commit/bf5ad8aba20f718c98144be080c9d10060aa6145))
* only delete entries once changes are applied ([58c843a](https://gitlab.com/kwinft/kwinft/commit/58c843a64708fae920c717a6e00d28169b6b8d25))
* paint all outputs in separate function ([910e6d1](https://gitlab.com/kwinft/kwinft/commit/910e6d15c0febd4a320f5f2e5871c93a44522c6c))
* paint per output in separate function ([f977e25](https://gitlab.com/kwinft/kwinft/commit/f977e2519be3ccd41badb15dae6de705a52797cc))
* paint referencing output objects ([b009d13](https://gitlab.com/kwinft/kwinft/commit/b009d136aa5fc685741b05bb3a25be8b137e8efd))
* port away from KPluginTrader ([49fe45a](https://gitlab.com/kwinft/kwinft/commit/49fe45a54e181fdc77914175bc9cb6830c4c1a4c))
* port away from Q_ENUMS to Q_ENUM ([c025c51](https://gitlab.com/kwinft/kwinft/commit/c025c5117481cbb04d3cf0f4bea8468a1e887a87))
* port deprecated KNewStuff signals ([0aa6b28](https://gitlab.com/kwinft/kwinft/commit/0aa6b283e22f7c7fb23ed685eb18c2dae87f7ca4))
* port kwin from Plasma Components2 ([f848eaf](https://gitlab.com/kwinft/kwinft/commit/f848eafda2db4e34ffcafd5f23a589a07e2767ea))
* port kwindecoration KCM to KNS QML components ([5cd2163](https://gitlab.com/kwinft/kwinft/commit/5cd2163f185e02925eb88f6308372949fad6c041))
* port kwineffects KCM to KNS QML components ([7cddcb8](https://gitlab.com/kwinft/kwinft/commit/7cddcb801ca225e3df4d1f2868f52613dbca7712))
* port kwintabbox KCM away from KNS3::DownloadDialog ([c9ac486](https://gitlab.com/kwinft/kwinft/commit/c9ac48614a98e8db2e28cbd5aceef94d6f7b9b92))
* present QPainter per output ([7f6ec1a](https://gitlab.com/kwinft/kwinft/commit/7f6ec1a3f7b16a3a1bf853d18b806b05ec3145fa))
* relocate and rename logind integration ([6a12e2f](https://gitlab.com/kwinft/kwinft/commit/6a12e2fcf7353f13e01bef83e1eebe58d8ec7974))
* remove buffer swap completion signal ([e30871c](https://gitlab.com/kwinft/kwinft/commit/e30871caa6c78ae05c4db480a27a592bdf721c79))
* remove KCModuleDataSignaling ([fd3346e](https://gitlab.com/kwinft/kwinft/commit/fd3346e025552c23c5a86a837fac34f2dcfd85a8))
* remove unused argument ([ea053e3](https://gitlab.com/kwinft/kwinft/commit/ea053e314630d3b0cf44d2344cf1a0ffe13b5b60))
* remove unused include ([f5ffe2b](https://gitlab.com/kwinft/kwinft/commit/f5ffe2b0a10830f25ca72bf6b1257fa17c30cff1))
* remove virtual keyboard logging category ([c870153](https://gitlab.com/kwinft/kwinft/commit/c8701538a1e9b48596cbca57622768929c9546a0))
* swap position valid return value logic ([5062b64](https://gitlab.com/kwinft/kwinft/commit/5062b64d76b24ccedc7fd61eb6ec6109227846b6))
* unify windows properties methods in KCM class ([ae3a926](https://gitlab.com/kwinft/kwinft/commit/ae3a92680b26229ea1165cd3ab1dda3f0df3bc81))
* **effect:** improve wobblywindows update loop ([2929871](https://gitlab.com/kwinft/kwinft/commit/29298711499d0fccd6f2ee6224853d3fae2e0e3f))
* **effect:** prepare for versioned dbus interface ([05ec710](https://gitlab.com/kwinft/kwinft/commit/05ec710003453320217a947de75ff71c9b5b74af))
* **effect:** re-implement highlight window as AnimationEffect ([1fd47f3](https://gitlab.com/kwinft/kwinft/commit/1fd47f3fb07764d7427c7800228f8827eddd335a))
* **hw:** allow only per-screen QPainter rendering ([11d6632](https://gitlab.com/kwinft/kwinft/commit/11d6632dbc4e888abd73f5a96de00ef774b8e7ae))
* **hw:** query buffer age after present return ([54db8f7](https://gitlab.com/kwinft/kwinft/commit/54db8f7c287fb75523ec46474bb5c0cb89fa4026))
* **hw:** rearrange buffer age checks for repaints ([c9989b4](https://gitlab.com/kwinft/kwinft/commit/c9989b48a53a176a2d696570db5e20c5d899c7fc))
* **hw:** remove per screen rendering function ([2e04ae2](https://gitlab.com/kwinft/kwinft/commit/2e04ae20e0e2c46bee7b9f7f9d9d5ed581b8cac7))
* **hw:** remove QPainter overlay functions ([49dd2f0](https://gitlab.com/kwinft/kwinft/commit/49dd2f06bde3295df49cfb0e6ee76d889703e2f1))
* **scene:** get leads from separate function ([590ac52](https://gitlab.com/kwinft/kwinft/commit/590ac52a10a5edf293d634a7df318792cc014704))
* **scene:** split up function to perform composition ([da6668f](https://gitlab.com/kwinft/kwinft/commit/da6668fb92073c69af0db1ed82a78c78b1b3ec49))
* **script:** port Script to QJSEngine ([f1753be](https://gitlab.com/kwinft/kwinft/commit/f1753be33bb70d5044d5b038ad0b68836fdf1d1c))
* **script:** port ScriptedEffects to QJSEngine ([787ad60](https://gitlab.com/kwinft/kwinft/commit/787ad6047df7a1a9a435387cc0228a3d86099e03))

## [5.21.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.21.0-beta.0...kwinft@5.21.0) (2021-02-16)


### Bug Fixes

* add fallback timer for windows not syncing back initially ([c3bc90f](https://gitlab.com/kwinft/kwinft/commit/c3bc90faa6d4743e968b2b8d8c135d355103631c))
* always send a final synthetic configure event ([2db9783](https://gitlab.com/kwinft/kwinft/commit/2db97833e7978cb5ac34775b1306b8d6896cd182))
* create Wayland socket only once ([4d6f3f9](https://gitlab.com/kwinft/kwinft/commit/4d6f3f9e6f218e4506b151484e64dc7508be78ca))
* omit trying to minimize transient children without control ([a02b80f](https://gitlab.com/kwinft/kwinft/commit/a02b80f1ab9c7f07c44635c014adb61319de1205))
* prolong sync fallback time ([42a369a](https://gitlab.com/kwinft/kwinft/commit/42a369a37cd6211955852518f179eeab92bf7acb))
* update deco size when setting no-border ([6bab966](https://gitlab.com/kwinft/kwinft/commit/6bab966e75d02affc394d9ebab7b28eab0d91faa))
* **input:** connect directly to deco geometry changes ([622a084](https://gitlab.com/kwinft/kwinft/commit/622a08435e1968802a9330f5d22bc8a04517d5ce))
* unset pseudo-max restore geometries on taking control ([861a612](https://gitlab.com/kwinft/kwinft/commit/861a6123c1becfb681f8793308f2a03812902ac1))

## [5.21.0-beta.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.20.0-beta.0...kwinft@5.21.0-beta.0) (2021-02-07)


### Features

* add audio pause mapping in xkb_qt_mapping ([f160ea8](https://gitlab.com/kwinft/kwinft/commit/f160ea80013e79028e14bf60e7921f5387addfe0))
* add option to enable XWayland debug ([5d128e2](https://gitlab.com/kwinft/kwinft/commit/5d128e289e1ee7b9c24c8890bcb5a0807f99af59))
* allow Short Name override ([55add26](https://gitlab.com/kwinft/kwinft/commit/55add264c4bc40de03f4c8271f1a8fc229e699a6))
* highlight effects that are not in default state ([73ff4ce](https://gitlab.com/kwinft/kwinft/commit/73ff4cec8653dcd61dd0fa7d30825368e312b67f))
* **effect:** add an animation curve to maximize and fullscreen ([50c2945](https://gitlab.com/kwinft/kwinft/commit/50c2945e9244b565801f6edc67cb69c3ca5a1ddc))
* add Wayland wrapper binary ([35b6351](https://gitlab.com/kwinft/kwinft/commit/35b63517e4bcb3a00165829b3f4749d468ef69a7))
* apply Initially as default value of new Rules Properties ([f9b70b2](https://gitlab.com/kwinft/kwinft/commit/f9b70b2c76ec559031e7f82fa4bb529a50c7c548))
* define annexed transient children ([1012828](https://gitlab.com/kwinft/kwinft/commit/1012828d748b50401566ca1c162e7a8680d1340c))
* expose keyboard layout Short Name via DBus ([1a21f2c](https://gitlab.com/kwinft/kwinft/commit/1a21f2cb924f4aa747a0ba5e37dbcec0b9cafe79))
* expose switchToNextLayout() method in Keyboard Layout DBus API ([5c24363](https://gitlab.com/kwinft/kwinft/commit/5c24363afc61c1ac56d4ff0059757ae78758eda2))
* implement KCModuleData in Scripts KCM ([f034f77](https://gitlab.com/kwinft/kwinft/commit/f034f774a1eddf8f7dc96f9019be1e89c5dad4c0))
* **effect:** allow configuring click behavior in Desktop Grid ([287e7da](https://gitlab.com/kwinft/kwinft/commit/287e7da4bc21039e4580c5670cc1311826251eeb))
* improve Detect Properties button ([7ade2c8](https://gitlab.com/kwinft/kwinft/commit/7ade2c8d5e9bb6dc50d8e8f55a1c258f95341688))
* remove shading windows ([3c51411](https://gitlab.com/kwinft/kwinft/commit/3c514111ff436107b6c16b141e0ee7fe47c29ad8))
* simplify border selection ([6b9cf77](https://gitlab.com/kwinft/kwinft/commit/6b9cf772b9ba81a43b2a9c548925b4706c5c54a3))
* **deco:** use Header KColorScheme role instead of obsolete WM group in kdeglobals ([831d7d3](https://gitlab.com/kwinft/kwinft/commit/831d7d3ceeaaf6a555612267720ed77c1ac650bd))
* **effect:** add a setting to change the animation curve ([897180c](https://gitlab.com/kwinft/kwinft/commit/897180ccd1d705dcbbece5964d6cb0e4bfd2090d))
* **effect:** add screenshotScreens to screenshot specific screens ([d16aa5e](https://gitlab.com/kwinft/kwinft/commit/d16aa5e45f9bd9bf8459bc532aae34a8ec01df3a))
* **effect:** raise blur strenght ([3312792](https://gitlab.com/kwinft/kwinft/commit/33127920e7888444ed20a20b0aea31b1d0096217))
* **hw:** add variable to align outputs horizontal ([d9f1e13](https://gitlab.com/kwinft/kwinft/commit/d9f1e135271d083ffd04e6107b82ccf23c9e4f21))
* **scene:** composite to maximal refresh rate ([1e57edb](https://gitlab.com/kwinft/kwinft/commit/1e57edbf6f2fa75d924853d16d8c99f5d6413676))


### Bug Fixes

* **input:** create config watcher in ctor ([26eb02c](https://gitlab.com/kwinft/kwinft/commit/26eb02c4a5b3d9cd1bc44f03790c3f8e8968a96a))
* add a Duplicate action to rules list ([8ec7ca8](https://gitlab.com/kwinft/kwinft/commit/8ec7ca8dff680171115c6263a93d78585c470b9c))
* add an explicit quit mechanism controlled by plasma ([9e764a7](https://gitlab.com/kwinft/kwinft/commit/9e764a7e7c51e0702caad9ecffa5c90f3eb8a17b))
* allow negative numbers in position ([01ccf74](https://gitlab.com/kwinft/kwinft/commit/01ccf74610ba7acc1dd213eb5a4cfcb6bf5b2f10))
* always update border size for thumbnails ([5678099](https://gitlab.com/kwinft/kwinft/commit/5678099f5a0d3354c47966baa6e2ef0f3995906d))
* avoid race on keyboard layout registering ([d1806ea](https://gitlab.com/kwinft/kwinft/commit/d1806ea6299652f861cfbcb7240a2d1ce1132f09))
* cancel on nullptr window select ([8b417a8](https://gitlab.com/kwinft/kwinft/commit/8b417a8b33aa7dc43ba24ca5dbc0fa965f5019c9))
* check for client may having closed itself ([bd38a4b](https://gitlab.com/kwinft/kwinft/commit/bd38a4b7a6ba99a0f380e133e176c2b646e8e3c8))
* check for nullptr ([0b1f71d](https://gitlab.com/kwinft/kwinft/commit/0b1f71dd0af743ca0db647eb837cbec87f2d6829))
* close otherwise leaking file descriptor ([81faec4](https://gitlab.com/kwinft/kwinft/commit/81faec44e3b819a6a076b4e168d6f84ccbed7b54))
* configure on no-change maximize requests ([e66a2c2](https://gitlab.com/kwinft/kwinft/commit/e66a2c2a551be13ffcf0778a9a28682911a8c34b))
* correct binding loop on coordinate editor ([3c7eebe](https://gitlab.com/kwinft/kwinft/commit/3c7eebe1824f5e60dd90fbd689535c993a4d5ab3))
* correct magiclamp effect direction ([8e4bf4d](https://gitlab.com/kwinft/kwinft/commit/8e4bf4d456256fbd2af167d8a45c1d9aaa5beb16))
* correct the surface id ([c487f0a](https://gitlab.com/kwinft/kwinft/commit/c487f0a643f106801abdbe426dcd162327ea1814))
* detect softpipe and llvmpipe on Mesa 20.2+ ([35d5824](https://gitlab.com/kwinft/kwinft/commit/35d582480fed519d95276e35a3dfa197fc31f861))
* disable bouncy cursor effect during ksplash ([0344752](https://gitlab.com/kwinft/kwinft/commit/0344752d390ee5cf47ef9264ea5cc6dcdaf30b5d))
* disable debug log messages for KWIN_UTILS by default ([ce30e63](https://gitlab.com/kwinft/kwinft/commit/ce30e637010530da458fee172e6cfe4e28b01c54))
* disable left touch edge by default ([e18fa95](https://gitlab.com/kwinft/kwinft/commit/e18fa950e2eaf6dfb776529858c42cd53d3dfa52))
* do not detach QVector ([56c3462](https://gitlab.com/kwinft/kwinft/commit/56c34622cad75e47452d7e6e6c4e26dd09b2c4ee))
* do not force suggested property values ([31d54a5](https://gitlab.com/kwinft/kwinft/commit/31d54a522fa3ab6ca9503611ba0762f2faa04d4f))
* do not use Implicit QML function call ([28b6359](https://gitlab.com/kwinft/kwinft/commit/28b635930f23ab45e8828b31936ec67c7a51771e))
* don't expect authorization for interactive screenshots ([e0492f1](https://gitlab.com/kwinft/kwinft/commit/e0492f1100c08f669a80bfdd99600821f538bd88))
* emit DBus signal for Keyboard Layout applet on every layout change ([532abe4](https://gitlab.com/kwinft/kwinft/commit/532abe4234d503d8c30082dc7392f56f10b70106))
* find unmanaged windows correctly ([6617bd3](https://gitlab.com/kwinft/kwinft/commit/6617bd3f483c4aa1bfafa8ff267b0bd3bdc5df47))
* handle OperationsOp as a noop ([6cedddd](https://gitlab.com/kwinft/kwinft/commit/6cedddd2b15c357b0699573bd3caa46bad891537))
* implement KCModuleData to highlight default at module level ([549c098](https://gitlab.com/kwinft/kwinft/commit/549c0988e393cd9c42ae46d23be33886e62cb508))
* improve detection of Radeon GPUs ([245895e](https://gitlab.com/kwinft/kwinft/commit/245895e0c0194c9d6c990355e1dd409ad64b6cb9))
* include <fcntl.h> for open() ([baf2b1e](https://gitlab.com/kwinft/kwinft/commit/baf2b1e0de62e8de7d2caed22df3618518cbf85a))
* initialize members in constructor ([2628da8](https://gitlab.com/kwinft/kwinft/commit/2628da880ee9a64677761d884d930bb18123fa42))
* limit hightlight scrolling duration ([a09d383](https://gitlab.com/kwinft/kwinft/commit/a09d3834d0f9401dd9b8a9edc1f87444af392f75))
* make KeyboardLayoutTest pass with updated DBus API ([5c35368](https://gitlab.com/kwinft/kwinft/commit/5c35368f67ec62c782ed4a5f33acb1257dfd5307))
* omit showing keyboard layout OSD on switching between windows ([c546c5e](https://gitlab.com/kwinft/kwinft/commit/c546c5e791d91a70f9feb63488908324d0b133c0))
* properly check if a vector is empty ([578996f](https://gitlab.com/kwinft/kwinft/commit/578996fa97f3ac4ce5e95a9c7f43e36ea1f5a11e))
* register unique service name when wayland keyboard interface is in use ([991f13c](https://gitlab.com/kwinft/kwinft/commit/991f13cbf73b9ee06d0c938f9230b711ac270026))
* replace uint with unsigned int ([0a10072](https://gitlab.com/kwinft/kwinft/commit/0a1007253e2125fc345ebbb364cb0aa9910c3c6f))
* restore default key repeat mode ([ecf1dfb](https://gitlab.com/kwinft/kwinft/commit/ecf1dfbf35a2e21efa8755ad9d9f8da97277f975))
* **deco:** make direct connection to maximizedChanged signal ([2d8d3aa](https://gitlab.com/kwinft/kwinft/commit/2d8d3aac175b16432df43f7d90b626bc6aa670e7))
* **effect:** correct KWIN_EFFECT_FACTORY macros ([62467f8](https://gitlab.com/kwinft/kwinft/commit/62467f89112fcca6cbf15be2cd2c8cd3d3efbe96))
* **effect:** lookup ComparableQPoint keys in QMap ([c250bea](https://gitlab.com/kwinft/kwinft/commit/c250beaa0b33065f7ae337707a7316e639084450))
* **effect:** schedule a lookingglass repaint when window is damaged ([2532506](https://gitlab.com/kwinft/kwinft/commit/2532506ad1b0a2fcaa8cc8998702c0696fe1f145))
* **effect:** schedule a magnifier repaint when window is damaged ([efdd2f6](https://gitlab.com/kwinft/kwinft/commit/efdd2f640a882cd315d63664b1555121b2ff4d55))
* **effect:** schedule a zoomrepaint when window is damaged ([07aef73](https://gitlab.com/kwinft/kwinft/commit/07aef73f772c37217ef5fcc826c43a4e1e6e1777))
* reload key-repeat settings when kcminputrc changes ([b1fd772](https://gitlab.com/kwinft/kwinft/commit/b1fd7725a005d1272ac4276b42fe46bc32e9da14))
* remove confusing debug message ([7319e05](https://gitlab.com/kwinft/kwinft/commit/7319e059768e08b2350eed9885a02b0e79494952))
* reply a meaningful dBus error when detecting unmanaged windows ([0d0fdd7](https://gitlab.com/kwinft/kwinft/commit/0d0fdd74ca849c925ceb4b1ca4ac52ef060a8463))
* show error when detected window is unmanaged ([7e6d571](https://gitlab.com/kwinft/kwinft/commit/7e6d57158f6a5883f4f0a322db2a85c522483def))
* show no flag if Display Name is set ([f4d4461](https://gitlab.com/kwinft/kwinft/commit/f4d446136b3081e56e664920ef6a2404f242b3b9))
* store variants in own config entry ([ae63218](https://gitlab.com/kwinft/kwinft/commit/ae63218f94e17673959d6b0d4bcfb9ebfed9ae81))
* update thumbnail border size on theme change ([8e0f711](https://gitlab.com/kwinft/kwinft/commit/8e0f71179293297faff9fa1adab70fc40b6e02b8))
* use generic wording for apps which can remember their settings ([796de47](https://gitlab.com/kwinft/kwinft/commit/796de474475324d40c4ababa9a35d443aa07d51a))
* use KCModuleData ([f5b27b9](https://gitlab.com/kwinft/kwinft/commit/f5b27b95eb3c69b83780feaddecf589df371ff2d))
* use new Connections syntax ([dae6496](https://gitlab.com/kwinft/kwinft/commit/dae6496f1594afb15131392fef9833714bd9f11e))
* use untranslated name for Night Color global shortcut ([435e0e2](https://gitlab.com/kwinft/kwinft/commit/435e0e23b9dbdac597f63e428e5f0da9c4ad3bb2))
* **effect:** screenshot correctly on GLES ([1633aa6](https://gitlab.com/kwinft/kwinft/commit/1633aa685089a0f96cc5ff0154693f63ee14e6ed))
* adapt restore geometry on screen change ([94e78de](https://gitlab.com/kwinft/kwinft/commit/94e78ded618327c607492ff0ddb98e860e9d7209))
* always omit placing when initially maximized or fullscreen ([729c463](https://gitlab.com/kwinft/kwinft/commit/729c463fee944fe8b00a0ac1c6ef22c7888fbee5))
* change client leader group for group clients ([31e56d8](https://gitlab.com/kwinft/kwinft/commit/31e56d82027b9701f98b829826aa26c695c82938))
* check modal window control on tabbox addition ([6ecb7d0](https://gitlab.com/kwinft/kwinft/commit/6ecb7d094305fa3883b98b8aec136f6dcc6ee3c6))
* clear const / non-const iterator mismatch ([3881f99](https://gitlab.com/kwinft/kwinft/commit/3881f99846d82db38bfec5f78fb8be8ec20235d3))
* compare with same signedness ([4b23900](https://gitlab.com/kwinft/kwinft/commit/4b2390055d36f1e8012144805cda599d8688596b))
* correctly invalidate cached x stacking order in wayland only mode ([7b91350](https://gitlab.com/kwinft/kwinft/commit/7b91350b0b268b1159beb589d5600f9ca3ea33cc))
* create Deleted control ([0dd4a62](https://gitlab.com/kwinft/kwinft/commit/0dd4a625fe2f90ef6506e56058d935f3de0fee4e))
* determine indirect transient followers ([26d1344](https://gitlab.com/kwinft/kwinft/commit/26d13447b577f697420bd44a9f481bf33c60f4b7))
* enable sync extension for current Xwayland master ([b4c5757](https://gitlab.com/kwinft/kwinft/commit/b4c5757f0b570f26996b2fdc6afdd0ffc1600c13))
* include geometrytip header ([45f4803](https://gitlab.com/kwinft/kwinft/commit/45f4803a3998afde3ddeb215845f51120c212be1))
* initialize session state variable ([f445663](https://gitlab.com/kwinft/kwinft/commit/f4456638cb7d2ad1fb7afcbe3f184f53cebb8b87))
* inline static header functions ([203ac0a](https://gitlab.com/kwinft/kwinft/commit/203ac0a97dcfc47e8fe35996d37f8efc6174a7c2))
* limit syncless resize updates ([ae28abe](https://gitlab.com/kwinft/kwinft/commit/ae28abe6491b59e2a220a52011e1c51fedf92001))
* log remnant's address ([e4adf58](https://gitlab.com/kwinft/kwinft/commit/e4adf58692afe2b96a0ca41da257cdc5c6be3260))
* make removal of X11 event filters safe ([a7a0d51](https://gitlab.com/kwinft/kwinft/commit/a7a0d51e7a34bbb63363d48c537f7b38ed45cef3))
* manage default Highlight indicator when not handled by KCModule ([2ba093f](https://gitlab.com/kwinft/kwinft/commit/2ba093f4d7fb2ecc2e4718d994b9a53094c3e7df))
* mark as resizable depending on fullscreen update ([5b391f0](https://gitlab.com/kwinft/kwinft/commit/5b391f0e599e0fdb847748bd2a6e1d974de2541a))
* only raise leads with control ([b7c3520](https://gitlab.com/kwinft/kwinft/commit/b7c35205227680a2e7153ed5b5ca0ac19877c01d))
* order screens correctly in screenshotScreens ([9af9f61](https://gitlab.com/kwinft/kwinft/commit/9af9f6112da0a8dfe413ae0a5c4fd7b04baaef1f))
* overload negation operator for flags ([2bf872f](https://gitlab.com/kwinft/kwinft/commit/2bf872f64d9b3cc59cea23a3fbb76d8ba1f1b39e))
* place internal osd windows according to placement policies ([4eb210f](https://gitlab.com/kwinft/kwinft/commit/4eb210f4bd56d3c53dd0c4f92da2b39818b40a15))
* properly test internal window flags ([2a021ce](https://gitlab.com/kwinft/kwinft/commit/2a021cef37cc049579ab34d6597a2e4e01606600))
* provide blocking compositing override ([a56f66b](https://gitlab.com/kwinft/kwinft/commit/a56f66ba6400971fef935f7bb5c1e5c40f581b75))
* register Toplevel as Qt meta type ([34de314](https://gitlab.com/kwinft/kwinft/commit/34de3141e624fbff7548d1b744b897807efa7c53))
* remove compile warnings ([0d44711](https://gitlab.com/kwinft/kwinft/commit/0d44711fef3519a5810afc24f2dcb07ff3904f83))
* remove unused variables ([6d883ab](https://gitlab.com/kwinft/kwinft/commit/6d883abd64cc29e37aec60b015ca462ef956eddc))
* reset shape region on update ([ac06c9b](https://gitlab.com/kwinft/kwinft/commit/ac06c9b5749054b5e37bddde3135631cdb8437e8))
* set rules KCM localization domain ([822e700](https://gitlab.com/kwinft/kwinft/commit/822e7004544e9d463d91d45c7e215db0376cd32b))
* show OSD when switching keyboard layout with Application Policy ([fcb92e4](https://gitlab.com/kwinft/kwinft/commit/fcb92e4f1a6c70cde86eeb518a591c7d6f9af238))
* update matrix on dmabuf texture initialization ([cc45179](https://gitlab.com/kwinft/kwinft/commit/cc4517916d85f8055b134562d732ce28e7aa360a))
* **deco:** use background color palette for frame ([923fb1c](https://gitlab.com/kwinft/kwinft/commit/923fb1c240cedea56f6f8e7fbc434779d720b64f))
* **script:** add Wayland windows to client model ([37bc121](https://gitlab.com/kwinft/kwinft/commit/37bc121162fe6e8ea0436cfcedd9139926e5e861))
* remember fullscreen restore geometry on move ([9d197ff](https://gitlab.com/kwinft/kwinft/commit/9d197ffe1e3ee0dd8a50e989246939320e5a3951))
* restore geometry on move-resize ([66412fb](https://gitlab.com/kwinft/kwinft/commit/66412fb7491ceb1c79b8214b24205c68352425fe))
* set restore geometry when invalid on fullscreen ([ec6de41](https://gitlab.com/kwinft/kwinft/commit/ec6de411d11c46f2eb3fad18e83013173015aded))
* show correct keyboard layout OSD on policy change ([cac8ada](https://gitlab.com/kwinft/kwinft/commit/cac8ada95e5b4334779b5fe3fd1e53c484f52be3))
* suppress redundant keyboard layout OSD notification ([1d17365](https://gitlab.com/kwinft/kwinft/commit/1d17365efbb0c013756a155d5f953b54594c688c))
* unset restore geometry on ending move ([e209a1a](https://gitlab.com/kwinft/kwinft/commit/e209a1a4ed76348587a0e76fb7a8d6a361ac3f1a))
* use better window placement heuristics for internal clients ([c40c6b3](https://gitlab.com/kwinft/kwinft/commit/c40c6b372098a796918cc5d15b1ef3a12c707178))
* use right windowDamaged() signal in ThumbnailItem ([6c8be9f](https://gitlab.com/kwinft/kwinft/commit/6c8be9f7c25fde160531a3d295519dd2d036f234))
* **deco:** add rectangle to menu show request ([e110a5d](https://gitlab.com/kwinft/kwinft/commit/e110a5db7eb56a41cdd9cb32d45b75124cb161fc))
* **effect:** expand geometry to annexed transients ([4a75bfe](https://gitlab.com/kwinft/kwinft/commit/4a75bfef6b684f89fb20c0de67f6b62a44335384))
* **input:** handle empty input regions correctly ([a1dcd38](https://gitlab.com/kwinft/kwinft/commit/a1dcd38b66d73e7e0dd1dd6f257624f02a2f36bf))
* **scene:** create shadow only when effect-window exists ([314f12f](https://gitlab.com/kwinft/kwinft/commit/314f12f6ac5c58f9aaae0b0d0f3de2d7e2cbde72))
* **scene:** move class member variable declarations ([73df5b8](https://gitlab.com/kwinft/kwinft/commit/73df5b8077c865475e151dbc5e4de0b9d2df785c))
* **scene:** paint subsurface quads ([dce810f](https://gitlab.com/kwinft/kwinft/commit/dce810fd4c87fd9c4180339fd5cd2983d5976866))
* **scene:** position subsurface relative to parent ([4fa9b27](https://gitlab.com/kwinft/kwinft/commit/4fa9b27e5395d0816956459e11f04fe28a7d80f8))
* **scene:** use std vector for nodes generation ([e780b8a](https://gitlab.com/kwinft/kwinft/commit/e780b8a19944589105cf47e875f3e46bcba3f1d0))
* **script:** connect signals with window wrapper ([40d56cf](https://gitlab.com/kwinft/kwinft/commit/40d56cfd4b52ec885986d2bf85d4d25982920909))
* **script:** populate model with wrapped windows ([e85541b](https://gitlab.com/kwinft/kwinft/commit/e85541bc66946feb1bdcaa8976bc890307c367cc))
* **script:** register WindowWrapper to QML engine ([5d82491](https://gitlab.com/kwinft/kwinft/commit/5d824910d79a9623fdfd941267f687ab2977ac35))
* **space:** send only children with control to other screen ([342633a](https://gitlab.com/kwinft/kwinft/commit/342633aae04354e0191141f80e0d23709e1d7079))


### Refactors

* add config module information to builtin effects ([5e671f3](https://gitlab.com/kwinft/kwinft/commit/5e671f3031828d277d4873ce3b9f011574fdefe2))
* add config module role to effectsmodel and use it to open config ([70d2d9c](https://gitlab.com/kwinft/kwinft/commit/70d2d9c6072fa2df35c7ce112dc8d3b349431691))
* add decoration KCM module data ([7719ed9](https://gitlab.com/kwinft/kwinft/commit/7719ed9db054a8106a06a8e941640605bb202d94))
* add geometry transform functions ([608ebe3](https://gitlab.com/kwinft/kwinft/commit/608ebe35537a94b533d998fdebac6a00205c9008))
* add missing includes ([d3f5b25](https://gitlab.com/kwinft/kwinft/commit/d3f5b2566064265b93a452a1caba4f710bf113b1))
* add properties to a rule one-by-one ([f29498a](https://gitlab.com/kwinft/kwinft/commit/f29498af7e6c88ed609e51fd540eeb17c04a94d2))
* add shadow margins getter ([0d19b83](https://gitlab.com/kwinft/kwinft/commit/0d19b83fb6972e5b4835f8af03687bb645a2e773))
* add visible_rect with argument function ([0cf36d2](https://gitlab.com/kwinft/kwinft/commit/0cf36d21bc542bbaa32da9cfd2e5395b40f1f6b5))
* adjust maximization in free function ([b213dae](https://gitlab.com/kwinft/kwinft/commit/b213daeda9deba53c0777b31951338c5f6cf3f7a))
* assert on no size change when sending to screen ([9a65e50](https://gitlab.com/kwinft/kwinft/commit/9a65e507b6d80388de920c98a2924dcbe521347a))
* check for decoration directly ([01ee9cb](https://gitlab.com/kwinft/kwinft/commit/01ee9cbba5ac0e4ca8e9b13d44e801f77e2766d9))
* check transient for all windows ([e4418cb](https://gitlab.com/kwinft/kwinft/commit/e4418cbf6bed18638f698ffc27710b390e0a9ef3))
* clean up decoration KCM QML code ([6831311](https://gitlab.com/kwinft/kwinft/commit/68313115ffe5623b727d8721fccda26f96387b0f))
* create filtered Wayland display in ctor ([e13be81](https://gitlab.com/kwinft/kwinft/commit/e13be81fe4cdd57574a38d05398a8e9520c511c2))
* create remnant windows for annexed transients ([a309836](https://gitlab.com/kwinft/kwinft/commit/a30983629e110cdee891e74f376c5ba6ee459c54))
* create separate Wayland subsurface representation ([537a14c](https://gitlab.com/kwinft/kwinft/commit/537a14c8d5e2c2e12badfd975b6247aba3ec76aa))
* define geometry update blocker in geo header ([33b7389](https://gitlab.com/kwinft/kwinft/commit/33b73899f1133182537a116c90f8f21af84c3dbc))
* do not call randomly eglGetError() after eglMakeCurrent ([6ed3037](https://gitlab.com/kwinft/kwinft/commit/6ed3037add24fbe0e1fc9145b6e0719725b1b154))
* do not explicitely define Exec line for KCM ([f2dfef1](https://gitlab.com/kwinft/kwinft/commit/f2dfef1d16f6d820e74aa2f2e6884cf4ce5decc4))
* do not set geometry pending on fullscreen update ([a71f587](https://gitlab.com/kwinft/kwinft/commit/a71f587e0a94610bc565274f9c6a6e1514ad0d4a))
* don't use a lambda unnecessarily ([2a612ad](https://gitlab.com/kwinft/kwinft/commit/2a612ada8817046b61126bcfa13f4188e2c7e4d7))
* drop excessive method arguments in Keyboard Layout DBus API ([93a85c9](https://gitlab.com/kwinft/kwinft/commit/93a85c986d149f92e457cf4574acb29b35600f64))
* get frame magins in function template ([b55893e](https://gitlab.com/kwinft/kwinft/commit/b55893e8e25d12ab1feaff6a9ea668432bfa2b25))
* get visible rect in function template ([b5d83b0](https://gitlab.com/kwinft/kwinft/commit/b5d83b098eba3ccd779bf703f39dcc019845746b))
* hand over window type to popup input filter ([ecac139](https://gitlab.com/kwinft/kwinft/commit/ecac1397cbcfc03134b2cd0d4e851e60a489e266))
* handle X11 shape in Toplevel ([c81042b](https://gitlab.com/kwinft/kwinft/commit/c81042b019f2a15be69ed9a6ffa791bbfb9e3ec0))
* have Toplevel::damage emit a QRegion ([d403711](https://gitlab.com/kwinft/kwinft/commit/d40371172c3b18fff2df992478bebb15a0b8dd37))
* have transient children be public ([b06e64e](https://gitlab.com/kwinft/kwinft/commit/b06e64ed54bc3fd0954bb2c2e8cb46ea0c0a2cc0))
* improve pixmap cross fade code ([129436a](https://gitlab.com/kwinft/kwinft/commit/129436ae0001fd759b45f802a085e78ec8d2bc1f))
* improve variable definitions ([2e3369b](https://gitlab.com/kwinft/kwinft/commit/2e3369b98ef757d3a7d3fa10592344a2fc838b22))
* in-class initialize NET info pointer ([69081e8](https://gitlab.com/kwinft/kwinft/commit/69081e8ac522e274610d735ef5d1dc4b6ac31b56))
* inform about initial motif hint get via argument ([e1e78f0](https://gitlab.com/kwinft/kwinft/commit/e1e78f0204b52e1dec325c720947a80b1d96ae68))
* introduce geometry restore struct ([4c75637](https://gitlab.com/kwinft/kwinft/commit/4c75637249e38d21683f996d6554d14ad7c410f5))
* make keyboard layout DBus API index based ([07efc84](https://gitlab.com/kwinft/kwinft/commit/07efc8422e7c581931f8fe3c2d8540acc441d098))
* maximize Wayland windows through template functions ([11abad1](https://gitlab.com/kwinft/kwinft/commit/11abad157288b5f05f92fa656fc5c2a19a07f9bd))
* move caption struct to Toplevel ([685d510](https://gitlab.com/kwinft/kwinft/commit/685d51090f208efbaaa511f506b219e23f3b7a4b))
* move decorations kcm to appearance ([7cd945f](https://gitlab.com/kwinft/kwinft/commit/7cd945f550adebf66509b061cdb110e14d615d30))
* move geometry update struct to Toplevel ([92d25b1](https://gitlab.com/kwinft/kwinft/commit/92d25b13fa1baa3d065140f1eb88a6253b3af81d))
* move maximize infrastructure to win namespace ([683383b](https://gitlab.com/kwinft/kwinft/commit/683383b0a62a715760e0ce26a7dc2600cf911462))
* overhaul windows geometries ([7e27ccf](https://gitlab.com/kwinft/kwinft/commit/7e27ccf8c9aea7e87835f8c14fd453e5c68e8fb7))
* pass layout in KeyboardLayout::layoutChanged() signal argument ([57aaad7](https://gitlab.com/kwinft/kwinft/commit/57aaad71b66c5624caeea4c74d9656418bac5b7d))
* port decoration KCM to KPluginLoader ([d154955](https://gitlab.com/kwinft/kwinft/commit/d1549552fe67c3308900d610f6f1ea8aac90b341))
* port from QStandardPaths::DataLocation to AppDataLocation ([f140470](https://gitlab.com/kwinft/kwinft/commit/f140470535477e509329d14a23a16d3ad8fd7723))
* port KCM KWin Decoration to SettingStateBinding ([17295da](https://gitlab.com/kwinft/kwinft/commit/17295da9d543ace42024b52cf55562a54f762900))
* port rules KCM to new Connections syntax ([b2bf177](https://gitlab.com/kwinft/kwinft/commit/b2bf17764a7b92d535f289ec63228cf3e79025fe))
* port some KCMs away from deprecated undoChanges ([51370a9](https://gitlab.com/kwinft/kwinft/commit/51370a9bc13a4fc65932b2213c0a8d324c7c3aeb))
* positon geometry tip from x11::window class only ([ca8ad66](https://gitlab.com/kwinft/kwinft/commit/ca8ad667b922f62532389913b8a7e75506367927))
* prefer std::make_unique over std::unique_ptr(new T) ([c91cc05](https://gitlab.com/kwinft/kwinft/commit/c91cc0564190e67bcdf62b12a83bde2f78ef637f))
* prefer using smart pointers to raw ([eb8aa7d](https://gitlab.com/kwinft/kwinft/commit/eb8aa7d2bbc139bc340562f96cd954640d63e9cf))
* prepare annexed child rendering ([30179ce](https://gitlab.com/kwinft/kwinft/commit/30179ceec4090aebfb65beda7a703c34ed72289f))
* prepare for compiling with EGL_NO_PLATFORM_SPECIFIC_TYPES ([813a84d](https://gitlab.com/kwinft/kwinft/commit/813a84d2b7c8fa69bb7b98ebe67393a7d8c6cdd3))
* provide expected presentation time to effects ([c77b5af](https://gitlab.com/kwinft/kwinft/commit/c77b5af5d8b749782943419dd62e03eb4e09bb36))
* provide Toplevel as argument to check transients ([c54b6ab](https://gitlab.com/kwinft/kwinft/commit/c54b6abc8875b801a75f58ce7765d20f45f365a6))
* rectify restore geometry in separate function ([87439f6](https://gitlab.com/kwinft/kwinft/commit/87439f6d806c34b81fc79bb99a687d7a1891237f))
* reimplement client leader group finder in win namespace ([683650f](https://gitlab.com/kwinft/kwinft/commit/683650fe9754c67e2324fdd92065c5679246f5e2))
* reimplement client shape as function template ([5f02408](https://gitlab.com/kwinft/kwinft/commit/5f024081a39c208f57d5a1ca3bf81e31941e5aa6))
* remove a basic SNI for keyboard layout ([d0db547](https://gitlab.com/kwinft/kwinft/commit/d0db547b76b4b4e616f7eabc1b1e11de0a3d1f4f))
* remove cashed buffer geometry ([dec260d](https://gitlab.com/kwinft/kwinft/commit/dec260d80ae8a8abff09085bd4dbd79da1f93ef0))
* remove cashed client geometry ([57eda1f](https://gitlab.com/kwinft/kwinft/commit/57eda1f94da49f8f17e56c701680ffa4d7edf8a7))
* remove changeMaximized function ([81d6548](https://gitlab.com/kwinft/kwinft/commit/81d654844053b7088f44be3ed5a99ebe9f9dbb4c))
* remove client content position getter ([6e4e766](https://gitlab.com/kwinft/kwinft/commit/6e4e7666b454034d0e8271ae823e4a9fb5b0dfd1))
* remove client pos function ([60f34ff](https://gitlab.com/kwinft/kwinft/commit/60f34ffd61c41f5e68a8a82e39d9d28fb93e54b2))
* remove decoration KCM isDefault call ([83716b9](https://gitlab.com/kwinft/kwinft/commit/83716b9b105e5c3079d7bd20394dbba31accc88d))
* remove decoration rect getter ([4eb9fd3](https://gitlab.com/kwinft/kwinft/commit/4eb9fd398fcae6a41a05689aa424d1fef8eb6962))
* remove defunct calls to KAboutData::pluginInfo ([cfeb200](https://gitlab.com/kwinft/kwinft/commit/cfeb20084fcdc7898bc42e5b9357e5731d512a81))
* remove deprecated code ([d0e6769](https://gitlab.com/kwinft/kwinft/commit/d0e67692e824d31f6cf04a821807fd14ff40db5d))
* remove dont_move_resize function ([141c8ea](https://gitlab.com/kwinft/kwinft/commit/141c8ea873800cc4a7da8b3e4578ae5b3c403bee))
* remove fixqopengl.h ([58390d9](https://gitlab.com/kwinft/kwinft/commit/58390d98adf40313453545c549e3a9deb7ea01d4))
* remove has-child function ([6e84a5c](https://gitlab.com/kwinft/kwinft/commit/6e84a5cc72f287c7bd1c76fc642dfe59b391001e))
* remove input transform overrides ([3a61e27](https://gitlab.com/kwinft/kwinft/commit/3a61e27a8c2ef379457d6927c386f5493a84abeb))
* remove maximize mode override from internal client ([7f0e23c](https://gitlab.com/kwinft/kwinft/commit/7f0e23cfd73f2337d11537859a8bdd00cf438f79))
* remove maximize recursion preventer ([6583d04](https://gitlab.com/kwinft/kwinft/commit/6583d04d8b63ec9cee5a6f859260f70ad76c46c8))
* remove requested maximize mode getter ([c0181f0](https://gitlab.com/kwinft/kwinft/commit/c0181f0e71783c5324bc1b679bd223c324a71c85))
* remove set client shown functions ([d17c631](https://gitlab.com/kwinft/kwinft/commit/d17c6310940cd642d861932311ac153c0b151390))
* remove shade geometry change member variable ([bde77e5](https://gitlab.com/kwinft/kwinft/commit/bde77e5de8d5c7955cdc52cbb97afe48080006a0))
* remove support for _NET_WM_FRAME_OVERLAP ([9b12734](https://gitlab.com/kwinft/kwinft/commit/9b12734bb3ca9207ee7afc4552f1fb30b3bdb9da))
* remove Toplevel popup functions ([3592e17](https://gitlab.com/kwinft/kwinft/commit/3592e172d1af056c02b6b7b28c7ba11b84f2b47c))
* remove Toplevel's partial geometry getters ([226c29a](https://gitlab.com/kwinft/kwinft/commit/226c29a890fafd0abc2ac84653e58aa3c4c106a6))
* remove transient placement ([28dca27](https://gitlab.com/kwinft/kwinft/commit/28dca27f09e2b5062d9bac2d5f97247bc7fba235))
* remove transparent rect getter ([f157196](https://gitlab.com/kwinft/kwinft/commit/f1571969c766bda15777850f5c9b42d88b258aa1))
* remove unnecessary comparisons ([2895637](https://gitlab.com/kwinft/kwinft/commit/28956379fb6fa7730b48db3e148c18c8845a66e0))
* remove unnecessary include ([6ac18a2](https://gitlab.com/kwinft/kwinft/commit/6ac18a249be542659449e33ed4c40eb8bcb56c94))
* remove unused enforcement of geometry changes ([960bea7](https://gitlab.com/kwinft/kwinft/commit/960bea7c8bb9013269f8adfc14ec52a51b02bae0))
* remove unused function ([8defe9b](https://gitlab.com/kwinft/kwinft/commit/8defe9b4e9dd96185b70a58327cd0c6275240cb8))
* remove virtual client size function ([cb374c2](https://gitlab.com/kwinft/kwinft/commit/cb374c24509a889f3d6e453f73aa6aae48e44e33))
* replace aspect macros with lambdas ([649b9d7](https://gitlab.com/kwinft/kwinft/commit/649b9d7d2d22dedb01d5f4e7adb6737c62656498))
* replace buffer margins with Toplevel variable ([2f01a06](https://gitlab.com/kwinft/kwinft/commit/2f01a062b7f05575faa6930aa383de594dc7d165))
* replace client position member function ([1c53ce4](https://gitlab.com/kwinft/kwinft/commit/1c53ce4b40a5da532b6ccc9c514a5e2926f5a0fe))
* replace old connect syntax with new one ([096e319](https://gitlab.com/kwinft/kwinft/commit/096e3190854e35b2ded1fa2007dda9b0c30ed0ce))
* replace Qt min/max calls ([2d27492](https://gitlab.com/kwinft/kwinft/commit/2d27492c2a0b486a80c086ecd54f83a9e186d347))
* replace QVector with std vector ([61cc9b1](https://gitlab.com/kwinft/kwinft/commit/61cc9b144ad3599215110658f9205a70f69264e5))
* replace X11Client with win::x11::window ([d20a93f](https://gitlab.com/kwinft/kwinft/commit/d20a93f2fbb2705986128c5d61fa8757c5a87e9e))
* replace XdgShellClient with win::wayland::window ([8a88cba](https://gitlab.com/kwinft/kwinft/commit/8a88cba5a4b98639283f720eac344e50b1aa59d1))
* reposition geometry tip in function template ([01e263e](https://gitlab.com/kwinft/kwinft/commit/01e263e71ed98e9d4fbf9dcc2c5dff60f8266ff6))
* return to Properties-based QML API ([fcf2ef3](https://gitlab.com/kwinft/kwinft/commit/fcf2ef390175cee7b521ce9b2f0252a10d18b964))
* set size directly ([8019e75](https://gitlab.com/kwinft/kwinft/commit/8019e75cbd96d8b264b27c1b4418381e042c11f8))
* simplify input geometry getter ([b5ba3f6](https://gitlab.com/kwinft/kwinft/commit/b5ba3f6b7e9c052c96094814c708ad3c4da8b8d1))
* simplify minimal deco size calculation ([3211692](https://gitlab.com/kwinft/kwinft/commit/321169200cf33094b2e3f8bb4fa20310c4a029f8))
* simplify updating group member relations ([7857b49](https://gitlab.com/kwinft/kwinft/commit/7857b49305dd7710f3aa68d595156512af6785b9))
* split up configure request function ([57b7f4c](https://gitlab.com/kwinft/kwinft/commit/57b7f4cbc20bae6791ff4a1536f56a6d78b01508))
* split up function to take X11 window control ([4405e27](https://gitlab.com/kwinft/kwinft/commit/4405e27dc2b97aef4919464bbf6dbe7a13d2fa89))
* split up size for client size function ([0158ef1](https://gitlab.com/kwinft/kwinft/commit/0158ef18ae1c0c0d6487f4f6a261beac305d0d45))
* update keyboard repeat config reading ([80d4e8b](https://gitlab.com/kwinft/kwinft/commit/80d4e8b6fa072a66d3099c36387c789da038421c))
* use geometry update struct ([2d54bd9](https://gitlab.com/kwinft/kwinft/commit/2d54bd9fb28a6218dbe8eecdd8ddce3900caaf2e))
* use KCModuleData in ScreenEdge and TouchScreenEdge KCM ([73c43c4](https://gitlab.com/kwinft/kwinft/commit/73c43c4988c98ffee608d5c9f8059470ddc01141))
* **effect:** port desktopgrid away from QTimeline curve shape ([2b360ae](https://gitlab.com/kwinft/kwinft/commit/2b360aebc69ab13207ef3830b38136d22bb7024a))
* **effect:** remove KWIN4_ADD_GLUTILS_BACKEND cmake macro ([7a92c4d](https://gitlab.com/kwinft/kwinft/commit/7a92c4d9e7b14ea597ccdeae19f9bcf1276456ec))
* rework function to update tool windows ([bbd6f11](https://gitlab.com/kwinft/kwinft/commit/bbd6f11f4e102d69ba547cdff281f637a1a74e57))
* simplify setting transient lead ([2f5494d](https://gitlab.com/kwinft/kwinft/commit/2f5494d933f060794c57efecc53b9a66c868fb68))
* unvirtualize functions ([82c7154](https://gitlab.com/kwinft/kwinft/commit/82c71540ccd575312935f572130a3077f77319cb))
* update fullscreen in function template ([70ec186](https://gitlab.com/kwinft/kwinft/commit/70ec186c00af12d6ba2290402402aace70b82597))
* use KPluginMetaData to load scripted config ([4889ac7](https://gitlab.com/kwinft/kwinft/commit/4889ac7b181d478a91e513bcd2b942cc1db2516a))
* **deco:** add update size function ([e906a09](https://gitlab.com/kwinft/kwinft/commit/e906a09fc986ac882efbc75ea396b9de13f5a29f))
* **effect:** port cubeslide away from QTimeline curve shape ([7634bfe](https://gitlab.com/kwinft/kwinft/commit/7634bfef2c162d14261c7a170fffba84de2a50b3))
* **effect:** port flipswitch away from QTimeline curve shape ([04dc64d](https://gitlab.com/kwinft/kwinft/commit/04dc64d9f60318ccafc4c11548d856e77abd2c91))
* **qpa:** expose output names to QScreen ([fbc4080](https://gitlab.com/kwinft/kwinft/commit/fbc4080488ef7b49e340ae2defcd34dde834c641))
* update maximization in free function ([2b71188](https://gitlab.com/kwinft/kwinft/commit/2b711889cf4fb5f97b994b21bb03877ac664fad9))
* update X11 windows fullscreen in function template ([8cfb592](https://gitlab.com/kwinft/kwinft/commit/8cfb592b2baa77ffd484e09748ab4e4cf5a11a5a))
* use reference on offscreen position check ([021a678](https://gitlab.com/kwinft/kwinft/commit/021a678cb999212a650dccbb9f467e231652b2f9))
* **deco:** add window wrapper ([e3c9fd4](https://gitlab.com/kwinft/kwinft/commit/e3c9fd414fb091fc10dc40f01c0bf7e7b3a450c6))
* **deco:** replace client QPointer with Connection object ([aa3dfb1](https://gitlab.com/kwinft/kwinft/commit/aa3dfb1400e7b964d0afe720b607b6c38fdb62a5))
* **deco:** use double click timer smart pointer ([5ea03a1](https://gitlab.com/kwinft/kwinft/commit/5ea03a1082d873573fb861732c3fa5729e52b228))
* store control in Toplevel ([81c97a2](https://gitlab.com/kwinft/kwinft/commit/81c97a296f338e1362ac9acfe39c676d4f68d6a2))
* **scene:** build quads in normal function ([6d5e5d6](https://gitlab.com/kwinft/kwinft/commit/6d5e5d6618f126ee78b053d5b84f5aacff560736))
* **scene:** omit setting static texture variable ([b8488b3](https://gitlab.com/kwinft/kwinft/commit/b8488b3ae3a9422c4fce0ace2f8dd8a2742857ed))
* **scene:** remove special subsurface handling ([90caaf5](https://gitlab.com/kwinft/kwinft/commit/90caaf5130e24d02308bbfabca7d71f171f79a4a))
* unref annexed children remnants after timeout ([bb88e1f](https://gitlab.com/kwinft/kwinft/commit/bb88e1fc2dee89c638ced08e48225e10b60bc958))
* **scene:** remove window buffer shape ([51f41ad](https://gitlab.com/kwinft/kwinft/commit/51f41ad747e70b32ce639e79f31b38fce4bd6636))
* add access functions for visible rect before geometry update ([aa15cf4](https://gitlab.com/kwinft/kwinft/commit/aa15cf4a8e93e76e337f237d61be0cd3a977cb61))
* add repaint during geometry updates in win namespace ([ef0b7b2](https://gitlab.com/kwinft/kwinft/commit/ef0b7b23716154da1a26785b10898a7d41405f66))
* add string rules matching structs ([e44c593](https://gitlab.com/kwinft/kwinft/commit/e44c5932a93f7fe7021e399bcd4b925f383c54c7))
* assert on no surface ([415b9bc](https://gitlab.com/kwinft/kwinft/commit/415b9bc03704aad9370ecfda220f91c7a2daf19c))
* check for popup from win namespace ([ac6b4cb](https://gitlab.com/kwinft/kwinft/commit/ac6b4cbdf41a8d9fead214210b04671f1cafc8f2))
* check for special window in win namespace ([2f26af1](https://gitlab.com/kwinft/kwinft/commit/2f26af12b2fa6ebf906acc2f8fd936bfe5c7c96b))
* check pending repaints from virtual function ([64bb0ec](https://gitlab.com/kwinft/kwinft/commit/64bb0ecf5e98cd6b092b4211f565162ccbd4812c))
* composite Deleted ([715c182](https://gitlab.com/kwinft/kwinft/commit/715c18214bb0e19e5fe0edc9da5aa74b992a2a5b))
* composite transient into Toplevel ([289b78d](https://gitlab.com/kwinft/kwinft/commit/289b78d4f1e611307639931ab502b450cfbb8979))
* consolidate window geometry transformations ([d964df3](https://gitlab.com/kwinft/kwinft/commit/d964df329c7016d15838e30e1d78b0d634b05ccc))
* create header files with windowing function templates ([01c488f](https://gitlab.com/kwinft/kwinft/commit/01c488f7795de0a07e1b2c14f6e5c64ffbd78471))
* create separate function for delayed ecectric maximize ([fc8f9af](https://gitlab.com/kwinft/kwinft/commit/fc8f9af69a162d0f119d2470840662966553235c))
* create stacking order from bottom to top ([4c0747f](https://gitlab.com/kwinft/kwinft/commit/4c0747fd37a6429a62a53b59716932a1d024e829))
* enter and leave desktops in win namespace ([d322d44](https://gitlab.com/kwinft/kwinft/commit/d322d444f0b6d04917ed1f21be8103343f95067b))
* find modal without boolean trap ([54e5e40](https://gitlab.com/kwinft/kwinft/commit/54e5e405cd73c4aa0be584d9db49a47c73ad98b1))
* get deco margins in Toplevel ([39ec690](https://gitlab.com/kwinft/kwinft/commit/39ec690be47e74d5397edca45706b481b5d1e556))
* handle window rules in win namespace ([f51ccae](https://gitlab.com/kwinft/kwinft/commit/f51ccae0ec04d3268f63c006a7eec64269280748))
* harmonize damage addition ([7fec694](https://gitlab.com/kwinft/kwinft/commit/7fec694bbbef129a6e76a1fe8ef8330e139d472b))
* have resize effect status in control class ([b200174](https://gitlab.com/kwinft/kwinft/commit/b20017428d08a643ce17ce6fd82d4d7b82c586b9))
* have resize-effect as member ([df1c383](https://gitlab.com/kwinft/kwinft/commit/df1c383643f63c05fca6838cdd00e20c3a16ecac))
* implement quicktiling in win namespace ([c3f1218](https://gitlab.com/kwinft/kwinft/commit/c3f1218410bbd8cdf779050c84f59b5662e6d828))
* introduce ruler structs ([7a0259b](https://gitlab.com/kwinft/kwinft/commit/7a0259bd7737f284cb35fbc61e8a72980335f587))
* manage transients in control class ([9b6a29b](https://gitlab.com/kwinft/kwinft/commit/9b6a29b6b10bf5a6598f20a08560fdc8191c5dff))
* merge internal and clients lists ([02899d8](https://gitlab.com/kwinft/kwinft/commit/02899d8ceaf6084a6b8836c7fca2834079354d2b))
* merge request focus functions ([e48fb99](https://gitlab.com/kwinft/kwinft/commit/e48fb992e362758bcba896ffbd0b893ea4575c8a))
* merge unmanageds and clients lists ([988b782](https://gitlab.com/kwinft/kwinft/commit/988b78273138205aee36dacf1074e11586983466))
* merge X11 window type calls ([94d721a](https://gitlab.com/kwinft/kwinft/commit/94d721a4fba328519ebe04b22af64bdd82922311))
* modernize lower and raise group logic ([64fd395](https://gitlab.com/kwinft/kwinft/commit/64fd3955102ca7df5994df21d99bdc85ff64e76a))
* move AbstractClient functions to Toplevel ([df0fd8f](https://gitlab.com/kwinft/kwinft/commit/df0fd8f1461d6c77cb456aa1efa3773bd0375214))
* move border functions to win namespace ([63cbc71](https://gitlab.com/kwinft/kwinft/commit/63cbc71fb07e3eaf0355476e79a6f6cf73e9e725))
* move clientPos implementation to Toplevel ([467ee42](https://gitlab.com/kwinft/kwinft/commit/467ee425abf1d9b39db75eaa01e0463c7db181bc))
* move desktop setting to Toplevel ([8256865](https://gitlab.com/kwinft/kwinft/commit/82568656a112135e40d520eb430daad192b3bdfa))
* move find-in-list function to win namespace ([d9e7253](https://gitlab.com/kwinft/kwinft/commit/d9e725389c1cfb2de3111f61f9edffacaddd0b0c))
* move functions about screen, desktop, activity to own header ([e8991b3](https://gitlab.com/kwinft/kwinft/commit/e8991b35ee70c936751b27e389fe3c29f98fe27a))
* move geometry shrink functions to win namespace ([517e6b1](https://gitlab.com/kwinft/kwinft/commit/517e6b190908dd16d40a46bb9922549635270638))
* move mouse and whell command to win namespace ([6c3afbe](https://gitlab.com/kwinft/kwinft/commit/6c3afbee792dfd99b40d32ac06dd8e92a219349b))
* move NET getters into win namespace ([b25a6dd](https://gitlab.com/kwinft/kwinft/commit/b25a6dde7977cb9452d8f3a0ea1712a114ff046a))
* move pack-to function to win namespace ([8e1012d](https://gitlab.com/kwinft/kwinft/commit/8e1012d9d96b1e5498cdb956ad2374ce8c0d6274))
* move quicktile zone maximizing to win namespace ([abf9046](https://gitlab.com/kwinft/kwinft/commit/abf9046f312c387ea948b4a90ee6907012b7b413))
* move same application check to win namespace ([ff1ff45](https://gitlab.com/kwinft/kwinft/commit/ff1ff450c17c4a8516729edf89ba61622281725b))
* move shade boolean setter to win namespace ([3cfdb67](https://gitlab.com/kwinft/kwinft/commit/3cfdb671e6cefdeb0c38f70386b6bc70aad8c86e))
* move shadow functionality to win namespace ([4d8ff24](https://gitlab.com/kwinft/kwinft/commit/4d8ff2471527cc5ade08b6759aceff84d07b00b2))
* move shortcut caption suffix function ([fb5d0ef](https://gitlab.com/kwinft/kwinft/commit/fb5d0efcb406090958b08ea79a0b1ac06e6833c0))
* move tabbox functionality to control ([db1e43b](https://gitlab.com/kwinft/kwinft/commit/db1e43b4a3ea467eed2279df2d092024a9acae6f))
* move update mouse grab function ([2b5c956](https://gitlab.com/kwinft/kwinft/commit/2b5c956d4b32be5ce5b63f6bbf13641f23c73d6e))
* move win decoration functions in separate header ([7886e78](https://gitlab.com/kwinft/kwinft/commit/7886e78886affe97cd659f4e6bd68b1a540bd77e))
* move win setup functions in separate header ([7ab1f16](https://gitlab.com/kwinft/kwinft/commit/7ab1f160a2f7fc635c091752971ac0552bd4de63))
* move windows from within win namespace ([f2ff2cf](https://gitlab.com/kwinft/kwinft/commit/f2ff2cf1c7b42da073c4e8102383eb03c082044c))
* move X11-only properties to Toplevel ([efc7660](https://gitlab.com/kwinft/kwinft/commit/efc7660d2c9f57c6025ec8a0d70ee268b94261c2))
* move X11Client properties to AbstractClient ([eade2f1](https://gitlab.com/kwinft/kwinft/commit/eade2f1ce940de215b595ec60e4c735ec0a36c0c))
* namesope signals with template parameter ([f723ce2](https://gitlab.com/kwinft/kwinft/commit/f723ce2fac8cd993789110cc2c63215e5b194203))
* omit checking xdg-shell clients on internal ([a906c7f](https://gitlab.com/kwinft/kwinft/commit/a906c7fbb0a367114532bf986d335fb5f0209472))
* process decoration button in win namespace ([cb730df](https://gitlab.com/kwinft/kwinft/commit/cb730df519966f35357328e921d609bc5302e9eb))
* provide app menu in control class ([eb01a01](https://gitlab.com/kwinft/kwinft/commit/eb01a01c1ec5adba6be638c68b703b4a27b9bd1a))
* provide defaults of virtual Toplevel functions ([35f830b](https://gitlab.com/kwinft/kwinft/commit/35f830b0cbf9b45a3abe1cdf0749babe715c10e1))
* reimplement caption in win namespace ([373ff05](https://gitlab.com/kwinft/kwinft/commit/373ff05b662ca9f00f946b81450747663a4530b9))
* reimplement decoration support in win namespace ([7d15905](https://gitlab.com/kwinft/kwinft/commit/7d15905056197004065f58837e057f28782edbbc))
* reimplement frame-client geometry converters ([1a81176](https://gitlab.com/kwinft/kwinft/commit/1a8117622e72e80ac552ca07586b5bb3cedef6e0))
* reimplement minimize functionality in win namespace ([1e16ecf](https://gitlab.com/kwinft/kwinft/commit/1e16ecf5645ce1c48f954668ead30f2f6115a85b))
* reimplement move-resize in win namespace ([6566b9a](https://gitlab.com/kwinft/kwinft/commit/6566b9a41e1da9ca9003b6389fac1e51492dd3d0))
* reimplement stacking functions in win namespace ([4f9ca28](https://gitlab.com/kwinft/kwinft/commit/4f9ca288693bfb9e2cfe4bcb51398c9f9568587d))
* remove AbstractClient ([b79263b](https://gitlab.com/kwinft/kwinft/commit/b79263b94e1775c94c4ca7553e0b07beefa0264e))
* remove convenience overrides ([89612b6](https://gitlab.com/kwinft/kwinft/commit/89612b624c9aae1fcb7b1247e181f8a5450e0d55))
* remove desktops list ([6cd3b0a](https://gitlab.com/kwinft/kwinft/commit/6cd3b0af9f3699862813c00cd988b0731021019e))
* remove function to find client with same caption ([0e5d234](https://gitlab.com/kwinft/kwinft/commit/0e5d2344a2c1c692416eed7fe09408bb2f96c81d))
* remove key press event member function ([785bbf0](https://gitlab.com/kwinft/kwinft/commit/785bbf001e83301d7ffa3a320a9758ab8253ad33))
* remove legacy ActivityFlag enum ([20ccbd9](https://gitlab.com/kwinft/kwinft/commit/20ccbd9e646491ef7a113e6ee02aae5165bcb81f))
* remove legacy X11 multi-screens support ([e2fb59f](https://gitlab.com/kwinft/kwinft/commit/e2fb59fddc70466e0b1cb869d4c102fcad16eb67))
* remove MaximizeMode ([ed1d702](https://gitlab.com/kwinft/kwinft/commit/ed1d702f3a779f14932f7772d28d95c95f06043a))
* remove nogroup argument from lower and raise calls ([3572fe0](https://gitlab.com/kwinft/kwinft/commit/3572fe0470b89d4742ed89971f8c131b28f50756))
* remove titlebarPosition function ([0f152d8](https://gitlab.com/kwinft/kwinft/commit/0f152d82a5443fc635c0909a1785f1848377d0c2))
* remove Unmanaged class ([8e0510e](https://gitlab.com/kwinft/kwinft/commit/8e0510e115e86a70a99117b310ccce11a26ac62e))
* remove unmanaged loop action ([17845e3](https://gitlab.com/kwinft/kwinft/commit/17845e3472a20231738e0177ba65bfaf566eea45))
* remove unused signal ([af5edbf](https://gitlab.com/kwinft/kwinft/commit/af5edbffe707c067ab80364905f6cfe918f76f69))
* remove unused variables ([8336700](https://gitlab.com/kwinft/kwinft/commit/8336700b7cff88bfa783b8dc0df0f4ee914bc0d9))
* remove update layer member function ([8aa12e0](https://gitlab.com/kwinft/kwinft/commit/8aa12e0201df96e9b23a39aae6c4f93e5f9f25e2))
* remove virtual move alternative ([fb2117f](https://gitlab.com/kwinft/kwinft/commit/fb2117f84d54fbedf27aa537f2f19a60f44325a1))
* remove X11 clients list ([43e9c2e](https://gitlab.com/kwinft/kwinft/commit/43e9c2edabea3cafc757c9547050df5e0d22a031))
* remove x11 desktop-id member function getter ([34091ab](https://gitlab.com/kwinft/kwinft/commit/34091ab7bb84e69e4ce87eaa7bb9791ea01662f3))
* remove X11-only CSD property ([0e1a5b4](https://gitlab.com/kwinft/kwinft/commit/0e1a5b49a81402c72fe95800efa48aeafdf8ec10))
* reorganise rules files ([bc7f452](https://gitlab.com/kwinft/kwinft/commit/bc7f4521b6dad909e3a3e171e86d28bce4130da8))
* replace AbstractClient usage with Toplevel ([61b8f9e](https://gitlab.com/kwinft/kwinft/commit/61b8f9e55af9c9b95f37967573d3bbcb6ccbd549))
* replace activation enum with booleans ([2f4b966](https://gitlab.com/kwinft/kwinft/commit/2f4b966a52018068f8b7ad290ae7870760618361))
* replace check rules macros with function templates ([7f15fb5](https://gitlab.com/kwinft/kwinft/commit/7f15fb597effd8bbf58182c835e8328d46f7df86))
* replace discard rule macro with lambdas ([dd6bc3f](https://gitlab.com/kwinft/kwinft/commit/dd6bc3f2818af749b883d36c8775e8b67463ec1c))
* replace ForceGeometry_t with win::force_geometry ([262ea15](https://gitlab.com/kwinft/kwinft/commit/262ea15c7c442eb473a0daa93cbf158f2b730ef6))
* replace Layer enum with enum class ([f631fae](https://gitlab.com/kwinft/kwinft/commit/f631fae577ff12fad84a85c9893d841327f7b0e1))
* replace MaximizeMode with win::maximize_mode ([bbf9415](https://gitlab.com/kwinft/kwinft/commit/bbf9415d490a80b124480cef957ff3c961607c17))
* replace on-screen functions by win headers ([6d73da9](https://gitlab.com/kwinft/kwinft/commit/6d73da92447d523c027e645b68db918606ccbc47))
* replace Position with win::position ([e536720](https://gitlab.com/kwinft/kwinft/commit/e536720dcdcd41652418480f57e4e85958bbf4d2))
* replace property getters with function templates ([366e83b](https://gitlab.com/kwinft/kwinft/commit/366e83bcac745b2d4898078fea28c8e732ffad39))
* replace rule apply macros with function templates ([698e17c](https://gitlab.com/kwinft/kwinft/commit/698e17c6d65bb4d97eb099260ca30e296f6c8fd6))
* replace SizeMode with win::size_mode ([3ce0a17](https://gitlab.com/kwinft/kwinft/commit/3ce0a1756de32f2dd28c6f4ae190606724cc441b))
* save X11 main clients in transient leads ([15b634f](https://gitlab.com/kwinft/kwinft/commit/15b634fe0dd5c8aab7cc1a54d2f578f2e9bfb0e0))
* set and get desktop file name in win namespace ([37c8334](https://gitlab.com/kwinft/kwinft/commit/37c83348c5f88698086cd3fef7dcb60127419327))
* set fullscreen in control class ([3d54122](https://gitlab.com/kwinft/kwinft/commit/3d54122584b9a36ca706e9e9fd8f1ea0e55ff23e))
* set modal in control class ([37b20f9](https://gitlab.com/kwinft/kwinft/commit/37b20f9b778638fa8772243f2cea46a5bd2f4e84))
* set shortcut in win namespace ([0f26d03](https://gitlab.com/kwinft/kwinft/commit/0f26d03a3d37ab5184021c42d22d4eb44fd96f15))
* set unresponsive windows in control class ([aabba27](https://gitlab.com/kwinft/kwinft/commit/aabba27eef818dd262d777c070bc6bb90ca2345e))
* set Wayland maangement in control class ([7fbb0da](https://gitlab.com/kwinft/kwinft/commit/7fbb0da485d06b50fedb9e9db49f4f5bf4db7946))
* set window active in win namespace ([0701244](https://gitlab.com/kwinft/kwinft/commit/0701244fec2ed33b792acccad6a46328113099f9))
* set window layer in control class ([921eb07](https://gitlab.com/kwinft/kwinft/commit/921eb07dd393b42091793f153ebb598ab4e1a090))
* setup AbstractClient connections in win namespace ([946ed71](https://gitlab.com/kwinft/kwinft/commit/946ed719b252eb80b90d80d4755c51429a759d10))
* setup Plasma window in win namespace ([1f239fa](https://gitlab.com/kwinft/kwinft/commit/1f239fa7469e92d286ea89273b3222ec7135a3e5))
* shade windows in win namespace ([f020a11](https://gitlab.com/kwinft/kwinft/commit/f020a115cc489e3c87258e51d8136647750ab201))
* skip pager and alike with win functions ([12f8387](https://gitlab.com/kwinft/kwinft/commit/12f838723bd2fbe873e8be43fa46c3672ce1b26c))
* split out windowing control class ([cdf68b6](https://gitlab.com/kwinft/kwinft/commit/cdf68b6a983fc58e87dfd93a61b35b66304f41aa))
* split up win header file ([514bccf](https://gitlab.com/kwinft/kwinft/commit/514bccfc11f543cfba29e3b992c80a8c1eb7aa18))
* standardize X11 group transient handling ([07e2dcd](https://gitlab.com/kwinft/kwinft/commit/07e2dcd1daebf11656fee45f0095352605a9aa3a))
* stop window composition at once ([d2df2ef](https://gitlab.com/kwinft/kwinft/commit/d2df2ef92ceae11a678eba03ff9718874dc4b4d5))
* store remnants in normal windows list ([1f72041](https://gitlab.com/kwinft/kwinft/commit/1f72041ac33a4fe00af528444a089ccc4be88f3a))
* store transient leads in vector ([937110d](https://gitlab.com/kwinft/kwinft/commit/937110d013085a72d5222d4ca4f496992e08b975))
* unify damage addition ([2652584](https://gitlab.com/kwinft/kwinft/commit/2652584c94fa6626da72d0836c59a324b09b3a19))
* update client visibility from win namespace ([76e6c92](https://gitlab.com/kwinft/kwinft/commit/76e6c92e532d7f10b7924b68408375b593294f7b))
* update cursor in win namespace ([9bb09a3](https://gitlab.com/kwinft/kwinft/commit/9bb09a39799c102a8fd0c428890d13042cb2702e))
* update geometry in control class ([0223aea](https://gitlab.com/kwinft/kwinft/commit/0223aeafcdbfefcab7f60c5aa3e0263877a81c24))
* update tool windows in win namespace ([92b9362](https://gitlab.com/kwinft/kwinft/commit/92b9362b90c617df36e07420e99e731dae288217))
* use enum classes for set and fore rules ([d960321](https://gitlab.com/kwinft/kwinft/commit/d96032168180fdc529345a002f28bf08fe5e228c))
* use position and size explicitly ([ff7b787](https://gitlab.com/kwinft/kwinft/commit/ff7b787a9f990fa7d1f2277f7da30c83d5e17bb3))
* use STL smart pointers for TabBox clients ([0a06b07](https://gitlab.com/kwinft/kwinft/commit/0a06b071daa4eebdd4983bde2a01b1c91fd53029))
* use transient class in remnants ([5ed2208](https://gitlab.com/kwinft/kwinft/commit/5ed2208740090dc555d3794122eb352570eef90c))
* use win::geometry_updates_blocker everywhere ([d47b82d](https://gitlab.com/kwinft/kwinft/commit/d47b82d6dfc733063c4719b22bb9806266bf3fa2))
* **effect:** add windowing function helper macro ([71b6336](https://gitlab.com/kwinft/kwinft/commit/71b6336bb17fde16e5c36feabefed59f23703c75))
* use windowing function templates ([7410ac9](https://gitlab.com/kwinft/kwinft/commit/7410ac9a72966569e57c0c2a5606d9040f448886))
* **script:** create window wrapper class ([d11012c](https://gitlab.com/kwinft/kwinft/commit/d11012c647d0a47eee618ecdf0945dbe42c0524a))
* **space:** remove Q_PROPERTY macros from window classes ([e09a5b8](https://gitlab.com/kwinft/kwinft/commit/e09a5b898ff93b3e9417cf505f1653977151b4b4))
* **space:** use STL containers for clients lists ([86fca92](https://gitlab.com/kwinft/kwinft/commit/86fca92943c7560268ac93ec15ff0081757f3bdd))

## [5.20.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.20.0-beta.0...kwinft@5.20.0) (2020-10-13)


### Bug Fixes

* **scene:** create shadow only when effect-window exists ([5753ce5](https://gitlab.com/kwinft/kwinft/commit/5753ce53a87abf7099c2e769dcd53eed8f3fc8cc))

## [5.20.0-beta.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.19.0-beta.0...kwinft@5.20.0-beta.0) (2020-09-25)


### ⚠ BREAKING CHANGES

* Default modifier key for moving/resizing windows changes from
Alt to Meta.

### Features

* **effect:** add effect that animates full screen changes ([22b94d8](https://gitlab.com/kwinft/kwinft/commit/22b94d8960fb42de9be7471464589ead7fa380c8))
* **effect:** expose frameGeometryChanged signal to effects ([6aa10cf](https://gitlab.com/kwinft/kwinft/commit/6aa10cfa2e39b75be5e4dc6fbc66d8ecc6936ed3))
* add option to disable window position memory for KDE apps ([f08e82f](https://gitlab.com/kwinft/kwinft/commit/f08e82f4ef0f4164e40b1891616fe3fbefb693ea))
* add uninstall button for kwin scripts ([de2867d](https://gitlab.com/kwinft/kwinft/commit/de2867d16e5844be32091e7359ae76fe647e678d))
* **effect:** expose effect ID to scripting via `effect.pluginId` ([5bb054d](https://gitlab.com/kwinft/kwinft/commit/5bb054dc5fb225baadb831cb8bd74ef64a31e8fb))
* **effect:** expose the toplevel's pid in the scripting API ([bc27e5b](https://gitlab.com/kwinft/kwinft/commit/bc27e5b8517870de58062b924853b99ca4465bc3))
* allow testing transformations on windowed KWin ([30ba739](https://gitlab.com/kwinft/kwinft/commit/30ba73969534593b535652d745fc82b722de33ea))
* change CommandAllKey to Meta ([92aaad0](https://gitlab.com/kwinft/kwinft/commit/92aaad018f9dd27cab9f0b3c36263b9cb1b9757b))
* implement presentation-time ([ddc4f86](https://gitlab.com/kwinft/kwinft/commit/ddc4f863afce289d7ff7f985be0a85b41f67b3fc))
* improve partial maximization strings ([558eede](https://gitlab.com/kwinft/kwinft/commit/558eede4014c685e4c2eef04732a0bbb89d601e1))
* remove minimized windows special handling in task switcher ([435310d](https://gitlab.com/kwinft/kwinft/commit/435310df0bfc05dc52360da875dcbb17995e771f))
* **effect:** expose transientFor and only blur when transient parent is dock ([00b375b](https://gitlab.com/kwinft/kwinft/commit/00b375b0e0b85991483a6bc8078ffae4674ac82e))
* position OSD a bit farther down ([0d48983](https://gitlab.com/kwinft/kwinft/commit/0d48983e4842a26603506b9391de9176a91c9cb3))
* use monochrome icon for keyboard layout sni ([9773206](https://gitlab.com/kwinft/kwinft/commit/9773206ef530b02dc32502c0b9dc40ea286785ef))
* use Service Property to authorize screenshot without confirmation ([962da29](https://gitlab.com/kwinft/kwinft/commit/962da299a42a3127f80bb359b4d1b19b34691402))
* **effect:** implement focus tracking with QAccessibilityClient ([c698271](https://gitlab.com/kwinft/kwinft/commit/c6982712cfa1a361a142f70cdd894e96892131a6))
* **effect:** implement zoom text caret tracking ([e0d4b42](https://gitlab.com/kwinft/kwinft/commit/e0d4b421a88cb18d39dfe361d1d677ad2c1f2341))
* **effect:** start logout animation on only windowAdded/Closed ([16c806f](https://gitlab.com/kwinft/kwinft/commit/16c806fddb668e3ee3c4be3ff2be62d1d9f0bfdb))
* **effect:** start sliding popups animation on only windowAdded/Closed ([836d941](https://gitlab.com/kwinft/kwinft/commit/836d9417081c37884f2c7e00e6df9107af4d9b1e))
* **effect:** start the fade animation on only windowAdded or windowClosed ([0c5ea7b](https://gitlab.com/kwinft/kwinft/commit/0c5ea7b1ceb449dd5c693b50368f992ab7c653ef))
* **hw:** allow nested mode to have a fractional scale < 1 ([8e421c7](https://gitlab.com/kwinft/kwinft/commit/8e421c78f3133cbf0910e0242b7e53d8d8e684c0))
* **hw:** request server-side decorations for the nested Wayland plugin host window ([3c39b90](https://gitlab.com/kwinft/kwinft/commit/3c39b90a2e259a43321828ecd5239e3111db9f7d))
* **scene:** unpack Gl subimages ([a05588c](https://gitlab.com/kwinft/kwinft/commit/a05588cbe7606646be17b95f06dddfe142db8a9c))
* **script:** provide methods to create and remove virtual desktops ([f47a05d](https://gitlab.com/kwinft/kwinft/commit/f47a05d5aff06f7a188b9c635bec4028b39e3814))
* **space:** allow corner-tiling by quickly combining tiling shortcuts ([cdb4c56](https://gitlab.com/kwinft/kwinft/commit/cdb4c56320ff0e00ae3e1b40d2c1f220faeea177))
* **space:** make Thumbnail Grid the default Window Switcher layout ([3f031d0](https://gitlab.com/kwinft/kwinft/commit/3f031d0735608add225adabfacb65c1b75c76ef8))


### Bug Fixes

* **hw:** set DPMS to on when enabling an output ([5fa3ed2](https://gitlab.com/kwinft/kwinft/commit/5fa3ed263ce2cd109917811289aeb89d99e5cfe4))
* clear plugins after changing KNS entires ([663ee37](https://gitlab.com/kwinft/kwinft/commit/663ee378eeac0aa92329717c571ea53101300d4b))
* correct a typo ([3052fa3](https://gitlab.com/kwinft/kwinft/commit/3052fa3a3a8ef97fa821c01a80bc27d1b0ea8bcc))
* make GL Context current on lanczos textures delete in timer hander ([6fce3d4](https://gitlab.com/kwinft/kwinft/commit/6fce3d4c55845284aa3ea6d07fb230c724f7cab6))
* make script KCM default button work ([730bf4a](https://gitlab.com/kwinft/kwinft/commit/730bf4ae1101bcfb5cf15bcf0d00eba0327d9b81))
* point kcfgc File attribute to kcfg file ([bfc41ec](https://gitlab.com/kwinft/kwinft/commit/bfc41ec0579845c3bbd863afe931398b0ae58f6f))
* remove a warning ([98f8b3b](https://gitlab.com/kwinft/kwinft/commit/98f8b3bc596d5032e5814a448772f151086e0728))
* remove flawed moc-include ([56017eb](https://gitlab.com/kwinft/kwinft/commit/56017eb344544a45bcc9524c55c6f59094873abb))
* return native screen sized images for screenshots ([5d10f37](https://gitlab.com/kwinft/kwinft/commit/5d10f37dec2e168b8aabf61a2db12a188540be36))
* **deco:** guess format for depth 30 (10bpc) ([bb3c6ed](https://gitlab.com/kwinft/kwinft/commit/bb3c6ed990bdd6752a91cacb749fdb70a33bd4be))
* **effect:** disable AnimationEffects when the screen is locked ([af5e110](https://gitlab.com/kwinft/kwinft/commit/af5e11098c8c019ee9343820976145812df7cb9a))
* **effect:** keep sticky windows on top of the cube by default ([043c61c](https://gitlab.com/kwinft/kwinft/commit/043c61c00ed864f6de08e94fb558a3bf6778c694))
* **effect:** properly clip windows ([c376059](https://gitlab.com/kwinft/kwinft/commit/c3760594a7656c0fac328c62c209a60e9a6cb308))
* **effect:** screenshot native screen sized images ([6e79a87](https://gitlab.com/kwinft/kwinft/commit/6e79a87d1e7ccee44224cc55472adb15919e6df9))
* **hw:** check image map nullptr error ([589e61d](https://gitlab.com/kwinft/kwinft/commit/589e61dcb7ec920b09bab1f3e94745d1cf62a359))
* **hw:** do not blank crtc in atomic mode ([3a6b9ba](https://gitlab.com/kwinft/kwinft/commit/3a6b9ba1eeb4c165eda5ca3fc4e3a9b11aca40af))
* **hw:** do not call showCursor when softwareCursor is on ([fb3348a](https://gitlab.com/kwinft/kwinft/commit/fb3348af3ab89a1746bef737831135228309c1b1))
* **hw:** prevent cursor buffer leakage ([816fda2](https://gitlab.com/kwinft/kwinft/commit/816fda28284247d655c56b0a32b338e2eec353e2))
* **hw:** use --scale on kwin_wayland windowed mode ([be986aa](https://gitlab.com/kwinft/kwinft/commit/be986aaa3e0b1b9ffb176009a63930394d91f194))
* **input:** discard sub-pixel movements in gestures ([bba02a8](https://gitlab.com/kwinft/kwinft/commit/bba02a81df8dafc60923be4b10e6287650a499d2))
* **input:** don't leak QTimer ([dbba8cf](https://gitlab.com/kwinft/kwinft/commit/dbba8cf943f6f6b67b75b2f5a80aa8795c264105))
* **input:** let keyboard layout applet show actual layout ([f196cb5](https://gitlab.com/kwinft/kwinft/commit/f196cb507e3cc06500e32b9ea1b6e43a1cf95e88))
* **qpa:** delete platform screens with provided API function ([cd63436](https://gitlab.com/kwinft/kwinft/commit/cd634362d4a085dcd1dbd53111cbb25737a16937))
* **qpa:** don't leak screens when cleaning up ([386366b](https://gitlab.com/kwinft/kwinft/commit/386366b131f338abf1327345fc1e41ae94cd8df4))
* **qpa:** omit double-deleting Window::handle ([da38844](https://gitlab.com/kwinft/kwinft/commit/da3884483afa5eaffa817d8117d13aaf2fccc97e))
* clean xkb debug output of empty lines ([7bdc93b](https://gitlab.com/kwinft/kwinft/commit/7bdc93b28ebed46ea7ad327ae8cb4fb2400a14c4))
* correct build ([3363c2d](https://gitlab.com/kwinft/kwinft/commit/3363c2d16d86757f124c21595f15079fd94d500b))
* detect wmclass property correctly in rules KCM ([ef19197](https://gitlab.com/kwinft/kwinft/commit/ef1919749f40c7593dfc36c5d07768e5ad1bcdfd))
* don't perform MouseActivateRaiseAndPassClick for topmost windows ([677f332](https://gitlab.com/kwinft/kwinft/commit/677f332976cc1eed8bb9dcb42afc2a9fbdc6659e))
* grab all possible keyboard modifiers for window commands ([82ac5fd](https://gitlab.com/kwinft/kwinft/commit/82ac5fd176f5738f84caf229352ed644fd750581))
* hold a passive grab on buttons only when needed ([62f2220](https://gitlab.com/kwinft/kwinft/commit/62f2220b86b304177655c4ecc4412446c0c190e3))
* loop twice through modes for Window Switcher ([591f3b5](https://gitlab.com/kwinft/kwinft/commit/591f3b54a838257b64d0055ac3d5fa42b5f7dbab))
* make keyboard layout DBus API more reliable ([4a85119](https://gitlab.com/kwinft/kwinft/commit/4a85119a29fbde1dd24a54c8dbfd6dfb0fb0f308))
* remove compiler warning ([ca49e42](https://gitlab.com/kwinft/kwinft/commit/ca49e423d304d05300b0accee1a83699f7b63ce5))
* **scene:** clip shadows on useraction menus correctly with scale ([56600e6](https://gitlab.com/kwinft/kwinft/commit/56600e6648d0a982ca9efb259544f26cc02a59c7))
* only call VirtualDesktops::load once ([deca25c](https://gitlab.com/kwinft/kwinft/commit/deca25ce2f15c91258c6cd84891a9b0ca6ed7d10))
* save default keyboard layout ([5d702d7](https://gitlab.com/kwinft/kwinft/commit/5d702d75b3c96fe4fe1aa516dfb2ce875de79818))
* set proper default value for ActiveMouseScreen ([cd80c96](https://gitlab.com/kwinft/kwinft/commit/cd80c969020614a6c406ecab2f7d9fe30eac32d5))
* **space:** prevent move/resize when handling full screen event ([40787fc](https://gitlab.com/kwinft/kwinft/commit/40787fc933ad5c0100510170422c7003f92aa9c5))
* **space:** prevent move/resize when handling maximize event ([45115d5](https://gitlab.com/kwinft/kwinft/commit/45115d5fad03e9461ea3ee353b0cf663f14ef08a))
* **space:** resize maximised windows upon workspace change ([f93a133](https://gitlab.com/kwinft/kwinft/commit/f93a1337e95d2a779ce996b416176c166026c045))
* partially revert a0c4a8e766a2160 ([30f89a7](https://gitlab.com/kwinft/kwinft/commit/30f89a715f1583088205c437150c23344ee18229))
* propagate defaultsIndicatorVisibleChanged to children KCModule ([7bdbabf](https://gitlab.com/kwinft/kwinft/commit/7bdbabf8c4cd18651e4c08921cec38bccc84d9f1))
* **script:** reenable videowall config dialog ([2727193](https://gitlab.com/kwinft/kwinft/commit/272719344a955757be0f7cd6ee07dcfd699913e4))
* provide a mask for flag-type properties (window types) ([a2ed601](https://gitlab.com/kwinft/kwinft/commit/a2ed601b5cc6312940f414df9c470b92751a5a2d))
* set types property for NET::AllTypesMask correctly ([2174e8e](https://gitlab.com/kwinft/kwinft/commit/2174e8e7777c987487693e014fdbcbacdb9c3223))
* **space:** force FocusIn events for already focused windows ([21728f2](https://gitlab.com/kwinft/kwinft/commit/21728f278eacae3ae6b713fa340729a1867611a5))
* use correct physical dpi calculation ([e5fa6b6](https://gitlab.com/kwinft/kwinft/commit/e5fa6b6cd5023ca1599a3404339afcb1c96d733d))
* **hw:** provide physical dimensions for outputs ([e767cb1](https://gitlab.com/kwinft/kwinft/commit/e767cb1bf5cb611308e806d0b423ca58b407918d))
* **hw:** support systems with age disabled ([946df4e](https://gitlab.com/kwinft/kwinft/commit/946df4efe04401965677074731e7979da5d76f76))
* delay KCM initialization after QObject creation in standalone ([91147c7](https://gitlab.com/kwinft/kwinft/commit/91147c75078652458addf1da72f6182919477481))
* improve scrolling speed through rules list ([b7d650e](https://gitlab.com/kwinft/kwinft/commit/b7d650ee5ac26b83fe8c55def0e9e0a4bbd04a21))
* save state in compsoiting KCM ([b208e57](https://gitlab.com/kwinft/kwinft/commit/b208e57ef2d0b6383b98150b9c4c11cc6f59797e))
* send a valid timestamp on X11 in TakeFocus messages ([db81769](https://gitlab.com/kwinft/kwinft/commit/db81769c2fca5a78b670fb33c0d550ecdbac2ba5))
* **hw:** append connector type id to DRM output name ([95bb35f](https://gitlab.com/kwinft/kwinft/commit/95bb35f09df0f8a5f0e2c1e251a19328017f82d5))
* **hw:** move cursor with respect to view geometry ratios ([a504c78](https://gitlab.com/kwinft/kwinft/commit/a504c78520b6a76e191590ecd6595aaaee4e8302))
* **hw:** orientate view geometry ([d09f2a9](https://gitlab.com/kwinft/kwinft/commit/d09f2a9dfc4b27b8f4d59c11be8f2d756582d6a9))
* **hw:** return non-local debug output ([1019ddf](https://gitlab.com/kwinft/kwinft/commit/1019ddfa2d59fd69d42387939f1761c96bbfe14b))
* **input:** scale and rotate touch input correctly ([910bd25](https://gitlab.com/kwinft/kwinft/commit/910bd25375ca06b9d2f3f2164e7387eb709123be))
* **qpa:** delete font database to not leak it ([4011d72](https://gitlab.com/kwinft/kwinft/commit/4011d72624e6a48d576e3643da2a639ceea84ece))
* **scene:** delay paint by the maximum duration of the last 200 frames ([3663bd7](https://gitlab.com/kwinft/kwinft/commit/3663bd7c884e9974952fee3df99ad888d3a0f1fa))
* **scene:** lock presentation only with output ([502166c](https://gitlab.com/kwinft/kwinft/commit/502166c133d1d813f5979ce941d15fedbac0b2e4))
* **scene:** update texture only when dmabuf images received ([15a1024](https://gitlab.com/kwinft/kwinft/commit/15a1024ccb8524b94e421e51bae2be7426cfdd54))
* **space:** check edges for nearly complete screen overlap ([ba48120](https://gitlab.com/kwinft/kwinft/commit/ba481209a1412d066c6408fdf3103ab38d179ff1))
* **xwl:** close fd on error ([a7aa252](https://gitlab.com/kwinft/kwinft/commit/a7aa2522b44fe3179d6d839dcbe24688c9bc8d34))
* **xwl:** respect array bounds ([a9f4018](https://gitlab.com/kwinft/kwinft/commit/a9f4018b4186258366322d78ab15f6f7b33ed3f5))
* add kconf_update script to fix placement rule ([cced66c](https://gitlab.com/kwinft/kwinft/commit/cced66c39ebcba2dbeda20475ab0ddbc6e415ded))
* allow absolute desktop file name paths ([7b470c8](https://gitlab.com/kwinft/kwinft/commit/7b470c8ef6776ba32158f89171233818a0f101cb))
* center anchor placeholder message in RulesEditor ([d9e0d22](https://gitlab.com/kwinft/kwinft/commit/d9e0d22f057a9a5f892218e1d6170d4aa7a6055a))
* check for validity of edge in screen edge KCM ([e8ede6b](https://gitlab.com/kwinft/kwinft/commit/e8ede6bd4804f7dbc2951aa8505f61c752a4385f))
* communicate placement setting ([4f58b74](https://gitlab.com/kwinft/kwinft/commit/4f58b74806e083ae367ac47ea3b28d5275fff5fd))
* correctly align natural layout in present windows ([9f0001e](https://gitlab.com/kwinft/kwinft/commit/9f0001e6c6262569602ed00a5818955b439cdb9b))
* detect also window complete class ([a402782](https://gitlab.com/kwinft/kwinft/commit/a402782a5a27e1682b99341ff9cb25db34f7e2e7))
* detect virtual desktops in Wayland ([a9320c0](https://gitlab.com/kwinft/kwinft/commit/a9320c0ee8491556adbd33a145995daceb58b26a))
* extend upper limit of position and size spinners ([b53d700](https://gitlab.com/kwinft/kwinft/commit/b53d700e06b9f894000fe5a3b75af2637cbd878b))
* guard against zero screens ([9d095a6](https://gitlab.com/kwinft/kwinft/commit/9d095a6e6647a189214346a1ceee2503ed007739))
* handle differences in paths for Linux vs FreeBSD ([0f53246](https://gitlab.com/kwinft/kwinft/commit/0f53246d1cd9c0cd41c529d04d0d173069cbc6b3))
* identify org.telegram.desktop notifications correctly ([77dbeb3](https://gitlab.com/kwinft/kwinft/commit/77dbeb3ab3736266f708c40f44f01f6e08f97e48))
* improve debug message, reduce duplicates ([770cb9f](https://gitlab.com/kwinft/kwinft/commit/770cb9f3d544152cd4121fb6b6d1781356daa1db))
* improve opengl debug messages ([db59918](https://gitlab.com/kwinft/kwinft/commit/db599184f048a04be82254c458d9762bb469b0e8))
* initialize class variables ([d222793](https://gitlab.com/kwinft/kwinft/commit/d2227932996b1e13ea0aef541327b336199a1223))
* initialize struct variables ([81703f2](https://gitlab.com/kwinft/kwinft/commit/81703f2228bc23b9beb2a4f21293f0b6bdff75e5))
* make Plastik decoration compatible with Qt 5.15 ([efde264](https://gitlab.com/kwinft/kwinft/commit/efde264f62c9c438911d25529d06e349e618fd5d))
* notify about decoration theme change ([0baf911](https://gitlab.com/kwinft/kwinft/commit/0baf9110bde9939801b7b093140f11398df22ae0))
* provide dmabuf on hardware with formats but without modifiers ([51823e2](https://gitlab.com/kwinft/kwinft/commit/51823e2e4954666fac6ac0bceecfb1600bf797a7))
* reference correctly label in Screen Edges system settings ([cad13bd](https://gitlab.com/kwinft/kwinft/commit/cad13bde4bb6f4be9daa7baf66df1135bb1c80dd))
* show "window role" combo ([dccd1c3](https://gitlab.com/kwinft/kwinft/commit/dccd1c3b7cf0b9e33653549d7ddeef03febfeac4))
* show first item at right position on property list ([81aa8dd](https://gitlab.com/kwinft/kwinft/commit/81aa8dd67deb014a63a77b69cd86b2da27c6d184))
* store size properties ([84d0077](https://gitlab.com/kwinft/kwinft/commit/84d00779f4411478febcf51fbfef8e45e20a2ce3))
* use EGL/eglmesaext.h in recommended way ([3cce103](https://gitlab.com/kwinft/kwinft/commit/3cce103510f237ee6185b69f1db246077b4eb58f))
* **scene:** do not abort in KWin::Compositor::bufferSwapComplete() ([68b2830](https://gitlab.com/kwinft/kwinft/commit/68b283080f0b0ca7759d1dbc58beeb2ec500e40f))


### Refactors

* change enablement in output class ([24d249d](https://gitlab.com/kwinft/kwinft/commit/24d249d861e58e1f341ae9debfbb871142f232d4))
* **effect:** improve loop implementations in WindowQuadList ([09fc578](https://gitlab.com/kwinft/kwinft/commit/09fc57848c39ef83871b5b85d5fa27b7b28838ec))
* **effect:** make WindowQuadList a QVector ([f14c215](https://gitlab.com/kwinft/kwinft/commit/f14c2150b4ab47319cb8326a8b945a782dd94e2b))
* **hw:** add missing const-referenece ([facbb63](https://gitlab.com/kwinft/kwinft/commit/facbb6327d38513ba6227ca979b11b02df06f4ca))
* **scene:** translate for -> foreach on a hot path ([021065b](https://gitlab.com/kwinft/kwinft/commit/021065bc5a3c10c75a5a051d09a141329bb546ef))
* adapt to KNS deprecations ([848c29f](https://gitlab.com/kwinft/kwinft/commit/848c29fddcc2aa52309a8b87c0ec3d7bbbbabc05))
* adapt to Wrapland API change ([8380ed1](https://gitlab.com/kwinft/kwinft/commit/8380ed168bcc12f0aa266a34d5753eabfc1a665f))
* adapt to Wrapland Buffer API change ([013f2b1](https://gitlab.com/kwinft/kwinft/commit/013f2b1b3dd2045f40dd69c40df86d9b096a9e61))
* adapt to Wrapland Output information changes ([5f30176](https://gitlab.com/kwinft/kwinft/commit/5f301763699458c0bbd162121978e0cfb5541188))
* adapt to Wrapland Output to WlOutput name change ([fa94d94](https://gitlab.com/kwinft/kwinft/commit/fa94d9467f8964141631b0f4f3951585cc249fb7))
* adapt Wrapland's new Output master class ([7626739](https://gitlab.com/kwinft/kwinft/commit/76267398f697df3194c0e4337791f7ba1e629e39))
* add frameGeometryChanged basic implementation ([5499b16](https://gitlab.com/kwinft/kwinft/commit/5499b166633609cf68ef944f48afc31de4d92775))
* allow creation of simple EGL textures ([733f38d](https://gitlab.com/kwinft/kwinft/commit/733f38d5f68133aaa4a0a34a77dfd7f0290c8de7))
* allow public access to orientate size function ([e2df477](https://gitlab.com/kwinft/kwinft/commit/e2df477c72f61920404f99541756d28972b71ba2))
* clean #if version check blocks ([c7ba4d0](https://gitlab.com/kwinft/kwinft/commit/c7ba4d0b9f488b3b24dfa7c5735c60809b279fce))
* deprecate --libinput option ([c0080b2](https://gitlab.com/kwinft/kwinft/commit/c0080b20034ddf0a751ed49239f80cfafa58ba0f))
* don't compare string with empty string ([db5b043](https://gitlab.com/kwinft/kwinft/commit/db5b043073a9b2a4081bddd68b53341de3285655))
* drop empty X-KDE-PluginInfo-Depends ([b3ca65d](https://gitlab.com/kwinft/kwinft/commit/b3ca65d5a194bd9a37be0408c57ef53060f68cfc))
* drop multi-head from VirtualDesktopManagement ([d57aa85](https://gitlab.com/kwinft/kwinft/commit/d57aa85f99359ae91f0c11e5a4ae4468bf425216))
* get raw pointer for internal Buffer use ([92eb074](https://gitlab.com/kwinft/kwinft/commit/92eb074f3c1dab10690b6fd95e667675b407aa82))
* move screens changed timer to X11 plugin ([75917d2](https://gitlab.com/kwinft/kwinft/commit/75917d25c2fec831d6c2c9db6fca03db644ac7c7))
* port away from deprecated Qt::MidButton ([10db141](https://gitlab.com/kwinft/kwinft/commit/10db141053e2336a60efbeba75bbd0f82ce233dc))
* port away from KMimeTypeTrader ([81e34e8](https://gitlab.com/kwinft/kwinft/commit/81e34e85dcbdbbd395512d2896b428e7c6fb500f))
* port some tests away from a deprecated QProcess::start() overload ([7634700](https://gitlab.com/kwinft/kwinft/commit/7634700ae8c87e6a538ae6cf5a32090a317580b9))
* port TestTabBoxClientModel away from deprecated QWeakPointer::data() ([ac8ed8d](https://gitlab.com/kwinft/kwinft/commit/ac8ed8d6dff4fedb6163c9952bb4800290900bb4))
* **effect:** convert a couple foreach loops ([df41e16](https://gitlab.com/kwinft/kwinft/commit/df41e160019706eab19acd29fb5f920454c79c9a))
* **effect:** factorize Screenshot code ([0a4f5fa](https://gitlab.com/kwinft/kwinft/commit/0a4f5faba1aa3bb9f8bb018077db81ce086ed359))
* **effect:** remove leftovers after blur cache ([f183bec](https://gitlab.com/kwinft/kwinft/commit/f183bec80b47b16987c39154ebdc4202405012cd))
* **hw:** remove buffer age in windowed X11 backend ([9c50454](https://gitlab.com/kwinft/kwinft/commit/9c504545528b1da568504382a37b0adc5c3de983))
* **hw:** remove DRM remote-access ([dad8d47](https://gitlab.com/kwinft/kwinft/commit/dad8d472eecce16d165dfa5ed21358561df5db7d))
* **hw:** remove output configuration file write ([e042f84](https://gitlab.com/kwinft/kwinft/commit/e042f84f08587af15b97077d691ba8e6cfedbca1))
* **hw:** remove special Gl strict binding handling ([52b9625](https://gitlab.com/kwinft/kwinft/commit/52b9625fa28801da27ea56ff1ef05e5369bcd7f2))
* **hw:** remove superfluous check of non-rendered output ([90d3428](https://gitlab.com/kwinft/kwinft/commit/90d342816d703c9033a964711773437c2603ab1b))
* **hw:** remove X11 EGL backend ([1b0cbf9](https://gitlab.com/kwinft/kwinft/commit/1b0cbf908bc1a6d07540c59aff83c6568a15582d))
* **hw:** use introspection to print enums ([939a21b](https://gitlab.com/kwinft/kwinft/commit/939a21bd58ccd714db554a84c7d3cd30c6557ef1))
* **hw:** use simple EGL textures in Wayland nested backend ([1a23a48](https://gitlab.com/kwinft/kwinft/commit/1a23a481a98290641846ac1854dfad841e022e01))
* **qpa:** remove unused override for the inputcontext ([037efbc](https://gitlab.com/kwinft/kwinft/commit/037efbcf1acd3e546d85669091526e1f4cc8ca1c))
* **scene:** use std::array to store lanczos kernel data ([ab7492c](https://gitlab.com/kwinft/kwinft/commit/ab7492c0c79eeb4a23ed94e0b3ac5b859a91bb59))
* move DPMS to Platform level ([c189277](https://gitlab.com/kwinft/kwinft/commit/c189277591d978ac5d68e61f38eb22ff5dce1615))
* port away from deprecated KTitleWidget::setPixmap() ([5aa8e66](https://gitlab.com/kwinft/kwinft/commit/5aa8e6666df746a6d85e93d15a9d1d2c587d2863))
* port knsrc file to explicit syntax for kpackage ([5b2bdbb](https://gitlab.com/kwinft/kwinft/commit/5b2bdbbce5be5f50ae68716ce3d6c64ebaeab067))
* reduce repeated Screens::scale(int) ([bcd21f8](https://gitlab.com/kwinft/kwinft/commit/bcd21f829beb36f765f49e39d1b95d5d21f42b5f))
* **xwl:** remove Q_FALLTHROUGH macros ([3372476](https://gitlab.com/kwinft/kwinft/commit/337247619f2aa71e1426ee3a0fa5359cdb0cdf40))
* remove createScreens method ([2a0b43a](https://gitlab.com/kwinft/kwinft/commit/2a0b43a64bc048ee33cded216102b70912547d07))
* remove Platform ready check ([afd3cc7](https://gitlab.com/kwinft/kwinft/commit/afd3cc77a8ea216e5259154396707206f9c3d369))
* remove scale method option ([f75b373](https://gitlab.com/kwinft/kwinft/commit/f75b3737cdab82b0e419417c7e12cca0191766dc))
* remove Screens subclassing ([bac5d56](https://gitlab.com/kwinft/kwinft/commit/bac5d56d42dded6de1b37333e96067507afdd051))
* remove unused function supportsTransformations ([f4d9362](https://gitlab.com/kwinft/kwinft/commit/f4d9362abf108b9cc9ca094d84f161aebdd58bee))
* remove virtual keyboard ([b865f01](https://gitlab.com/kwinft/kwinft/commit/b865f01cb8a5b2ddf265c23d482cc1d94213a052))
* remove vsync option ([4369213](https://gitlab.com/kwinft/kwinft/commit/43692134ab97d4a6be87e8a21c2c1d5ccebd512a))
* start up after Platform with direct call ([d19cc27](https://gitlab.com/kwinft/kwinft/commit/d19cc2777648d91e8ebf1eb838dbc5f146132460))
* use std::vector for EglDmabufBuffer images ([824f4d3](https://gitlab.com/kwinft/kwinft/commit/824f4d3f438ff76407c2e76cc6fdc483bb6e771e))

### [5.19.1](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.19.0...kwinft@5.19.1) (2020-06-16)


### Bug Fixes

* add kconf_update script to fix placement rule ([38c225a](https://gitlab.com/kwinft/kwinft/commit/38c225adb5d38b591431dea7b015c4ed0d7188d8))
* center anchor placeholder message in RulesEditor ([921eedb](https://gitlab.com/kwinft/kwinft/commit/921eedb3b3167daceacfe3509a6275c15bb64b0a))
* communicate placement setting ([055cece](https://gitlab.com/kwinft/kwinft/commit/055cecebe1da46222bee0bce0364281a74d32560))
* correctly align natural layout in present windows ([5757316](https://gitlab.com/kwinft/kwinft/commit/5757316917b453feb4ce385b77f1fd7e9615b223))
* detect virtual desktops in Wayland ([7dda121](https://gitlab.com/kwinft/kwinft/commit/7dda121cff115bbc641c280145792f621dc41c15))
* extend upper limit of position and size spinners ([c4da075](https://gitlab.com/kwinft/kwinft/commit/c4da07566973ab66e8451dd5d435091607522e60))
* make Plastik decoration compatible with Qt 5.15 ([305e425](https://gitlab.com/kwinft/kwinft/commit/305e4254def6547f922170a4d170edaa119c7caa))
* reference correctly label in Screen Edges system settings ([8169af2](https://gitlab.com/kwinft/kwinft/commit/8169af2bebefa3837f96008e0f100182ac3c34b3))
* show "window role" combo ([5574c67](https://gitlab.com/kwinft/kwinft/commit/5574c6762bf562dd526f5cc0963066e9024bae21))
* show first item at right position on property list ([7df67a1](https://gitlab.com/kwinft/kwinft/commit/7df67a1992921d0d73e35d5480798ec2a14e9c29))
* store size properties ([7ff7dae](https://gitlab.com/kwinft/kwinft/commit/7ff7dae7f16eb4a9ae72f61b642d2e74500faa0e))
* use EGL/eglmesaext.h in recommended way ([116da30](https://gitlab.com/kwinft/kwinft/commit/116da308e4337fc3bd03e007d7da821d67b8a63d))

## [5.19.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.19.0-beta.0...kwinft@5.19.0) (2020-06-09)

## [5.19.0-beta.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.18.0-beta.0...kwinft@5.19.0-beta.0) (2020-05-24)


### Features

* use text to describe maximize button actions in options KCM ([6fe0da5](https://gitlab.com/kwinft/kwinft/commit/6fe0da5e8e154e123fbd12ee7794e74d65d0c713))
* **script:** introduce ClientModelByScreenAndActivity ([5c85b94](https://gitlab.com/kwinft/kwinft/commit/5c85b9415c61004a3e5990f3625633994cdc0f1e))
* **script:** make workspace.currentActivity writable ([73043a6](https://gitlab.com/kwinft/kwinft/commit/73043a60e11c910604283962441f9a1843888370))
* add a shouldReturnNativeSize argument to screenshotFullscreen ([0d42bd0](https://gitlab.com/kwinft/kwinft/commit/0d42bd087bedb66f0dcff0c018932531d458b529))
* decode full monitor vendor name from EDID using hwdata ([790aa7b](https://gitlab.com/kwinft/kwinft/commit/790aa7bdbcf152f8f73928c2ae84277121b87f1e))
* improve PowerOff/PowerDown behaviour ([b5976a6](https://gitlab.com/kwinft/kwinft/commit/b5976a60a692b35353d9e44fd59d928b1059cc42))
* make Compositor more verbose ([c460d6c](https://gitlab.com/kwinft/kwinft/commit/c460d6c880c0210ae4ce141db5638abba444d0a3))
* redesign KWinRules KCM ([1c83b35](https://gitlab.com/kwinft/kwinft/commit/1c83b355c52769d32603d106eabfa00eea218e21))
* **hw:** simplify printing DrmObjects through QDebug ([b9e8de8](https://gitlab.com/kwinft/kwinft/commit/b9e8de8e64d405c7fb72dae631e62483c3f9d4fb))
* **input:** allow to set a scroll Factor for input devices ([ac503c6](https://gitlab.com/kwinft/kwinft/commit/ac503c6df2a1c62f2e5f624c3e666bc1bedf540d))
* remove default button on kwinrules KCM ([d525bae](https://gitlab.com/kwinft/kwinft/commit/d525baea479ecd2296250ea494df7d3d7e095b2b))


### Bug Fixes

* act on valgrind warning copying window icon for windowed mode ([6b2e477](https://gitlab.com/kwinft/kwinft/commit/6b2e4771d08244f7fa50017bd1d144154065a990))
* align layout of list items correctly in rules KCM ([0fbcda0](https://gitlab.com/kwinft/kwinft/commit/0fbcda082b35083c71690ad3613f573d6a7b9d81))
* allow to take single screen screenshots using scale factor without loss ([e08ce99](https://gitlab.com/kwinft/kwinft/commit/e08ce99b41316baabb4cef93332c92c5cea3d97a))
* correct message extraction ([839b3bd](https://gitlab.com/kwinft/kwinft/commit/839b3bdf278e2513559c968c7e8710e517d00882))
* create screens before screen edges ([255b99a](https://gitlab.com/kwinft/kwinft/commit/255b99a94b275715f9fa5fafa5d3d1ae7a42dd48))
* disable synchronized resizing for Xwayland < 1.21 ([16fcb58](https://gitlab.com/kwinft/kwinft/commit/16fcb585e1446314874704cbd86475f2f0cc028b))
* disable widget in TabBox KCM if property is immutable ([72197af](https://gitlab.com/kwinft/kwinft/commit/72197af381c76aa1fe956b6abe39cb5d3abbea30))
* disable widgets in screen edges KCM when immutable ([170fc42](https://gitlab.com/kwinft/kwinft/commit/170fc42a481d58fce5e2f77c27b930aea14bd004))
* don't exec() QDialog in decoration KCM ([141a9b0](https://gitlab.com/kwinft/kwinft/commit/141a9b0deb06a197cdc3be3930d73c0ddad1e7cc))
* don't position plasma surfaces if a position wasn't requested ([dd50b1a](https://gitlab.com/kwinft/kwinft/commit/dd50b1af5f98ad1d67d52aa6c2de783c165ecc45))
* enable synchronized resizing for Xwayland clients ([7395354](https://gitlab.com/kwinft/kwinft/commit/73953548233620c552eb3e919bce82b5d5c7675f))
* enforce correct teardown order ([cef24cf](https://gitlab.com/kwinft/kwinft/commit/cef24cf8ba238ee5ff543578b038a06283d4b58d))
* follow scale of drag surfaces ([1769fa9](https://gitlab.com/kwinft/kwinft/commit/1769fa9f4243a19c3a21ffbe5219831c5bdc4b3c))
* improve export buttons of Rules KCM ([6f1074d](https://gitlab.com/kwinft/kwinft/commit/6f1074db80fedd7ca840a5c8a953f4d4343a7fec))
* improve tests behaviour on set ups with high dpi ([5938775](https://gitlab.com/kwinft/kwinft/commit/59387758525e3908ad4a3065c1d027a8042fd9b3))
* make hwdata truly a runtime dependency ([49a2463](https://gitlab.com/kwinft/kwinft/commit/49a246303b0b23cbb28541de0f22b711fb4a045e))
* make KCM dialog non blocking ([3770f01](https://gitlab.com/kwinft/kwinft/commit/3770f015b4e614283e05fc875238e9bbde606ae1))
* make the string translatable ([74c0b68](https://gitlab.com/kwinft/kwinft/commit/74c0b686ecdcef904f902d965795a2f88fdccc09))
* manage KCModule states in TabBox KCM ([991934d](https://gitlab.com/kwinft/kwinft/commit/991934de725c62e475809971a39ac3ca89a9c203))
* pass command line arguments to launched processes ([adeb20c](https://gitlab.com/kwinft/kwinft/commit/adeb20c5d5d2d1147a51d711d4b44953d30cdf8c))
* place lockscreen greeter above other windows ([78b22ea](https://gitlab.com/kwinft/kwinft/commit/78b22eaa973ff9d5fda1e5f6ef1430c5788f5b4c))
* prefer holding a reference to an object we're going to call ([fb0a203](https://gitlab.com/kwinft/kwinft/commit/fb0a203ef7738beb9df538a9184d1e3c796eb6ff))
* set correct damage for repaints ([333e4e3](https://gitlab.com/kwinft/kwinft/commit/333e4e3a87347a9cfe28bd1a3e1284b1180c7372))
* set correct default for MaximizeButtonRightClickCommand in KCM ([eef9048](https://gitlab.com/kwinft/kwinft/commit/eef9048ebca23ca2851301b5a5cc4846a4795a6f))
* set saner width for Placeholder messages in rules KCM ([97466ce](https://gitlab.com/kwinft/kwinft/commit/97466ce0d11e0e3c6580bcb3745ad17224b58344))
* **hw:** don't leak planes ([d2be110](https://gitlab.com/kwinft/kwinft/commit/d2be1101038a8021ce06153d271c26ce49161701))
* update KAboutData ([81fd1c3](https://gitlab.com/kwinft/kwinft/commit/81fd1c3e7e30f158c5df31e739317de2bd4f8707))
* update X11 time stamp on Wayland ([663765f](https://gitlab.com/kwinft/kwinft/commit/663765fb5fe690cba8a4a348460f123ec6510b91))
* use new property ComboBox.currentValue in rules KCM ([9a196d3](https://gitlab.com/kwinft/kwinft/commit/9a196d30b6c38453bc8f90d386801f923e8684c6))
* **deco:** include config ([34dad10](https://gitlab.com/kwinft/kwinft/commit/34dad1069280a26b2cd3cbd21d0769f96e0ad331))
* **hw:** avoid crash in KWin::DrmOutput::updateCursor ([8ff8354](https://gitlab.com/kwinft/kwinft/commit/8ff83542eab219bc5dbfd82d5444387dcd109ab3))
* **hw:** improve QDebug of DrmOutput ([c2cf2ef](https://gitlab.com/kwinft/kwinft/commit/c2cf2ef3db835929c47cb0513e4d1efb5d3c4e22))
* **script:** re-evaluate exclusions after relevant switching ([463ac76](https://gitlab.com/kwinft/kwinft/commit/463ac76e98007492b5708032d264a3de4dfe3f10))
* set cursor size default to 24 to align with KCM ([a965edd](https://gitlab.com/kwinft/kwinft/commit/a965eddcb6f1907b4645c77b4f091cef80163c46))
* **hw:** properly access a scoped pointer ([ef7248f](https://gitlab.com/kwinft/kwinft/commit/ef7248fa4df40e5ce143e1f0c26e02ed4fca3d7f))
* **xwl:** handle same data being requested twice ([b319b86](https://gitlab.com/kwinft/kwinft/commit/b319b8615c116babc8d28bce4668a352e82151ec))
* use Wrapland's new std::weak_ptr ([895d5f0](https://gitlab.com/kwinft/kwinft/commit/895d5f0c4446a7d4eb14a57099da3d215c4f5714))


### Refactors

* adapt to Wrapland server remodel ([8f53e83](https://gitlab.com/kwinft/kwinft/commit/8f53e8343c2c7741bd975195c04de95b98de557f))
* **script:** introduce writable frameGeometry property ([51277fb](https://gitlab.com/kwinft/kwinft/commit/51277fb21e6c87406c6b925f39eacfc0defa5995))
* adapt to new KScreenLocker API ([2069e03](https://gitlab.com/kwinft/kwinft/commit/2069e03f621d2e223493b3270a8831034899633a))
* disable edge in touch edges KCM when immutable ([198e0a8](https://gitlab.com/kwinft/kwinft/commit/198e0a84593ef92da733ca39b8beedd94d1e5ce6))
* encapsulate and share duplicated EGL code ([c836be3](https://gitlab.com/kwinft/kwinft/commit/c836be320112f09117cb2f52158d3f282eeb6c20))
* port kwinoptions focus tab to KConfigXT ([ea1ce02](https://gitlab.com/kwinft/kwinft/commit/ea1ce021431a03cd418b7b95e26d1527e8505d83))
* port kwinoptions KCM partly to KConfigXT ([c758086](https://gitlab.com/kwinft/kwinft/commit/c758086b96ed1bc2dda97702e582f865a189b218))
* port kwinrules kcm to kconfigxt ([0be2ab2](https://gitlab.com/kwinft/kwinft/commit/0be2ab227e43f528404f58788be46d2e4ca6a062))
* port touch screen KCM to KConfigXT ([8e84a14](https://gitlab.com/kwinft/kwinft/commit/8e84a146ac5d4ccdbb5ec898b3551ff375f50c5f))
* remove QSessionManager usage ([06670a8](https://gitlab.com/kwinft/kwinft/commit/06670a81486a615b70965437826cd154508ac307))
* remove unused method ([17829cd](https://gitlab.com/kwinft/kwinft/commit/17829cdcc9c2c80925bee87e99fab0d80fc116ff))
* **space:** drop Workspace::sendPingToWindow() ([71113be](https://gitlab.com/kwinft/kwinft/commit/71113be435ceb85d0060da7849413c40382d1ef3))
* port placeholder message to Kirigami.PlaceholderMessage ([81e7cc9](https://gitlab.com/kwinft/kwinft/commit/81e7cc9d898b0aea6f774cc2e895b73e534223b5))
* port screen edges KCM to KConfigXT ([d17b175](https://gitlab.com/kwinft/kwinft/commit/d17b17517b34b635cd3179fbd09f54f6c878d429))
* use generated kcfg settings in TabBox KCM ([41e143b](https://gitlab.com/kwinft/kwinft/commit/41e143b1c86026698120e467c81cc9fdc6f274d5))
* use KConfig XT in compositing KCM to store values ([d6f74aa](https://gitlab.com/kwinft/kwinft/commit/d6f74aa9d1b867d5820bcc7f1f16abc9d94460c1))
* use KConfig XT in compositing KCM UI ([05106a9](https://gitlab.com/kwinft/kwinft/commit/05106a98acfbae22e18e625fef6a96159e65706e))
* **effect:** drop KWIN_GL_DEBUG ([2e967f0](https://gitlab.com/kwinft/kwinft/commit/2e967f08df27e5313701d4ac523ed78e92de478f))
* **effect:** port GLPlatform to QRegularExpression ([8185590](https://gitlab.com/kwinft/kwinft/commit/8185590613fca6496db480244f4c1a0f45069f44))

### [5.18.1](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.18.0...kwinft@5.18.1) (2020-05-05)


### Bug Fixes

* **deco:** include config ([f93a150](https://gitlab.com/kwinft/kwinft/commit/f93a150d7c70c2e76d4c6082941db204566969b3))
* **hw:** avoid crash in KWin::DrmOutput::updateCursor ([c9951dc](https://gitlab.com/kwinft/kwinft/commit/c9951dcd94110cdcbea5263827e3cccb1c9a0b53))
* **script:** re-evaluate exclusions after relevant switching ([cac9dd0](https://gitlab.com/kwinft/kwinft/commit/cac9dd0d51f2e356fcd5496ce24ae54bc7c2896b))
* make KCM dialog non blocking ([9682cc3](https://gitlab.com/kwinft/kwinft/commit/9682cc3b870c404a61f59488846b56f8e80d1917))

## [5.18.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@5.18.0-beta.0...kwinft@5.18.0) (2020-04-15)

## [5.18.0-beta.0](https://gitlab.com/kwinft/kwinft/compare/kwinft@0.0.0...kwinft@5.18.0-beta.0) (2020-04-01)


### Features

* **scene:** print debug message when viewport limits aren't met ([eabacb7](https://gitlab.com/kwinft/kwinft/commit/eabacb7e4dd6820e2b28f2fa91cbae91769951b7))
* remove orientation sensor ([c77731e](https://gitlab.com/kwinft/kwinft/commit/c77731e28bf8b54c8245be63862d6d1f674870dc))
* **deco:** implement the size property ([30e31d3](https://gitlab.com/kwinft/kwinft/commit/30e31d398f221973704f7e54b589e23b029944d7))
* **effect:** detect AMD Navi GPUs ([242c38b](https://gitlab.com/kwinft/kwinft/commit/242c38b27a3f3bfb93d23d88dbd455cc95ccbe6d))
* **effect:** detect more AMD GPUs with GFX9 (Vega) chips ([5023be5](https://gitlab.com/kwinft/kwinft/commit/5023be52ff4d6cc2bbd609543a11db6e2397838e))
* **effect:** move from Quad to Cubic ([d958b16](https://gitlab.com/kwinft/kwinft/commit/d958b16a847ac7a99305f81dbd92ec3393614a17))
* **effect:** set original backend framebuffer for render targets ([eea46a6](https://gitlab.com/kwinft/kwinft/commit/eea46a62f8b6aff7b7eb622ec5761f3c2e31d505))
* **hw:** add hardware transformation API ([452d45c](https://gitlab.com/kwinft/kwinft/commit/452d45cde3ce7c7ecf0adf9c84004e5d8c5a17d8))
* **hw:** introduce Gl post-process output rotations ([267b6fe](https://gitlab.com/kwinft/kwinft/commit/267b6fe37dc8296d91e6eb6a7f94d8ec0c472113))
* delay composite ([60d4843](https://gitlab.com/kwinft/kwinft/commit/60d48435925487f781a9b77afb786b38a8acb4c1))
* **effect:** make sliding popup smoother and more consistent ([7eb82c6](https://gitlab.com/kwinft/kwinft/commit/7eb82c678fdaf6ec90aee5b014da6575c08ef0f7))
* **hw:** remember previous geometries of outputs ([3cfcfbb](https://gitlab.com/kwinft/kwinft/commit/3cfcfbb84d7203cfa6a5f64a83eb5a4866394eeb))
* **input:** send a Qt::Key_PowerDown when long pressing the power button ([5170d59](https://gitlab.com/kwinft/kwinft/commit/5170d592709ade992e985fa65c243a1e65d55efe))
* **script:** expose Workspace::sendClientToDesktop() ([3541cf0](https://gitlab.com/kwinft/kwinft/commit/3541cf04f275b3ab683a2e6726b1d02611f89e0c))
* **space:** implement resize_x/resize_y constraint adjustment ([d8969a9](https://gitlab.com/kwinft/kwinft/commit/d8969a9630542c2554837ffd090bc86eb73984c0))
* **xwl:** support resolution change emulation ([7f443f2](https://gitlab.com/kwinft/kwinft/commit/7f443f283ea31077581e34cc0d9ff97dd4600c6b))
* add wp_viewporter support ([7801a19](https://gitlab.com/kwinft/kwinft/commit/7801a19e6f00fc0c0fde2b84c0e61019149c415c))
* expose more Night Color properties to d-bus ([44e0780](https://gitlab.com/kwinft/kwinft/commit/44e0780f8ac3bfaf1bd722f8cc0f5b4f1a449164))
* expose Night Color transition timings to d-bus ([b639383](https://gitlab.com/kwinft/kwinft/commit/b639383d68fea4fd8f59d4aa4283712ebb57f0c0))
* introduce ftrace marker ([1ffbfa0](https://gitlab.com/kwinft/kwinft/commit/1ffbfa0d139ccc7dbec55fb3aeeff6151b8a8b5e))
* introduce Nigth Color inhibition API ([e7eb3aa](https://gitlab.com/kwinft/kwinft/commit/e7eb3aa66ad5a86cb3785b3582a6136a885a5ba5))
* shim screen locker KWayland integration ([60b2b24](https://gitlab.com/kwinft/kwinft/commit/60b2b2476e4b04002c7ad72ac8868405b96bffb7))


### Bug Fixes

* allow to create more than one row on the "Virtual Desktops" settings page ([d6e56f3](https://gitlab.com/kwinft/kwinft/commit/d6e56f3b7f73222a7c152ecc12f5ec6a1176844b))
* **deco:** disable problematic Plastik text hints ([db3b77f](https://gitlab.com/kwinft/kwinft/commit/db3b77ff050f5c393eac14203d201570bd796c42))
* **deco:** do not crash on plasma mobile ([03a90ac](https://gitlab.com/kwinft/kwinft/commit/03a90acd5ca36c54d6be583170b7f4421a969bd0))
* **deco:** notify about decorations button order change ([a1e5182](https://gitlab.com/kwinft/kwinft/commit/a1e518201a438a22368a1ab89fc80281cafcf35d))
* **effect:** clip ListView ([8b894cd](https://gitlab.com/kwinft/kwinft/commit/8b894cd84d8b900462a5ae1c1f9c6e746d212863))
* **effect:** return early if close button accepts input event ([9bce8b8](https://gitlab.com/kwinft/kwinft/commit/9bce8b8e1315b35ef193eafeef61c75bcb19d581))
* **hw:** cache output transformation first ([b31dc32](https://gitlab.com/kwinft/kwinft/commit/b31dc32427c43c1043ed3ab620b3ee6735501f12))
* **hw:** change up cursor output rotation values ([237bb5f](https://gitlab.com/kwinft/kwinft/commit/237bb5f77b5bb1d97d04b0c3331ce5eb2f1604ee))
* **hw:** force geometry change in backend plugins ([f54b33d](https://gitlab.com/kwinft/kwinft/commit/f54b33d1d1a7e95a899aa0cae32774962cceb5bd))
* **hw:** work around missing mode data in crtc struct ([0a31333](https://gitlab.com/kwinft/kwinft/commit/0a313338e6cf3eaf0a5d2cb334fd081b17205672))
* **input:** send touch events with respect to device rotation ([f36454c](https://gitlab.com/kwinft/kwinft/commit/f36454c09595c3f6e5862ac440ff0e25723c50c9))
* **scene:** schedule workspace repaint on minimize ([9f6c071](https://gitlab.com/kwinft/kwinft/commit/9f6c0719868a5d7defadaf7acc2d2238309832c6))
* **space:** recursively destroy WindowPixmap objects ([5722779](https://gitlab.com/kwinft/kwinft/commit/572277954af086f7c60ebc9a64b7270b866b9906))
* connect the right tablet mode signals ([e4f9483](https://gitlab.com/kwinft/kwinft/commit/e4f9483df24508a3efca8c9dc7771c1e890c4887))
* correct ftrace function name ([965ab0d](https://gitlab.com/kwinft/kwinft/commit/965ab0dc31ad5a5dd6943ef7d6f8bd1f0de96c43))
* delete internal connection queue in order ([bc5d25f](https://gitlab.com/kwinft/kwinft/commit/bc5d25f486d33e8cb10ee701906f1903b12165cc))
* disconnect to update client outputs on surface destroy ([902d5c4](https://gitlab.com/kwinft/kwinft/commit/902d5c4fbfd837a6290d6812f55275af18bc3017))
* do not divide by zero ([6ff3bab](https://gitlab.com/kwinft/kwinft/commit/6ff3babedcdb9f411f292f04ded8b54a23ccd4f9))
* draw drag icon during drags ([79f43d4](https://gitlab.com/kwinft/kwinft/commit/79f43d40ec3cdd3868e1b6de03c086019ed7bf90))
* fall back to mode size ([090801f](https://gitlab.com/kwinft/kwinft/commit/090801f9977b82f490246ba7f503ad5ba093e42a))
* inform Screens about size change ([e4630e7](https://gitlab.com/kwinft/kwinft/commit/e4630e7617ac69e80d745e7ddb7ae8887d5c108b))
* make sure attribute is defined ([90b725d](https://gitlab.com/kwinft/kwinft/commit/90b725dec7d5a0e1991a1a0c91713cd1bcae5965))
* make the virtual keyboard disappear when locking the screen ([0bc7d01](https://gitlab.com/kwinft/kwinft/commit/0bc7d0189627a3e0feb17d9d0196b358e16d66b5))
* return client scale for internal scale ([3d3ffa2](https://gitlab.com/kwinft/kwinft/commit/3d3ffa2df8036cd6d6e4894e08b9a32e7d9875ca))
* set outputs for XWayland windows ([301525c](https://gitlab.com/kwinft/kwinft/commit/301525c82d5c056d56ca774433b45fa6e3c79524))
* set virtual output logical size ([876498b](https://gitlab.com/kwinft/kwinft/commit/876498b715aa398e9e7ece98d0eee02849cc3611))
* unset automatic socket naming on custom name ([18e9cbe](https://gitlab.com/kwinft/kwinft/commit/18e9cbeaba32e194e6b3e37a01f5ca21847a814e))
* update idle inhibit state not for XWayland clients ([05afacd](https://gitlab.com/kwinft/kwinft/commit/05afacd2fb0ef9d1e8616eaec535c5ae54e8a430))
* **effect:** don't animate morphing popups when only shape changes ([9594222](https://gitlab.com/kwinft/kwinft/commit/95942221482a05b25ecfbecbfeb0380b8c6aaee4))
* **hw:** allow running without outputs ([ea67269](https://gitlab.com/kwinft/kwinft/commit/ea67269daa81613d86b0a464c59384ed96c88b2a))
* **hw:** set output view geometry ([f1cfdf3](https://gitlab.com/kwinft/kwinft/commit/f1cfdf3e974d6769a22c0e66d0712563f28d4395))
* **scene:** apply "Block compositing" rule right away ([ae33841](https://gitlab.com/kwinft/kwinft/commit/ae33841a967167824fee10458bbcc77928e4b39c))
* **scene:** avoid texture bleed rendering X11 window ([328c0f6](https://gitlab.com/kwinft/kwinft/commit/328c0f6737cfed1cc0439296778750c1debc7743))
* **scene:** fix decoration texture bleeding ([07bc5a8](https://gitlab.com/kwinft/kwinft/commit/07bc5a8d03313a2b580628a0a0924bbf7b93e589))
* **scene:** resize X11 windows without visual artifacts ([f26546f](https://gitlab.com/kwinft/kwinft/commit/f26546fb6862448df71b54e6f6a51525744abd71))
* **space:** do not use localtime for measuring duration ([b439430](https://gitlab.com/kwinft/kwinft/commit/b4394303d9d416f313bd12882502a3744e5a4ebd))
* **xwl:** handle reset of surface ([daacd8d](https://gitlab.com/kwinft/kwinft/commit/daacd8d449ab9a2c290d109ec563791d36b984d2))
* skip kwin.upd if python3 not installed ([d453f16](https://gitlab.com/kwinft/kwinft/commit/d453f16eae9fc109a2b9e9e06d0d0e582b5f2df1))
* **scene:** remove outdated hack to reset vertex buffers ([855d6ed](https://gitlab.com/kwinft/kwinft/commit/855d6eda06a0a196b31d4213610b98d023bd7bb1))
* **space:** keep the opposite corner still when resizing a window ([3007810](https://gitlab.com/kwinft/kwinft/commit/30078101ce940b5b9d6bb525b57c1aec34e74b19))
* **space:** provide correct input geometry for client-side decorated clients ([bc096c2](https://gitlab.com/kwinft/kwinft/commit/bc096c2ee6f063874c583983290ff689ab9298d1))
* remove "animation speed" keyword from Compositing KCM ([dba2693](https://gitlab.com/kwinft/kwinft/commit/dba2693078ddde83f595e5cdd1e7196b1c09c030))
* return correct Unmanaged clients shape ([0f4fc83](https://gitlab.com/kwinft/kwinft/commit/0f4fc8334fcdbccc4006e5bf2acd4735c409c601))
* **space:** clamp XdgShellClient::clientSize to surface size ([80fc7b2](https://gitlab.com/kwinft/kwinft/commit/80fc7b2eac447ee0bad24c5ab21816aeb5cb2e6f))
* set initial geometry and broadcast on change ([6628c46](https://gitlab.com/kwinft/kwinft/commit/6628c460d37d196cb3c820bade4c8badb2bedafc))
* take logical size on changes ([6db2245](https://gitlab.com/kwinft/kwinft/commit/6db2245e163cb055d9ca41559263059772132a62))
* update client scale ([48ecef9](https://gitlab.com/kwinft/kwinft/commit/48ecef9cf1761f56e1020b6dd939101826ad0870))


### Refactors

* remove deprecated virtual desktop functions ([ac457d8](https://gitlab.com/kwinft/kwinft/commit/ac457d82c601052242949158511ed6011a48e8af))
* **hw:** add drm atomic flip handler ([b5e55f7](https://gitlab.com/kwinft/kwinft/commit/b5e55f73aa50bcbe0ad831989cf4353c18d9d197))
* **hw:** add modeSize getter ([bffde95](https://gitlab.com/kwinft/kwinft/commit/bffde9519852899c77e88998f53108dbd4bc1383))
* **hw:** reverse the virtual output scaled size ([f6b6768](https://gitlab.com/kwinft/kwinft/commit/f6b6768e969e5e09e58135792ead912673e22290))
* **hw:** use MapTexture for rotation rendering ([bec71ac](https://gitlab.com/kwinft/kwinft/commit/bec71acc9bed87252b9df3d6cdde931234733228))
* convert KWin options KCM Advanced part to KConfigXT ([5179d74](https://gitlab.com/kwinft/kwinft/commit/5179d74dc9ba08f516700b60799722ac59cd6af2))
* convert KWin options KCM Moving part to KConfigXT ([32bae97](https://gitlab.com/kwinft/kwinft/commit/32bae97081fde0f5927205ddce036bb2d5c33eaa))
* drop kdeinit linking ([3baf477](https://gitlab.com/kwinft/kwinft/commit/3baf4772e9a8474b6fb006d235fd3570ecf700f1))
* integrate Wrapland client memory management API changes ([4251609](https://gitlab.com/kwinft/kwinft/commit/4251609f20597388044b39d0e16778fd6a781397))
* move definition of X11Client::damageNotifyEvent() to x11client.cpp ([4cd7e7b](https://gitlab.com/kwinft/kwinft/commit/4cd7e7b0a94fcd52f3b27cdbb4b752f9c1c998c6))
* optimize Night Color D-Bus service check ([511792f](https://gitlab.com/kwinft/kwinft/commit/511792f2e97d23138f94dcabdcb734c42384ae7b))
* port away from deprecated QProcess error signal ([33971d2](https://gitlab.com/kwinft/kwinft/commit/33971d28a96af4d49bb17848a67c2b28611acda6))
* port Decoration KCM to KConfigXT ([ed435ef](https://gitlab.com/kwinft/kwinft/commit/ed435eff342fb7d855a33720224545d9ecdf498a))
* port DesktopGrid QtQuickWindow to EffectQuickView ([5d40f79](https://gitlab.com/kwinft/kwinft/commit/5d40f79e2400aad1901da230bc796742cb5ef719))
* put the resize effect in charge of scheduling repaints ([0a944b0](https://gitlab.com/kwinft/kwinft/commit/0a944b04f1021b7a725f9dac1119dc14ff5b8faf))
* remove duplicated ping code ([72572d7](https://gitlab.com/kwinft/kwinft/commit/72572d760332ea8cef2972211570e3c6bf7fdf47))
* remove unneeded calls ([0e45087](https://gitlab.com/kwinft/kwinft/commit/0e450871b32ec04a1e8771d355fb6317eb5f232f))
* simplify HTML markups ([c5888cf](https://gitlab.com/kwinft/kwinft/commit/c5888cf790e0f757a42acf452b4536d83f4fcf0e))
* use dedicated class for system clock change detection ([58f3a3b](https://gitlab.com/kwinft/kwinft/commit/58f3a3bb99e507ebd8b8f7beab564d1f2a44706d))
* use less Toplevel::isClient() ([d5e42af](https://gitlab.com/kwinft/kwinft/commit/d5e42af496a73a1f3305e5585ae53c4d0abf1e93))
* use Q_ASSERT in XdgShellClient::transientPlacement() ([2a4c4c0](https://gitlab.com/kwinft/kwinft/commit/2a4c4c0f57fce526046c9bcf94f833a9ad9125d8))
* **effect:** add a const ref ([42f572f](https://gitlab.com/kwinft/kwinft/commit/42f572ffc24839a2f67d366773cc2915cb179003))
* **effect:** port from deprecated method KCModule::changed ([d8db53b](https://gitlab.com/kwinft/kwinft/commit/d8db53b239f65876f8e338b18494bcad7717e6bf))
* **scene:** merge window classes ([aaae9ce](https://gitlab.com/kwinft/kwinft/commit/aaae9cef9d3cb9256ecadf33ebb261eb929a488d))
* **space:** split geometry topic file ([e601cf9](https://gitlab.com/kwinft/kwinft/commit/e601cf9caca0b0d0c26ebed46d4aab79d3e35a4f))
* **space:** use geometry helpers in InternalClient ([5e1dc00](https://gitlab.com/kwinft/kwinft/commit/5e1dc0041b21e9293b1170437c41186a3c4eedac))
